<?php
function starterkit_touchpro_install_tasks() {
  $tasks['profile_sql_to_drupal'] = array(
    'display_name' => st('Import StarterKit'),
    'display' => TRUE,
    'type' => 'normal',
    'run' => INSTALL_TASK_RUN_IF_NOT_COMPLETED,
  );
  $tasks['profile_devel_generate'] = array(
    'display_name' => st('Generate imgfield nodes'),
    'display' => TRUE,
    'type' => 'normal',
    'run' => INSTALL_TASK_RUN_IF_NOT_COMPLETED,
  );
  return $tasks;
}

/**
 * @code
 *  Borrowed from demo module
 * @see
 *  _demo_reset() in demo.admin.inc ~ #283
 */
function profile_sql_to_drupal() {
  // Load data from snapshot.
  $fp = fopen(dirname(__FILE__).'/starterkit.sql', 'r');
  $success = TRUE;
  $query = '';
  while (!feof($fp)) {
    $line = fgets($fp, 16384);
    if ($line && $line != "\n" && strncmp($line, '--', 2) && strncmp($line, '#', 1)) {
      $query .= $line;
      if (substr($line, -2) == ";\n") {
        $options = array(
          'target' => 'default',
          'return' => Database::RETURN_NULL,
          // 'throw_exception' => FALSE,
        );
        $stmt = Database::getConnection($options['target'])->prepare($query);
        if (!$stmt->execute(array(), $options)) {
          if ($verbose) {
            // Don't use t() here, as the locale_* tables might not (yet) exist.
            drupal_set_message(strtr('Query failed: %query', array('%query' => $query)), 'error');
          }
          $success = FALSE;
        }
        $query = '';
      }
    }
  }
  fclose($fp);

}


/**
 * Implements devel_generate_content to generate image field dummy content
 */
function profile_devel_generate() {
  $generate = array();
  $generate['values'] = array(
    'node_types' => array('article' => article),
    'kill_content' => 1,
    '$num_nodes' => 10,
    'time_range' => 172800,
    'max_comments' => 5,
    'add_alias' => 1,
    'add_statistics' => 0,
  );
  
  devel_generate_content(generate);
}

/**
 * @file
 * Demonstration site installation profile.
 */

/**
 * Implements hook_install_tasks_alter().
 */
function starterkit_touchpro_install_tasks_alter(&$tasks, &$install_state) {

  // Remove the tasks from the list and execution.
  // We cannot implement hook_install_tasks(), because we want to intercept the
  // installation process before it even begins (except database settings).
  unset(
    //$tasks['install_system_module'],
    //$tasks['install_bootstrap_full'],
    //$tasks['install_profile_modules'],
    $tasks['install_import_locales'],
    //$tasks['install_configure_form'],
    $tasks['install_import_locales_remaining']
    //$tasks['install_finished']
  );
}
