/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE=NO_AUTO_VALUE_ON_ZERO */;

SET NAMES utf8;

DROP TABLE IF EXISTS `accesslog`;
CREATE TABLE `accesslog` (   `aid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique accesslog ID.',   `sid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Browser session ID of user that visited page.',   `title` varchar(255) DEFAULT NULL COMMENT 'Title of page visited.',   `path` varchar(255) DEFAULT NULL COMMENT 'Internal path to page visited (relative to Drupal root.)',   `url` text COMMENT 'Referrer URI.',   `hostname` varchar(128) DEFAULT NULL COMMENT 'Hostname of user that visited the page.',   `uid` int(10) unsigned DEFAULT '0' COMMENT 'User users.uid that visited the page.',   `timer` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Time in milliseconds that the page took to load.',   `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the page was visited.',   PRIMARY KEY (`aid`),   KEY `accesslog_timestamp` (`timestamp`),   KEY `uid` (`uid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores site access information for statistics.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `actions`;
CREATE TABLE `actions` (   `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',   `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',   `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',   `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',   `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',   PRIMARY KEY (`aid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
DROP TABLE IF EXISTS `authmap`;
CREATE TABLE `authmap` (   `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',   `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',   `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',   PRIMARY KEY (`aid`),   UNIQUE KEY `authname` (`authname`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `backup_migrate_destinations`;
CREATE TABLE `backup_migrate_destinations` (   `destination_id` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a profile.',   `name` varchar(255) NOT NULL COMMENT 'The name of the profile.',   `type` varchar(32) NOT NULL COMMENT 'The type of the destination.',   `location` text NOT NULL COMMENT 'The the location string of the destination.',   `settings` text NOT NULL COMMENT 'Other settings for the destination.',   PRIMARY KEY (`destination_id`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `backup_migrate_profiles`;
CREATE TABLE `backup_migrate_profiles` (   `profile_id` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a profile.',   `name` varchar(255) NOT NULL COMMENT 'The name of the profile.',   `filename` varchar(50) NOT NULL COMMENT 'The name of the profile.',   `append_timestamp` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Append a timestamp to the filename.',   `timestamp_format` varchar(14) NOT NULL COMMENT 'The format of the timestamp.',   `filters` text NOT NULL COMMENT 'The filter settings for the profile.',   PRIMARY KEY (`profile_id`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
INSERT INTO `backup_migrate_profiles` VALUES ('default','Sooperthemes StarterKit','[site:name]','1','Y-m-d\\TH-i-s','a:8:{s:11:"compression";s:4:"none";s:21:"notify_success_enable";i:0;s:20:"notify_success_email";s:21:"info@sooperthemes.com";s:21:"notify_failure_enable";i:0;s:20:"notify_failure_email";s:21:"info@sooperthemes.com";s:18:"utils_site_offline";i:0;s:26:"utils_site_offline_message";s:96:"TouchPro is currently under maintenance. We should be back shortly. Thank you for your patience.";s:12:"destinations";a:1:{s:2:"db";a:3:{s:14:"exclude_tables";a:1:{s:5:"users";s:5:"users";}s:13:"nodata_tables";a:18:{s:9:"accesslog";s:9:"accesslog";s:5:"cache";s:5:"cache";s:11:"cache_block";s:11:"cache_block";s:15:"cache_bootstrap";s:15:"cache_bootstrap";s:11:"cache_field";s:11:"cache_field";s:12:"cache_filter";s:12:"cache_filter";s:10:"cache_form";s:10:"cache_form";s:11:"cache_image";s:11:"cache_image";s:10:"cache_menu";s:10:"cache_menu";s:10:"cache_page";s:10:"cache_page";s:10:"cache_path";s:10:"cache_path";s:12:"cache_update";s:12:"cache_update";s:11:"cache_views";s:11:"cache_views";s:14:"search_dataset";s:14:"search_dataset";s:12:"search_index";s:12:"search_index";s:12:"search_total";s:12:"search_total";s:8:"sessions";s:8:"sessions";s:8:"watchdog";s:8:"watchdog";}s:17:"utils_lock_tables";i:0;}}}');
DROP TABLE IF EXISTS `backup_migrate_schedules`;
CREATE TABLE `backup_migrate_schedules` (   `schedule_id` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a profile.',   `name` varchar(255) NOT NULL COMMENT 'The name of the profile.',   `source_id` varchar(32) NOT NULL DEFAULT 'db' COMMENT 'The backup_migrate_destination.destination_id of the source to backup from.',   `destination_id` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The backup_migrate_destination.destination_id of the destination to back up to.',   `profile_id` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a profile.',   `keep` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of backups to keep.',   `period` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds between backups.',   `last_run` int(11) NOT NULL DEFAULT '0' COMMENT 'The last time the backup was run.',   `enabled` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether the schedule is enabled.',   `cron` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether the schedule should be run during cron.',   PRIMARY KEY (`schedule_id`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `batch`;
CREATE TABLE `batch` (   `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',   `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',   `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',   `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',   PRIMARY KEY (`bid`),   KEY `token` (`token`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
DROP TABLE IF EXISTS `block`;
CREATE TABLE `block` (   `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',   `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',   `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',   `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',   `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',   `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',   `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',   `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',   `pages` text NOT NULL COMMENT 'Contents of the `Pages` block; contains either a list of paths on which to include/exclude the block or PHP code, depending on `visibility` setting.',   `title` varchar(64) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',   `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',   PRIMARY KEY (`bid`),   UNIQUE KEY `tmd` (`theme`,`module`,`delta`),   KEY `list` (`theme`,`status`,`region`,`weight`,`module`) ) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...' AUTO_INCREMENT=115;
INSERT INTO `block` VALUES ('1','system','main','bartik','1','0','content','0','0','','','-1'),('2','search','form','bartik','1','-1','sidebar_first','0','0','','','-1'),('3','node','recent','seven','1','10','dashboard_main','0','0','','','-1'),('4','user','login','bartik','1','0','sidebar_first','0','0','','','-1'),('5','system','navigation','bartik','1','0','sidebar_first','0','0','','','-1'),('6','system','powered-by','bartik','1','10','footer','0','0','','','-1'),('7','system','help','bartik','1','0','help','0','0','','','-1'),('8','system','main','seven','1','0','content','0','0','','','-1'),('9','system','help','seven','1','0','help','0','0','','','-1'),('10','user','login','seven','1','10','content','0','0','','','-1'),('11','user','new','seven','1','0','dashboard_sidebar','0','0','','','-1'),('12','search','form','seven','1','-10','dashboard_sidebar','0','0','','','-1'),('13','comment','recent','bartik','0','0','-1','0','0','','','1'),('14','node','syndicate','bartik','0','0','-1','0','0','','','-1'),('15','node','recent','bartik','0','0','-1','0','0','','','1'),('16','shortcut','shortcuts','bartik','0','0','-1','0','0','','','-1'),('17','system','management','bartik','0','0','-1','0','0','','','-1'),('18','system','user-menu','bartik','0','0','-1','0','0','','','-1'),('19','system','main-menu','bartik','0','0','-1','0','0','','','-1'),('20','user','new','bartik','0','0','-1','0','0','','','1'),('21','user','online','bartik','0','0','-1','0','0','','','-1'),('22','comment','recent','seven','1','0','dashboard_inactive','0','0','','','1'),('23','node','syndicate','seven','0','0','-1','0','0','','','-1'),('24','shortcut','shortcuts','seven','0','0','-1','0','0','','','-1'),('25','system','powered-by','seven','0','10','-1','0','0','','','-1'),('26','system','navigation','seven','0','0','-1','0','0','','','-1'),('27','system','management','seven','0','0','-1','0','0','','','-1'),('28','system','user-menu','seven','0','0','-1','0','0','','','-1'),('29','system','main-menu','seven','0','0','-1','0','0','','','-1'),('30','user','online','seven','1','0','dashboard_inactive','0','0','','','-1');
INSERT INTO `block` VALUES ('31','comment','recent','touchpro','0','-7','-1','0','0','','','1'),('32','node','recent','touchpro','0','-6','-1','0','0','','','1'),('33','node','syndicate','touchpro','0','-3','-1','0','0','','','-1'),('34','search','form','touchpro','1','-14','sidebar_second','0','0','','','-1'),('35','shortcut','shortcuts','touchpro','0','-5','-1','0','0','','','-1'),('36','system','help','touchpro','1','0','help','0','0','','','-1'),('37','system','main','touchpro','1','0','content','0','0','','','-1'),('38','system','main-menu','touchpro','0','-14','-1','0','0','','','-1'),('39','system','management','touchpro','0','-13','-1','0','0','','','-1'),('40','system','navigation','touchpro','0','-11','-1','0','0','','','-1'),('41','system','powered-by','touchpro','0','-9','-1','0','0','','','-1'),('42','system','user-menu','touchpro','0','0','-1','0','0','','','-1'),('43','user','login','touchpro','0','-1','-1','0','0','','','-1'),('44','user','new','touchpro','0','3','-1','0','0','','','1'),('45','user','online','touchpro','0','4','-1','0','0','','','-1'),('46','menu','devel','bartik','0','0','-1','0','0','','','-1'),('47','devel','execute_php','bartik','0','0','-1','0','0','','','-1'),('48','devel','switch_user','bartik','0','0','-1','0','0','','','-1'),('49','menu','devel','seven','0','0','-1','0','0','','','-1'),('50','devel','execute_php','seven','0','0','-1','0','0','','','-1'),('51','devel','switch_user','seven','0','0','-1','0','0','','','-1'),('52','menu','devel','touchpro','0','-16','-1','0','0','','','-1'),('53','devel','execute_php','touchpro','0','-15','-1','0','0','','','-1'),('54','devel','switch_user','touchpro','0','-4','-1','0','0','','','-1'),('55','blog','recent','bartik','0','0','-1','0','0','','','1'),('56','blog','recent','seven','1','0','dashboard_inactive','0','0','','','1'),('57','blog','recent','touchpro','0','-8','-1','0','0','','','1'),('58','poll','recent','bartik','0','0','-1','0','0','','','1'),('59','poll','recent','seven','1','0','dashboard_inactive','0','0','','','1'),('60','poll','recent','touchpro','0','-12','-1','0','0','','','1');
INSERT INTO `block` VALUES ('61','views','popular-block','touchpro','1','-15','sidebar_second','0','0','','','-1'),('62','views','popular-block_1','touchpro','0','2','-1','0','0','','','-1'),('63','views','popular-block','bartik','0','0','-1','0','0','','','-1'),('64','views','popular-block_1','bartik','0','0','-1','0','0','','','-1'),('65','views','popular-block','seven','0','0','-1','0','0','','','-1'),('66','views','popular-block_1','seven','0','0','-1','0','0','','','-1'),('67','block','1','bartik','0','0','-1','0','0','','','-1'),('68','block','1','seven','0','0','-1','0','0','','','-1'),('69','block','1','touchpro','1','-12','sidebar_second','0','0','','','-1'),('70','statistics','popular','touchpro','0','-10','-1','0','0','','','-1'),('71','block','2','bartik','0','0','-1','0','1','<front>','','-1'),('72','block','2','seven','0','0','-1','0','1','<front>','','-1'),('73','block','2','touchpro','1','-16','sidebar_second','0','1','<front>','','-1'),('74','statistics','popular','bartik','0','0','-1','0','0','','','-1'),('75','statistics','popular','seven','0','0','-1','0','0','','','-1'),('79','block','4','bartik','0','0','-1','0','0','','Twitter Live Feed','-1'),('80','block','4','seven','0','0','-1','0','0','','Twitter Live Feed','-1'),('81','block','4','touchpro','1','-13','sidebar_second','0','0','','Twitter Live Feed','-1'),('82','block','5','bartik','0','0','-1','0','0','','Websites we really like','-1'),('83','block','5','seven','0','0','-1','0','0','','Websites we really like','-1'),('84','block','5','touchpro','1','-15','footer','0','0','','Websites we really like','-1'),('85','block','6','bartik','0','0','-1','0','0','','Connect with us','-1'),('86','block','6','seven','0','0','-1','0','0','','Connect with us','-1'),('87','block','6','touchpro','1','-14','footer','0','0','','Connect with us','-1'),('88','block','7','bartik','0','0','-1','0','0','','Information','-1'),('89','block','7','seven','0','0','-1','0','0','','Information','-1'),('90','block','7','touchpro','1','-13','footer','0','0','','Information','-1'),('91','views','categories-block','touchpro','1','-16','footer','0','0','','','-1');
INSERT INTO `block` VALUES ('92','block','8','bartik','0','0','-1','0','1','<front>','Featured Tutorials','-1'),('93','block','8','seven','0','0','-1','0','1','<front>','Featured Tutorials','-1'),('94','block','8','touchpro','1','0','featured','0','1','<front>','Featured Tutorials','-1'),('95','views','categories-block','bartik','0','0','-1','0','0','','','-1'),('96','views','categories-block','seven','0','0','-1','0','0','','','-1'),('97','block','9','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('98','block','9','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('99','block','9','touchpro','1','0','preblocks','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('100','block','10','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('101','block','10','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('102','block','10','touchpro','1','0','postblocks','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('103','block','11','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('104','block','11','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('105','block','11','touchpro','1','0','postblocks','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('106','block','12','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('107','block','12','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('108','block','12','touchpro','1','0','postblocks','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('109','block','13','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('110','block','13','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('111','block','13','touchpro','1','0','sidebar_first','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('112','block','14','bartik','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('113','block','14','seven','0','0','-1','0','1','taxonomy/term/1','Lorem Ipsum','-1'),('114','block','14','touchpro','1','0','preblocks','0','1','taxonomy/term/1','Lorem Ipsum','-1');
DROP TABLE IF EXISTS `block_custom`;
CREATE TABLE `block_custom` (   `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',   `body` longtext COMMENT 'Block contents.',   `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',   `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',   PRIMARY KEY (`bid`),   UNIQUE KEY `info` (`info`) ) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.' AUTO_INCREMENT=15;
INSERT INTO `block_custom` VALUES ('1','<h4>Write for us and get paid!</h4>\r\n\r\nIf you''re interested in writing a tutorial, check out the writing guidelines for more info. We accept written articles as well as screencasts. We pay competitive money for competitive content!\r\n\r\n','write for us','full_html'),('2','<img src="/sites/default/files/touchpro/dummy-ad.jpg" alt="Dummy Ad" />','dummy ad','full_html'),('4','<?php\r\n// Get tweets via twitter pull module for more info see http://drupal.org/project/twitter_pull\r\n?>\r\n<?php if (function_exists(''twitter_pull_render'')) { print twitter_pull_render(''@sooperthemes'', null, 5, ''twitter_pull_spartan_listing''); } ?>','Twitter Pull','php_code'),('5','<ul>\r\n  <li><a href="http://www.sooperthemes.com/">SooperThemes Drupal Themes</a></li>\r\n  <li><a href="http://www.sooperthemes.com/arctica">Arctica base theme</a></li>\r\n  <li><a href="http://drupal.org/">Powered by Drupal</a></li>\r\n  <li><a href="http://www.smashingmagazine.com/">Smashing Magazine</a></li>\r\n</ul>','Websites we really like','filtered_html'),('6','<ul>\r\n  <li><a href="https://twitter.com/#!/sooperthemes">Follow us on Twitter</a></li>\r\n  <li><a href="https://www.facebook.com/sooperthemes">Follow us on Facebook</a></li>\r\n  <li><a href="/touchpro/rss.xml/">TouchPro Magazine RSS</a></li>\r\n  <li><a href="/touchpro/contact">Contact us</a></li>\r\n</ul>','Connect with us','filtered_html'),('7','<ul>\r\n  <li><a href="#">About Us</a></li>\r\n  <li><a href="#">Become a TouchPro author</a></li>\r\n  <li><a href="#">Publishing Policy</a></li>\r\n  <li><a href="#">Advertise with us</a></li>\r\n</ul>','Information','filtered_html'),('8','<ul class="slide">\r\n  <li>\r\n    <img src="sites/default/files/touchpro/wall-e-2.jpg">\r\n    <p class="caption">\r\n      This slideshow is flexible in both width and height #responsivedesign\r\n    </p>\r\n  </li>\r\n  <li>\r\n    <img src="sites/default/files/touchpro/wall-e-3.jpg">\r\n    <p class="caption">\r\n      You can totally customize the transitions and other behaviors of the slideshow\r\n    </p>\r\n  </li>\r\n  <li>\r\n    <img src="sites/default/files/touchpro/wall-e-1.jpg">\r\n    <p class="caption">\r\n      It''s based on the popular jQuery cycle script and includes custom easing\r\n    </p>\r\n  </li>\r\n  <li>\r\n    <img src="sites/default/files/touchpro/wall-e-4.jpg">\r\n    <p class="caption">\r\n      And all essential settings are available in the theme configurator\r\n    </p>\r\n  </li>\r\n</ul>\r\n','TouchPro Slider','full_html');
INSERT INTO `block_custom` VALUES ('9','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros.','Lorem Ipsum 1','filtered_html'),('10','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros.','Lorem Ipsum 3','filtered_html'),('11','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros.','Lorem Ipsum 4','filtered_html'),('12','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros.','Lorem Ipsum 5','filtered_html');
INSERT INTO `block_custom` VALUES ('13','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros. Vivamus eu quam quis ligula volutpat pellentesque a ut tortor. Aenean eu magna sed dui tempus pharetra nec et ligula. Morbi diam sapien, scelerisque eu ullamcorper pretium, malesuada a diam. Sed pellentesque mauris id purus pretium condimentum.\r\n\r\nProin et lacus aliquet libero vestibulum tempus at ac est. Mauris et ullamcorper justo. Morbi lacus lorem, lobortis nec aliquam et, rhoncus ut quam. Maecenas aliquet tristique libero, non rutrum est accumsan id. Suspendisse urna nibh, luctus vel vestibulum ut, feugiat ut nunc. Donec gravida ullamcorper congue. Sed sodales magna lacus. Curabitur interdum est quis sapien malesuada convallis. Suspendisse a turpis turpis.\r\n\r\nNam imperdiet orci eget lacus ultricies quis suscipit urna faucibus. Nulla magna risus, tempus quis mollis eu, varius quis neque. Curabitur a lectus libero. Integer bibendum accumsan tincidunt. Quisque volutpat interdum dignissim. Aliquam tincidunt tincidunt est vitae sollicitudin. Ut blandit dapibus lectus, et interdum erat sollicitudin eu.\r\n\r\nAliquam lobortis faucibus mi, eget facilisis nibh rutrum a. Quisque elit eros, placerat ut laoreet venenatis, facilisis et dui. Ut pellentesque auctor consectetur. Nam est lorem, rutrum sit amet vestibulum vel, tincidunt sit amet enim. Integer quis risus dapibus metus luctus tincidunt. Suspendisse vel nibh nunc, ut varius urna. Sed imperdiet aliquam dui, vulputate blandit metus pulvinar ac. Donec ornare, dui ac rutrum ultrices, libero erat porttitor nunc, vel aliquet velit sem id neque. Nullam purus erat, euismod porttitor sagittis pellentesque, hendrerit sit amet nulla. Ut lobortis ornare purus quis molestie. In justo ante, feugiat eget luctus ac, ultricies ut purus.','Lorem Ipsum 6','filtered_html');
INSERT INTO `block_custom` VALUES ('14','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec aliquet eros et ligula ornare vel semper felis pulvinar. Morbi feugiat, urna quis dapibus cursus, neque felis ultrices quam, ut convallis sem nulla nec ante. Nulla facilisi. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In convallis enim ut mauris aliquam mattis. Aenean accumsan purus eu augue semper bibendum. Proin tincidunt, purus id euismod euismod, nisi est ornare metus, nec imperdiet diam mi at eros.','Lorem Ipsum 2','filtered_html');
DROP TABLE IF EXISTS `block_node_type`;
CREATE TABLE `block_node_type` (   `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',   `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',   `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',   PRIMARY KEY (`module`,`delta`,`type`),   KEY `type` (`type`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
DROP TABLE IF EXISTS `block_role`;
CREATE TABLE `block_role` (   `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',   `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',   `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',   PRIMARY KEY (`module`,`delta`,`rid`),   KEY `rid` (`rid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
DROP TABLE IF EXISTS `blocked_ips`;
CREATE TABLE `blocked_ips` (   `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',   `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',   PRIMARY KEY (`iid`),   KEY `blocked_ip` (`ip`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `cache`;
CREATE TABLE `cache` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
DROP TABLE IF EXISTS `cache_block`;
CREATE TABLE `cache_block` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
DROP TABLE IF EXISTS `cache_bootstrap`;
CREATE TABLE `cache_bootstrap` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
DROP TABLE IF EXISTS `cache_field`;
CREATE TABLE `cache_field` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
DROP TABLE IF EXISTS `cache_filter`;
CREATE TABLE `cache_filter` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
DROP TABLE IF EXISTS `cache_form`;
CREATE TABLE `cache_form` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
DROP TABLE IF EXISTS `cache_image`;
CREATE TABLE `cache_image` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
DROP TABLE IF EXISTS `cache_menu`;
CREATE TABLE `cache_menu` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
DROP TABLE IF EXISTS `cache_page`;
CREATE TABLE `cache_page` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
DROP TABLE IF EXISTS `cache_path`;
CREATE TABLE `cache_path` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
DROP TABLE IF EXISTS `cache_pulled_tweets`;
CREATE TABLE `cache_pulled_tweets` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the tweets pulled by Twitter Pull module';
DROP TABLE IF EXISTS `cache_update`;
CREATE TABLE `cache_update` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
DROP TABLE IF EXISTS `cache_views`;
CREATE TABLE `cache_views` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
DROP TABLE IF EXISTS `cache_views_data`;
CREATE TABLE `cache_views_data` (   `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',   `data` longblob COMMENT 'A collection of data to cache.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',   `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',   PRIMARY KEY (`cid`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
DROP TABLE IF EXISTS `comment`;
CREATE TABLE `comment` (   `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',   `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',   `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',   `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',   `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',   `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',   `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',   `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',   `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',   `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',   `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',   `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',   PRIMARY KEY (`cid`),   KEY `comment_status_pid` (`pid`,`status`),   KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),   KEY `comment_uid` (`uid`),   KEY `comment_nid_language` (`nid`,`language`),   KEY `comment_created` (`created`) ) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.' AUTO_INCREMENT=40;
INSERT INTO `comment` VALUES ('20','0','22','1','Jumentum Paratus Turpis','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('21','0','23','0','Jus Lucidus Nisl Qui','192.168.56.101','1323092116','1323092116','1','01/','devel generate','devel_generate@example.com','','und'),('22','0','24','0','Ludus Nunc Qui','192.168.56.101','1323092116','1323092116','1','01/','devel generate','devel_generate@example.com','','und'),('23','0','24','0','Scisco Vulputate','192.168.56.101','1323092116','1323092116','1','02/','devel generate','devel_generate@example.com','','und'),('24','0','25','1','Augue Qui','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('25','0','26','1','Autem Ibidem','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('26','0','26','0','Virtus Wisi','192.168.56.101','1323092116','1323092116','1','02/','devel generate','devel_generate@example.com','','und'),('27','0','26','1','Si Vindico','192.168.56.101','1323092116','1323092116','1','03/','admin','devel_generate@example.com','','und'),('28','26','26','0','Ad Iustum Roto','192.168.56.101','1323092116','1323092116','1','02.00/','devel generate','devel_generate@example.com','','und'),('29','0','27','1','Abbas Esse Nimis','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('30','0','27','1','Commoveo Hos','192.168.56.101','1323092116','1323092116','1','02/','admin','devel_generate@example.com','','und'),('31','0','28','1','Sino Velit','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('32','0','29','1','Ille Loquor Melior Tation','192.168.56.101','1323092116','1323092116','1','01/','admin','devel_generate@example.com','','und'),('33','0','21','1','Lorem ipsum dolor sit amet','192.168.56.101','1323881226','1323881226','1','01/','admin','','','und'),('34','33','21','1','Sed commodo fringilla purus,','192.168.56.101','1323881244','1323881244','1','01.00/','admin','','','und');
INSERT INTO `comment` VALUES ('35','0','21','1','Mauris luctus mi erat.','192.168.56.101','1323881257','1323881257','1','02/','admin','','','und'),('36','0','20','1','Sed commodo fringilla purus,','192.168.56.101','1323881618','1323881618','1','01/','admin','','','und'),('37','0','20','1','Cum sociis natoque penatibus','192.168.56.101','1323881624','1323881623','1','02/','admin','','','und'),('38','0','20','1','Lorem ipsum dolor sit amet,','192.168.56.101','1323881632','1323881632','1','03/','admin','','','und'),('39','0','20','1','Phasellus placerat sem quam.','192.168.56.101','1323881642','1323881642','1','04/','admin','','','und');
DROP TABLE IF EXISTS `contact`;
CREATE TABLE `contact` (   `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',   `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',   `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',   `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',   `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',   PRIMARY KEY (`cid`),   UNIQUE KEY `category` (`category`),   KEY `list` (`weight`,`category`) ) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.' AUTO_INCREMENT=2;
INSERT INTO `contact` VALUES ('1','Website feedback','info@sooperthemes.com','','0','1');
DROP TABLE IF EXISTS `ctools_css_cache`;
CREATE TABLE `ctools_css_cache` (   `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',   `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',   `css` longtext COMMENT 'CSS being stored.',   `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',   PRIMARY KEY (`cid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
DROP TABLE IF EXISTS `ctools_object_cache`;
CREATE TABLE `ctools_object_cache` (   `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',   `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',   `obj` varchar(32) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',   `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',   `data` longtext COMMENT 'Serialized data being stored.',   PRIMARY KEY (`sid`,`obj`,`name`),   KEY `updated` (`updated`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
DROP TABLE IF EXISTS `date_format_locale`;
CREATE TABLE `date_format_locale` (   `format` varchar(100) NOT NULL COMMENT 'The date format string.',   `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',   `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',   PRIMARY KEY (`type`,`language`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
DROP TABLE IF EXISTS `date_format_type`;
CREATE TABLE `date_format_type` (   `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',   `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',   `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',   PRIMARY KEY (`type`),   KEY `title` (`title`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
INSERT INTO `date_format_type` VALUES ('long','Long','1'),('medium','Medium','1'),('short','Short','1');
DROP TABLE IF EXISTS `date_formats`;
CREATE TABLE `date_formats` (   `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',   `format` varchar(100) NOT NULL COMMENT 'The date format string.',   `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',   `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',   PRIMARY KEY (`dfid`),   UNIQUE KEY `formats` (`format`,`type`) ) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.' AUTO_INCREMENT=36;
INSERT INTO `date_formats` VALUES ('1','Y-m-d H:i','short','1'),('2','m/d/Y - H:i','short','1'),('3','d/m/Y - H:i','short','1'),('4','Y/m/d - H:i','short','1'),('5','d.m.Y - H:i','short','1'),('6','m/d/Y - g:ia','short','1'),('7','d/m/Y - g:ia','short','1'),('8','Y/m/d - g:ia','short','1'),('9','M j Y - H:i','short','1'),('10','j M Y - H:i','short','1'),('11','Y M j - H:i','short','1'),('12','M j Y - g:ia','short','1'),('13','j M Y - g:ia','short','1'),('14','Y M j - g:ia','short','1'),('15','D, Y-m-d H:i','medium','1'),('16','D, m/d/Y - H:i','medium','1'),('17','D, d/m/Y - H:i','medium','1'),('18','D, Y/m/d - H:i','medium','1'),('19','F j, Y - H:i','medium','1'),('20','j F, Y - H:i','medium','1'),('21','Y, F j - H:i','medium','1'),('22','D, m/d/Y - g:ia','medium','1'),('23','D, d/m/Y - g:ia','medium','1'),('24','D, Y/m/d - g:ia','medium','1'),('25','F j, Y - g:ia','medium','1'),('26','j F Y - g:ia','medium','1'),('27','Y, F j - g:ia','medium','1'),('28','j. F Y - G:i','medium','1'),('29','l, F j, Y - H:i','long','1'),('30','l, j F, Y - H:i','long','1');
INSERT INTO `date_formats` VALUES ('31','l, Y,  F j - H:i','long','1'),('32','l, F j, Y - g:ia','long','1'),('33','l, j F Y - g:ia','long','1'),('34','l, Y,  F j - g:ia','long','1'),('35','l, j. F Y - G:i','long','1');
DROP TABLE IF EXISTS `field_config`;
CREATE TABLE `field_config` (   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',   `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',   `type` varchar(128) NOT NULL COMMENT 'The type of this field.',   `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',   `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',   `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',   `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',   `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',   `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',   `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',   `cardinality` tinyint(4) NOT NULL DEFAULT '0',   `translatable` tinyint(4) NOT NULL DEFAULT '0',   `deleted` tinyint(4) NOT NULL DEFAULT '0',   PRIMARY KEY (`id`),   KEY `field_name` (`field_name`),   KEY `active` (`active`),   KEY `storage_active` (`storage_active`),   KEY `deleted` (`deleted`),   KEY `module` (`module`),   KEY `storage_module` (`storage_module`),   KEY `type` (`type`),   KEY `storage_type` (`storage_type`) ) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 AUTO_INCREMENT=6;
INSERT INTO `field_config` VALUES ('1','comment_body','text_long','text','1','field_sql_storage','field_sql_storage','1','0','a:6:{s:12:"entity_types";a:1:{i:0;s:7:"comment";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}','1','0','0'),('2','body','text_with_summary','text','1','field_sql_storage','field_sql_storage','1','0','a:6:{s:12:"entity_types";a:1:{i:0;s:4:"node";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}','1','0','0'),('4','field_image','image','image','1','field_sql_storage','field_sql_storage','1','0','a:7:{s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:22:"field_data_field_image";a:5:{s:3:"fid";s:15:"field_image_fid";s:3:"alt";s:15:"field_image_alt";s:5:"title";s:17:"field_image_title";s:5:"width";s:17:"field_image_width";s:6:"height";s:18:"field_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:26:"field_revision_field_image";a:5:{s:3:"fid";s:15:"field_image_fid";s:3:"alt";s:15:"field_image_alt";s:5:"title";s:17:"field_image_title";s:5:"width";s:17:"field_image_width";s:6:"height";s:18:"field_image_height";}}}}}s:12:"entity_types";a:0:{}s:12:"translatable";s:1:"0";s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:2:"id";s:1:"4";}','1','0','0');
INSERT INTO `field_config` VALUES ('5','field_category','taxonomy_term_reference','taxonomy','1','field_sql_storage','field_sql_storage','1','0','a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:8:"category";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:25:"field_data_field_category";a:1:{s:3:"tid";s:18:"field_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:29:"field_revision_field_category";a:1:{s:3:"tid";s:18:"field_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:1:"5";}','-1','0','0');
DROP TABLE IF EXISTS `field_config_instance`;
CREATE TABLE `field_config_instance` (   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',   `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',   `field_name` varchar(32) NOT NULL DEFAULT '',   `entity_type` varchar(32) NOT NULL DEFAULT '',   `bundle` varchar(128) NOT NULL DEFAULT '',   `data` longblob NOT NULL,   `deleted` tinyint(4) NOT NULL DEFAULT '0',   PRIMARY KEY (`id`),   KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),   KEY `deleted` (`deleted`) ) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 AUTO_INCREMENT=14;
INSERT INTO `field_config_instance` VALUES ('1','1','comment_body','comment','comment_node_page','a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}','0'),('2','2','body','node','page','a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";i:-4;s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";b:0;s:11:"description";s:0:"";}','0'),('3','1','comment_body','comment','comment_node_article','a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}','0'),('4','2','body','node','article','a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:1:"1";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";b:0;s:11:"description";s:0:"";}','0');
INSERT INTO `field_config_instance` VALUES ('6','4','field_image','node','article','a:6:{s:5:"label";s:5:"Image";s:11:"description";s:40:"Upload an image to go with this article.";s:8:"required";b:0;s:8:"settings";a:8:{s:14:"file_directory";s:11:"field/image";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:11:"title_field";s:0:"";s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:11:"image_image";s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}s:6:"weight";s:1:"4";s:6:"module";s:5:"image";}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:5:"large";s:10:"image_link";s:0:"";}s:6:"weight";i:-1;s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:7:"content";}s:6:"module";s:5:"image";}}}','0'),('7','1','comment_body','comment','comment_node_blog','a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}','0'),('8','2','body','node','blog','a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:2:"-4";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:11:"trim_length";s:4:"1200";}s:6:"module";s:4:"text";}}s:8:"required";b:0;s:11:"description";s:0:"";}','0');
INSERT INTO `field_config_instance` VALUES ('9','4','field_image','node','blog','a:6:{s:5:"label";s:12:"Teaser image";s:6:"widget";a:5:{s:6:"weight";s:2:"-2";s:4:"type";s:11:"image_image";s:6:"module";s:5:"image";s:6:"active";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:6:"medium";}}s:8:"settings";a:8:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:7:"198x198";s:14:"min_resolution";s:7:"198x198";s:9:"alt_field";i:1;s:11:"title_field";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"1";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}','0'),('12','1','comment_body','comment','comment_node_poll','a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}','0'),('13','5','field_category','node','article','a:7:{s:5:"label";s:8:"Category";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:28:"taxonomy_term_reference_link";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";s:6:"weight";i:11;}s:6:"teaser";a:5:{s:5:"label";s:5:"above";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}','0');
DROP TABLE IF EXISTS `field_data_body`;
CREATE TABLE `field_data_body` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `body_value` longtext,   `body_summary` longtext,   `body_format` varchar(255) DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `body_format` (`body_format`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
INSERT INTO `field_data_body` VALUES ('node','article','0','16','16','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','17','17','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','20','20','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html');
INSERT INTO `field_data_body` VALUES ('node','article','0','21','21','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','22','22','und','0','Abigo bene brevitas eligo jugis jumentum torqueo velit vulputate. At eum probo. Acsi diam interdico nunc patria praemitto. Defui eum exputo incassum obruo premo rusticus.\r\n\r\nBlandit cui lucidus magna nulla usitas. Appellatio duis gilvus ille minim nobis vero zelus. Abbas abdo brevitas gravis odio. Dolore nostrud valde vicis. Diam gemino ideo importunus singularis tego ut. Ludus nostrud venio.\r\n\r\nAbluo dolus fere jumentum obruo volutpat. Nobis ratis torqueo. Aliquip bene brevitas eligo molior olim vicis. Metuo tamen validus voco wisi ymo. Damnum ibidem inhibeo jugis laoreet quia quis sudo. Ad duis hos illum praesent singularis suscipere usitas validus venio.\r\n\r\nConventio eros nimis ulciscor. Aliquip cui esse ratis tamen virtus. Causa consequat paratus persto qui saluto. Abigo aptent defui praemitto tum vero. Abdo abigo caecus diam nibh pecus si tego valde voco. Abdo lenis uxor. Acsi esca gravis magna populus saepius secundum.\r\n\r\nCamur consectetuer defui refero ullamcorper. Abico consectetuer dignissim haero iusto nisl qui sit. Caecus enim ille importunus magna nunc persto vel. Eum nobis uxor. Meus nimis ut. Duis ea hendrerit iusto meus nunc pala persto saepius utrum. Appellatio consectetuer dolor enim illum meus plaga probo saluto. Euismod odio saepius vereor verto virtus ymo.\r\n\r\nAdipiscing capto damnum dolus sit torqueo. Accumsan blandit ex proprius quadrum quibus saepius. Aptent autem facilisi refero. Accumsan caecus dolore jus meus minim proprius.\r\n\r\nAutem eum pertineo proprius. Abluo dignissim os praesent premo sed turpis vicis. Aliquip bene capto enim interdico laoreet quia ullamcorper validus.\r\n\r\nEsse gilvus ibidem melior quadrum quidem quis ratis vulpes. Acsi quis tincidunt. Comis exerci iusto metuo meus populus quibus refoveo torqueo velit.\r\n\r\n','','full_html');
INSERT INTO `field_data_body` VALUES ('node','article','0','23','23','und','0','Huic rusticus saluto. Abigo cogo eros esca mauris quidne ut. Accumsan ratis secundum. Et minim patria typicus volutpat.\n\nAliquam at commodo diam ibidem inhibeo ludus molior nunc pertineo. Decet iriure jugis ludus odio singularis torqueo ulciscor veniam vindico.\n\nAppellatio commoveo inhibeo letalis pagus proprius quadrum ratis ymo. Minim praesent tego ulciscor vicis wisi. Illum jumentum te ullamcorper. Damnum genitus illum laoreet ludus qui suscipit. Blandit gemino obruo pagus. Caecus odio vero ymo. Appellatio commodo genitus ille luptatum utrum uxor. Macto mos nobis nutus pecus quidem ratis te valde vel.\n\nDefui enim genitus vereor. Abigo adipiscing dolor iriure neo os probo singularis. Enim ibidem incassum luptatum molior mos os sagaciter si.\n\nAppellatio damnum illum singularis. Dolore fere ibidem in quae refoveo usitas utinam vulpes. Autem diam humo jus pneum. Bene feugiat inhibeo sagaciter. Blandit capto eligo praemitto roto rusticus singularis tincidunt. Cogo eu exputo lobortis lucidus neque refero sudo. Conventio defui esca esse importunus melior olim roto tation torqueo. Nobis obruo secundum valde.\n\n',null,'filtered_html'),('node','article','0','24','24','und','0','Duis eu letalis paratus vicis ymo. Amet cui eligo elit importunus letalis refero singularis suscipere. Aliquip capto comis dignissim iusto laoreet lobortis nostrud paratus vero. Ad consequat enim exputo meus nobis scisco. Caecus esca et facilisi ille iusto paratus typicus uxor. Exerci importunus letalis lobortis mos. Abico ad duis euismod laoreet luptatum paratus premo suscipit tego.\r\n\r\nAutem illum nisl odio quae uxor velit voco. Decet distineo luptatum persto saluto suscipit. Acsi jus occuro odio patria ulciscor vindico. Brevitas dignissim feugiat lucidus molior paulatim quadrum ratis virtus. Comis elit jus occuro populus quibus refoveo sino uxor virtus. Dolor facilisis gilvus lobortis minim persto similis venio. Gravis mauris pecus pertineo praesent qui ratis ullamcorper voco.\r\n\r\nAliquip quidne tation. Ad causa plaga quae wisi. Dolus elit suscipit. Blandit brevitas damnum feugiat imputo luctus utinam vero volutpat. Commoveo lucidus luptatum magna nibh quibus sed si. Nibh obruo refoveo sagaciter sit veniam. Humo ideo os. Adipiscing autem diam duis exerci iaceo sed suscipere. Aliquip iustum meus. At capto euismod loquor probo rusticus secundum tation ulciscor virtus. Ex fere quidem.\r\n\r\nAccumsan decet facilisis gilvus similis utinam vicis. Aliquam distineo enim lucidus olim pneum sed uxor voco vulpes. Eum praesent sagaciter. Nimis nisl occuro quidne saepius sed veniam vicis. Gilvus interdico luptatum modo nostrud nunc valetudo ymo. Camur consectetuer iriure populus premo. Abbas comis conventio damnum euismod feugiat immitto ludus torqueo velit.\r\n\r\nGenitus gravis sed. Humo lenis lucidus nobis probo quidne refoveo veniam virtus. Blandit odio wisi. Ea exerci neo si vulpes. Neque nostrud suscipere. Minim neque nobis praemitto qui utinam. Abico erat eum nostrud obruo persto saluto ulciscor veniam vulpes. Duis molior similis singularis vindico. Appellatio brevitas capto duis laoreet lenis lucidus paulatim tum. Abigo dolor ideo nibh pertineo ut.\r\n\r\nIbidem jumentum loquor quidne ulciscor ut. Abluo cogo laoreet magna sudo ymo.\r\n\r\n','','full_html');
INSERT INTO `field_data_body` VALUES ('node','article','0','25','25','und','0','Aliquip dolor illum iustum jugis occuro sagaciter vel zelus. Abbas aliquam duis magna meus neo torqueo. Abigo esse et illum neo quidem sagaciter sudo tum. Abico et exputo fere ideo meus occuro sit tation valde. At eligo erat exputo iaceo lobortis nibh quae sit. Diam feugiat nimis olim ymo. Antehabeo capto defui feugiat humo natu nutus similis torqueo vereor. Eligo lobortis occuro vulpes.\n\nAbluo euismod exerci vereor. Metuo quis tum. Jus macto melior pala. Abico dolus macto nobis proprius secundum.\n\nAbluo exputo inhibeo metuo quae qui validus. Consectetuer eligo ideo nulla odio suscipit tation vel velit. Cui incassum premo valde. Abbas conventio dignissim ex exputo ibidem immitto in. Commoveo dolus elit nutus vulputate. At ea enim iustum natu pala quidem turpis validus volutpat. Meus qui velit. Elit pala pneum premo tamen ulciscor vulputate. Brevitas exputo vel. Occuro praesent probo quidem quis refoveo te usitas utrum.\n\nElit luctus macto mauris sagaciter turpis usitas venio vicis. Capto mauris nulla roto sed virtus. Eu genitus pecus refero vero. Genitus gravis lenis quia ratis utrum. Abico accumsan adipiscing euismod fere natu tego. Dolore ibidem iustum olim pala sudo suscipere tincidunt ymo. Accumsan commodo diam eligo premo quibus verto voco.\n\nAntehabeo duis nobis oppeto paulatim pecus saepius. Abbas abluo amet comis defui hendrerit meus populus quia ut. Abdo caecus facilisi fere mos. Abdo lobortis modo tamen. Meus nutus saepius. Eligo ex fere genitus pagus praesent te.\n\nAliquam capto humo luctus minim neo persto usitas velit. Esse euismod mauris metuo premo.\n\nDecet erat et facilisi metuo modo nunc olim tation valetudo. Blandit brevitas comis ea elit ille inhibeo persto premo. Caecus facilisis luptatum. Adipiscing augue euismod paulatim pecus pneum utinam verto vicis. Distineo nobis praemitto torqueo ut vicis. Facilisis iustum jumentum lucidus pecus refero te vero. Acsi ad adipiscing facilisi gravis iusto luctus premo similis vel. Magna nimis occuro odio.\n\n',null,'php_code');
INSERT INTO `field_data_body` VALUES ('node','article','0','26','26','und','0','Decet nimis si singularis sudo suscipere tum ullamcorper. Acsi populus qui singularis sino tincidunt ullamcorper ut. Adipiscing ille melior verto. Adipiscing brevitas commodo nulla sudo. Camur comis mauris paulatim qui singularis sino. Antehabeo capto eligo esse importunus metuo nimis nobis quis. Conventio distineo ex lobortis te virtus voco. Abluo consequat dignissim gemino rusticus sed tincidunt.\n\nBlandit commodo ibidem incassum metuo nulla roto ut uxor. Euismod ex exputo ibidem plaga saepius tincidunt valetudo vereor. Abluo aliquip decet dolore letalis ludus melior roto torqueo vulpes. Defui gemino nutus. Autem decet esse letalis loquor obruo plaga si torqueo vulpes. Cogo letalis roto vel. Bene fere paulatim praesent probo veniam.\n\nAugue euismod gemino nulla oppeto plaga quidem refoveo roto zelus.\n\nAbbas commoveo eligo haero olim oppeto patria praesent singularis sit. Acsi duis euismod exputo macto neo nunc secundum ut virtus. Capto feugiat ibidem pneum saluto wisi. Abbas immitto meus ratis rusticus tamen typicus ullamcorper.\n\nAbdo comis consectetuer cui decet et lobortis veniam vulputate. Elit eum jugis nisl paratus ullamcorper. Dolus ex lobortis neque persto refero ut. Cogo incassum lucidus magna. Abigo bene brevitas dolus refoveo secundum sed. Appellatio commodo consequat dolus eligo ex ideo iusto tego. Conventio iaceo importunus iustum letalis pertineo quae refoveo utinam.\n\n',null,'full_html'),('node','article','0','27','27','und','0','Adipiscing comis elit et quibus voco. Capto loquor metuo. Duis lenis melior.\n\nAliquip commodo consequat diam eu saluto similis sudo zelus. Abbas abluo comis lucidus. Appellatio esca ludus wisi. Blandit gilvus mos nisl volutpat. Abluo amet caecus euismod exputo imputo nunc probo ulciscor. Abbas damnum odio oppeto persto premo uxor vel veniam.\n\nIlle os singularis. Abigo amet comis elit eros lobortis singularis velit. Bene comis distineo iaceo macto os quidne refero te vulputate. Acsi appellatio laoreet refero. Interdico letalis lobortis molior natu scisco. Distineo eu fere modo nimis occuro pagus quia suscipit validus.\n\nAbdo brevitas esse in minim pagus paratus pneum. Abbas abluo consectetuer diam hos nunc oppeto quidem tum ulciscor. Duis exerci gemino quidne. Dolore humo neo praesent quibus quidne. Cogo commodo iustum nunc pecus quia sed sudo vulpes.\n\n',null,'full_html');
INSERT INTO `field_data_body` VALUES ('node','article','0','28','28','und','0','Acsi iusto vulputate. At augue inhibeo lenis pala populus quia roto vel vereor.\r\n\r\nAccumsan esse jus. Comis dolor imputo macto nibh nimis pecus tamen. Caecus eros interdico rusticus sit typicus. Comis damnum eu incassum lobortis melior nunc premo roto velit.\r\n\r\nCogo huic importunus jus modo nibh pecus vel ymo. Ad blandit consequat dolore pala sed usitas vicis. Camur capto nibh nisl pagus vindico. Cogo esse huic iaceo illum luctus pecus premo. Camur hendrerit laoreet rusticus. Dolore lucidus te utinam.\r\n\r\n','','plain_text'),('node','article','0','29','29','und','0','<h2>Test Heading 2</h2>\r\n<h3>Test Heading 3</h3>\r\n<h4>Test Heading 4</h4>\r\n<h5>Test Heading 5</h5>\r\n<h6>Test Heading 6</h6>\r\n\r\n<h3>Example Lists</h3>\r\n<ol>\r\n<li>Here is an example</li>\r\n<li>of an ordered list</li>							\r\n</ol>	\r\n  \r\n<ul>					\r\n<li>Here is an example</li>\r\n<li>of an unordered list</li>							\r\n</ul>				\r\n\r\n<h3>Blockquote Normal</h3>			\r\n<blockquote>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy \r\nnibh euismod tincidunt ut laoreet dolore magna aliquam erat....</blockquote>\r\n\r\n<h3>Blockquote Drupal HTML Filter (with p tag inserted)</h3>			\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy \r\nnibh euismod tincidunt ut laoreet dolore magna aliquam erat....</p></blockquote>\r\n\r\n\r\n\r\n<h3>Image and text</h3>\r\n<p>\r\n<a href="http://www.linotype.com/2048/neuehelveticapro.html"><img src="http://www.toddroeth.com/class/images/33.jpg" width="420" height="649" alt="Helvetica Neue - Made in Switzerland"  class="float-left" /></a>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec libero. Suspendisse bibendum. \r\n<img src="/sites/default/files/content-images/umbrella.jpg" width="110" height="110" alt="Flying Hair"  class="float-left" />Cras id urna. Morbi tincidunt, orci ac convallis aliquam, lectus turpis varius lorem, eu \r\nposuere nunc justo tempus leo. Donec mattis, purus nec placerat bibendum, dui pede condimentum \r\nodio, ac blandit ante orci ut diam. Cras fringilla magna. Phasellus suscipit, leo a pharetra \r\ncondimentum, lorem tellus eleifend magna, eget fringilla velit magna id neque. Curabitur vel urna. \r\nIn tristique orci porttitor ipsum. Aliquam ornare diam iaculis nibh.  								\r\n</p>','','full_html');
DROP TABLE IF EXISTS `field_data_comment_body`;
CREATE TABLE `field_data_comment_body` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `comment_body_value` longtext,   `comment_body_format` varchar(255) DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `comment_body_format` (`comment_body_format`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','20','20','und','0','Ad blandit lucidus pecus quia. Dolore mauris obruo olim pneum. Camur capto duis euismod lobortis neo nisl occuro sino zelus. Antehabeo commodo consectetuer eu gemino lenis persto venio. Iaceo mauris turpis. Ad comis meus vulputate.\n\nAccumsan ex facilisis lenis ludus luptatum rusticus utrum vulpes. Autem consequat iaceo qui. Eu facilisis iusto lucidus meus probo ratis utrum vero wisi. Ad causa dolus esca gemino inhibeo nutus praesent roto ullamcorper.\n\nAliquip amet caecus ex immitto magna os populus vereor vindico. Camur cui macto molior nisl quia quibus. Bene exputo in lucidus nunc si vindico.\n\nAbluo diam letalis lucidus paulatim persto pneum. Abdo ex suscipit vicis. Autem brevitas comis populus suscipit vereor vero. Dignissim hendrerit mauris olim quibus sino tamen tation. Gravis magna tego voco. Ex quidem turpis virtus voco. Abico quis sit. Eligo euismod haero valetudo. Defui gravis hendrerit ratis suscipit turpis ulciscor utinam. Blandit lenis quadrum tum usitas wisi.\n\nAliquip amet dolor duis ideo nibh occuro secundum. Abbas exerci imputo iriure vulpes. Capto eligo immitto virtus. Adipiscing at defui erat venio. Abico duis huic illum interdico sino vindico.\n\nAbigo dignissim eros paulatim qui utrum validus. Jus nobis plaga sed te turpis vindico ymo zelus. Abluo comis dolor erat esca gravis nobis velit. Abdo ad nimis sino vindico. Damnum facilisi iustum pertineo rusticus saepius suscipere. Feugiat hos mos premo velit wisi ymo. Abico importunus magna odio praemitto quidne tation tincidunt validus. Et laoreet lenis letalis oppeto patria pneum singularis typicus.\n\nAcsi augue suscipere suscipit torqueo. Ideo mauris patria. Abico ad aliquip luctus luptatum neque premo sino vulpes.\n\nCausa dolore eros iustum luptatum utinam utrum uxor. Abico appellatio gravis mauris populus praesent vero virtus vulpes. Abigo acsi augue camur melior plaga praemitto vel volutpat. Defui gilvus paulatim pertineo ut ymo. Genitus mauris modo quadrum typicus.\n\n','plain_text');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','21','21','und','0','Defui duis gilvus. Brevitas fere gravis suscipere vero vicis. Euismod facilisis obruo veniam. Abico luctus occuro plaga. Brevitas eum minim nunc pala pecus rusticus valde venio vereor.\n\nAd defui distineo ex interdico lenis vereor vicis. Consectetuer consequat cui immitto nunc olim quae usitas valde. At elit immitto venio.\n\nAbico aliquam laoreet nostrud sit sudo vicis vulpes. Autem capto elit eros genitus gravis letalis. Abico antehabeo commoveo nisl nobis probo ratis tincidunt veniam zelus.\n\nAbdo abico augue inhibeo iusto. Acsi aliquam esca genitus occuro paratus pecus scisco vereor volutpat. Autem diam exerci huic. Os pala paulatim valde. Abluo proprius quae refoveo velit. Commodo gilvus sagaciter similis. Abigo ex exputo facilisis modo pecus qui ulciscor. Ea interdico odio quidem saluto similis. Augue huic odio persto quae quis refoveo saluto ullamcorper vicis.\n\nFacilisis ibidem interdico mauris sit sudo suscipit tamen. Aliquip commodo gilvus incassum vero. Conventio haero ludus patria persto typicus.\n\n','plain_text'),('comment','comment_node_article','0','22','22','und','0','Ad et haero neque pertineo vero verto. Commoveo et exputo nimis secundum. Autem gemino sed veniam. Feugiat interdico iustum nunc vindico ymo. Capto commoveo eu illum laoreet odio pecus premo sino. Comis commodo metuo saluto venio. Defui luptatum sed. Ex populus quadrum. Acsi esca fere quidem ullamcorper. Appellatio feugiat letalis nimis quidem sed uxor vicis.\n\nAbbas exerci paratus. Acsi commoveo damnum ea odio rusticus. Amet iriure lobortis neque. Dolor eligo jumentum macto refero valde. Decet eu iustum probo vindico. Blandit euismod exputo nimis wisi. Ex ille illum metuo obruo populus sagaciter typicus. Enim et neque nunc quae rusticus saluto utinam vicis.\n\nEsse inhibeo nostrud os tego virtus wisi. Aliquip eros esse facilisi illum interdico nibh ut. Aliquip at quibus quidem sit usitas. Acsi amet blandit enim exputo iusto pala si. Dolore esca facilisi ille quidne singularis.\n\nIdeo ille molior nunc pecus probo secundum verto zelus. Brevitas diam eligo elit lenis mos natu olim. Autem capto ille loquor paulatim praesent proprius. Defui elit euismod inhibeo jus minim premo.\n\n','full_html');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','23','23','und','0','Brevitas eum refoveo si. Proprius si turpis. Dolus in macto singularis sudo tamen. Commodo consequat fere iaceo iusto laoreet neo ratis vicis virtus. Distineo in sit tum. Distineo lenis metuo nimis nulla persto pneum. Adipiscing luctus persto vicis. Abbas facilisi inhibeo laoreet ludus molior ratis suscipere utinam valetudo. Brevitas caecus diam gilvus ideo in ludus si sino ullamcorper.\n\nAbbas amet eum iaceo pagus ut vindico. Ideo illum in pertineo sit tamen vel.\n\nAccumsan causa et ille magna refero singularis tincidunt. Aliquam haero nibh nostrud quibus similis. Adipiscing antehabeo pagus. Abdo aliquam exputo minim mos venio. Abbas abico aptent caecus velit volutpat vulpes. Eros praesent similis. Acsi cogo ex haero immitto si ut volutpat. Appellatio esca eu hos meus natu tincidunt. Ad causa si suscipit venio. Bene dolor illum nunc paulatim populus quadrum vel vereor.\n\nDistineo neque odio quadrum. Illum oppeto paulatim te. Defui hendrerit loquor nimis odio os vicis. Brevitas defui dignissim distineo duis enim jugis populus premo refero. Bene modo nobis nunc premo quidne secundum sed voco. Causa esca humo luptatum macto nimis odio sed suscipit tamen. Adipiscing cogo genitus importunus mos odio olim tamen.\n\nFacilisis persto roto. Esca luptatum neque. Caecus importunus quae. Ea eum interdico ludus metuo nimis pagus praesent te vulputate. Gemino melior metuo. Aliquam diam exerci quia saluto vicis. Abbas damnum facilisis illum obruo plaga praemitto quidem tation volutpat.\n\nAbluo adipiscing facilisi iriure loquor neo sed. Diam eum macto usitas vel ymo. Luctus nunc pagus persto vicis.\n\nExerci lucidus singularis vulputate. Aptent blandit commodo minim neque os suscipere valde. Ad gemino huic laoreet nibh pertineo pneum vicis.\n\nEligo iaceo velit. Caecus haero lucidus luptatum natu pagus pertineo sino. Caecus camur hos nunc pala quidne torqueo valetudo volutpat. Conventio defui nunc rusticus vindico. Abico esse lucidus nunc tamen. Augue capto cui dolore iusto iustum neo quia. Abigo lenis validus. Abbas ex haero jus nimis rusticus.\n\nCogo euismod exerci genitus humo interdico nimis persto vicis. Olim quia refero rusticus singularis utrum virtus vulputate. Eros gilvus natu tamen utrum velit. Comis cui euismod facilisi humo ibidem inhibeo nunc. Mos nulla tum. Commoveo jumentum laoreet uxor volutpat. Damnum dignissim neque venio. Consequat quibus singularis tincidunt. Causa conventio in nutus suscipit tamen typicus usitas utinam. Ex jugis quibus zelus.\n\n','php_code');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','24','24','und','0','Dolore erat facilisi illum interdico praemitto quis refero tincidunt. Aptent cogo gilvus hos ille macto mauris sudo. Antehabeo molior persto proprius quadrum. Comis consectetuer eu hos probo. Importunus plaga suscipere ullamcorper. Gilvus ideo inhibeo occuro refoveo vulputate.\n\nAppellatio eu loquor pagus pala ulciscor valde. Accumsan dolus interdico nobis occuro oppeto pertineo saepius virtus. Aliquip haero iriure minim plaga quibus quidne saluto usitas volutpat. Facilisi gilvus in jumentum meus sagaciter scisco sino valetudo ymo. At commoveo gemino lobortis persto. Abbas abluo metuo paratus singularis ymo zelus. Accumsan augue illum sino. Dolus ea inhibeo nisl qui ratis suscipit te vulpes.\n\nGravis natu singularis. Abbas ille metuo mos pala proprius quidem refero secundum sudo. Abdo erat facilisi iaceo refero saepius.\n\nDamnum loquor quae vel voco. Illum paratus te tincidunt. Defui hendrerit importunus. Conventio dolus ea iusto oppeto populus saluto.\n\nEum genitus magna secundum ymo. Camur conventio eum feugiat ille os si tincidunt. Distineo ea eu iaceo populus quadrum sudo. Antehabeo at capto illum paratus. Antehabeo appellatio dolus eligo gravis imputo obruo refoveo. Accumsan defui hendrerit huic iaceo in quadrum singularis tum uxor. Cogo euismod feugiat olim oppeto. Aptent diam gilvus imputo iustum.\n\nAccumsan jugis lobortis plaga validus vereor. Capto consectetuer facilisi feugiat suscipit. Conventio exputo gilvus huic lobortis quidem secundum torqueo.\n\nAugue enim jumentum macto refoveo secundum sed tamen voco wisi. Conventio ludus neo sagaciter si tation tum velit. Capto fere tamen utrum validus wisi ymo.\n\nAcsi euismod iusto veniam. Abigo nimis quidem te tum ulciscor ullamcorper utrum. Commodo distineo patria ratis si vereor. Acsi bene consectetuer esse hendrerit hos lucidus molior patria venio.\n\nAutem haero iaceo refero tincidunt validus. At defui eros gilvus ibidem quis uxor. Aptent nisl ulciscor ullamcorper. At iriure modo zelus. Gilvus hos plaga qui. Acsi bene genitus pecus proprius qui quia saluto sed sino. Aptent dignissim importunus nutus odio os pneum. Abico causa eligo neque os pneum quibus ut validus. Ad bene capto commodo meus oppeto paulatim sagaciter sudo vel.\n\n','filtered_html');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','25','25','und','0','Commodo gilvus laoreet lucidus mos odio veniam verto. Dolore mos nimis. Bene esse hos modo neque odio probo tamen usitas. Bene comis feugiat nostrud saluto similis sudo verto virtus. Plaga saluto te. Antehabeo blandit brevitas jugis loquor quae tincidunt ullamcorper usitas verto. Distineo fere incassum oppeto plaga torqueo ulciscor voco ymo.\n\nAbdo esca exerci haero ibidem nimis scisco vicis. Bene rusticus sino ut. Eros suscipit turpis valde. Aliquip commodo plaga. Aliquam facilisis gravis immitto molior olim quia secundum tum velit. Abbas augue cui dolor jugis lobortis nibh ulciscor. Amet feugiat nisl quidne. Acsi dolor turpis usitas ut vulpes. Comis eu facilisi vereor.\n\nDistineo dolor mauris quibus ratis vicis. Antehabeo brevitas lobortis neo nobis occuro oppeto paulatim scisco singularis. Abluo antehabeo augue genitus hos pertineo similis wisi.\n\nAt et ille macto nobis pecus torqueo vereor ymo. Abigo appellatio aptent bene neque pecus si similis. Appellatio exputo gravis interdico praemitto tum voco. Haero ludus si. Aptent damnum immitto minim ratis scisco ullamcorper utrum vereor. Abigo gravis ullamcorper. Aliquam dignissim premo sagaciter. Enim imputo obruo paratus. Cogo genitus interdico praesent quia verto. Euismod laoreet turpis valetudo verto.\n\nAptent consectetuer in incassum magna praemitto venio. Elit genitus nostrud praesent. Blandit luctus praemitto quadrum refero voco. Abigo adipiscing fere meus modo nimis quidem uxor. Autem molior neo vulputate. Bene eligo esca exputo molior premo quidne ratis valetudo venio.\n\nEsse ibidem mos. Ad dignissim dolore iustum wisi. Et illum paulatim quia sudo ullamcorper valetudo validus volutpat. Sagaciter sed te zelus. Antehabeo quibus valde. Abico caecus capto loquor nisl nostrud quidne suscipit. Appellatio bene ille meus pagus.\n\n','plain_text'),('comment','comment_node_article','0','26','26','und','0','Decet huic iaceo. Eros iaceo oppeto quis virtus. Adipiscing iaceo importunus letalis luptatum occuro odio proprius volutpat. Eros gilvus magna neque tincidunt. Blandit eligo esca et facilisi immitto secundum validus veniam. Nulla quadrum rusticus. Eum exputo letalis nulla quis vel. Abbas camur eu importunus ludus nibh probo. Abico causa eum facilisi illum melior turpis voco. Antehabeo defui meus modo saepius ullamcorper valetudo.\n\nConsectetuer ex genitus lobortis modo occuro si ulciscor. Ad dolore ludus modo odio ratis roto rusticus voco zelus. Amet decet eros natu. Hendrerit modo nostrud pertineo quadrum torqueo. Amet distineo dolor genitus neque. Inhibeo occuro quae vicis. Abigo augue inhibeo jumentum nobis odio refoveo saepius sagaciter vulpes. Decet gemino jumentum letalis praesent probo quidne utrum voco. Adipiscing consectetuer qui tamen utinam wisi.\n\nAt duis erat euismod pertineo. Consectetuer conventio distineo suscipit. Abbas ad damnum facilisis nibh pneum probo sudo.\n\n','filtered_html');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','27','27','und','0','Eu genitus vulputate. Augue diam enim fere loquor nisl pagus pala pneum quia.\n\nPaulatim velit vulputate. Cui facilisi luptatum olim saepius utinam. Feugiat ibidem melior neque nostrud nunc volutpat.\n\nEum humo mos nutus oppeto sagaciter venio. Causa ea genitus huic loquor melior quidne ratis valde. Decet sit vulputate. Dolor enim nimis praesent quis tum ut.\n\nAcsi adipiscing facilisis iustum mos neque quidem te uxor venio. Bene eros esse exerci nutus saepius tego.\n\nDignissim incassum sagaciter ymo. At commoveo meus obruo quibus sino. Abigo aliquam gemino interdico mauris tego velit. Iustum loquor qui sudo velit. Brevitas dignissim exerci gilvus melior metuo quadrum quis ullamcorper uxor. Amet erat esca pecus probo sit zelus.\n\nAt et loquor melior modo paratus quae ratis virtus vulpes. Enim eum natu praesent tum. Antehabeo duis meus plaga typicus vel. Eu feugiat illum iustum modo usitas velit wisi. Abdo consectetuer defui eros iusto jus molior oppeto patria quia. Iaceo imputo meus pecus saepius secundum similis sudo utrum.\n\nHendrerit lenis quibus tamen ullamcorper virtus. Adipiscing damnum fere gravis laoreet os patria tincidunt. Haero inhibeo letalis lobortis macto obruo olim qui verto ymo. Commodo defui in iustum singularis typicus valetudo vel.\n\nCapto magna quidne. Abbas consectetuer decet eros metuo nulla suscipit torqueo validus veniam. Cogo euismod ex exerci importunus letalis neque qui utinam velit.\n\nIn natu tamen uxor. Ille paulatim populus probo vulputate. Abdo blandit comis esca exputo ille modo pagus secundum tamen. Fere jumentum magna nulla nutus. Aliquip ea exerci jugis oppeto populus sudo venio vulpes. Camur iaceo importunus iusto nutus pneum.\n\nAbbas accumsan damnum diam hendrerit ibidem paulatim sit sudo. Esse persto refoveo vicis. Abluo autem blandit exputo nutus secundum wisi. Bene cogo humo immitto jugis metuo minim nisl pagus populus. Autem brevitas decet distineo ille os refoveo.\n\nEligo eros gravis mauris. Ille quis zelus. Commoveo humo paratus wisi. Elit exerci feugiat iaceo minim nutus quadrum voco. Diam dolus feugiat paulatim scisco. Abico cui dignissim iriure molior pala pecus probo secundum. Abico distineo hos mauris neo quae qui singularis tum vel. Iaceo importunus interdico nulla nutus pneum ullamcorper. Exerci ibidem lobortis natu neque quis suscipit.\n\nEligo fere letalis modo pala plaga quidne tamen tego valetudo. Adipiscing lucidus nimis quibus vulputate. Consequat defui distineo esca exputo nisl nunc patria zelus. Abdo abico aliquip aptent gilvus iusto occuro. Aptent populus quis similis ulciscor venio.\n\n','plain_text');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','28','28','und','0','Adipiscing at hendrerit scisco suscipit usitas vindico. Feugiat meus pala. Conventio facilisi iusto sed ulciscor vel wisi. Dolore iriure nobis utinam. Decet defui ideo incassum jugis persto saluto ut. Caecus jumentum melior nostrud nutus vindico. Adipiscing aliquam camur loquor minim sit te velit. Abdo ad decet elit inhibeo oppeto saluto suscipere.\n\nCaecus ea quae verto. Imputo oppeto utinam volutpat. Amet bene imputo. Commoveo diam haero quidne suscipit vel virtus. Abluo facilisis nunc. Causa duis ea hos ibidem iusto os saepius turpis. Ad consequat dolore eum exerci facilisis meus tamen uxor.\n\nEa interdico modo sagaciter. Dignissim esse hendrerit hos immitto typicus. Autem comis tincidunt. Abdo ad appellatio eu loquor luptatum occuro ulciscor verto. Abigo damnum ea eum in macto mos neque occuro pneum.\n\nAbdo abluo magna. Blandit feugiat iustum luptatum melior nobis ratis saluto sed ulciscor. Blandit plaga sed tamen. Ille jus macto neo typicus ymo. Gilvus inhibeo vereor.\n\nDistineo facilisi nutus pneum quae validus. Amet at camur nostrud nutus valetudo. Aptent iustum luctus nulla premo sudo suscipit ut utinam vulputate.\n\nBene dolus gravis macto vel. Cui feugiat iaceo immitto in luptatum nutus proprius quidne utrum. Consectetuer esca illum iriure veniam wisi zelus. Adipiscing comis dignissim ille nulla olim utinam vel. Consequat huic jus metuo nunc paulatim persto si ulciscor. Humo quae ratis refero tego usitas.\n\nDiam dolus plaga singularis. Eros facilisis genitus nutus quis tego. Camur ibidem luctus praesent qui refero saluto.\n\nComis jus metuo neque os persto ut. Meus os premo. Cogo esca nulla odio suscipere utinam vicis zelus. Acsi caecus camur et nibh pecus quadrum tum. Hos meus probo suscipere vereor vicis. Damnum eros magna pagus plaga singularis sino. Autem comis consectetuer exerci nisl scisco similis validus volutpat.\n\nEligo facilisi facilisis illum meus molior neque premo usitas ymo. Autem conventio jus ut. Capto esca facilisi nibh nunc quadrum sino. Ad facilisis gemino inhibeo iustum lenis plaga quae refero. Esse hos incassum. Eu exputo genitus. Antehabeo enim obruo oppeto tation. Autem distineo hendrerit luptatum roto saepius si virtus.\n\n','full_html');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','29','29','und','0','Defui dolus importunus meus scisco. Bene dolus facilisis macto nisl nobis plaga qui. Adipiscing aptent facilisi fere ille mos usitas. Euismod nimis sino. Abluo amet luctus tego. Dignissim enim feugiat nisl nobis plaga si suscipit ut volutpat. Camur gravis jumentum lucidus tincidunt. Appellatio decet macto nutus oppeto rusticus sagaciter. Aliquam cui esca esse ex iriure iustum luptatum.\n\nDignissim feugiat huic illum iriure persto quae vero verto vulpes. Commodo defui imputo mauris oppeto paratus torqueo vicis. Appellatio brevitas feugiat immitto interdico scisco similis torqueo uxor. Facilisi neque saepius te. Accumsan fere iaceo imputo nisl ullamcorper vicis. Abdo esca ibidem lenis luctus.\n\nCausa neque nunc. Abbas acsi adipiscing in iustum magna minim molior plaga ut. Commodo erat hendrerit hos pneum sit.\n\nEa humo jugis praemitto quidne. Adipiscing brevitas dolus ea ideo magna ratis sed tego tincidunt. Causa genitus huic ille neque nimis pagus pertineo tum vindico. Esca eum facilisi nunc valde zelus. Aliquam eros premo quidem. Abluo facilisis nisl oppeto pagus rusticus vel verto. Facilisis imputo interdico. At consectetuer loquor suscipit. Aptent eros gemino praesent. Accumsan aliquam facilisi ille ratis sudo utrum vicis.\n\nAt autem comis illum inhibeo nimis paulatim quibus. Capto letalis roto rusticus vindico. Consectetuer dolor eligo enim facilisi iustum nobis scisco si validus. Capto eu inhibeo nimis olim oppeto persto probo venio vero.\n\nAbigo antehabeo autem minim nobis tum turpis. Acsi augue distineo gemino hendrerit immitto paulatim praesent.\n\nCamur cui facilisis paratus praesent quae vicis vindico. Ad esca esse typicus ut. Enim facilisis macto tum ullamcorper virtus zelus. Blandit rusticus veniam zelus. Ille luctus mauris pagus suscipere. Abluo blandit consectetuer iriure nisl populus sed sit ullamcorper voco.\n\nFere haero huic ille os quidem. Euismod iustum magna patria. Abigo damnum illum inhibeo metuo natu neo pecus plaga vulpes. Gilvus jus premo valde. Acsi caecus gilvus oppeto singularis tincidunt. Et exerci interdico obruo. Appellatio oppeto paratus vulpes. In paulatim populus ullamcorper. Antehabeo caecus fere neque nisl obruo premo si turpis. Augue luptatum neo nutus scisco vulpes.\n\nErat facilisis humo lucidus roto singularis sino turpis. Esse meus nibh pertineo quia veniam virtus. Dolore immitto os refoveo tamen virtus. At comis diam in interdico secundum vel vero.\n\nAcsi comis luctus valetudo. Autem comis conventio hos si suscipit. Dolore ideo verto.\n\nAntehabeo cogo persto refoveo tum. Augue immitto interdico letalis melior quidem ratis typicus uxor vulpes. Luptatum pecus pneum veniam. Appellatio esca ideo importunus obruo odio. Caecus meus patria. Aptent at humo jumentum scisco similis typicus ulciscor ullamcorper usitas. Causa dolus iusto meus similis ullamcorper. Abbas abdo antehabeo duis gemino illum iriure minim sino.\n\n','php_code');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','30','30','und','0','Eros hendrerit illum lucidus magna neque ulciscor vulputate. Accumsan aptent at comis facilisis meus obruo suscipit. Blandit enim obruo pneum sudo utinam. Adipiscing amet aptent bene esse facilisi haero patria turpis utinam. Appellatio incassum laoreet neque refero rusticus scisco verto. Nutus pala sed sino. Aptent esse eum incassum interdico lucidus metuo nibh saepius sagaciter.\n\nAdipiscing iustum quis valetudo. Abbas facilisi neque quidem scisco. Abdo odio si usitas. Dolor ideo interdico ludus praemitto saepius utinam velit. Aliquip conventio enim ideo iriure pertineo turpis usitas.\n\nAbluo amet autem erat eu mos nibh praesent usitas. Eum jugis neque odio probo tego.\n\nFeugiat nimis plaga validus venio vindico. Cogo haero incassum laoreet suscipere vulpes. Autem erat imputo velit vulputate. Distineo iaceo jumentum oppeto zelus. Consequat in molior oppeto.\n\nAliquam commodo gemino. Ideo nulla paulatim quia uxor ymo. Defui ex illum incassum letalis luctus quis te torqueo venio. Dolore esca genitus jus minim neo pertineo pneum sed. Augue capto esca inhibeo populus probo turpis. Accumsan lucidus luctus olim refero tation tum. Abigo damnum eum jugis odio oppeto praesent.\n\nAccumsan blandit humo ille macto melior natu refero similis ullamcorper. Haero jus obruo patria veniam. Erat luctus proprius secundum typicus. Ea interdico iusto iustum nimis nostrud odio pneum suscipere. Eros luctus paratus patria pertineo premo probo turpis valde.\n\nHos iustum loquor molior torqueo valetudo virtus. Commoveo gemino luctus nunc secundum singularis turpis. Accumsan iustum nutus oppeto pecus praemitto quidem refero saluto. Defui vindico ymo. Abluo acsi cui decet hos lobortis persto. Esca in sudo valde vero vicis. Acsi immitto letalis molior pecus pertineo probo ut.\n\nOppeto te usitas. Consectetuer quis vel. Genitus patria populus. Blandit jumentum nulla pecus proprius te valetudo volutpat. Abigo consequat gravis iaceo nobis sit. Consectetuer eligo lenis letalis minim os saluto veniam vindico. Caecus enim pala. Accumsan causa iriure minim probo singularis suscipit valde venio verto.\n\nAptent brevitas caecus consequat duis elit eum lobortis molior nulla. Abluo ille nostrud praemitto quia quis typicus. Abbas abico diam distineo fere illum jugis. Bene causa ea facilisis mauris paratus qui ratis tamen vindico. Diam exerci genitus jugis loquor pertineo plaga si.\n\nAt lobortis odio. Aliquip antehabeo appellatio commoveo imputo lenis metuo nimis refoveo veniam. Amet incassum lenis plaga pneum similis. Abico appellatio ea hendrerit natu pneum refoveo sagaciter vulputate.\n\nAdipiscing causa dolus valde. Abico accumsan camur iriure jumentum nunc os paratus vel voco. Abigo facilisi iaceo nunc quia quidem saepius saluto verto vindico.\n\nCogo damnum imputo in secundum sit typicus volutpat. Accumsan eum neque populus utinam. Facilisi iusto lenis persto refoveo tincidunt validus volutpat. Exputo gilvus immitto inhibeo loquor neo sagaciter vulputate. Bene diam nobis pecus si ulciscor. Accumsan caecus ibidem illum occuro pala pecus probo sed turpis. Caecus diam ea enim illum lenis rusticus validus virtus. Accumsan facilisi huic iusto quidne sino tation tego.\n\n','plain_text');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','31','31','und','0','Amet at decet genitus interdico luctus magna odio suscipit. Abdo autem esse eu facilisis iusto valetudo volutpat vulpes. Abico bene caecus conventio melior patria qui quia veniam ymo. Aliquip jumentum jus veniam. Appellatio defui humo magna tum. Dolor illum populus saluto sudo. Augue jugis quis. Aptent bene facilisi gemino huic nobis obruo pecus vulputate ymo.\n\nHuic interdico valetudo. Caecus camur exputo mauris neo quae quis virtus. Appellatio commoveo feugiat iriure neo nostrud sed. Aliquip amet causa commodo consequat diam facilisis letalis paulatim.\n\nCausa haero modo neo pecus. Abbas esse facilisi mauris nostrud pertineo. Abdo augue camur elit exerci letalis luctus sudo validus voco. Iriure jumentum letalis lobortis melior nimis suscipere tego. Abbas antehabeo eligo et interdico pertineo similis sit velit vulputate. At ludus nobis. Immitto importunus quis validus.\n\nAutem ea nimis praesent quae similis sudo vindico. Eros jugis quidem vereor. Blandit hendrerit nimis nisl praesent quia suscipere vel. Accumsan dolor minim nimis nulla quidem. Haero mos occuro plaga praemitto suscipere ullamcorper valetudo. Abigo cui interdico lobortis luctus secundum sed suscipit valde virtus.\n\n','full_html'),('comment','comment_node_article','0','32','32','und','0','Genitus pneum vindico zelus. Consequat decet dolus modo nulla tation. Genitus iusto mauris neque patria pneum ullamcorper.\n\nAccumsan commoveo nimis secundum. Elit ideo ille immitto macto rusticus sit tamen volutpat. Diam erat vereor. Abluo esse mos paratus valde valetudo. Cogo exerci gemino letalis lucidus valde. Defui genitus te. Blandit brevitas comis commodo consequat eros pneum roto tincidunt torqueo. Ad adipiscing camur esse euismod paratus roto vereor. Abluo at gravis iusto luptatum quae quis suscipere validus.\n\n','filtered_html'),('comment','comment_node_article','0','33','33','und','0','nteger lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros.','filtered_html');
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article','0','34','34','und','0','Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti.','filtered_html'),('comment','comment_node_article','0','35','35','und','0',' Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','filtered_html'),('comment','comment_node_article','0','36','36','und','0',' Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti.','filtered_html'),('comment','comment_node_article','0','37','37','und','0','Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','filtered_html'),('comment','comment_node_article','0','38','38','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare.','filtered_html'),('comment','comment_node_article','0','39','39','und','0','Phasellus placerat sem quam.','filtered_html');
DROP TABLE IF EXISTS `field_data_field_category`;
CREATE TABLE `field_data_field_category` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `field_category_tid` int(10) unsigned DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `field_category_tid` (`field_category_tid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (field_category)';
INSERT INTO `field_data_field_category` VALUES ('node','article','0','16','16','und','0','19'),('node','article','0','16','16','und','1','1'),('node','article','0','17','17','und','0','15'),('node','article','0','17','17','und','1','16'),('node','article','0','17','17','und','2','17'),('node','article','0','17','17','und','3','18'),('node','article','0','20','20','und','0','3'),('node','article','0','20','20','und','1','13'),('node','article','0','20','20','und','2','14'),('node','article','0','21','21','und','0','5'),('node','article','0','21','21','und','1','2'),('node','article','0','22','22','und','0','3'),('node','article','0','23','23','und','0','3'),('node','article','0','23','23','und','1','16'),('node','article','0','23','23','und','2','14'),('node','article','0','24','24','und','0','3'),('node','article','0','24','24','und','1','19'),('node','article','0','24','24','und','2','14'),('node','article','0','25','25','und','0','14'),('node','article','0','25','25','und','1','3'),('node','article','0','25','25','und','2','14'),('node','article','0','25','25','und','3','14'),('node','article','0','26','26','und','0','14'),('node','article','0','26','26','und','1','14'),('node','article','0','27','27','und','0','14'),('node','article','0','28','28','und','0','14'),('node','article','0','28','28','und','1','19'),('node','article','0','28','28','und','2','3'),('node','article','0','29','29','und','0','14');
DROP TABLE IF EXISTS `field_data_field_image`;
CREATE TABLE `field_data_field_image` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',   `field_image_alt` varchar(128) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',   `field_image_title` varchar(128) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',   `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',   `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',   PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `field_image_fid` (`field_image_fid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
INSERT INTO `field_data_field_image` VALUES ('node','article','0','16','16','und','0','5','','','198','198'),('node','article','0','17','17','und','0','6','','','198','198'),('node','article','0','20','20','und','0','9','','','198','198'),('node','article','0','21','21','und','0','10','','','198','198'),('node','article','0','22','22','und','0','11','Pneum quadrum saepius tation tincidunt.','','370','508'),('node','article','0','23','23','und','0','12','Aptent eligo eros exerci pneum proprius.','Antehabeo consectetuer eros nibh olim pneum praesent quadrum usitas vulpes.','224','411'),('node','article','0','25','25','und','0','14','Brevitas capto facilisis iaceo interdico nutus olim te turpis.','Abbas dolus euismod gemino sagaciter verto.','191','312'),('node','article','0','26','26','und','0','15','Damnum nibh probo quae vulputate.','Abigo damnum esse jugis loquor occuro ratis sudo.','339','461'),('node','article','0','27','27','und','0','16','Esse macto modo tego.','At capto lobortis paulatim probo.','325','369'),('node','article','0','28','28','und','0','17','Consectetuer damnum facilisi iustum meus.','','582','299'),('node','article','0','29','29','und','0','18','Gravis minim neque nimis plaga sudo torqueo.','','551','247');
DROP TABLE IF EXISTS `field_revision_body`;
CREATE TABLE `field_revision_body` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `body_value` longtext,   `body_summary` longtext,   `body_format` varchar(255) DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `body_format` (`body_format`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
INSERT INTO `field_revision_body` VALUES ('node','article','0','16','16','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','17','17','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','20','20','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html');
INSERT INTO `field_revision_body` VALUES ('node','article','0','21','21','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare. \r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','','filtered_html'),('node','article','0','22','22','und','0','Abigo bene brevitas eligo jugis jumentum torqueo velit vulputate. At eum probo. Acsi diam interdico nunc patria praemitto. Defui eum exputo incassum obruo premo rusticus.\r\n\r\nBlandit cui lucidus magna nulla usitas. Appellatio duis gilvus ille minim nobis vero zelus. Abbas abdo brevitas gravis odio. Dolore nostrud valde vicis. Diam gemino ideo importunus singularis tego ut. Ludus nostrud venio.\r\n\r\nAbluo dolus fere jumentum obruo volutpat. Nobis ratis torqueo. Aliquip bene brevitas eligo molior olim vicis. Metuo tamen validus voco wisi ymo. Damnum ibidem inhibeo jugis laoreet quia quis sudo. Ad duis hos illum praesent singularis suscipere usitas validus venio.\r\n\r\nConventio eros nimis ulciscor. Aliquip cui esse ratis tamen virtus. Causa consequat paratus persto qui saluto. Abigo aptent defui praemitto tum vero. Abdo abigo caecus diam nibh pecus si tego valde voco. Abdo lenis uxor. Acsi esca gravis magna populus saepius secundum.\r\n\r\nCamur consectetuer defui refero ullamcorper. Abico consectetuer dignissim haero iusto nisl qui sit. Caecus enim ille importunus magna nunc persto vel. Eum nobis uxor. Meus nimis ut. Duis ea hendrerit iusto meus nunc pala persto saepius utrum. Appellatio consectetuer dolor enim illum meus plaga probo saluto. Euismod odio saepius vereor verto virtus ymo.\r\n\r\nAdipiscing capto damnum dolus sit torqueo. Accumsan blandit ex proprius quadrum quibus saepius. Aptent autem facilisi refero. Accumsan caecus dolore jus meus minim proprius.\r\n\r\nAutem eum pertineo proprius. Abluo dignissim os praesent premo sed turpis vicis. Aliquip bene capto enim interdico laoreet quia ullamcorper validus.\r\n\r\nEsse gilvus ibidem melior quadrum quidem quis ratis vulpes. Acsi quis tincidunt. Comis exerci iusto metuo meus populus quibus refoveo torqueo velit.\r\n\r\n','','full_html');
INSERT INTO `field_revision_body` VALUES ('node','article','0','23','23','und','0','Huic rusticus saluto. Abigo cogo eros esca mauris quidne ut. Accumsan ratis secundum. Et minim patria typicus volutpat.\n\nAliquam at commodo diam ibidem inhibeo ludus molior nunc pertineo. Decet iriure jugis ludus odio singularis torqueo ulciscor veniam vindico.\n\nAppellatio commoveo inhibeo letalis pagus proprius quadrum ratis ymo. Minim praesent tego ulciscor vicis wisi. Illum jumentum te ullamcorper. Damnum genitus illum laoreet ludus qui suscipit. Blandit gemino obruo pagus. Caecus odio vero ymo. Appellatio commodo genitus ille luptatum utrum uxor. Macto mos nobis nutus pecus quidem ratis te valde vel.\n\nDefui enim genitus vereor. Abigo adipiscing dolor iriure neo os probo singularis. Enim ibidem incassum luptatum molior mos os sagaciter si.\n\nAppellatio damnum illum singularis. Dolore fere ibidem in quae refoveo usitas utinam vulpes. Autem diam humo jus pneum. Bene feugiat inhibeo sagaciter. Blandit capto eligo praemitto roto rusticus singularis tincidunt. Cogo eu exputo lobortis lucidus neque refero sudo. Conventio defui esca esse importunus melior olim roto tation torqueo. Nobis obruo secundum valde.\n\n',null,'filtered_html'),('node','article','0','24','24','und','0','Duis eu letalis paratus vicis ymo. Amet cui eligo elit importunus letalis refero singularis suscipere. Aliquip capto comis dignissim iusto laoreet lobortis nostrud paratus vero. Ad consequat enim exputo meus nobis scisco. Caecus esca et facilisi ille iusto paratus typicus uxor. Exerci importunus letalis lobortis mos. Abico ad duis euismod laoreet luptatum paratus premo suscipit tego.\r\n\r\nAutem illum nisl odio quae uxor velit voco. Decet distineo luptatum persto saluto suscipit. Acsi jus occuro odio patria ulciscor vindico. Brevitas dignissim feugiat lucidus molior paulatim quadrum ratis virtus. Comis elit jus occuro populus quibus refoveo sino uxor virtus. Dolor facilisis gilvus lobortis minim persto similis venio. Gravis mauris pecus pertineo praesent qui ratis ullamcorper voco.\r\n\r\nAliquip quidne tation. Ad causa plaga quae wisi. Dolus elit suscipit. Blandit brevitas damnum feugiat imputo luctus utinam vero volutpat. Commoveo lucidus luptatum magna nibh quibus sed si. Nibh obruo refoveo sagaciter sit veniam. Humo ideo os. Adipiscing autem diam duis exerci iaceo sed suscipere. Aliquip iustum meus. At capto euismod loquor probo rusticus secundum tation ulciscor virtus. Ex fere quidem.\r\n\r\nAccumsan decet facilisis gilvus similis utinam vicis. Aliquam distineo enim lucidus olim pneum sed uxor voco vulpes. Eum praesent sagaciter. Nimis nisl occuro quidne saepius sed veniam vicis. Gilvus interdico luptatum modo nostrud nunc valetudo ymo. Camur consectetuer iriure populus premo. Abbas comis conventio damnum euismod feugiat immitto ludus torqueo velit.\r\n\r\nGenitus gravis sed. Humo lenis lucidus nobis probo quidne refoveo veniam virtus. Blandit odio wisi. Ea exerci neo si vulpes. Neque nostrud suscipere. Minim neque nobis praemitto qui utinam. Abico erat eum nostrud obruo persto saluto ulciscor veniam vulpes. Duis molior similis singularis vindico. Appellatio brevitas capto duis laoreet lenis lucidus paulatim tum. Abigo dolor ideo nibh pertineo ut.\r\n\r\nIbidem jumentum loquor quidne ulciscor ut. Abluo cogo laoreet magna sudo ymo.\r\n\r\n','','full_html');
INSERT INTO `field_revision_body` VALUES ('node','article','0','25','25','und','0','Aliquip dolor illum iustum jugis occuro sagaciter vel zelus. Abbas aliquam duis magna meus neo torqueo. Abigo esse et illum neo quidem sagaciter sudo tum. Abico et exputo fere ideo meus occuro sit tation valde. At eligo erat exputo iaceo lobortis nibh quae sit. Diam feugiat nimis olim ymo. Antehabeo capto defui feugiat humo natu nutus similis torqueo vereor. Eligo lobortis occuro vulpes.\n\nAbluo euismod exerci vereor. Metuo quis tum. Jus macto melior pala. Abico dolus macto nobis proprius secundum.\n\nAbluo exputo inhibeo metuo quae qui validus. Consectetuer eligo ideo nulla odio suscipit tation vel velit. Cui incassum premo valde. Abbas conventio dignissim ex exputo ibidem immitto in. Commoveo dolus elit nutus vulputate. At ea enim iustum natu pala quidem turpis validus volutpat. Meus qui velit. Elit pala pneum premo tamen ulciscor vulputate. Brevitas exputo vel. Occuro praesent probo quidem quis refoveo te usitas utrum.\n\nElit luctus macto mauris sagaciter turpis usitas venio vicis. Capto mauris nulla roto sed virtus. Eu genitus pecus refero vero. Genitus gravis lenis quia ratis utrum. Abico accumsan adipiscing euismod fere natu tego. Dolore ibidem iustum olim pala sudo suscipere tincidunt ymo. Accumsan commodo diam eligo premo quibus verto voco.\n\nAntehabeo duis nobis oppeto paulatim pecus saepius. Abbas abluo amet comis defui hendrerit meus populus quia ut. Abdo caecus facilisi fere mos. Abdo lobortis modo tamen. Meus nutus saepius. Eligo ex fere genitus pagus praesent te.\n\nAliquam capto humo luctus minim neo persto usitas velit. Esse euismod mauris metuo premo.\n\nDecet erat et facilisi metuo modo nunc olim tation valetudo. Blandit brevitas comis ea elit ille inhibeo persto premo. Caecus facilisis luptatum. Adipiscing augue euismod paulatim pecus pneum utinam verto vicis. Distineo nobis praemitto torqueo ut vicis. Facilisis iustum jumentum lucidus pecus refero te vero. Acsi ad adipiscing facilisi gravis iusto luctus premo similis vel. Magna nimis occuro odio.\n\n',null,'php_code');
INSERT INTO `field_revision_body` VALUES ('node','article','0','26','26','und','0','Decet nimis si singularis sudo suscipere tum ullamcorper. Acsi populus qui singularis sino tincidunt ullamcorper ut. Adipiscing ille melior verto. Adipiscing brevitas commodo nulla sudo. Camur comis mauris paulatim qui singularis sino. Antehabeo capto eligo esse importunus metuo nimis nobis quis. Conventio distineo ex lobortis te virtus voco. Abluo consequat dignissim gemino rusticus sed tincidunt.\n\nBlandit commodo ibidem incassum metuo nulla roto ut uxor. Euismod ex exputo ibidem plaga saepius tincidunt valetudo vereor. Abluo aliquip decet dolore letalis ludus melior roto torqueo vulpes. Defui gemino nutus. Autem decet esse letalis loquor obruo plaga si torqueo vulpes. Cogo letalis roto vel. Bene fere paulatim praesent probo veniam.\n\nAugue euismod gemino nulla oppeto plaga quidem refoveo roto zelus.\n\nAbbas commoveo eligo haero olim oppeto patria praesent singularis sit. Acsi duis euismod exputo macto neo nunc secundum ut virtus. Capto feugiat ibidem pneum saluto wisi. Abbas immitto meus ratis rusticus tamen typicus ullamcorper.\n\nAbdo comis consectetuer cui decet et lobortis veniam vulputate. Elit eum jugis nisl paratus ullamcorper. Dolus ex lobortis neque persto refero ut. Cogo incassum lucidus magna. Abigo bene brevitas dolus refoveo secundum sed. Appellatio commodo consequat dolus eligo ex ideo iusto tego. Conventio iaceo importunus iustum letalis pertineo quae refoveo utinam.\n\n',null,'full_html'),('node','article','0','27','27','und','0','Adipiscing comis elit et quibus voco. Capto loquor metuo. Duis lenis melior.\n\nAliquip commodo consequat diam eu saluto similis sudo zelus. Abbas abluo comis lucidus. Appellatio esca ludus wisi. Blandit gilvus mos nisl volutpat. Abluo amet caecus euismod exputo imputo nunc probo ulciscor. Abbas damnum odio oppeto persto premo uxor vel veniam.\n\nIlle os singularis. Abigo amet comis elit eros lobortis singularis velit. Bene comis distineo iaceo macto os quidne refero te vulputate. Acsi appellatio laoreet refero. Interdico letalis lobortis molior natu scisco. Distineo eu fere modo nimis occuro pagus quia suscipit validus.\n\nAbdo brevitas esse in minim pagus paratus pneum. Abbas abluo consectetuer diam hos nunc oppeto quidem tum ulciscor. Duis exerci gemino quidne. Dolore humo neo praesent quibus quidne. Cogo commodo iustum nunc pecus quia sed sudo vulpes.\n\n',null,'full_html');
INSERT INTO `field_revision_body` VALUES ('node','article','0','28','28','und','0','Acsi iusto vulputate. At augue inhibeo lenis pala populus quia roto vel vereor.\r\n\r\nAccumsan esse jus. Comis dolor imputo macto nibh nimis pecus tamen. Caecus eros interdico rusticus sit typicus. Comis damnum eu incassum lobortis melior nunc premo roto velit.\r\n\r\nCogo huic importunus jus modo nibh pecus vel ymo. Ad blandit consequat dolore pala sed usitas vicis. Camur capto nibh nisl pagus vindico. Cogo esse huic iaceo illum luctus pecus premo. Camur hendrerit laoreet rusticus. Dolore lucidus te utinam.\r\n\r\n','','plain_text'),('node','article','0','29','29','und','0','<h2>Test Heading 2</h2>\r\n<h3>Test Heading 3</h3>\r\n<h4>Test Heading 4</h4>\r\n<h5>Test Heading 5</h5>\r\n<h6>Test Heading 6</h6>\r\n\r\n<h3>Example Lists</h3>\r\n<ol>\r\n<li>Here is an example</li>\r\n<li>of an ordered list</li>							\r\n</ol>	\r\n  \r\n<ul>					\r\n<li>Here is an example</li>\r\n<li>of an unordered list</li>							\r\n</ul>				\r\n\r\n<h3>Blockquote Normal</h3>			\r\n<blockquote>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy \r\nnibh euismod tincidunt ut laoreet dolore magna aliquam erat....</blockquote>\r\n\r\n<h3>Blockquote Drupal HTML Filter (with p tag inserted)</h3>			\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy \r\nnibh euismod tincidunt ut laoreet dolore magna aliquam erat....</p></blockquote>\r\n\r\n\r\n\r\n<h3>Image and text</h3>\r\n<p>\r\n<a href="http://www.linotype.com/2048/neuehelveticapro.html"><img src="http://www.toddroeth.com/class/images/33.jpg" width="420" height="649" alt="Helvetica Neue - Made in Switzerland"  class="float-left" /></a>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec libero. Suspendisse bibendum. \r\n<img src="/sites/default/files/content-images/umbrella.jpg" width="110" height="110" alt="Flying Hair"  class="float-left" />Cras id urna. Morbi tincidunt, orci ac convallis aliquam, lectus turpis varius lorem, eu \r\nposuere nunc justo tempus leo. Donec mattis, purus nec placerat bibendum, dui pede condimentum \r\nodio, ac blandit ante orci ut diam. Cras fringilla magna. Phasellus suscipit, leo a pharetra \r\ncondimentum, lorem tellus eleifend magna, eget fringilla velit magna id neque. Curabitur vel urna. \r\nIn tristique orci porttitor ipsum. Aliquam ornare diam iaculis nibh.  								\r\n</p>','','full_html');
DROP TABLE IF EXISTS `field_revision_comment_body`;
CREATE TABLE `field_revision_comment_body` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `comment_body_value` longtext,   `comment_body_format` varchar(255) DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `comment_body_format` (`comment_body_format`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','20','20','und','0','Ad blandit lucidus pecus quia. Dolore mauris obruo olim pneum. Camur capto duis euismod lobortis neo nisl occuro sino zelus. Antehabeo commodo consectetuer eu gemino lenis persto venio. Iaceo mauris turpis. Ad comis meus vulputate.\n\nAccumsan ex facilisis lenis ludus luptatum rusticus utrum vulpes. Autem consequat iaceo qui. Eu facilisis iusto lucidus meus probo ratis utrum vero wisi. Ad causa dolus esca gemino inhibeo nutus praesent roto ullamcorper.\n\nAliquip amet caecus ex immitto magna os populus vereor vindico. Camur cui macto molior nisl quia quibus. Bene exputo in lucidus nunc si vindico.\n\nAbluo diam letalis lucidus paulatim persto pneum. Abdo ex suscipit vicis. Autem brevitas comis populus suscipit vereor vero. Dignissim hendrerit mauris olim quibus sino tamen tation. Gravis magna tego voco. Ex quidem turpis virtus voco. Abico quis sit. Eligo euismod haero valetudo. Defui gravis hendrerit ratis suscipit turpis ulciscor utinam. Blandit lenis quadrum tum usitas wisi.\n\nAliquip amet dolor duis ideo nibh occuro secundum. Abbas exerci imputo iriure vulpes. Capto eligo immitto virtus. Adipiscing at defui erat venio. Abico duis huic illum interdico sino vindico.\n\nAbigo dignissim eros paulatim qui utrum validus. Jus nobis plaga sed te turpis vindico ymo zelus. Abluo comis dolor erat esca gravis nobis velit. Abdo ad nimis sino vindico. Damnum facilisi iustum pertineo rusticus saepius suscipere. Feugiat hos mos premo velit wisi ymo. Abico importunus magna odio praemitto quidne tation tincidunt validus. Et laoreet lenis letalis oppeto patria pneum singularis typicus.\n\nAcsi augue suscipere suscipit torqueo. Ideo mauris patria. Abico ad aliquip luctus luptatum neque premo sino vulpes.\n\nCausa dolore eros iustum luptatum utinam utrum uxor. Abico appellatio gravis mauris populus praesent vero virtus vulpes. Abigo acsi augue camur melior plaga praemitto vel volutpat. Defui gilvus paulatim pertineo ut ymo. Genitus mauris modo quadrum typicus.\n\n','plain_text');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','21','21','und','0','Defui duis gilvus. Brevitas fere gravis suscipere vero vicis. Euismod facilisis obruo veniam. Abico luctus occuro plaga. Brevitas eum minim nunc pala pecus rusticus valde venio vereor.\n\nAd defui distineo ex interdico lenis vereor vicis. Consectetuer consequat cui immitto nunc olim quae usitas valde. At elit immitto venio.\n\nAbico aliquam laoreet nostrud sit sudo vicis vulpes. Autem capto elit eros genitus gravis letalis. Abico antehabeo commoveo nisl nobis probo ratis tincidunt veniam zelus.\n\nAbdo abico augue inhibeo iusto. Acsi aliquam esca genitus occuro paratus pecus scisco vereor volutpat. Autem diam exerci huic. Os pala paulatim valde. Abluo proprius quae refoveo velit. Commodo gilvus sagaciter similis. Abigo ex exputo facilisis modo pecus qui ulciscor. Ea interdico odio quidem saluto similis. Augue huic odio persto quae quis refoveo saluto ullamcorper vicis.\n\nFacilisis ibidem interdico mauris sit sudo suscipit tamen. Aliquip commodo gilvus incassum vero. Conventio haero ludus patria persto typicus.\n\n','plain_text'),('comment','comment_node_article','0','22','22','und','0','Ad et haero neque pertineo vero verto. Commoveo et exputo nimis secundum. Autem gemino sed veniam. Feugiat interdico iustum nunc vindico ymo. Capto commoveo eu illum laoreet odio pecus premo sino. Comis commodo metuo saluto venio. Defui luptatum sed. Ex populus quadrum. Acsi esca fere quidem ullamcorper. Appellatio feugiat letalis nimis quidem sed uxor vicis.\n\nAbbas exerci paratus. Acsi commoveo damnum ea odio rusticus. Amet iriure lobortis neque. Dolor eligo jumentum macto refero valde. Decet eu iustum probo vindico. Blandit euismod exputo nimis wisi. Ex ille illum metuo obruo populus sagaciter typicus. Enim et neque nunc quae rusticus saluto utinam vicis.\n\nEsse inhibeo nostrud os tego virtus wisi. Aliquip eros esse facilisi illum interdico nibh ut. Aliquip at quibus quidem sit usitas. Acsi amet blandit enim exputo iusto pala si. Dolore esca facilisi ille quidne singularis.\n\nIdeo ille molior nunc pecus probo secundum verto zelus. Brevitas diam eligo elit lenis mos natu olim. Autem capto ille loquor paulatim praesent proprius. Defui elit euismod inhibeo jus minim premo.\n\n','full_html');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','23','23','und','0','Brevitas eum refoveo si. Proprius si turpis. Dolus in macto singularis sudo tamen. Commodo consequat fere iaceo iusto laoreet neo ratis vicis virtus. Distineo in sit tum. Distineo lenis metuo nimis nulla persto pneum. Adipiscing luctus persto vicis. Abbas facilisi inhibeo laoreet ludus molior ratis suscipere utinam valetudo. Brevitas caecus diam gilvus ideo in ludus si sino ullamcorper.\n\nAbbas amet eum iaceo pagus ut vindico. Ideo illum in pertineo sit tamen vel.\n\nAccumsan causa et ille magna refero singularis tincidunt. Aliquam haero nibh nostrud quibus similis. Adipiscing antehabeo pagus. Abdo aliquam exputo minim mos venio. Abbas abico aptent caecus velit volutpat vulpes. Eros praesent similis. Acsi cogo ex haero immitto si ut volutpat. Appellatio esca eu hos meus natu tincidunt. Ad causa si suscipit venio. Bene dolor illum nunc paulatim populus quadrum vel vereor.\n\nDistineo neque odio quadrum. Illum oppeto paulatim te. Defui hendrerit loquor nimis odio os vicis. Brevitas defui dignissim distineo duis enim jugis populus premo refero. Bene modo nobis nunc premo quidne secundum sed voco. Causa esca humo luptatum macto nimis odio sed suscipit tamen. Adipiscing cogo genitus importunus mos odio olim tamen.\n\nFacilisis persto roto. Esca luptatum neque. Caecus importunus quae. Ea eum interdico ludus metuo nimis pagus praesent te vulputate. Gemino melior metuo. Aliquam diam exerci quia saluto vicis. Abbas damnum facilisis illum obruo plaga praemitto quidem tation volutpat.\n\nAbluo adipiscing facilisi iriure loquor neo sed. Diam eum macto usitas vel ymo. Luctus nunc pagus persto vicis.\n\nExerci lucidus singularis vulputate. Aptent blandit commodo minim neque os suscipere valde. Ad gemino huic laoreet nibh pertineo pneum vicis.\n\nEligo iaceo velit. Caecus haero lucidus luptatum natu pagus pertineo sino. Caecus camur hos nunc pala quidne torqueo valetudo volutpat. Conventio defui nunc rusticus vindico. Abico esse lucidus nunc tamen. Augue capto cui dolore iusto iustum neo quia. Abigo lenis validus. Abbas ex haero jus nimis rusticus.\n\nCogo euismod exerci genitus humo interdico nimis persto vicis. Olim quia refero rusticus singularis utrum virtus vulputate. Eros gilvus natu tamen utrum velit. Comis cui euismod facilisi humo ibidem inhibeo nunc. Mos nulla tum. Commoveo jumentum laoreet uxor volutpat. Damnum dignissim neque venio. Consequat quibus singularis tincidunt. Causa conventio in nutus suscipit tamen typicus usitas utinam. Ex jugis quibus zelus.\n\n','php_code');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','24','24','und','0','Dolore erat facilisi illum interdico praemitto quis refero tincidunt. Aptent cogo gilvus hos ille macto mauris sudo. Antehabeo molior persto proprius quadrum. Comis consectetuer eu hos probo. Importunus plaga suscipere ullamcorper. Gilvus ideo inhibeo occuro refoveo vulputate.\n\nAppellatio eu loquor pagus pala ulciscor valde. Accumsan dolus interdico nobis occuro oppeto pertineo saepius virtus. Aliquip haero iriure minim plaga quibus quidne saluto usitas volutpat. Facilisi gilvus in jumentum meus sagaciter scisco sino valetudo ymo. At commoveo gemino lobortis persto. Abbas abluo metuo paratus singularis ymo zelus. Accumsan augue illum sino. Dolus ea inhibeo nisl qui ratis suscipit te vulpes.\n\nGravis natu singularis. Abbas ille metuo mos pala proprius quidem refero secundum sudo. Abdo erat facilisi iaceo refero saepius.\n\nDamnum loquor quae vel voco. Illum paratus te tincidunt. Defui hendrerit importunus. Conventio dolus ea iusto oppeto populus saluto.\n\nEum genitus magna secundum ymo. Camur conventio eum feugiat ille os si tincidunt. Distineo ea eu iaceo populus quadrum sudo. Antehabeo at capto illum paratus. Antehabeo appellatio dolus eligo gravis imputo obruo refoveo. Accumsan defui hendrerit huic iaceo in quadrum singularis tum uxor. Cogo euismod feugiat olim oppeto. Aptent diam gilvus imputo iustum.\n\nAccumsan jugis lobortis plaga validus vereor. Capto consectetuer facilisi feugiat suscipit. Conventio exputo gilvus huic lobortis quidem secundum torqueo.\n\nAugue enim jumentum macto refoveo secundum sed tamen voco wisi. Conventio ludus neo sagaciter si tation tum velit. Capto fere tamen utrum validus wisi ymo.\n\nAcsi euismod iusto veniam. Abigo nimis quidem te tum ulciscor ullamcorper utrum. Commodo distineo patria ratis si vereor. Acsi bene consectetuer esse hendrerit hos lucidus molior patria venio.\n\nAutem haero iaceo refero tincidunt validus. At defui eros gilvus ibidem quis uxor. Aptent nisl ulciscor ullamcorper. At iriure modo zelus. Gilvus hos plaga qui. Acsi bene genitus pecus proprius qui quia saluto sed sino. Aptent dignissim importunus nutus odio os pneum. Abico causa eligo neque os pneum quibus ut validus. Ad bene capto commodo meus oppeto paulatim sagaciter sudo vel.\n\n','filtered_html');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','25','25','und','0','Commodo gilvus laoreet lucidus mos odio veniam verto. Dolore mos nimis. Bene esse hos modo neque odio probo tamen usitas. Bene comis feugiat nostrud saluto similis sudo verto virtus. Plaga saluto te. Antehabeo blandit brevitas jugis loquor quae tincidunt ullamcorper usitas verto. Distineo fere incassum oppeto plaga torqueo ulciscor voco ymo.\n\nAbdo esca exerci haero ibidem nimis scisco vicis. Bene rusticus sino ut. Eros suscipit turpis valde. Aliquip commodo plaga. Aliquam facilisis gravis immitto molior olim quia secundum tum velit. Abbas augue cui dolor jugis lobortis nibh ulciscor. Amet feugiat nisl quidne. Acsi dolor turpis usitas ut vulpes. Comis eu facilisi vereor.\n\nDistineo dolor mauris quibus ratis vicis. Antehabeo brevitas lobortis neo nobis occuro oppeto paulatim scisco singularis. Abluo antehabeo augue genitus hos pertineo similis wisi.\n\nAt et ille macto nobis pecus torqueo vereor ymo. Abigo appellatio aptent bene neque pecus si similis. Appellatio exputo gravis interdico praemitto tum voco. Haero ludus si. Aptent damnum immitto minim ratis scisco ullamcorper utrum vereor. Abigo gravis ullamcorper. Aliquam dignissim premo sagaciter. Enim imputo obruo paratus. Cogo genitus interdico praesent quia verto. Euismod laoreet turpis valetudo verto.\n\nAptent consectetuer in incassum magna praemitto venio. Elit genitus nostrud praesent. Blandit luctus praemitto quadrum refero voco. Abigo adipiscing fere meus modo nimis quidem uxor. Autem molior neo vulputate. Bene eligo esca exputo molior premo quidne ratis valetudo venio.\n\nEsse ibidem mos. Ad dignissim dolore iustum wisi. Et illum paulatim quia sudo ullamcorper valetudo validus volutpat. Sagaciter sed te zelus. Antehabeo quibus valde. Abico caecus capto loquor nisl nostrud quidne suscipit. Appellatio bene ille meus pagus.\n\n','plain_text'),('comment','comment_node_article','0','26','26','und','0','Decet huic iaceo. Eros iaceo oppeto quis virtus. Adipiscing iaceo importunus letalis luptatum occuro odio proprius volutpat. Eros gilvus magna neque tincidunt. Blandit eligo esca et facilisi immitto secundum validus veniam. Nulla quadrum rusticus. Eum exputo letalis nulla quis vel. Abbas camur eu importunus ludus nibh probo. Abico causa eum facilisi illum melior turpis voco. Antehabeo defui meus modo saepius ullamcorper valetudo.\n\nConsectetuer ex genitus lobortis modo occuro si ulciscor. Ad dolore ludus modo odio ratis roto rusticus voco zelus. Amet decet eros natu. Hendrerit modo nostrud pertineo quadrum torqueo. Amet distineo dolor genitus neque. Inhibeo occuro quae vicis. Abigo augue inhibeo jumentum nobis odio refoveo saepius sagaciter vulpes. Decet gemino jumentum letalis praesent probo quidne utrum voco. Adipiscing consectetuer qui tamen utinam wisi.\n\nAt duis erat euismod pertineo. Consectetuer conventio distineo suscipit. Abbas ad damnum facilisis nibh pneum probo sudo.\n\n','filtered_html');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','27','27','und','0','Eu genitus vulputate. Augue diam enim fere loquor nisl pagus pala pneum quia.\n\nPaulatim velit vulputate. Cui facilisi luptatum olim saepius utinam. Feugiat ibidem melior neque nostrud nunc volutpat.\n\nEum humo mos nutus oppeto sagaciter venio. Causa ea genitus huic loquor melior quidne ratis valde. Decet sit vulputate. Dolor enim nimis praesent quis tum ut.\n\nAcsi adipiscing facilisis iustum mos neque quidem te uxor venio. Bene eros esse exerci nutus saepius tego.\n\nDignissim incassum sagaciter ymo. At commoveo meus obruo quibus sino. Abigo aliquam gemino interdico mauris tego velit. Iustum loquor qui sudo velit. Brevitas dignissim exerci gilvus melior metuo quadrum quis ullamcorper uxor. Amet erat esca pecus probo sit zelus.\n\nAt et loquor melior modo paratus quae ratis virtus vulpes. Enim eum natu praesent tum. Antehabeo duis meus plaga typicus vel. Eu feugiat illum iustum modo usitas velit wisi. Abdo consectetuer defui eros iusto jus molior oppeto patria quia. Iaceo imputo meus pecus saepius secundum similis sudo utrum.\n\nHendrerit lenis quibus tamen ullamcorper virtus. Adipiscing damnum fere gravis laoreet os patria tincidunt. Haero inhibeo letalis lobortis macto obruo olim qui verto ymo. Commodo defui in iustum singularis typicus valetudo vel.\n\nCapto magna quidne. Abbas consectetuer decet eros metuo nulla suscipit torqueo validus veniam. Cogo euismod ex exerci importunus letalis neque qui utinam velit.\n\nIn natu tamen uxor. Ille paulatim populus probo vulputate. Abdo blandit comis esca exputo ille modo pagus secundum tamen. Fere jumentum magna nulla nutus. Aliquip ea exerci jugis oppeto populus sudo venio vulpes. Camur iaceo importunus iusto nutus pneum.\n\nAbbas accumsan damnum diam hendrerit ibidem paulatim sit sudo. Esse persto refoveo vicis. Abluo autem blandit exputo nutus secundum wisi. Bene cogo humo immitto jugis metuo minim nisl pagus populus. Autem brevitas decet distineo ille os refoveo.\n\nEligo eros gravis mauris. Ille quis zelus. Commoveo humo paratus wisi. Elit exerci feugiat iaceo minim nutus quadrum voco. Diam dolus feugiat paulatim scisco. Abico cui dignissim iriure molior pala pecus probo secundum. Abico distineo hos mauris neo quae qui singularis tum vel. Iaceo importunus interdico nulla nutus pneum ullamcorper. Exerci ibidem lobortis natu neque quis suscipit.\n\nEligo fere letalis modo pala plaga quidne tamen tego valetudo. Adipiscing lucidus nimis quibus vulputate. Consequat defui distineo esca exputo nisl nunc patria zelus. Abdo abico aliquip aptent gilvus iusto occuro. Aptent populus quis similis ulciscor venio.\n\n','plain_text');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','28','28','und','0','Adipiscing at hendrerit scisco suscipit usitas vindico. Feugiat meus pala. Conventio facilisi iusto sed ulciscor vel wisi. Dolore iriure nobis utinam. Decet defui ideo incassum jugis persto saluto ut. Caecus jumentum melior nostrud nutus vindico. Adipiscing aliquam camur loquor minim sit te velit. Abdo ad decet elit inhibeo oppeto saluto suscipere.\n\nCaecus ea quae verto. Imputo oppeto utinam volutpat. Amet bene imputo. Commoveo diam haero quidne suscipit vel virtus. Abluo facilisis nunc. Causa duis ea hos ibidem iusto os saepius turpis. Ad consequat dolore eum exerci facilisis meus tamen uxor.\n\nEa interdico modo sagaciter. Dignissim esse hendrerit hos immitto typicus. Autem comis tincidunt. Abdo ad appellatio eu loquor luptatum occuro ulciscor verto. Abigo damnum ea eum in macto mos neque occuro pneum.\n\nAbdo abluo magna. Blandit feugiat iustum luptatum melior nobis ratis saluto sed ulciscor. Blandit plaga sed tamen. Ille jus macto neo typicus ymo. Gilvus inhibeo vereor.\n\nDistineo facilisi nutus pneum quae validus. Amet at camur nostrud nutus valetudo. Aptent iustum luctus nulla premo sudo suscipit ut utinam vulputate.\n\nBene dolus gravis macto vel. Cui feugiat iaceo immitto in luptatum nutus proprius quidne utrum. Consectetuer esca illum iriure veniam wisi zelus. Adipiscing comis dignissim ille nulla olim utinam vel. Consequat huic jus metuo nunc paulatim persto si ulciscor. Humo quae ratis refero tego usitas.\n\nDiam dolus plaga singularis. Eros facilisis genitus nutus quis tego. Camur ibidem luctus praesent qui refero saluto.\n\nComis jus metuo neque os persto ut. Meus os premo. Cogo esca nulla odio suscipere utinam vicis zelus. Acsi caecus camur et nibh pecus quadrum tum. Hos meus probo suscipere vereor vicis. Damnum eros magna pagus plaga singularis sino. Autem comis consectetuer exerci nisl scisco similis validus volutpat.\n\nEligo facilisi facilisis illum meus molior neque premo usitas ymo. Autem conventio jus ut. Capto esca facilisi nibh nunc quadrum sino. Ad facilisis gemino inhibeo iustum lenis plaga quae refero. Esse hos incassum. Eu exputo genitus. Antehabeo enim obruo oppeto tation. Autem distineo hendrerit luptatum roto saepius si virtus.\n\n','full_html');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','29','29','und','0','Defui dolus importunus meus scisco. Bene dolus facilisis macto nisl nobis plaga qui. Adipiscing aptent facilisi fere ille mos usitas. Euismod nimis sino. Abluo amet luctus tego. Dignissim enim feugiat nisl nobis plaga si suscipit ut volutpat. Camur gravis jumentum lucidus tincidunt. Appellatio decet macto nutus oppeto rusticus sagaciter. Aliquam cui esca esse ex iriure iustum luptatum.\n\nDignissim feugiat huic illum iriure persto quae vero verto vulpes. Commodo defui imputo mauris oppeto paratus torqueo vicis. Appellatio brevitas feugiat immitto interdico scisco similis torqueo uxor. Facilisi neque saepius te. Accumsan fere iaceo imputo nisl ullamcorper vicis. Abdo esca ibidem lenis luctus.\n\nCausa neque nunc. Abbas acsi adipiscing in iustum magna minim molior plaga ut. Commodo erat hendrerit hos pneum sit.\n\nEa humo jugis praemitto quidne. Adipiscing brevitas dolus ea ideo magna ratis sed tego tincidunt. Causa genitus huic ille neque nimis pagus pertineo tum vindico. Esca eum facilisi nunc valde zelus. Aliquam eros premo quidem. Abluo facilisis nisl oppeto pagus rusticus vel verto. Facilisis imputo interdico. At consectetuer loquor suscipit. Aptent eros gemino praesent. Accumsan aliquam facilisi ille ratis sudo utrum vicis.\n\nAt autem comis illum inhibeo nimis paulatim quibus. Capto letalis roto rusticus vindico. Consectetuer dolor eligo enim facilisi iustum nobis scisco si validus. Capto eu inhibeo nimis olim oppeto persto probo venio vero.\n\nAbigo antehabeo autem minim nobis tum turpis. Acsi augue distineo gemino hendrerit immitto paulatim praesent.\n\nCamur cui facilisis paratus praesent quae vicis vindico. Ad esca esse typicus ut. Enim facilisis macto tum ullamcorper virtus zelus. Blandit rusticus veniam zelus. Ille luctus mauris pagus suscipere. Abluo blandit consectetuer iriure nisl populus sed sit ullamcorper voco.\n\nFere haero huic ille os quidem. Euismod iustum magna patria. Abigo damnum illum inhibeo metuo natu neo pecus plaga vulpes. Gilvus jus premo valde. Acsi caecus gilvus oppeto singularis tincidunt. Et exerci interdico obruo. Appellatio oppeto paratus vulpes. In paulatim populus ullamcorper. Antehabeo caecus fere neque nisl obruo premo si turpis. Augue luptatum neo nutus scisco vulpes.\n\nErat facilisis humo lucidus roto singularis sino turpis. Esse meus nibh pertineo quia veniam virtus. Dolore immitto os refoveo tamen virtus. At comis diam in interdico secundum vel vero.\n\nAcsi comis luctus valetudo. Autem comis conventio hos si suscipit. Dolore ideo verto.\n\nAntehabeo cogo persto refoveo tum. Augue immitto interdico letalis melior quidem ratis typicus uxor vulpes. Luptatum pecus pneum veniam. Appellatio esca ideo importunus obruo odio. Caecus meus patria. Aptent at humo jumentum scisco similis typicus ulciscor ullamcorper usitas. Causa dolus iusto meus similis ullamcorper. Abbas abdo antehabeo duis gemino illum iriure minim sino.\n\n','php_code');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','30','30','und','0','Eros hendrerit illum lucidus magna neque ulciscor vulputate. Accumsan aptent at comis facilisis meus obruo suscipit. Blandit enim obruo pneum sudo utinam. Adipiscing amet aptent bene esse facilisi haero patria turpis utinam. Appellatio incassum laoreet neque refero rusticus scisco verto. Nutus pala sed sino. Aptent esse eum incassum interdico lucidus metuo nibh saepius sagaciter.\n\nAdipiscing iustum quis valetudo. Abbas facilisi neque quidem scisco. Abdo odio si usitas. Dolor ideo interdico ludus praemitto saepius utinam velit. Aliquip conventio enim ideo iriure pertineo turpis usitas.\n\nAbluo amet autem erat eu mos nibh praesent usitas. Eum jugis neque odio probo tego.\n\nFeugiat nimis plaga validus venio vindico. Cogo haero incassum laoreet suscipere vulpes. Autem erat imputo velit vulputate. Distineo iaceo jumentum oppeto zelus. Consequat in molior oppeto.\n\nAliquam commodo gemino. Ideo nulla paulatim quia uxor ymo. Defui ex illum incassum letalis luctus quis te torqueo venio. Dolore esca genitus jus minim neo pertineo pneum sed. Augue capto esca inhibeo populus probo turpis. Accumsan lucidus luctus olim refero tation tum. Abigo damnum eum jugis odio oppeto praesent.\n\nAccumsan blandit humo ille macto melior natu refero similis ullamcorper. Haero jus obruo patria veniam. Erat luctus proprius secundum typicus. Ea interdico iusto iustum nimis nostrud odio pneum suscipere. Eros luctus paratus patria pertineo premo probo turpis valde.\n\nHos iustum loquor molior torqueo valetudo virtus. Commoveo gemino luctus nunc secundum singularis turpis. Accumsan iustum nutus oppeto pecus praemitto quidem refero saluto. Defui vindico ymo. Abluo acsi cui decet hos lobortis persto. Esca in sudo valde vero vicis. Acsi immitto letalis molior pecus pertineo probo ut.\n\nOppeto te usitas. Consectetuer quis vel. Genitus patria populus. Blandit jumentum nulla pecus proprius te valetudo volutpat. Abigo consequat gravis iaceo nobis sit. Consectetuer eligo lenis letalis minim os saluto veniam vindico. Caecus enim pala. Accumsan causa iriure minim probo singularis suscipit valde venio verto.\n\nAptent brevitas caecus consequat duis elit eum lobortis molior nulla. Abluo ille nostrud praemitto quia quis typicus. Abbas abico diam distineo fere illum jugis. Bene causa ea facilisis mauris paratus qui ratis tamen vindico. Diam exerci genitus jugis loquor pertineo plaga si.\n\nAt lobortis odio. Aliquip antehabeo appellatio commoveo imputo lenis metuo nimis refoveo veniam. Amet incassum lenis plaga pneum similis. Abico appellatio ea hendrerit natu pneum refoveo sagaciter vulputate.\n\nAdipiscing causa dolus valde. Abico accumsan camur iriure jumentum nunc os paratus vel voco. Abigo facilisi iaceo nunc quia quidem saepius saluto verto vindico.\n\nCogo damnum imputo in secundum sit typicus volutpat. Accumsan eum neque populus utinam. Facilisi iusto lenis persto refoveo tincidunt validus volutpat. Exputo gilvus immitto inhibeo loquor neo sagaciter vulputate. Bene diam nobis pecus si ulciscor. Accumsan caecus ibidem illum occuro pala pecus probo sed turpis. Caecus diam ea enim illum lenis rusticus validus virtus. Accumsan facilisi huic iusto quidne sino tation tego.\n\n','plain_text');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','31','31','und','0','Amet at decet genitus interdico luctus magna odio suscipit. Abdo autem esse eu facilisis iusto valetudo volutpat vulpes. Abico bene caecus conventio melior patria qui quia veniam ymo. Aliquip jumentum jus veniam. Appellatio defui humo magna tum. Dolor illum populus saluto sudo. Augue jugis quis. Aptent bene facilisi gemino huic nobis obruo pecus vulputate ymo.\n\nHuic interdico valetudo. Caecus camur exputo mauris neo quae quis virtus. Appellatio commoveo feugiat iriure neo nostrud sed. Aliquip amet causa commodo consequat diam facilisis letalis paulatim.\n\nCausa haero modo neo pecus. Abbas esse facilisi mauris nostrud pertineo. Abdo augue camur elit exerci letalis luctus sudo validus voco. Iriure jumentum letalis lobortis melior nimis suscipere tego. Abbas antehabeo eligo et interdico pertineo similis sit velit vulputate. At ludus nobis. Immitto importunus quis validus.\n\nAutem ea nimis praesent quae similis sudo vindico. Eros jugis quidem vereor. Blandit hendrerit nimis nisl praesent quia suscipere vel. Accumsan dolor minim nimis nulla quidem. Haero mos occuro plaga praemitto suscipere ullamcorper valetudo. Abigo cui interdico lobortis luctus secundum sed suscipit valde virtus.\n\n','full_html'),('comment','comment_node_article','0','32','32','und','0','Genitus pneum vindico zelus. Consequat decet dolus modo nulla tation. Genitus iusto mauris neque patria pneum ullamcorper.\n\nAccumsan commoveo nimis secundum. Elit ideo ille immitto macto rusticus sit tamen volutpat. Diam erat vereor. Abluo esse mos paratus valde valetudo. Cogo exerci gemino letalis lucidus valde. Defui genitus te. Blandit brevitas comis commodo consequat eros pneum roto tincidunt torqueo. Ad adipiscing camur esse euismod paratus roto vereor. Abluo at gravis iusto luptatum quae quis suscipere validus.\n\n','filtered_html'),('comment','comment_node_article','0','33','33','und','0','nteger lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros.','filtered_html');
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article','0','34','34','und','0','Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti.','filtered_html'),('comment','comment_node_article','0','35','35','und','0',' Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','filtered_html'),('comment','comment_node_article','0','36','36','und','0',' Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti.','filtered_html'),('comment','comment_node_article','0','37','37','und','0','Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer lectus leo, pretium ut feugiat sit amet, ullamcorper et orci. Aenean tristique, dui vitae interdum ultrices, sem leo vehicula dolor, quis congue justo mauris in purus. Mauris luctus mi erat. Phasellus placerat sem quam. Nam bibendum, eros ac interdum aliquet, ipsum nulla volutpat metus, eget ultricies sem libero tincidunt magna.\r\n\r\nDonec rutrum, justo in porta pulvinar, risus odio pulvinar nunc.','filtered_html'),('comment','comment_node_article','0','38','38','und','0','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet purus velit, sed porta nulla. Sed commodo fringilla purus, quis feugiat ipsum vestibulum at. Ut ut ipsum ac mi aliquam sollicitudin. Sed interdum est lobortis orci sollicitudin placerat id vitae sem. Suspendisse potenti. Donec tellus velit, fringilla at placerat sit amet, laoreet sed urna. Donec nec nisl eu purus varius ornare.','filtered_html'),('comment','comment_node_article','0','39','39','und','0','Phasellus placerat sem quam.','filtered_html');
DROP TABLE IF EXISTS `field_revision_field_category`;
CREATE TABLE `field_revision_field_category` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `field_category_tid` int(10) unsigned DEFAULT NULL,   PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `field_category_tid` (`field_category_tid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (field_category)';
INSERT INTO `field_revision_field_category` VALUES ('node','article','0','16','16','und','0','19'),('node','article','0','16','16','und','1','1'),('node','article','0','17','17','und','0','15'),('node','article','0','17','17','und','1','16'),('node','article','0','17','17','und','2','17'),('node','article','0','17','17','und','3','18'),('node','article','0','20','20','und','0','3'),('node','article','0','20','20','und','1','13'),('node','article','0','20','20','und','2','14'),('node','article','0','21','21','und','0','5'),('node','article','0','21','21','und','1','2'),('node','article','0','22','22','und','0','3'),('node','article','0','23','23','und','0','3'),('node','article','0','23','23','und','1','16'),('node','article','0','23','23','und','2','14'),('node','article','0','24','24','und','0','3'),('node','article','0','24','24','und','1','19'),('node','article','0','24','24','und','2','14'),('node','article','0','25','25','und','0','14'),('node','article','0','25','25','und','1','3'),('node','article','0','25','25','und','2','14'),('node','article','0','25','25','und','3','14'),('node','article','0','26','26','und','0','14'),('node','article','0','26','26','und','1','14'),('node','article','0','27','27','und','0','14'),('node','article','0','28','28','und','0','14'),('node','article','0','28','28','und','1','19'),('node','article','0','28','28','und','2','3'),('node','article','0','29','29','und','0','14');
DROP TABLE IF EXISTS `field_revision_field_image`;
CREATE TABLE `field_revision_field_image` (   `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',   `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',   `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',   `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',   `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',   `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',   `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',   `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',   `field_image_alt` varchar(128) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',   `field_image_title` varchar(128) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',   `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',   `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',   PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),   KEY `entity_type` (`entity_type`),   KEY `bundle` (`bundle`),   KEY `deleted` (`deleted`),   KEY `entity_id` (`entity_id`),   KEY `revision_id` (`revision_id`),   KEY `language` (`language`),   KEY `field_image_fid` (`field_image_fid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
INSERT INTO `field_revision_field_image` VALUES ('node','article','0','16','16','und','0','5','','','198','198'),('node','article','0','17','17','und','0','6','','','198','198'),('node','article','0','20','20','und','0','9','','','198','198'),('node','article','0','21','21','und','0','10','','','198','198'),('node','article','0','22','22','und','0','11','Pneum quadrum saepius tation tincidunt.','','370','508'),('node','article','0','23','23','und','0','12','Aptent eligo eros exerci pneum proprius.','Antehabeo consectetuer eros nibh olim pneum praesent quadrum usitas vulpes.','224','411'),('node','article','0','25','25','und','0','14','Brevitas capto facilisis iaceo interdico nutus olim te turpis.','Abbas dolus euismod gemino sagaciter verto.','191','312'),('node','article','0','26','26','und','0','15','Damnum nibh probo quae vulputate.','Abigo damnum esse jugis loquor occuro ratis sudo.','339','461'),('node','article','0','27','27','und','0','16','Esse macto modo tego.','At capto lobortis paulatim probo.','325','369'),('node','article','0','28','28','und','0','17','Consectetuer damnum facilisi iustum meus.','','582','299'),('node','article','0','29','29','und','0','18','Gravis minim neque nimis plaga sudo torqueo.','','551','247');
DROP TABLE IF EXISTS `file_managed`;
CREATE TABLE `file_managed` (   `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',   `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',   `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',   `uri` varchar(255) NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',   `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',   `filesize` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',   `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',   `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',   PRIMARY KEY (`fid`),   UNIQUE KEY `uri` (`uri`),   KEY `uid` (`uid`),   KEY `status` (`status`),   KEY `timestamp` (`timestamp`) ) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.' AUTO_INCREMENT=19;
INSERT INTO `file_managed` VALUES ('5','1','st.jpg','public://field/image/st.jpg','image/jpeg','13879','1','1322569853'),('6','1','macos.jpg','public://field/image/macos.jpg','image/jpeg','11035','1','1322569956'),('9','1','html5.png','public://field/image/html5.png','image/png','4246','1','1322570089'),('10','1','iphone-touchpro.jpg','public://field/image/iphone-touchpro.jpg','image/jpeg','7426','1','1322570130'),('11','1','','public://field/image/imagefield_dCSt6t.png','image/png','2096','1','1323092116'),('12','1','','public://field/image/imagefield_O3WmaX.png','image/png','1165','1','1323092116'),('14','1','','public://field/image/imagefield_gdl3eU.png','image/png','1048','1','1323092116'),('15','1','','public://field/image/imagefield_6v09wo.png','image/png','1929','1','1323092116'),('16','1','','public://field/image/imagefield_djtFqT.jpg','image/jpg','6086','1','1323092116'),('17','1','','public://field/image/imagefield_S8YQMo.png','image/png','2227','1','1323092116'),('18','1','','public://field/image/imagefield_M0cpnU.jpg','image/jpg','5353','1','1323092116');
DROP TABLE IF EXISTS `file_usage`;
CREATE TABLE `file_usage` (   `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',   `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',   `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',   `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',   `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',   PRIMARY KEY (`fid`,`type`,`id`,`module`),   KEY `type_id` (`type`,`id`),   KEY `fid_count` (`fid`,`count`),   KEY `fid_module` (`fid`,`module`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
INSERT INTO `file_usage` VALUES ('5','file','node','16','1'),('6','file','node','17','1'),('9','file','node','20','1'),('10','file','node','21','1'),('11','file','node','22','1'),('12','file','node','23','1'),('14','file','node','25','1'),('15','file','node','26','1'),('16','file','node','27','1'),('17','file','node','28','1'),('18','file','node','29','1');
DROP TABLE IF EXISTS `filter`;
CREATE TABLE `filter` (   `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',   `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',   `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',   `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',   `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',   PRIMARY KEY (`format`,`name`),   KEY `list` (`weight`,`module`,`name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop','2','1','a:0:{}'),('filtered_html','filter','filter_html','1','1','a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),('filtered_html','filter','filter_htmlcorrector','10','1','a:0:{}'),('filtered_html','filter','filter_html_escape','10','0','a:0:{}'),('filtered_html','filter','filter_url','0','1','a:1:{s:17:"filter_url_length";i:72;}'),('full_html','filter','filter_autop','1','1','a:0:{}'),('full_html','filter','filter_html','10','0','a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),('full_html','filter','filter_htmlcorrector','10','1','a:0:{}'),('full_html','filter','filter_html_escape','10','0','a:0:{}'),('full_html','filter','filter_url','0','1','a:1:{s:17:"filter_url_length";i:72;}'),('php_code','filter','filter_autop','10','0','a:0:{}'),('php_code','filter','filter_html','10','0','a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),('php_code','filter','filter_htmlcorrector','10','0','a:0:{}'),('php_code','filter','filter_html_escape','10','0','a:0:{}'),('php_code','filter','filter_url','10','0','a:1:{s:17:"filter_url_length";i:72;}'),('php_code','php','php_code','0','1','a:0:{}'),('plain_text','filter','filter_autop','2','1','a:0:{}'),('plain_text','filter','filter_html','10','0','a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),('plain_text','filter','filter_htmlcorrector','10','0','a:0:{}'),('plain_text','filter','filter_html_escape','0','1','a:0:{}'),('plain_text','filter','filter_url','1','1','a:1:{s:17:"filter_url_length";i:72;}');
DROP TABLE IF EXISTS `filter_format`;
CREATE TABLE `filter_format` (   `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',   `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',   `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',   PRIMARY KEY (`format`),   UNIQUE KEY `name` (`name`),   KEY `status_weight` (`status`,`weight`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML','1','1','0'),('full_html','Full HTML','1','1','1'),('php_code','PHP code','0','1','11'),('plain_text','Plain text','1','1','10');
DROP TABLE IF EXISTS `flood`;
CREATE TABLE `flood` (   `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',   `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',   `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',   `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',   PRIMARY KEY (`fid`),   KEY `allow` (`event`,`identifier`,`timestamp`),   KEY `purge` (`expiration`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `history`;
CREATE TABLE `history` (   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',   `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',   PRIMARY KEY (`uid`,`nid`),   KEY `nid` (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
INSERT INTO `history` VALUES ('1','16','1323091856'),('1','17','1323091830'),('1','20','1323941526'),('1','21','1323901456'),('1','22','1323092158'),('1','23','1323890508'),('1','24','1323890203'),('1','26','1323890174'),('1','28','1323094087'),('1','29','1323890610');
DROP TABLE IF EXISTS `image_effects`;
CREATE TABLE `image_effects` (   `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',   `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',   `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',   `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',   PRIMARY KEY (`ieid`),   KEY `isid` (`isid`),   KEY `weight` (`weight`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `image_styles`;
CREATE TABLE `image_styles` (   `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',   `name` varchar(255) NOT NULL COMMENT 'The style name.',   PRIMARY KEY (`isid`),   UNIQUE KEY `name` (`name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `menu_custom`;
CREATE TABLE `menu_custom` (   `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',   `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',   `description` text COMMENT 'Menu description.',   PRIMARY KEY (`menu_name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
INSERT INTO `menu_custom` VALUES ('devel','Development','Development link'),('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user''s account, as well as the ''Log out'' link.');
DROP TABLE IF EXISTS `menu_links`;
CREATE TABLE `menu_links` (   `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',   `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',   `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',   `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',   `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',   `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',   `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',   `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',   `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',   `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',   `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',   `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',   `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',   `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',   `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',   `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',   `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',   `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',   `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',   `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',   `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',   `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',   `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',   `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',   PRIMARY KEY (`mlid`),   KEY `path_menu` (`link_path`(128),`menu_name`),   KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),   KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),   KEY `router_path` (`router_path`(128)) ) ENGINE=InnoDB AUTO_INCREMENT=511 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.' AUTO_INCREMENT=511;
INSERT INTO `menu_links` VALUES ('management','1','0','admin','admin','Administration','a:0:{}','system','0','0','1','0','9','1','0','1','0','0','0','0','0','0','0','0','0'),('user-menu','2','0','user','user','User account','a:1:{s:5:"alter";b:1;}','system','0','0','0','0','-10','1','0','2','0','0','0','0','0','0','0','0','0'),('navigation','3','0','comment/%','comment/%','Comment permalink','a:0:{}','system','0','0','1','0','0','1','0','3','0','0','0','0','0','0','0','0','0'),('navigation','4','0','filter/tips','filter/tips','Compose tips','a:0:{}','system','1','0','0','0','0','1','0','4','0','0','0','0','0','0','0','0','0'),('navigation','5','0','node/%','node/%','','a:0:{}','system','0','0','0','0','0','1','0','5','0','0','0','0','0','0','0','0','0'),('navigation','6','0','node/add','node/add','Add content','a:0:{}','system','0','0','1','0','0','1','0','6','0','0','0','0','0','0','0','0','0'),('management','7','1','admin/appearance','admin/appearance','Appearance','a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Select and configure your themes.";}}','system','0','0','0','0','-6','2','0','1','7','0','0','0','0','0','0','0','0'),('management','8','1','admin/config','admin/config','Configuration','a:1:{s:10:"attributes";a:1:{s:5:"title";s:20:"Administer settings.";}}','system','0','0','1','0','0','2','0','1','8','0','0','0','0','0','0','0','0'),('management','9','1','admin/content','admin/content','Content','a:1:{s:10:"attributes";a:1:{s:5:"title";s:32:"Administer content and comments.";}}','system','0','0','1','0','-10','2','0','1','9','0','0','0','0','0','0','0','0'),('user-menu','10','2','user/register','user/register','Create new account','a:0:{}','system','-1','0','0','0','0','2','0','2','10','0','0','0','0','0','0','0','0'),('management','11','1','admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"View and customize your dashboard.";}}','system','0','0','0','0','-15','2','0','1','11','0','0','0','0','0','0','0','0'),('management','12','1','admin/index','admin/index','Index','a:0:{}','system','-1','0','0','0','-18','2','0','1','12','0','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('user-menu','13','2','user/login','user/login','Log in','a:0:{}','system','-1','0','0','0','0','2','0','2','13','0','0','0','0','0','0','0','0'),('user-menu','14','0','user/logout','user/logout','Log out','a:0:{}','system','0','0','0','0','10','1','0','14','0','0','0','0','0','0','0','0','0'),('management','15','1','admin/modules','admin/modules','Modules','a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"Extend site functionality.";}}','system','0','0','0','0','-2','2','0','1','15','0','0','0','0','0','0','0','0'),('navigation','16','0','user/%','user/%','My account','a:0:{}','system','0','0','1','0','0','1','0','16','0','0','0','0','0','0','0','0','0'),('management','17','1','admin/people','admin/people','People','a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Manage user accounts, roles, and permissions.";}}','system','0','0','0','0','-4','2','0','1','17','0','0','0','0','0','0','0','0'),('management','18','1','admin/reports','admin/reports','Reports','a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"View reports, updates, and errors.";}}','system','0','0','1','0','5','2','0','1','18','0','0','0','0','0','0','0','0'),('user-menu','19','2','user/password','user/password','Request new password','a:0:{}','system','-1','0','0','0','0','2','0','2','19','0','0','0','0','0','0','0','0'),('management','20','1','admin/structure','admin/structure','Structure','a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Administer blocks, content types, menus, etc.";}}','system','0','0','1','0','-8','2','0','1','20','0','0','0','0','0','0','0','0'),('management','21','1','admin/tasks','admin/tasks','Tasks','a:0:{}','system','-1','0','0','0','-20','2','0','1','21','0','0','0','0','0','0','0','0'),('navigation','22','0','comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system','0','0','0','0','0','1','0','22','0','0','0','0','0','0','0','0','0'),('navigation','23','3','comment/%/approve','comment/%/approve','Approve','a:0:{}','system','0','0','0','0','1','2','0','3','23','0','0','0','0','0','0','0','0'),('navigation','24','3','comment/%/delete','comment/%/delete','Delete','a:0:{}','system','-1','0','0','0','2','2','0','3','24','0','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('navigation','25','3','comment/%/edit','comment/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','2','0','3','25','0','0','0','0','0','0','0','0'),('navigation','26','3','comment/%/view','comment/%/view','View comment','a:0:{}','system','-1','0','0','0','-10','2','0','3','26','0','0','0','0','0','0','0','0'),('management','27','17','admin/people/create','admin/people/create','Add user','a:0:{}','system','-1','0','0','0','0','3','0','1','17','27','0','0','0','0','0','0','0'),('management','28','20','admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:"attributes";a:1:{s:5:"title";s:79:"Configure what block content appears in your site''s sidebars and other regions.";}}','system','0','0','1','0','0','3','0','1','20','28','0','0','0','0','0','0','0'),('navigation','29','16','user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system','0','0','1','0','0','2','0','16','29','0','0','0','0','0','0','0','0'),('management','30','9','admin/content/comment','admin/content/comment','Comments','a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"List and edit site comments and the comment approval queue.";}}','system','0','0','0','0','0','3','0','1','9','30','0','0','0','0','0','0','0'),('management','31','11','admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Configure which blocks can be shown on the dashboard.";}}','system','-1','0','0','0','0','3','0','1','11','31','0','0','0','0','0','0','0'),('management','32','9','admin/content/node','admin/content/node','Content','a:0:{}','system','-1','0','0','0','-10','3','0','1','9','32','0','0','0','0','0','0','0'),('management','33','8','admin/config/content','admin/config/content','Content authoring','a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Settings related to formatting and authoring content.";}}','system','0','0','1','0','-15','3','0','1','8','33','0','0','0','0','0','0','0'),('management','34','20','admin/structure/types','admin/structure/types','Content types','a:1:{s:10:"attributes";a:1:{s:5:"title";s:92:"Manage content types, including default status, front page promotion, comment settings, etc.";}}','system','0','0','1','0','0','3','0','1','20','34','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','35','11','admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"Customize your dashboard.";}}','system','-1','0','0','0','0','3','0','1','11','35','0','0','0','0','0','0','0'),('navigation','36','5','node/%/delete','node/%/delete','Delete','a:0:{}','system','-1','0','0','0','1','2','0','5','36','0','0','0','0','0','0','0','0'),('management','37','8','admin/config/development','admin/config/development','Development','a:1:{s:10:"attributes";a:1:{s:5:"title";s:18:"Development tools.";}}','system','0','0','1','0','-10','3','0','1','8','37','0','0','0','0','0','0','0'),('navigation','38','16','user/%/edit','user/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','2','0','16','38','0','0','0','0','0','0','0','0'),('navigation','39','5','node/%/edit','node/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','2','0','5','39','0','0','0','0','0','0','0','0'),('management','40','15','admin/modules/list','admin/modules/list','List','a:0:{}','system','-1','0','0','0','0','3','0','1','15','40','0','0','0','0','0','0','0'),('management','41','17','admin/people/people','admin/people/people','List','a:1:{s:10:"attributes";a:1:{s:5:"title";s:50:"Find and manage people interacting with your site.";}}','system','-1','0','0','0','-10','3','0','1','17','41','0','0','0','0','0','0','0'),('management','42','7','admin/appearance/list','admin/appearance/list','List','a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Select and configure your theme";}}','system','-1','0','0','0','-1','3','0','1','7','42','0','0','0','0','0','0','0'),('management','43','8','admin/config/media','admin/config/media','Media','a:1:{s:10:"attributes";a:1:{s:5:"title";s:12:"Media tools.";}}','system','0','0','1','0','-10','3','0','1','8','43','0','0','0','0','0','0','0'),('management','44','20','admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:"attributes";a:1:{s:5:"title";s:86:"Add new menus to your site, edit existing menus, and rename and reorganize menu links.";}}','system','0','0','1','0','0','3','0','1','20','44','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','45','8','admin/config/people','admin/config/people','People','a:1:{s:10:"attributes";a:1:{s:5:"title";s:24:"Configure user accounts.";}}','system','0','0','1','0','-20','3','0','1','8','45','0','0','0','0','0','0','0'),('management','46','17','admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}','system','-1','0','0','0','0','3','0','1','17','46','0','0','0','0','0','0','0'),('management','47','18','admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View events that have recently been logged.";}}','system','0','0','0','0','-1','3','0','1','18','47','0','0','0','0','0','0','0'),('management','48','8','admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"Regional settings, localization and translation.";}}','system','0','0','1','0','-5','3','0','1','8','48','0','0','0','0','0','0','0'),('navigation','49','5','node/%/revisions','node/%/revisions','Revisions','a:0:{}','system','-1','0','1','0','2','2','0','5','49','0','0','0','0','0','0','0','0'),('management','50','8','admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Local site search, metadata and SEO.";}}','system','0','0','1','0','-10','3','0','1','8','50','0','0','0','0','0','0','0'),('management','51','7','admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"Configure default and theme specific settings.";}}','system','-1','0','0','0','20','3','0','1','7','51','0','0','0','0','0','0','0'),('management','52','18','admin/reports/status','admin/reports/status','Status report','a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Get a status report about your site''s operation and any detected problems.";}}','system','0','0','0','0','-60','3','0','1','18','52','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','53','8','admin/config/system','admin/config/system','System','a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"General system related configuration.";}}','system','0','0','1','0','-20','3','0','1','8','53','0','0','0','0','0','0','0'),('management','54','18','admin/reports/access-denied','admin/reports/access-denied','Top ''access denied'' errors','a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"View ''access denied'' errors (403s).";}}','system','0','0','0','0','0','3','0','1','18','54','0','0','0','0','0','0','0'),('management','55','18','admin/reports/page-not-found','admin/reports/page-not-found','Top ''page not found'' errors','a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"View ''page not found'' errors (404s).";}}','system','0','0','0','0','0','3','0','1','18','55','0','0','0','0','0','0','0'),('management','56','15','admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system','-1','0','0','0','20','3','0','1','15','56','0','0','0','0','0','0','0'),('management','57','8','admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Tools that enhance the user interface.";}}','system','0','0','1','0','-15','3','0','1','8','57','0','0','0','0','0','0','0'),('navigation','58','5','node/%/view','node/%/view','View','a:0:{}','system','-1','0','0','0','-10','2','0','5','58','0','0','0','0','0','0','0','0'),('navigation','59','16','user/%/view','user/%/view','View','a:0:{}','system','-1','0','0','0','-10','2','0','16','59','0','0','0','0','0','0','0','0'),('management','60','8','admin/config/services','admin/config/services','Web services','a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"Tools related to web services.";}}','system','0','0','1','0','0','3','0','1','8','60','0','0','0','0','0','0','0'),('management','61','8','admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Content workflow, editorial workflow tools.";}}','system','0','0','0','0','5','3','0','1','8','61','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','62','45','admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:"attributes";a:1:{s:5:"title";s:109:"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.";}}','system','0','0','0','0','-10','4','0','1','8','45','62','0','0','0','0','0','0'),('management','63','53','admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}','system','0','0','1','0','0','4','0','1','8','53','63','0','0','0','0','0','0'),('management','64','28','admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','64','0','0','0','0','0','0'),('management','65','34','admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system','-1','0','0','0','0','4','0','1','20','34','65','0','0','0','0','0','0'),('management','66','44','admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system','-1','0','0','0','0','4','0','1','20','44','66','0','0','0','0','0','0'),('management','67','51','admin/appearance/settings/arctica','admin/appearance/settings/arctica','Arctica Core','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','67','0','0','0','0','0','0'),('management','68','51','admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','68','0','0','0','0','0','0'),('management','69','50','admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Enable or disable clean URLs for your site.";}}','system','0','0','0','0','5','4','0','1','8','50','69','0','0','0','0','0','0'),('management','70','53','admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Manage automatic site maintenance tasks.";}}','system','0','0','0','0','20','4','0','1','8','53','70','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','71','48','admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Configure display formats for date and time.";}}','system','0','0','0','0','-15','4','0','1','8','48','71','0','0','0','0','0','0'),('management','72','18','admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system','0','0','0','0','0','3','0','1','18','72','0','0','0','0','0','0','0'),('management','73','51','admin/appearance/settings/deviant','admin/appearance/settings/deviant','Deviant','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','73','0','0','0','0','0','0'),('management','74','43','admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Tell Drupal where to store uploaded files and how they are accessed.";}}','system','0','0','0','0','-10','4','0','1','8','43','74','0','0','0','0','0','0'),('management','75','51','admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','75','0','0','0','0','0','0'),('management','76','51','admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system','-1','0','0','0','-1','4','0','1','7','51','76','0','0','0','0','0','0'),('management','77','51','admin/appearance/settings/hellofolio','admin/appearance/settings/hellofolio','HelloFolio','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','77','0','0','0','0','0','0'),('management','78','45','admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Manage blocked IP addresses.";}}','system','0','0','1','0','10','4','0','1','8','45','78','0','0','0','0','0','0'),('management','79','43','admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";}}','system','0','0','0','0','20','4','0','1','8','43','79','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','80','34','admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system','-1','0','0','0','-10','4','0','1','20','34','80','0','0','0','0','0','0'),('management','81','40','admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system','-1','0','0','0','0','4','0','1','15','40','81','0','0','0','0','0','0'),('management','82','44','admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system','-1','0','0','0','-10','4','0','1','20','44','82','0','0','0','0','0','0'),('management','83','37','admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:"attributes";a:1:{s:5:"title";s:154:"Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destinations, such as syslog, database, email, etc.";}}','system','0','0','0','0','-15','4','0','1','8','37','83','0','0','0','0','0','0'),('management','84','37','admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:"attributes";a:1:{s:5:"title";s:62:"Take the site offline for maintenance or bring it back online.";}}','system','0','0','0','0','-10','4','0','1','8','37','84','0','0','0','0','0','0'),('management','85','37','admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.";}}','system','0','0','0','0','-20','4','0','1','8','37','85','0','0','0','0','0','0'),('management','86','46','admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}','system','-1','0','0','0','-8','4','0','1','17','46','86','0','0','0','0','0','0'),('management','87','30','admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system','-1','0','0','0','-10','4','0','1','9','30','87','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','88','60','admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:"attributes";a:1:{s:5:"title";s:114:"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.";}}','system','0','0','0','0','0','4','0','1','8','60','88','0','0','0','0','0','0'),('management','89','48','admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:"attributes";a:1:{s:5:"title";s:54:"Settings for the site''s default time zone and country.";}}','system','0','0','0','0','-20','4','0','1','8','48','89','0','0','0','0','0','0'),('management','90','46','admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"List, edit, or add user roles.";}}','system','-1','0','1','0','-5','4','0','1','17','46','90','0','0','0','0','0','0'),('management','91','44','admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system','-1','0','0','0','5','4','0','1','20','44','91','0','0','0','0','0','0'),('management','92','51','admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','92','0','0','0','0','0','0'),('management','93','53','admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:"attributes";a:1:{s:5:"title";s:104:"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.";}}','system','0','0','0','0','-20','4','0','1','8','53','93','0','0','0','0','0','0'),('management','94','51','admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','94','0','0','0','0','0','0'),('management','95','51','admin/appearance/settings/test_theme','admin/appearance/settings/test_theme','Test theme','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','95','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','96','33','admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:"attributes";a:1:{s:5:"title";s:127:"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.";}}','system','0','0','1','0','0','4','0','1','8','33','96','0','0','0','0','0','0'),('management','97','51','admin/appearance/settings/touchpro','admin/appearance/settings/touchpro','TouchPro','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','97','0','0','0','0','0','0'),('management','98','51','admin/appearance/settings/tundra','admin/appearance/settings/tundra','Tundra','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','98','0','0','0','0','0','0'),('management','100','30','admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system','-1','0','0','0','0','4','0','1','9','30','100','0','0','0','0','0','0'),('management','101','56','admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system','-1','0','0','0','0','4','0','1','15','56','101','0','0','0','0','0','0'),('management','102','51','admin/appearance/settings/update_test_basetheme','admin/appearance/settings/update_test_basetheme','Update test base theme','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','102','0','0','0','0','0','0'),('management','103','51','admin/appearance/settings/update_test_subtheme','admin/appearance/settings/update_test_subtheme','Update test subtheme','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','103','0','0','0','0','0','0'),('navigation','104','38','user/%/edit/account','user/%/edit/account','Account','a:0:{}','system','-1','0','0','0','0','3','0','16','38','104','0','0','0','0','0','0','0'),('management','105','96','admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system','0','0','1','0','0','5','0','1','8','33','96','105','0','0','0','0','0'),('management','106','96','admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system','-1','0','0','0','1','5','0','1','8','33','96','106','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','107','28','admin/structure/block/list/arctica','admin/structure/block/list/arctica','Arctica Core','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','107','0','0','0','0','0','0'),('management','108','28','admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','108','0','0','0','0','0','0'),('management','109','63','admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system','-1','0','0','0','0','5','0','1','8','53','63','109','0','0','0','0','0'),('management','110','44','admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system','0','0','1','0','0','4','0','1','20','44','110','0','0','0','0','0','0'),('management','111','28','admin/structure/block/list/deviant','admin/structure/block/list/deviant','Deviant','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','111','0','0','0','0','0','0'),('management','112','34','admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system','0','0','1','0','0','4','0','1','20','34','112','0','0','0','0','0','0'),('management','113','71','admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:"attributes";a:1:{s:5:"title";s:51:"Configure display format strings for date and time.";}}','system','-1','0','1','0','-9','5','0','1','8','48','71','113','0','0','0','0','0'),('management','114','28','admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','114','0','0','0','0','0','0'),('management','115','28','admin/structure/block/list/hellofolio','admin/structure/block/list/hellofolio','HelloFolio','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','115','0','0','0','0','0','0'),('management','116','96','admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system','-1','0','0','0','0','5','0','1','8','33','96','116','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','117','63','admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}','system','-1','0','0','0','-2','5','0','1','8','53','63','117','0','0','0','0','0'),('management','118','62','admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system','-1','0','0','0','-10','5','0','1','8','45','62','118','0','0','0','0','0'),('management','119','28','admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','119','0','0','0','0','0','0'),('management','120','28','admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','120','0','0','0','0','0','0'),('management','121','28','admin/structure/block/list/test_theme','admin/structure/block/list/test_theme','Test theme','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','121','0','0','0','0','0','0'),('management','122','28','admin/structure/block/list/touchpro','admin/structure/block/list/touchpro','TouchPro','a:0:{}','system','-1','0','0','0','-10','4','0','1','20','28','122','0','0','0','0','0','0'),('management','123','28','admin/structure/block/list/tundra','admin/structure/block/list/tundra','Tundra','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','123','0','0','0','0','0','0'),('management','125','71','admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Configure display formats for date and time.";}}','system','-1','0','1','0','-10','5','0','1','8','48','71','125','0','0','0','0','0'),('management','126','28','admin/structure/block/list/update_test_basetheme','admin/structure/block/list/update_test_basetheme','Update test base theme','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','126','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','127','28','admin/structure/block/list/update_test_subtheme','admin/structure/block/list/update_test_subtheme','Update test subtheme','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','127','0','0','0','0','0','0'),('navigation','128','49','node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system','0','0','0','0','0','3','0','5','49','128','0','0','0','0','0','0','0'),('navigation','129','49','node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system','0','0','0','0','0','3','0','5','49','129','0','0','0','0','0','0','0'),('navigation','130','49','node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system','0','0','0','0','0','3','0','5','49','130','0','0','0','0','0','0','0'),('management','131','107','admin/structure/block/list/arctica/add','admin/structure/block/list/arctica/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','107','131','0','0','0','0','0'),('management','132','111','admin/structure/block/list/deviant/add','admin/structure/block/list/deviant/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','111','132','0','0','0','0','0'),('management','133','114','admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','114','133','0','0','0','0','0'),('management','134','115','admin/structure/block/list/hellofolio/add','admin/structure/block/list/hellofolio/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','115','134','0','0','0','0','0'),('management','135','119','admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','119','135','0','0','0','0','0'),('management','136','120','admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','120','136','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','137','121','admin/structure/block/list/test_theme/add','admin/structure/block/list/test_theme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','121','137','0','0','0','0','0'),('management','139','123','admin/structure/block/list/tundra/add','admin/structure/block/list/tundra/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','123','139','0','0','0','0','0'),('management','141','126','admin/structure/block/list/update_test_basetheme/add','admin/structure/block/list/update_test_basetheme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','126','141','0','0','0','0','0'),('management','142','127','admin/structure/block/list/update_test_subtheme/add','admin/structure/block/list/update_test_subtheme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','127','142','0','0','0','0','0'),('management','143','125','admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:"attributes";a:1:{s:5:"title";s:18:"Add new date type.";}}','system','-1','0','0','0','-10','6','0','1','8','48','71','125','143','0','0','0','0'),('management','144','113','admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Allow users to add additional date formats.";}}','system','-1','0','0','0','-10','6','0','1','8','48','71','113','144','0','0','0','0'),('management','145','110','admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system','-1','0','0','0','0','5','0','1','20','44','110','145','0','0','0','0','0'),('management','146','28','admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system','0','0','0','0','0','4','0','1','20','28','146','0','0','0','0','0','0'),('navigation','147','29','user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system','0','0','0','0','0','3','0','16','29','147','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','148','112','admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system','0','0','0','0','0','5','0','1','20','34','112','148','0','0','0','0','0'),('management','149','78','admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system','0','0','0','0','0','5','0','1','8','45','78','149','0','0','0','0','0'),('management','150','63','admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Delete an action.";}}','system','0','0','0','0','0','5','0','1','8','53','63','150','0','0','0','0','0'),('management','151','110','admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system','0','0','0','0','0','5','0','1','20','44','110','151','0','0','0','0','0'),('management','152','44','admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system','0','0','0','0','0','4','0','1','20','44','152','0','0','0','0','0','0'),('management','153','90','admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system','0','0','0','0','0','5','0','1','17','46','90','153','0','0','0','0','0'),('management','154','105','admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system','0','0','0','0','0','6','0','1','8','33','96','105','154','0','0','0','0'),('management','155','112','admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','5','0','1','20','34','112','155','0','0','0','0','0'),('management','156','110','admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system','-1','0','0','0','0','5','0','1','20','44','110','156','0','0','0','0','0'),('management','157','44','admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system','0','0','0','0','0','4','0','1','20','44','157','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','158','90','admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system','0','0','0','0','0','5','0','1','17','46','90','158','0','0','0','0','0'),('management','159','110','admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system','-1','0','0','0','-10','5','0','1','20','44','110','159','0','0','0','0','0'),('management','160','44','admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system','0','0','0','0','0','4','0','1','20','44','160','0','0','0','0','0','0'),('management','161','112','admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system','-1','0','0','0','4','5','0','1','20','34','112','161','0','0','0','0','0'),('management','162','112','admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system','-1','0','1','0','3','5','0','1','20','34','112','162','0','0','0','0','0'),('management','163','146','admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','146','163','0','0','0','0','0'),('management','164','146','admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','146','164','0','0','0','0','0'),('management','165','113','admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Allow users to delete a configured date format.";}}','system','0','0','0','0','0','6','0','1','8','48','71','113','165','0','0','0','0'),('management','166','125','admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Allow users to delete a configured date type.";}}','system','0','0','0','0','0','6','0','1','8','48','71','125','166','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','167','113','admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Allow users to edit a configured date format.";}}','system','0','0','0','0','0','6','0','1','8','48','71','113','167','0','0','0','0'),('management','168','44','admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu','0','0','0','0','0','4','0','1','20','44','168','0','0','0','0','0','0'),('management','169','44','admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu','0','0','0','0','0','4','0','1','20','44','169','0','0','0','0','0','0'),('management','170','44','admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu','0','0','0','0','0','4','0','1','20','44','170','0','0','0','0','0','0'),('management','171','44','admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu','0','0','0','0','0','4','0','1','20','44','171','0','0','0','0','0','0'),('navigation','172','0','search','search','Search','a:0:{}','system','1','0','0','0','0','1','0','172','0','0','0','0','0','0','0','0','0'),('navigation','173','172','search/node','search/node','Content','a:0:{}','system','-1','0','0','0','-10','2','0','172','173','0','0','0','0','0','0','0','0'),('navigation','174','172','search/user','search/user','Users','a:0:{}','system','-1','0','0','0','0','2','0','172','174','0','0','0','0','0','0','0','0'),('management','175','1','admin/help','admin/help','Help','a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"Reference for usage, configuration, and modules.";}}','system','0','0','0','0','9','2','0','1','175','0','0','0','0','0','0','0','0'),('navigation','176','0','taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system','0','0','0','0','0','1','0','176','0','0','0','0','0','0','0','0','0'),('navigation','177','173','search/node/%','search/node/%','Content','a:0:{}','system','-1','0','0','0','0','3','0','172','173','177','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','178','18','admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Overview of fields on all entity types.";}}','system','0','0','0','0','0','3','0','1','18','178','0','0','0','0','0','0','0'),('navigation','179','16','user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system','-1','0','0','0','0','2','0','16','179','0','0','0','0','0','0','0','0'),('management','180','20','admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Manage tagging, categorization, and classification of your content.";}}','system','0','0','1','0','0','3','0','1','20','180','0','0','0','0','0','0','0'),('management','181','18','admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"View most popular search phrases.";}}','system','0','0','0','0','0','3','0','1','18','181','0','0','0','0','0','0','0'),('navigation','182','174','search/user/%','search/user/%','Users','a:0:{}','system','-1','0','0','0','0','3','0','172','174','182','0','0','0','0','0','0','0'),('management','183','175','admin/help/block','admin/help/block','block','a:0:{}','system','-1','0','0','0','0','3','0','1','175','183','0','0','0','0','0','0','0'),('management','184','175','admin/help/color','admin/help/color','color','a:0:{}','system','-1','0','0','0','0','3','0','1','175','184','0','0','0','0','0','0','0'),('management','185','175','admin/help/comment','admin/help/comment','comment','a:0:{}','system','-1','0','0','0','0','3','0','1','175','185','0','0','0','0','0','0','0'),('management','186','175','admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system','-1','0','0','0','0','3','0','1','175','186','0','0','0','0','0','0','0'),('management','187','175','admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system','-1','0','0','0','0','3','0','1','175','187','0','0','0','0','0','0','0'),('management','188','175','admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system','-1','0','0','0','0','3','0','1','175','188','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','189','175','admin/help/field','admin/help/field','field','a:0:{}','system','-1','0','0','0','0','3','0','1','175','189','0','0','0','0','0','0','0'),('management','190','175','admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system','-1','0','0','0','0','3','0','1','175','190','0','0','0','0','0','0','0'),('management','191','175','admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system','-1','0','0','0','0','3','0','1','175','191','0','0','0','0','0','0','0'),('management','192','175','admin/help/file','admin/help/file','file','a:0:{}','system','-1','0','0','0','0','3','0','1','175','192','0','0','0','0','0','0','0'),('management','193','175','admin/help/filter','admin/help/filter','filter','a:0:{}','system','-1','0','0','0','0','3','0','1','175','193','0','0','0','0','0','0','0'),('management','194','175','admin/help/help','admin/help/help','help','a:0:{}','system','-1','0','0','0','0','3','0','1','175','194','0','0','0','0','0','0','0'),('management','195','175','admin/help/image','admin/help/image','image','a:0:{}','system','-1','0','0','0','0','3','0','1','175','195','0','0','0','0','0','0','0'),('management','196','175','admin/help/list','admin/help/list','list','a:0:{}','system','-1','0','0','0','0','3','0','1','175','196','0','0','0','0','0','0','0'),('management','197','175','admin/help/menu','admin/help/menu','menu','a:0:{}','system','-1','0','0','0','0','3','0','1','175','197','0','0','0','0','0','0','0'),('management','198','175','admin/help/node','admin/help/node','node','a:0:{}','system','-1','0','0','0','0','3','0','1','175','198','0','0','0','0','0','0','0'),('management','199','175','admin/help/number','admin/help/number','number','a:0:{}','system','-1','0','0','0','0','3','0','1','175','199','0','0','0','0','0','0','0'),('management','200','175','admin/help/options','admin/help/options','options','a:0:{}','system','-1','0','0','0','0','3','0','1','175','200','0','0','0','0','0','0','0'),('management','202','175','admin/help/path','admin/help/path','path','a:0:{}','system','-1','0','0','0','0','3','0','1','175','202','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','203','175','admin/help/rdf','admin/help/rdf','rdf','a:0:{}','system','-1','0','0','0','0','3','0','1','175','203','0','0','0','0','0','0','0'),('management','204','175','admin/help/search','admin/help/search','search','a:0:{}','system','-1','0','0','0','0','3','0','1','175','204','0','0','0','0','0','0','0'),('management','205','175','admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system','-1','0','0','0','0','3','0','1','175','205','0','0','0','0','0','0','0'),('management','206','175','admin/help/system','admin/help/system','system','a:0:{}','system','-1','0','0','0','0','3','0','1','175','206','0','0','0','0','0','0','0'),('management','207','175','admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system','-1','0','0','0','0','3','0','1','175','207','0','0','0','0','0','0','0'),('management','208','175','admin/help/text','admin/help/text','text','a:0:{}','system','-1','0','0','0','0','3','0','1','175','208','0','0','0','0','0','0','0'),('management','209','175','admin/help/user','admin/help/user','user','a:0:{}','system','-1','0','0','0','0','3','0','1','175','209','0','0','0','0','0','0','0'),('navigation','210','176','taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system','-1','0','0','0','10','2','0','176','210','0','0','0','0','0','0','0','0'),('navigation','211','176','taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system','-1','0','0','0','0','2','0','176','211','0','0','0','0','0','0','0','0'),('management','212','180','admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system','-1','0','0','0','0','4','0','1','20','180','212','0','0','0','0','0','0'),('management','213','43','admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:"attributes";a:1:{s:5:"title";s:78:"Configure styles that can be used for resizing or adjusting images on display.";}}','system','0','0','1','0','0','4','0','1','8','43','213','0','0','0','0','0','0'),('management','214','180','admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system','-1','0','0','0','-10','4','0','1','20','180','214','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','215','50','admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Configure relevance settings for search and other indexing options.";}}','system','0','0','0','0','-10','4','0','1','8','50','215','0','0','0','0','0','0'),('management','216','57','admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"Add and modify shortcut sets.";}}','system','0','0','1','0','0','4','0','1','8','57','216','0','0','0','0','0','0'),('management','217','180','admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system','0','0','0','0','0','4','0','1','20','180','217','0','0','0','0','0','0'),('management','218','50','admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"Change your site''s URL paths by aliasing them.";}}','system','0','0','1','0','-5','4','0','1','8','50','218','0','0','0','0','0','0'),('management','219','218','admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system','-1','0','0','0','0','5','0','1','8','50','218','219','0','0','0','0','0'),('management','220','216','admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system','-1','0','0','0','0','5','0','1','8','57','216','220','0','0','0','0','0'),('management','221','213','admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Add a new image style.";}}','system','-1','0','0','0','2','5','0','1','8','43','213','221','0','0','0','0','0'),('management','222','217','admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system','-1','0','0','0','0','5','0','1','20','180','217','222','0','0','0','0','0'),('management','223','215','admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system','-1','0','0','0','0','5','0','1','8','50','215','223','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','224','217','admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system','-1','0','0','0','-10','5','0','1','20','180','217','224','0','0','0','0','0'),('management','225','216','admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system','0','0','1','0','0','5','0','1','8','57','216','225','0','0','0','0','0'),('management','226','217','admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system','-1','0','0','0','-20','5','0','1','20','180','217','226','0','0','0','0','0'),('management','227','218','admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system','-1','0','0','0','-10','5','0','1','8','50','218','227','0','0','0','0','0'),('management','228','213','admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"List the current image styles on the site.";}}','system','-1','0','0','0','1','5','0','1','8','43','213','228','0','0','0','0','0'),('management','229','225','admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system','-1','0','0','0','0','6','0','1','8','57','216','225','229','0','0','0','0'),('management','230','218','admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system','0','0','0','0','0','5','0','1','8','50','218','230','0','0','0','0','0'),('management','231','225','admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system','0','0','0','0','0','6','0','1','8','57','216','225','231','0','0','0','0'),('management','232','218','admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system','0','0','0','0','0','5','0','1','8','50','218','232','0','0','0','0','0'),('management','233','225','admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system','-1','0','0','0','10','6','0','1','8','57','216','225','233','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','234','216','admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system','0','0','1','0','0','5','0','1','8','57','216','234','0','0','0','0','0'),('management','235','213','admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"Configure an image style.";}}','system','0','0','1','0','0','5','0','1','8','43','213','235','0','0','0','0','0'),('management','236','225','admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system','-1','0','0','0','0','6','0','1','8','57','216','225','236','0','0','0','0'),('management','237','213','admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Delete an image style.";}}','system','0','0','0','0','0','5','0','1','8','43','213','237','0','0','0','0','0'),('management','238','213','admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Revert an image style.";}}','system','0','0','0','0','0','5','0','1','8','43','213','238','0','0','0','0','0'),('management','239','234','admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system','0','0','0','0','0','6','0','1','8','57','216','234','239','0','0','0','0'),('management','240','235','admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Add a new effect to a style.";}}','system','0','0','0','0','0','6','0','1','8','43','213','235','240','0','0','0','0'),('management','241','235','admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Edit an existing effect within a style.";}}','system','0','0','1','0','0','6','0','1','8','43','213','235','241','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','242','241','admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Delete an existing effect from a style.";}}','system','0','0','0','0','0','7','0','1','8','43','213','235','241','242','0','0','0'),('shortcut-set-1','243','0','node/add','node/add','Add content','a:0:{}','menu','0','0','0','0','-50','1','0','243','0','0','0','0','0','0','0','0','0'),('shortcut-set-1','244','0','admin/content','admin/content','Find content','a:0:{}','menu','0','0','0','0','-49','1','0','244','0','0','0','0','0','0','0','0','0'),('main-menu','245','0','<front>','','Home','a:0:{}','menu','1','1','0','0','-50','1','1','245','0','0','0','0','0','0','0','0','0'),('navigation','246','6','node/add/article','node/add/article','Article','a:1:{s:10:"attributes";a:1:{s:5:"title";s:89:"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.";}}','system','0','0','0','0','0','2','0','6','246','0','0','0','0','0','0','0','0'),('navigation','247','6','node/add/page','node/add/page','Basic page','a:1:{s:10:"attributes";a:1:{s:5:"title";s:77:"Use <em>basic pages</em> for your static content, such as an ''About us'' page.";}}','system','0','0','0','0','0','2','0','6','247','0','0','0','0','0','0','0','0'),('management','287','18','admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:"attributes";a:1:{s:5:"title";s:82:"Get a status report about available updates for your installed modules and themes.";}}','system','0','0','0','0','-50','3','0','1','18','287','0','0','0','0','0','0','0'),('management','288','15','admin/modules/install','admin/modules/install','Install new module','a:0:{}','system','-1','0','0','0','25','3','0','1','15','288','0','0','0','0','0','0','0'),('management','289','7','admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system','-1','0','0','0','25','3','0','1','7','289','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','290','15','admin/modules/update','admin/modules/update','Update','a:0:{}','system','-1','0','0','0','10','3','0','1','15','290','0','0','0','0','0','0','0'),('management','291','7','admin/appearance/update','admin/appearance/update','Update','a:0:{}','system','-1','0','0','0','10','3','0','1','7','291','0','0','0','0','0','0','0'),('management','292','175','admin/help/update','admin/help/update','update','a:0:{}','system','-1','0','0','0','0','3','0','1','175','292','0','0','0','0','0','0','0'),('management','293','287','admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system','-1','0','0','0','0','4','0','1','18','287','293','0','0','0','0','0','0'),('management','294','287','admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system','-1','0','0','0','50','4','0','1','18','287','294','0','0','0','0','0','0'),('management','295','287','admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system','-1','0','0','0','25','4','0','1','18','287','295','0','0','0','0','0','0'),('management','296','287','admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system','-1','0','0','0','10','4','0','1','18','287','296','0','0','0','0','0','0'),('management','297','217','admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system','-1','0','0','0','2','5','0','1','20','180','217','297','0','0','0','0','0'),('management','298','62','admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system','-1','0','0','0','2','5','0','1','8','45','62','298','0','0','0','0','0'),('management','299','217','admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system','-1','0','1','0','1','5','0','1','20','180','217','299','0','0','0','0','0'),('management','300','62','admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system','-1','0','1','0','1','5','0','1','8','45','62','300','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','301','297','admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system','-1','0','0','0','-10','6','0','1','20','180','217','297','301','0','0','0','0'),('management','302','298','admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system','-1','0','0','0','-10','6','0','1','8','45','62','298','302','0','0','0','0'),('management','303','112','admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system','-1','0','0','0','2','5','0','1','20','34','112','303','0','0','0','0','0'),('management','304','112','admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system','-1','0','1','0','1','5','0','1','20','34','112','304','0','0','0','0','0'),('management','305','297','admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system','-1','0','0','0','0','6','0','1','20','180','217','297','305','0','0','0','0'),('management','306','298','admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system','-1','0','0','0','0','6','0','1','8','45','62','298','306','0','0','0','0'),('management','307','299','admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system','0','0','0','0','0','6','0','1','20','180','217','299','307','0','0','0','0'),('management','308','300','admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system','0','0','0','0','0','6','0','1','8','45','62','300','308','0','0','0','0'),('management','309','303','admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system','-1','0','0','0','-10','6','0','1','20','34','112','303','309','0','0','0','0'),('management','310','303','admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system','-1','0','0','0','0','6','0','1','20','34','112','303','310','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','311','303','admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system','-1','0','0','0','2','6','0','1','20','34','112','303','311','0','0','0','0'),('management','312','303','admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system','-1','0','0','0','3','6','0','1','20','34','112','303','312','0','0','0','0'),('management','313','303','admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result','a:0:{}','system','-1','0','0','0','4','6','0','1','20','34','112','303','313','0','0','0','0'),('management','314','303','admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system','-1','0','0','0','1','6','0','1','20','34','112','303','314','0','0','0','0'),('management','315','304','admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system','0','0','0','0','0','6','0','1','20','34','112','304','315','0','0','0','0'),('management','316','307','admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system','-1','0','0','0','10','7','0','1','20','180','217','299','307','316','0','0','0'),('management','317','307','admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','7','0','1','20','180','217','299','307','317','0','0','0'),('management','318','307','admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system','-1','0','0','0','0','7','0','1','20','180','217','299','307','318','0','0','0'),('management','319','307','admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system','-1','0','0','0','0','7','0','1','20','180','217','299','307','319','0','0','0');
INSERT INTO `menu_links` VALUES ('management','320','308','admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system','-1','0','0','0','10','7','0','1','8','45','62','300','308','320','0','0','0'),('management','321','308','admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','7','0','1','8','45','62','300','308','321','0','0','0'),('management','322','308','admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system','-1','0','0','0','0','7','0','1','8','45','62','300','308','322','0','0','0'),('management','323','308','admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system','-1','0','0','0','0','7','0','1','8','45','62','300','308','323','0','0','0'),('management','324','161','admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system','-1','0','0','0','-10','6','0','1','20','34','112','161','324','0','0','0','0'),('management','325','161','admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system','-1','0','0','0','0','6','0','1','20','34','112','161','325','0','0','0','0'),('management','326','162','admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system','0','0','0','0','0','6','0','1','20','34','112','162','326','0','0','0','0'),('management','327','315','admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system','-1','0','0','0','10','7','0','1','20','34','112','304','315','327','0','0','0'),('management','328','315','admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','304','315','328','0','0','0');
INSERT INTO `menu_links` VALUES ('management','329','315','admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','304','315','329','0','0','0'),('management','330','315','admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','304','315','330','0','0','0'),('management','331','326','admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system','-1','0','0','0','10','7','0','1','20','34','112','162','326','331','0','0','0'),('management','332','326','admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','162','326','332','0','0','0'),('management','333','326','admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','162','326','333','0','0','0'),('management','334','326','admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system','-1','0','0','0','0','7','0','1','20','34','112','162','326','334','0','0','0'),('management','336','20','admin/structure/skinr','admin/structure/skinr','Skinr','a:1:{s:10:"attributes";a:1:{s:5:"title";s:81:"Manage your skin configurations and rules, import and export skin configurations.";}}','system','0','0','0','0','0','3','0','1','20','336','0','0','0','0','0','0','0'),('management','338','175','admin/help/skinr','admin/help/skinr','skinr','a:0:{}','system','-1','0','0','0','0','3','0','1','175','338','0','0','0','0','0','0','0'),('management','339','175','admin/help/skinr_ui','admin/help/skinr_ui','skinr_ui','a:0:{}','system','-1','0','0','0','0','3','0','1','175','339','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','341','336','admin/structure/skinr/export','admin/structure/skinr/export','Export','a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Export skin configurations.";}}','system','-1','0','0','0','3','4','0','1','20','336','341','0','0','0','0','0','0'),('management','342','336','admin/structure/skinr/import','admin/structure/skinr/import','Import','a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Import skin configurations.";}}','system','-1','0','0','0','2','4','0','1','20','336','342','0','0','0','0','0','0'),('management','343','336','admin/structure/skinr/library','admin/structure/skinr/library','Library','a:1:{s:10:"attributes";a:1:{s:5:"title";s:73:"Manage what skins are available when configuring the way your site looks.";}}','system','-1','0','0','0','0','4','0','1','20','336','343','0','0','0','0','0','0'),('management','344','336','admin/structure/skinr/list','admin/structure/skinr/list','List','a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Manage skinr configurations.";}}','system','-1','0','0','0','-10','4','0','1','20','336','344','0','0','0','0','0','0'),('management','345','336','admin/structure/skinr/rules','admin/structure/skinr/rules','Rules','a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Configure region and page level Skinr rules.";}}','system','-1','0','0','0','1','4','0','1','20','336','345','0','0','0','0','0','0'),('management','346','345','admin/structure/skinr/rules/add','admin/structure/skinr/rules/add','Create a new rule','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','345','346','0','0','0','0','0'),('management','347','343','admin/structure/skinr/library/list/arctica','admin/structure/skinr/library/list/arctica','Arctica Core','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','347','0','0','0','0','0'),('management','348','343','admin/structure/skinr/library/list/bartik','admin/structure/skinr/library/list/bartik','Bartik','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','348','0','0','0','0','0'),('management','349','343','admin/structure/skinr/library/list/deviant','admin/structure/skinr/library/list/deviant','Deviant','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','349','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','350','343','admin/structure/skinr/library/list/garland','admin/structure/skinr/library/list/garland','Garland','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','350','0','0','0','0','0'),('management','351','343','admin/structure/skinr/library/list/hellofolio','admin/structure/skinr/library/list/hellofolio','HelloFolio','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','351','0','0','0','0','0'),('management','352','343','admin/structure/skinr/library/list/seven','admin/structure/skinr/library/list/seven','Seven','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','352','0','0','0','0','0'),('management','353','343','admin/structure/skinr/library/list/stark','admin/structure/skinr/library/list/stark','Stark','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','353','0','0','0','0','0'),('management','354','343','admin/structure/skinr/library/list/test_theme','admin/structure/skinr/library/list/test_theme','Test theme','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','354','0','0','0','0','0'),('management','355','343','admin/structure/skinr/library/list/touchpro','admin/structure/skinr/library/list/touchpro','TouchPro','a:0:{}','system','-1','0','0','0','-10','5','0','1','20','336','343','355','0','0','0','0','0'),('management','356','343','admin/structure/skinr/library/list/tundra','admin/structure/skinr/library/list/tundra','Tundra','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','356','0','0','0','0','0'),('management','358','343','admin/structure/skinr/library/list/update_test_basetheme','admin/structure/skinr/library/list/update_test_basetheme','Update test base theme','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','358','0','0','0','0','0'),('management','359','343','admin/structure/skinr/library/list/update_test_subtheme','admin/structure/skinr/library/list/update_test_subtheme','Update test subtheme','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','359','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','360','336','admin/structure/skinr/edit/%/%/%/configure','admin/structure/skinr/edit/%/%/%/configure','Edit skin','a:0:{}','system','-1','0','0','0','0','4','0','1','20','336','360','0','0','0','0','0','0'),('management','361','108','admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','108','361','0','0','0','0','0'),('management','397','51','admin/appearance/settings/arctica_starterkit','admin/appearance/settings/arctica_starterkit','Arctica starterkit','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','397','0','0','0','0','0','0'),('management','398','51','admin/appearance/settings/arctica_starterkit_bigtheme','admin/appearance/settings/arctica_starterkit_bigtheme','Arctica starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','398','0','0','0','0','0','0'),('management','399','51','admin/appearance/settings/arti','admin/appearance/settings/arti','Arti','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','399','0','0','0','0','0','0'),('management','400','51','admin/appearance/settings/tundra_starterkit','admin/appearance/settings/tundra_starterkit','Tundra starterkit with color module integration','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','400','0','0','0','0','0','0'),('management','401','51','admin/appearance/settings/tundra_starterkit_bigtheme','admin/appearance/settings/tundra_starterkit_bigtheme','Tundra starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','401','0','0','0','0','0','0'),('management','403','28','admin/structure/block/list/arctica_starterkit','admin/structure/block/list/arctica_starterkit','Arctica starterkit','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','403','0','0','0','0','0','0'),('management','404','28','admin/structure/block/list/arctica_starterkit_bigtheme','admin/structure/block/list/arctica_starterkit_bigtheme','Arctica starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','404','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','405','28','admin/structure/block/list/arti','admin/structure/block/list/arti','Arti','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','405','0','0','0','0','0','0'),('management','406','28','admin/structure/block/list/tundra_starterkit','admin/structure/block/list/tundra_starterkit','Tundra starterkit with color module integration','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','406','0','0','0','0','0','0'),('management','407','28','admin/structure/block/list/tundra_starterkit_bigtheme','admin/structure/block/list/tundra_starterkit_bigtheme','Tundra starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','407','0','0','0','0','0','0'),('management','409','403','admin/structure/block/list/arctica_starterkit/add','admin/structure/block/list/arctica_starterkit/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','403','409','0','0','0','0','0'),('management','410','404','admin/structure/block/list/arctica_starterkit_bigtheme/add','admin/structure/block/list/arctica_starterkit_bigtheme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','404','410','0','0','0','0','0'),('management','411','405','admin/structure/block/list/arti/add','admin/structure/block/list/arti/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','405','411','0','0','0','0','0'),('management','412','406','admin/structure/block/list/tundra_starterkit/add','admin/structure/block/list/tundra_starterkit/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','406','412','0','0','0','0','0'),('management','413','407','admin/structure/block/list/tundra_starterkit_bigtheme/add','admin/structure/block/list/tundra_starterkit_bigtheme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','407','413','0','0','0','0','0'),('management','415','343','admin/structure/skinr/library/list/arctica_starterkit','admin/structure/skinr/library/list/arctica_starterkit','Arctica starterkit','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','415','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','416','343','admin/structure/skinr/library/list/arctica_starterkit_bigtheme','admin/structure/skinr/library/list/arctica_starterkit_bigtheme','Arctica starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','416','0','0','0','0','0'),('management','417','343','admin/structure/skinr/library/list/arti','admin/structure/skinr/library/list/arti','Arti','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','417','0','0','0','0','0'),('management','418','343','admin/structure/skinr/library/list/tundra_starterkit','admin/structure/skinr/library/list/tundra_starterkit','Tundra starterkit with color module integration','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','418','0','0','0','0','0'),('management','419','343','admin/structure/skinr/library/list/tundra_starterkit_bigtheme','admin/structure/skinr/library/list/tundra_starterkit_bigtheme','Tundra starterkit for big themes.','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','419','0','0','0','0','0'),('navigation','421','0','blog','blog','Blogs','a:0:{}','system','1','0','1','0','0','1','0','421','0','0','0','0','0','0','0','0','0'),('navigation','422','421','blog/%','blog/%','My blog','a:0:{}','system','0','0','0','0','0','2','0','421','422','0','0','0','0','0','0','0','0'),('navigation','423','6','node/add/blog','node/add/blog','Blog entry','a:1:{s:10:"attributes";a:1:{s:5:"title";s:58:"Use for multi-user blogs. Every user gets a personal blog.";}}','system','0','0','0','0','0','2','0','6','423','0','0','0','0','0','0','0','0'),('management','424','175','admin/help/blog','admin/help/blog','blog','a:0:{}','system','-1','0','0','0','0','3','0','1','175','424','0','0','0','0','0','0','0'),('main-menu','425','0','taxonomy/term/3','taxonomy/term/%','Articles','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-48','1','1','425','0','0','0','0','0','0','0','0','0'),('main-menu','426','0','taxonomy/term/5','taxonomy/term/%','Downloads','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-45','1','1','426','0','0','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('main-menu','427','0','taxonomy/term/2','taxonomy/term/%','Freebies','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-47','1','1','427','0','0','0','0','0','0','0','0','0'),('main-menu','428','0','taxonomy/term/7','taxonomy/term/%','Live Reports','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','1','0','0','0','-43','1','1','428','0','0','0','0','0','0','0','0','0'),('main-menu','429','0','taxonomy/term/6','taxonomy/term/%','Reviews','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-44','1','1','429','0','0','0','0','0','0','0','0','0'),('main-menu','430','0','taxonomy/term/4','taxonomy/term/%','Tools','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','1','0','0','0','-46','1','1','430','0','0','0','0','0','0','0','0','0'),('main-menu','431','0','taxonomy/term/1','taxonomy/term/%','Tutorials','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-49','1','1','431','0','0','0','0','0','0','0','0','0'),('navigation','433','0','poll','poll','Polls','a:0:{}','system','1','0','0','0','0','1','0','433','0','0','0','0','0','0','0','0','0'),('navigation','434','6','node/add/poll','node/add/poll','Poll','a:1:{s:10:"attributes";a:1:{s:5:"title";s:191:"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.";}}','system','0','0','0','0','0','2','0','6','434','0','0','0','0','0','0','0','0'),('management','435','18','admin/reports/hits','admin/reports/hits','Recent hits','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View pages that have recently been visited.";}}','system','0','0','0','0','0','3','0','1','18','435','0','0','0','0','0','0','0'),('navigation','436','5','node/%/results','node/%/results','Results','a:0:{}','system','-1','0','0','0','3','2','0','5','436','0','0','0','0','0','0','0','0'),('management','437','18','admin/reports/pages','admin/reports/pages','Top pages','a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"View pages that have been hit frequently.";}}','system','0','0','0','0','1','3','0','1','18','437','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','438','18','admin/reports/referrers','admin/reports/referrers','Top referrers','a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"View top referrers.";}}','system','0','0','0','0','0','3','0','1','18','438','0','0','0','0','0','0','0'),('management','439','18','admin/reports/visitors','admin/reports/visitors','Top visitors','a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"View visitors that hit many pages.";}}','system','0','0','0','0','2','3','0','1','18','439','0','0','0','0','0','0','0'),('navigation','440','5','node/%/track','node/%/track','Track','a:0:{}','system','-1','0','0','0','2','2','0','5','440','0','0','0','0','0','0','0','0'),('management','441','20','admin/structure/views','admin/structure/views','Views','a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"Manage customized lists of content.";}}','system','0','0','1','0','0','3','0','1','20','441','0','0','0','0','0','0','0'),('navigation','442','5','node/%/votes','node/%/votes','Votes','a:0:{}','system','-1','0','0','0','3','2','0','5','442','0','0','0','0','0','0','0','0'),('management','443','175','admin/help/globalredirect','admin/help/globalredirect','globalredirect','a:0:{}','system','-1','0','0','0','0','3','0','1','175','443','0','0','0','0','0','0','0'),('management','444','175','admin/help/poll','admin/help/poll','poll','a:0:{}','system','-1','0','0','0','0','3','0','1','175','444','0','0','0','0','0','0','0'),('management','445','175','admin/help/statistics','admin/help/statistics','statistics','a:0:{}','system','-1','0','0','0','0','3','0','1','175','445','0','0','0','0','0','0','0'),('management','446','441','admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system','-1','0','0','0','0','4','0','1','20','441','446','0','0','0','0','0','0'),('management','447','441','admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system','-1','0','0','0','0','4','0','1','20','441','447','0','0','0','0','0','0'),('management','448','18','admin/reports/access/%','admin/reports/access/%','Details','a:1:{s:10:"attributes";a:1:{s:5:"title";s:16:"View access log.";}}','system','0','0','0','0','0','3','0','1','18','448','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','449','53','admin/config/system/globalredirect','admin/config/system/globalredirect','Global Redirect','a:1:{s:10:"attributes";a:1:{s:5:"title";s:63:"Chose which features you would like enabled for Global Redirect";}}','system','0','0','0','0','0','4','0','1','8','53','449','0','0','0','0','0','0'),('management','450','441','admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system','-1','0','0','0','0','4','0','1','20','441','450','0','0','0','0','0','0'),('management','451','441','admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system','-1','0','0','0','-10','4','0','1','20','441','451','0','0','0','0','0','0'),('management','452','441','admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system','-1','0','0','0','0','4','0','1','20','441','452','0','0','0','0','0','0'),('management','453','53','admin/config/system/statistics','admin/config/system/statistics','Statistics','a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Control details about what and how your site logs access statistics.";}}','system','0','0','0','0','-15','4','0','1','8','53','453','0','0','0','0','0','0'),('navigation','454','16','user/%/track/navigation','user/%/track/navigation','Track page visits','a:0:{}','system','-1','0','0','0','2','2','0','16','454','0','0','0','0','0','0','0','0'),('management','455','452','admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system','-1','0','0','0','1','5','0','1','20','441','452','455','0','0','0','0','0'),('management','456','452','admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','452','456','0','0','0','0','0'),('management','457','441','admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system','0','0','0','0','0','4','0','1','20','441','457','0','0','0','0','0','0'),('management','458','457','admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','458','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','459','457','admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system','-1','0','0','0','-10','5','0','1','20','441','457','459','0','0','0','0','0'),('management','460','457','admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','460','0','0','0','0','0'),('management','461','457','admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','461','0','0','0','0','0'),('management','462','457','admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','462','0','0','0','0','0'),('management','463','457','admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','463','0','0','0','0','0'),('management','464','441','admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system','0','0','0','0','0','4','0','1','20','441','464','0','0','0','0','0','0'),('management','465','441','admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system','0','0','0','0','0','4','0','1','20','441','465','0','0','0','0','0','0'),('navigation','466','0','popular','popular','Popular content','a:0:{}','system','0','0','0','0','0','1','0','466','0','0','0','0','0','0','0','0','0'),('navigation','467','466','popular/all','popular/all','Popular content','a:0:{}','system','-1','0','0','0','-1','2','0','466','467','0','0','0','0','0','0','0','0'),('navigation','468','466','popular/today','popular/today','Today''s popular content','a:0:{}','system','-1','0','0','0','0','2','0','466','468','0','0','0','0','0','0','0','0'),('management','469','175','admin/help/php','admin/help/php','php','a:0:{}','system','-1','0','0','0','0','3','0','1','175','469','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','470','175','admin/help/backup_migrate','admin/help/backup_migrate','backup_migrate','a:0:{}','system','-1','0','0','0','0','3','0','1','175','470','0','0','0','0','0','0','0'),('management','471','53','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Backup and Migrate','a:1:{s:10:"attributes";a:1:{s:5:"title";s:76:"Backup/restore your database or migrate data to or from another Drupal site.";}}','system','0','0','0','0','0','4','0','1','8','53','471','0','0','0','0','0','0'),('management','472','471','admin/config/system/backup_migrate/export','admin/config/system/backup_migrate/export','Backup','a:1:{s:10:"attributes";a:1:{s:5:"title";s:20:"Backup the database.";}}','system','-1','0','0','0','0','5','0','1','8','53','471','472','0','0','0','0','0'),('management','473','471','admin/config/system/backup_migrate/destination','admin/config/system/backup_migrate/destination','Destinations','a:0:{}','system','-1','0','0','0','2','5','0','1','8','53','471','473','0','0','0','0','0'),('management','474','471','admin/config/system/backup_migrate/profile','admin/config/system/backup_migrate/profile','Profiles','a:0:{}','system','-1','0','0','0','2','5','0','1','8','53','471','474','0','0','0','0','0'),('management','475','471','admin/config/system/backup_migrate/restore','admin/config/system/backup_migrate/restore','Restore','a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Restore the database from a previous backup";}}','system','-1','0','0','0','1','5','0','1','8','53','471','475','0','0','0','0','0'),('management','476','471','admin/config/system/backup_migrate/schedule','admin/config/system/backup_migrate/schedule','Schedules','a:0:{}','system','-1','0','0','0','2','5','0','1','8','53','471','476','0','0','0','0','0'),('management','477','472','admin/config/system/backup_migrate/export/advanced','admin/config/system/backup_migrate/export/advanced','Advanced Backup','a:1:{s:10:"attributes";a:1:{s:5:"title";s:20:"Backup the database.";}}','system','-1','0','0','0','1','6','0','1','8','53','471','472','477','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','478','473','admin/config/system/backup_migrate/destination/list','admin/config/system/backup_migrate/destination/list','List !type','a:0:{}','system','-1','0','0','0','1','6','0','1','8','53','471','473','478','0','0','0','0'),('management','479','474','admin/config/system/backup_migrate/profile/list','admin/config/system/backup_migrate/profile/list','List !type','a:0:{}','system','-1','0','0','0','1','6','0','1','8','53','471','474','479','0','0','0','0'),('management','480','476','admin/config/system/backup_migrate/schedule/list','admin/config/system/backup_migrate/schedule/list','List !type','a:0:{}','system','-1','0','0','0','1','6','0','1','8','53','471','476','480','0','0','0','0'),('management','481','472','admin/config/system/backup_migrate/export/quick','admin/config/system/backup_migrate/export/quick','Quick Backup','a:1:{s:10:"attributes";a:1:{s:5:"title";s:20:"Backup the database.";}}','system','-1','0','0','0','0','6','0','1','8','53','471','472','481','0','0','0','0'),('management','482','478','admin/config/system/backup_migrate/destination/list/add','admin/config/system/backup_migrate/destination/list/add','Add !type','a:0:{}','system','-1','0','0','0','2','7','0','1','8','53','471','473','478','482','0','0','0'),('management','483','479','admin/config/system/backup_migrate/profile/list/add','admin/config/system/backup_migrate/profile/list/add','Add !type','a:0:{}','system','-1','0','0','0','2','7','0','1','8','53','471','474','479','483','0','0','0'),('management','484','480','admin/config/system/backup_migrate/schedule/list/add','admin/config/system/backup_migrate/schedule/list/add','Add !type','a:0:{}','system','-1','0','0','0','2','7','0','1','8','53','471','476','480','484','0','0','0'),('management','485','478','admin/config/system/backup_migrate/destination/list/files','admin/config/system/backup_migrate/destination/list/files','Destination Files','a:0:{}','system','-1','0','0','0','0','7','0','1','8','53','471','473','478','485','0','0','0'),('navigation','486','0','contact','contact','Contact','a:0:{}','system','1','0','0','0','0','1','0','486','0','0','0','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('navigation','487','16','user/%/contact','user/%/contact','Contact','a:0:{}','system','-1','0','0','0','2','2','0','16','487','0','0','0','0','0','0','0','0'),('management','488','20','admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:"attributes";a:1:{s:5:"title";s:71:"Create a system contact form and set up categories for the form to use.";}}','system','0','0','1','0','0','3','0','1','20','488','0','0','0','0','0','0','0'),('management','489','175','admin/help/contact','admin/help/contact','contact','a:0:{}','system','-1','0','0','0','0','3','0','1','175','489','0','0','0','0','0','0','0'),('management','490','488','admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system','-1','0','0','0','1','4','0','1','20','488','490','0','0','0','0','0','0'),('management','491','488','admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system','0','0','0','0','0','4','0','1','20','488','491','0','0','0','0','0','0'),('management','492','488','admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system','0','0','0','0','0','4','0','1','20','488','492','0','0','0','0','0','0'),('management','493','18','admin/reports/views-fields','admin/reports/views-fields','Fields used in views','a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Overview of fields used in all views.";}}','system','0','0','0','0','0','3','0','1','18','493','0','0','0','0','0','0','0'),('management','494','51','admin/appearance/settings/arti_minisite','admin/appearance/settings/arti_minisite','Arctica mini site','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','494','0','0','0','0','0','0'),('management','495','28','admin/structure/block/list/arti_minisite','admin/structure/block/list/arti_minisite','Arctica mini site','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','495','0','0','0','0','0','0'),('management','496','495','admin/structure/block/list/arti_minisite/add','admin/structure/block/list/arti_minisite/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','495','496','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','497','343','admin/structure/skinr/library/list/arti_minisite','admin/structure/skinr/library/list/arti_minisite','Arctica mini site','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','497','0','0','0','0','0'),('management','498','457','admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system','-1','0','0','0','0','5','0','1','20','441','457','498','0','0','0','0','0'),('management','499','175','admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system','-1','0','0','0','0','3','0','1','175','499','0','0','0','0','0','0','0'),('management','500','175','admin/help/toolbar','admin/help/toolbar','toolbar','a:0:{}','system','-1','0','0','0','0','3','0','1','175','500','0','0','0','0','0','0','0'),('shortcut-set-1','501','0','admin/appearance/settings/touchpro','admin/appearance/settings/touchpro','Arctica Configurator','a:0:{}','menu','0','0','0','0','-48','1','0','501','0','0','0','0','0','0','0','0','0'),('main-menu','502','0','<front>','','Drupal pages','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','1','1','1','-42','1','1','502','0','0','0','0','0','0','0','0','0'),('main-menu','503','0','contact','contact','Contact','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-41','1','1','503','0','0','0','0','0','0','0','0','0'),('main-menu','504','502','search/node/lorem','search/node/%','Search','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-50','2','1','502','504','0','0','0','0','0','0','0','0'),('main-menu','505','502','node/20','node/%','Comments','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-49','2','1','502','505','0','0','0','0','0','0','0','0'),('main-menu','506','502','taxonomy/term/1','taxonomy/term/%','More regions','a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}','menu','0','0','0','0','-48','2','1','502','506','0','0','0','0','0','0','0','0'),('management','507','51','admin/appearance/settings/block_test_theme','admin/appearance/settings/block_test_theme','Block test theme','a:0:{}','system','-1','0','0','0','0','4','0','1','7','51','507','0','0','0','0','0','0');
INSERT INTO `menu_links` VALUES ('management','508','28','admin/structure/block/list/block_test_theme','admin/structure/block/list/block_test_theme','Block test theme','a:0:{}','system','-1','0','0','0','0','4','0','1','20','28','508','0','0','0','0','0','0'),('management','509','508','admin/structure/block/list/block_test_theme/add','admin/structure/block/list/block_test_theme/add','Add block','a:0:{}','system','-1','0','0','0','0','5','0','1','20','28','508','509','0','0','0','0','0'),('management','510','343','admin/structure/skinr/library/list/block_test_theme','admin/structure/skinr/library/list/block_test_theme','Block test theme','a:0:{}','system','-1','0','0','0','0','5','0','1','20','336','343','510','0','0','0','0','0');
DROP TABLE IF EXISTS `menu_router`;
CREATE TABLE `menu_router` (   `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',   `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',   `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',   `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',   `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',   `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',   `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',   `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',   `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',   `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',   `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',   `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',   `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',   `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',   `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',   `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',   `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',   `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',   `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',   `description` text NOT NULL COMMENT 'A description of this item.',   `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',   `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',   PRIMARY KEY (`path`),   KEY `fit` (`fit`),   KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),   KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','1','1','0','','admin','Administration','t','','','a:0:{}','6','','','9','modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:"administer themes";}','system_themes_page','a:0:{}','','3','2','0','','admin/appearance','Appearance','t','','','a:0:{}','6','Select and configure your themes.','left','-6','modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:"administer themes";}','system_theme_default','a:0:{}','','7','3','0','','admin/appearance/default','Set default theme','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:"administer themes";}','system_theme_disable','a:0:{}','','7','3','0','','admin/appearance/disable','Disable theme','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:"administer themes";}','system_theme_enable','a:0:{}','','7','3','0','','admin/appearance/enable','Enable theme','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:"update_manager_install_form";i:1;s:5:"theme";}','','7','3','1','admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}','388','','','25','modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:"administer themes";}','system_themes_page','a:0:{}','','7','3','1','admin/appearance','admin/appearance','List','t','','','a:0:{}','140','Select and configure your theme','','-1','modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:"administer themes";}','drupal_get_form','a:1:{i:0;s:21:"system_theme_settings";}','','7','3','1','admin/appearance','admin/appearance','Settings','t','','','a:0:{}','132','Configure default and theme specific settings.','','20','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/arctica','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:45:"sites/all/themes/arctica/arctica/arctica.info";s:4:"name";s:7:"arctica";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:15:{s:4:"name";s:12:"Arctica Core";s:11:"description";s:297:"This theme does not need to be enabled. For details about this theme see the <a href="http://drupal.org/project/arctica">project page</a> and the <a href="http://www.sooperthemes.com/arctica">mini site</a>. Sponsored by <a href="http://www.sooperthemes.com">SooperThemes</a> premium drupal themes.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:47:"sites/all/themes/arctica/arctica/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"arctica";}','','15','4','1','admin/appearance/settings','admin/appearance','Arctica Core','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/arctica_starterkit','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:67:"sites/all/themes/arctica/arctica_starterkit/arctica_starterkit.info";s:4:"name";s:18:"arctica_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:18:"Arctica starterkit";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:58:"sites/all/themes/arctica/arctica_starterkit/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:18:"arctica_starterkit";}','','15','4','1','admin/appearance/settings','admin/appearance','Arctica starterkit','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/arctica_starterkit_bigtheme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:85:"sites/all/themes/arctica/arctica_starterkit_bigtheme/arctica_starterkit_bigtheme.info";s:4:"name";s:27:"arctica_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:34:"Arctica starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:67:"sites/all/themes/arctica/arctica_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:27:"arctica_starterkit_bigtheme";}','','15','4','1','admin/appearance/settings','admin/appearance','Arctica starterkit for big themes.','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/arti','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"sites/all/themes/arti/arti.info";s:4:"name";s:4:"arti";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:4:"Arti";s:11:"description";s:77:"Minimal theme that leverages Arctica base theme for most of its functionality";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:7:"version";s:3:"1.0";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:10:"base theme";s:7:"arctica";s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:331:"\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:36:"sites/all/themes/arti/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:4:"arti";}','','15','4','1','admin/appearance/settings','admin/appearance','Arti','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/arti_minisite','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:49:"sites/all/themes/arti_minisite/arti_minisite.info";s:4:"name";s:13:"arti_minisite";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:4:"arti";s:4:"name";s:17:"Arctica mini site";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:71:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"1";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"0";s:32:"toggle_comment_user_verification";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"0";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:4:"none";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"95%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:640px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:445px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:1252:"\r\n<meta name="MobileOptimized" content="width">\r\n<meta name                                  ="HandheldFriendly" content="true">\r\n<meta name                                  ="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv                            ="cleartype" content="on">\r\n<meta http-equiv                            ="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name                                  ="viewport" content="width=device-width, initial-scale=1">\r\n\r\n<!-- hide address bar in mobile browsers -->\r\n<script>if(window.addEventListener){window.addEventListener("load",function(){setTimeout(function(){window.scrollTo(0,0.9)},0)});}</script>\r\n\r\n<!-- bugfix for safari mobile with orientation switching: -->\r\n<script>\r\nvar viewportmeta                            =document.querySelector&&document.querySelector(''meta[name="viewport"]''),ua=navigator.userAgent,gestureStart=function(){viewportmeta.content="width=device-width, minimum-scale=0.25, maximum-scale=1.6"},scaleFix=function(){if(viewportmeta&&/iPhone|iPad/.test(ua)&&!/Opera Mini/.test(ua)){viewportmeta.content="width=device-width, minimum-scale=1.0, maximum-scale=1.0";document.addEventListener("gesturestart",gestureStart,false)}};scaleFix()\r\n</script>\r\n";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/arti_minisite/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:4:"arti";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:13:"arti_minisite";}','','15','4','1','admin/appearance/settings','admin/appearance','Arctica mini site','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:20:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"bartik";}','','15','4','1','admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/block_test_theme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:51:"themes/tests/block_test_theme/block_test_theme.info";s:4:"name";s:16:"block_test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:16:"Block test theme";s:11:"description";s:34:"Theme for testing the block system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"regions";a:10:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:4:{i:0;s:13:"sidebar_first";i:1;s:14:"sidebar_second";i:2;s:8:"page_top";i:3;s:11:"page_bottom";}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:44:"themes/tests/block_test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:16:"block_test_theme";}','','15','4','1','admin/appearance/settings','admin/appearance','Block test theme','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/deviant','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:37:"sites/all/themes/deviant/deviant.info";s:4:"name";s:7:"deviant";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:7:"Deviant";s:11:"description";s:35:"@todo write description for Deviant";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:15:"power_statement";s:15:"power statement";s:9:"preblocks";s:9:"preblocks";s:10:"action_bar";s:10:"action-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:156:"nav.breadcrumb,.button,.button-big,.read-more,.masthead .primary-menu li a,.masthead #search-block-form .form-text,.masthead #search-block-form .form-submit";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"940px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"940px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:5:"940px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:5:"940px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"20px";s:18:"gutter_horizontal4";s:4:"20px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:5:"940px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"20px";s:18:"gutter_horizontal5";s:4:"20px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"10";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"200";s:22:"sooperfish_easing_show";s:6:"linear";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"200";s:22:"sooperfish_easing_hide";s:6:"linear";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:2:"50";s:18:"gradient_color_top";s:0:"";s:21:"gradient_color_bottom";s:0:"";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"50";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:10:"scrollDown";s:11:"cycle_speed";s:4:"1300";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:4:"4000";s:12:"cycle_easing";s:13:"easeOutTurbo4";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"1";s:15:"cycle_showPager";s:1:"0";s:16:"cycle_pagerEvent";s:9:"mouseover";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"0Lato:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:400";s:27:"headings_font_face_selector";s:51:"h1, h2, .region-power-statement h3,.region-featured";s:13:"nav_font_face";s:9:"0Lato:300";s:22:"nav_font_face_selector";s:83:".secondary-menu li a,.primary-menu li a, h3, h4, h5, h6, .button, .button-big,input";s:18:"sitename_font_face";s:9:"0Lato:300";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}s:5:"theme";s:7:"deviant";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:13:"Red (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#ff9900";s:4:"link";s:7:"#ff9900";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#cbff00";s:4:"link";s:7:"#cbff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#32ff00";s:4:"link";s:7:"#32ff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#00ff66";s:4:"link";s:7:"#00ff66";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#00feff";s:4:"link";s:7:"#00feff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#0065ff";s:4:"link";s:7:"#0065ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#3200ff";s:4:"link";s:7:"#3200ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#cb00ff";s:4:"link";s:7:"#cb00ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#ff0098";s:4:"link";s:7:"#ff0098";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:39:"sites/all/themes/deviant/screenshot.png";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"deviant";}','','15','4','1','admin/appearance/settings','admin/appearance','Deviant','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"garland";}','','15','4','1','admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:"administer themes";}','drupal_get_form','a:1:{i:0;s:21:"system_theme_settings";}','','15','4','1','admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}','140','','','-1','modules/system/system.admin.inc'),('admin/appearance/settings/hellofolio','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:43:"sites/all/themes/hellofolio/hellofolio.info";s:4:"name";s:10:"hellofolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:10:"HelloFolio";s:11:"description";s:38:"@todo write description for HelloFolio";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:11:"side_slider";s:11:"Side slider";s:9:"preblocks";s:9:"preblocks";s:9:"quote_bar";s:9:"quote-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"30px";s:18:"gutter_horizontal1";s:4:"30px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"30px";s:18:"gutter_horizontal2";s:4:"30px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"95%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"1";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:51:"/sites/all/themes/hellofolio//backgrounds/grid1.png";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:4:"fade";s:11:"cycle_speed";s:4:"2000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:5:"swing";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"1";s:14:"body_font_face";s:10:"0Cabin:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:10:"0Cabin:500";s:27:"headings_font_face_selector";s:2:"h1";s:13:"nav_font_face";s:10:"0Cabin:500";s:22:"nav_font_face_selector";s:45:".primary-menu, label, input, select, textarea";s:18:"sitename_font_face";s:9:"0Lobster:";s:27:"sitename_font_face_selector";s:53:".site-name, .arctica-font4, .hellofolio-ribbon header";s:6:"scheme";s:7:"default";s:7:"palette";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}s:5:"theme";s:10:"hellofolio";s:4:"info";a:7:{s:6:"fields";a:6:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:11:"background1";s:16:"Background color";s:11:"background3";s:29:"Top / Bottom Background color";s:11:"background2";s:21:"Mast Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:16:"Yellow (Default)";s:6:"colors";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:5:{s:4:"base";s:7:"#9bea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:5:{s:4:"base";s:7:"#24ea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:5:{s:4:"base";s:7:"#23ea9a";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:5:{s:4:"base";s:7:"#23c2ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:5:{s:4:"base";s:7:"#234bea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:5:{s:4:"base";s:7:"#7223ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:5:{s:4:"base";s:7:"#e923ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:5:{s:4:"base";s:7:"#ea2373";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:9:"sceheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:5:{s:4:"base";s:7:"#ea4b23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:42:"sites/all/themes/hellofolio/screenshot.png";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"hellofolio";}','','15','4','1','admin/appearance/settings','admin/appearance','HelloFolio','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:8:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:5:"seven";}','','15','4','1','admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:5:"stark";}','','15','4','1','admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/test_theme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:39:"themes/tests/test_theme/test_theme.info";s:4:"name";s:10:"test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:10:"Test theme";s:11:"description";s:34:"Theme for testing the theme system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:38:"themes/tests/test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"test_theme";}','','15','4','1','admin/appearance/settings','admin/appearance','Test theme','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/touchpro','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":14:{s:8:"filename";s:39:"sites/all/themes/touchpro/touchpro.info";s:4:"name";s:8:"touchpro";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:8:"TouchPro";s:11:"description";s:49:"Free premium Drupal theme by www.sooperthemes.com";s:10:"base theme";s:6:"tundra";s:7:"version";s:9:"7.x-beta1";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:276:"\n.logo-container,\n#page .block-search .form-actions,\n.post-icon,\n.content-column .node header .post-icon,\n.region-featured .block .grid-inner header .post-icon,\n#page h2.block-title,\n#page h1.node-title,\nh1.page-title,\n.comment h3,\n.masthead ul li a,\n.masthead,\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"1";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:40:"sites/all/themes/touchpro/screenshot.png";s:3:"php";s:5:"5.2.4";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";s:11:"base_themes";a:2:{s:7:"arctica";s:12:"Arctica Core";s:6:"tundra";s:6:"Tundra";}}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:8:"touchpro";}','','15','4','1','admin/appearance/settings','admin/appearance','TouchPro','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/tundra','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:42:"sites/all/themes/tundra/tundra/tundra.info";s:4:"name";s:6:"tundra";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:6:"Tundra";s:11:"description";s:216:"A Starter Theme with Grid Layout System, jQuery Features, Custom Typography, Right-to-Left support, Color Module Integration and Skinr Integration. Sponsored by <a href="http://www.sooperthemes.com">sooperthemes</a>.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:10:"base theme";s:7:"arctica";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/tundra/tundra/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"tundra";}','','15','4','1','admin/appearance/settings','admin/appearance','Tundra','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/tundra_starterkit','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:76:"sites/all/themes/tundra/tundra_starterkit_colormodule/tundra_starterkit.info";s:4:"name";s:17:"tundra_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:47:"Tundra starterkit with color module integration";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:68:"sites/all/themes/tundra/tundra_starterkit_colormodule/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:17:"tundra_starterkit";}','','15','4','1','admin/appearance/settings','admin/appearance','Tundra starterkit with color module integration','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/tundra_starterkit_bigtheme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:82:"sites/all/themes/tundra/tundra_starterkit_bigtheme/tundra_starterkit_bigtheme.info";s:4:"name";s:26:"tundra_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:33:"Tundra starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:65:"sites/all/themes/tundra/tundra_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:26:"tundra_starterkit_bigtheme";}','','15','4','1','admin/appearance/settings','admin/appearance','Tundra starterkit for big themes.','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/update_test_basetheme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:61:"themes/tests/update_test_basetheme/update_test_basetheme.info";s:4:"name";s:21:"update_test_basetheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:22:"Update test base theme";s:11:"description";s:63:"Test theme which acts as a base theme for other test subthemes.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:49:"themes/tests/update_test_basetheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:21:"update_test_basetheme";}','','15','4','1','admin/appearance/settings','admin/appearance','Update test base theme','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/settings/update_test_subtheme','','','_system_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:59:"themes/tests/update_test_subtheme/update_test_subtheme.info";s:4:"name";s:20:"update_test_subtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:20:"Update test subtheme";s:11:"description";s:62:"Test theme which uses update_test_basetheme as the base theme.";s:4:"core";s:3:"7.x";s:10:"base theme";s:21:"update_test_basetheme";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:48:"themes/tests/update_test_subtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:21:"update_test_basetheme";}}','drupal_get_form','a:2:{i:0;s:21:"system_theme_settings";i:1;s:20:"update_test_subtheme";}','','15','4','1','admin/appearance/settings','admin/appearance','Update test subtheme','t','','','a:0:{}','132','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:"update_manager_update_form";i:1;s:5:"theme";}','','7','3','1','admin/appearance','admin/appearance','Update','t','','','a:0:{}','132','','','10','modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_compact_page','a:0:{}','','3','2','0','','admin/compact','Compact mode','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_config_page','a:0:{}','','3','2','0','','admin/config','Configuration','t','','','a:0:{}','6','Administer settings.','','0','modules/system/system.admin.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/content','Content authoring','t','','','a:0:{}','6','Settings related to formatting and authoring content.','left','-15','modules/system/system.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:"administer filters";}','drupal_get_form','a:1:{i:0;s:21:"filter_admin_overview";}','','15','4','0','','admin/config/content/formats','Text formats','t','','','a:0:{}','6','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','0','modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:"filter_format_load";}','','user_access','a:1:{i:0;s:18:"administer filters";}','filter_admin_format_page','a:1:{i:0;i:4;}','','30','5','0','','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}','6','','','0','modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:"filter_format_load";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:"filter_admin_disable";i:1;i:4;}','','61','6','0','','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}','6','','','0','modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:"administer filters";}','filter_admin_format_page','a:0:{}','','31','5','1','admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}','388','','','1','modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:"administer filters";}','drupal_get_form','a:1:{i:0;s:21:"filter_admin_overview";}','','31','5','1','admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}','140','','','0','modules/filter/filter.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/development','Development','t','','','a:0:{}','6','Development tools.','right','-10','modules/system/system.admin.inc'),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:23:"system_logging_settings";}','','15','4','0','','admin/config/development/logging','Logging and errors','t','','','a:0:{}','6','Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destinations, such as syslog, database, email, etc.','','-15','modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:28:"system_site_maintenance_mode";}','','15','4','0','','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}','6','Take the site offline for maintenance or bring it back online.','','-10','modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:27:"system_performance_settings";}','','15','4','0','','admin/config/development/performance','Performance','t','','','a:0:{}','6','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','-20','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/media','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/media','Media','t','','','a:0:{}','6','Media tools.','left','-10','modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:27:"system_file_system_settings";}','','15','4','0','','admin/config/media/file-system','File system','t','','','a:0:{}','6','Tell Drupal where to store uploaded files and how they are accessed.','','-10','modules/system/system.admin.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:"administer image styles";}','image_style_list','a:0:{}','','15','4','0','','admin/config/media/image-styles','Image styles','t','','','a:0:{}','6','Configure styles that can be used for resizing or adjusting images on display.','','0','modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:1:{i:0;s:20:"image_style_add_form";}','','31','5','1','admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}','388','Add a new image style.','','2','modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;N;i:1;s:1:"1";}}}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:2:{i:0;s:23:"image_style_delete_form";i:1;i:5;}','','62','6','0','','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}','6','Delete an image style.','','0','modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:"image_style_load";}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:2:{i:0;s:16:"image_style_form";i:1;i:5;}','','62','6','0','','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}','6','Configure an image style.','','0','modules/image/image.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:"image_style_load";a:1:{i:0;i:5;}}i:7;a:1:{s:28:"image_effect_definition_load";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:3:{i:0;s:17:"image_effect_form";i:1;i:5;i:2;i:7;}','','250','8','0','','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}','6','Add a new effect to a style.','','0','modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;i:5;i:1;s:1:"3";}}i:7;a:1:{s:17:"image_effect_load";a:2:{i:0;i:5;i:1;s:1:"3";}}}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:3:{i:0;s:17:"image_effect_form";i:1;i:5;i:2;i:7;}','','250','8','0','','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}','6','Edit an existing effect within a style.','','0','modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;i:5;i:1;s:1:"3";}}i:7;a:1:{s:17:"image_effect_load";a:2:{i:0;i:5;i:1;s:1:"3";}}}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:3:{i:0;s:24:"image_effect_delete_form";i:1;i:5;i:2;i:7;}','','501','9','0','','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}','6','Delete an existing effect from a style.','','0','modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:"administer image styles";}','image_style_list','a:0:{}','','31','5','1','admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}','140','List the current image styles on the site.','','1','modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;N;i:1;s:1:"2";}}}','','user_access','a:1:{i:0;s:23:"administer image styles";}','drupal_get_form','a:2:{i:0;s:23:"image_style_revert_form";i:1;i:5;}','','62','6','0','','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}','6','Revert an image style.','','0','modules/image/image.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:29:"system_image_toolkit_settings";}','','15','4','0','','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}','6','Choose which image toolkit to use if you have installed optional toolkits.','','20','modules/system/system.admin.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/people','People','t','','','a:0:{}','6','Configure user accounts.','left','-20','modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:1:{i:0;s:19:"user_admin_settings";}','','15','4','0','','admin/config/people/accounts','Account settings','t','','','a:0:{}','6','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','-10','modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:7:"default";}','','31','5','1','admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}','132','','','2','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:7:"default";i:3;s:11:"user_access";i:4;s:16:"administer users";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:7:"default";}','','63','6','1','admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}','140','','','-10','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:4:"full";i:3;s:11:"user_access";i:4;s:16:"administer users";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:4:"full";}','','63','6','1','admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/people/accounts/fields','','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:4:"user";i:2;s:4:"user";}','','31','5','1','admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}','132','','','1','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}','','62','6','0','','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}','6','','','0','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:5;}','','125','7','1','admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}','132','','','10','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}','','125','7','1','admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}','140','','','0','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:5;}','','125','7','1','admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:5;}','','125','7','1','admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:"administer users";}','drupal_get_form','a:1:{i:0;s:19:"user_admin_settings";}','','31','5','1','admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}','140','','','-10','modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:"block IP addresses";}','system_ip_blocking','a:0:{}','','15','4','0','','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}','6','Manage blocked IP addresses.','','10','modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:"blocked_ip_load";}','','user_access','a:1:{i:0;s:18:"block IP addresses";}','drupal_get_form','a:2:{i:0;s:25:"system_ip_blocking_delete";i:1;i:5;}','','62','6','0','','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}','6','','','0','modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/regional','Regional and language','t','','','a:0:{}','6','Regional settings, localization and translation.','left','-5','modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:25:"system_date_time_settings";}','','15','4','0','','admin/config/regional/date-time','Date and time','t','','','a:0:{}','6','Configure display formats for date and time.','','-15','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','system_date_time_formats','a:0:{}','','31','5','1','admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}','132','Configure display format strings for date and time.','','-9','modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:2:{i:0;s:30:"system_date_delete_format_form";i:1;i:5;}','','125','7','0','','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}','6','Allow users to delete a configured date format.','','0','modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:2:{i:0;s:34:"system_configure_date_formats_form";i:1;i:5;}','','125','7','0','','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}','6','Allow users to edit a configured date format.','','0','modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:34:"system_configure_date_formats_form";}','','63','6','1','admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}','388','Allow users to add additional date formats.','','-10','modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','system_date_time_lookup','a:0:{}','','63','6','0','','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:25:"system_date_time_settings";}','','31','5','1','admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}','140','Configure display formats for date and time.','','-10','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:2:{i:0;s:35:"system_delete_date_format_type_form";i:1;i:5;}','','125','7','0','','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}','6','Allow users to delete a configured date type.','','0','modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:32:"system_add_date_format_type_form";}','','63','6','1','admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}','388','Add new date type.','','-10','modules/system/system.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:24:"system_regional_settings";}','','15','4','0','','admin/config/regional/settings','Regional settings','t','','','a:0:{}','6','Settings for the site''s default time zone and country.','','-20','modules/system/system.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/search','Search and metadata','t','','','a:0:{}','6','Local site search, metadata and SEO.','left','-10','modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:25:"system_clean_url_settings";}','','15','4','0','','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}','6','Enable or disable clean URLs for your site.','','5','modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:"status";b:1;}}','','31','5','0','','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/search/path','','','user_access','a:1:{i:0;s:22:"administer url aliases";}','path_admin_overview','a:0:{}','','15','4','0','','admin/config/search/path','URL aliases','t','','','a:0:{}','6','Change your site''s URL paths by aliasing them.','','-5','modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:"administer url aliases";}','path_admin_edit','a:0:{}','','31','5','1','admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}','388','','','0','modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:"path_load";}','','user_access','a:1:{i:0;s:22:"administer url aliases";}','drupal_get_form','a:2:{i:0;s:25:"path_admin_delete_confirm";i:1;i:5;}','','62','6','0','','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}','6','','','0','modules/path/path.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:"path_load";}','','user_access','a:1:{i:0;s:22:"administer url aliases";}','path_admin_edit','a:1:{i:0;i:5;}','','62','6','0','','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}','6','','','0','modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:"administer url aliases";}','path_admin_overview','a:0:{}','','31','5','1','admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}','140','','','-10','modules/path/path.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:"administer search";}','drupal_get_form','a:1:{i:0;s:21:"search_admin_settings";}','','15','4','0','','admin/config/search/settings','Search settings','t','','','a:0:{}','6','Configure relevance settings for search and other indexing options.','','-10','modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:"administer search";}','drupal_get_form','a:1:{i:0;s:22:"search_reindex_confirm";}','','31','5','0','','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}','4','','','0','modules/search/search.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/services','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/services','Web services','t','','','a:0:{}','6','Tools related to web services.','right','0','modules/system/system.admin.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:25:"system_rss_feeds_settings";}','','15','4','0','','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}','6','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','0','modules/system/system.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/system','System','t','','','a:0:{}','6','General system related configuration.','right','-20','modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:"administer actions";}','system_actions_manage','a:0:{}','','15','4','0','','admin/config/system/actions','Actions','t','','','a:0:{}','6','Manage the actions defined for your site.','','0','modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:"administer actions";}','drupal_get_form','a:1:{i:0;s:24:"system_actions_configure";}','','31','5','0','','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}','4','','','0','modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:"actions_load";}','','user_access','a:1:{i:0;s:18:"administer actions";}','drupal_get_form','a:2:{i:0;s:26:"system_actions_delete_form";i:1;i:5;}','','62','6','0','','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}','6','Delete an action.','','0','modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:"administer actions";}','system_actions_manage','a:0:{}','','31','5','1','admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}','140','Manage the actions defined for your site.','','-2','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:"administer actions";}','system_actions_remove_orphans','a:0:{}','','31','5','0','','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/config/system/backup_migrate','','','user_access','a:1:{i:0;s:25:"access backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:0:"";i:1;s:37:"backup_migrate_ui_manual_backup_quick";i:2;b:1;}','','15','4','0','','admin/config/system/backup_migrate','Backup and Migrate','t','','','a:0:{}','6','Backup/restore your database or migrate data to or from another Drupal site.','','0',''),('admin/config/system/backup_migrate/destination','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','31','5','1','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Destinations','t','','','a:0:{}','132','','','2',''),('admin/config/system/backup_migrate/destination/deletefile','','','user_access','a:1:{i:0;s:19:"delete backup files";}','backup_migrate_menu_callback','a:3:{i:0;s:12:"destinations";i:1;s:41:"backup_migrate_ui_destination_delete_file";i:2;b:1;}','','63','6','0','','admin/config/system/backup_migrate/destination/deletefile','Delete File','t','','','a:0:{}','0','Delete a backup file','','0',''),('admin/config/system/backup_migrate/destination/downloadfile','','','user_access','a:1:{i:0;s:19:"access backup files";}','backup_migrate_menu_callback','a:3:{i:0;s:12:"destinations";i:1;s:43:"backup_migrate_ui_destination_download_file";i:2;b:1;}','','63','6','0','','admin/config/system/backup_migrate/destination/downloadfile','Download File','t','','','a:0:{}','0','Download a backup file','','0',''),('admin/config/system/backup_migrate/destination/list','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','63','6','1','admin/config/system/backup_migrate/destination','admin/config/system/backup_migrate','List !type','t','a:1:{s:5:"!type";s:12:"Destinations";}','','a:0:{}','140','','','1','');
INSERT INTO `menu_router` VALUES ('admin/config/system/backup_migrate/destination/list/add','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_create";i:2;b:1;}','','127','7','1','admin/config/system/backup_migrate/destination/list','admin/config/system/backup_migrate','Add !type','t','a:1:{s:5:"!type";s:11:"Destination";}','','a:0:{}','388','','','2',''),('admin/config/system/backup_migrate/destination/list/delete','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_delete";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/destination/list/delete','Delete !type','t','a:1:{s:5:"!type";s:11:"Destination";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/destination/list/edit','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_edit";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/destination/list/edit','Edit !type','t','a:1:{s:5:"!type";s:11:"Destination";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/destination/list/export','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_export";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/destination/list/export','Export !type','t','a:1:{s:5:"!type";s:11:"Destination";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/destination/list/files','','','user_access','a:1:{i:0;s:19:"access backup files";}','backup_migrate_menu_callback','a:3:{i:0;s:12:"destinations";i:1;s:43:"backup_migrate_ui_destination_display_files";i:2;b:1;}','','127','7','1','admin/config/system/backup_migrate/destination/list','admin/config/system/backup_migrate','Destination Files','t','','','a:0:{}','132','','','0','');
INSERT INTO `menu_router` VALUES ('admin/config/system/backup_migrate/destination/restorefile','','','user_access','a:1:{i:0;s:19:"restore from backup";}','backup_migrate_menu_callback','a:3:{i:0;s:12:"destinations";i:1;s:42:"backup_migrate_ui_destination_restore_file";i:2;b:1;}','','63','6','0','','admin/config/system/backup_migrate/destination/restorefile','Restore from backup','t','','','a:0:{}','0','Restore database from a backup file on the server','','0',''),('admin/config/system/backup_migrate/export','','','user_access','a:1:{i:0;s:25:"access backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:0:"";i:1;s:37:"backup_migrate_ui_manual_backup_quick";i:2;b:1;}','','31','5','1','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Backup','t','','','a:0:{}','140','Backup the database.','','0',''),('admin/config/system/backup_migrate/export/advanced','','','user_access','a:1:{i:0;s:14:"perform backup";}','backup_migrate_menu_callback','a:3:{i:0;s:0:"";i:1;s:40:"backup_migrate_ui_manual_backup_advanced";i:2;b:1;}','','63','6','1','admin/config/system/backup_migrate/export','admin/config/system/backup_migrate','Advanced Backup','t','','','a:0:{}','132','Backup the database.','','1',''),('admin/config/system/backup_migrate/export/quick','','','user_access','a:1:{i:0;s:25:"access backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:0:"";i:1;s:37:"backup_migrate_ui_manual_backup_quick";i:2;b:1;}','','63','6','1','admin/config/system/backup_migrate/export','admin/config/system/backup_migrate','Quick Backup','t','','','a:0:{}','140','Backup the database.','','0',''),('admin/config/system/backup_migrate/profile','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','31','5','1','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Profiles','t','','','a:0:{}','132','','','2',''),('admin/config/system/backup_migrate/profile/list','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','63','6','1','admin/config/system/backup_migrate/profile','admin/config/system/backup_migrate','List !type','t','a:1:{s:5:"!type";s:8:"Profiles";}','','a:0:{}','140','','','1','');
INSERT INTO `menu_router` VALUES ('admin/config/system/backup_migrate/profile/list/add','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_create";i:2;b:1;}','','127','7','1','admin/config/system/backup_migrate/profile/list','admin/config/system/backup_migrate','Add !type','t','a:1:{s:5:"!type";s:7:"Profile";}','','a:0:{}','388','','','2',''),('admin/config/system/backup_migrate/profile/list/delete','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_delete";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/profile/list/delete','Delete !type','t','a:1:{s:5:"!type";s:7:"Profile";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/profile/list/edit','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_edit";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/profile/list/edit','Edit !type','t','a:1:{s:5:"!type";s:7:"Profile";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/profile/list/export','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_export";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/profile/list/export','Export !type','t','a:1:{s:5:"!type";s:7:"Profile";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/restore','','','user_access','a:1:{i:0;s:19:"restore from backup";}','backup_migrate_menu_callback','a:3:{i:0;s:0:"";i:1;s:32:"backup_migrate_ui_manual_restore";i:2;b:1;}','','31','5','1','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Restore','t','','','a:0:{}','132','Restore the database from a previous backup','','1',''),('admin/config/system/backup_migrate/schedule','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','31','5','1','admin/config/system/backup_migrate','admin/config/system/backup_migrate','Schedules','t','','','a:0:{}','132','','','2','');
INSERT INTO `menu_router` VALUES ('admin/config/system/backup_migrate/schedule/list','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_list";i:2;b:1;}','','63','6','1','admin/config/system/backup_migrate/schedule','admin/config/system/backup_migrate','List !type','t','a:1:{s:5:"!type";s:9:"Schedules";}','','a:0:{}','140','','','1',''),('admin/config/system/backup_migrate/schedule/list/add','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_create";i:2;b:1;}','','127','7','1','admin/config/system/backup_migrate/schedule/list','admin/config/system/backup_migrate','Add !type','t','a:1:{s:5:"!type";s:8:"Schedule";}','','a:0:{}','388','','','2',''),('admin/config/system/backup_migrate/schedule/list/delete','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_delete";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/schedule/list/delete','Delete !type','t','a:1:{s:5:"!type";s:8:"Schedule";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/schedule/list/edit','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:27:"backup_migrate_crud_ui_edit";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/schedule/list/edit','Edit !type','t','a:1:{s:5:"!type";s:8:"Schedule";}','','a:0:{}','0','','','0',''),('admin/config/system/backup_migrate/schedule/list/export','','','user_access','a:1:{i:0;s:29:"administer backup and migrate";}','backup_migrate_menu_callback','a:3:{i:0;s:4:"crud";i:1;s:29:"backup_migrate_crud_ui_export";i:2;b:1;}','','127','7','0','','admin/config/system/backup_migrate/schedule/list/export','Export !type','t','a:1:{s:5:"!type";s:8:"Schedule";}','','a:0:{}','0','','','0',''),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:20:"system_cron_settings";}','','15','4','0','','admin/config/system/cron','Cron','t','','','a:0:{}','6','Manage automatic site maintenance tasks.','','20','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/system/globalredirect','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:23:"globalredirect_settings";}','','15','4','0','','admin/config/system/globalredirect','Global Redirect','t','','','a:0:{}','6','Chose which features you would like enabled for Global Redirect','','0','sites/all/modules/globalredirect/globalredirect.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:32:"system_site_information_settings";}','','15','4','0','','admin/config/system/site-information','Site information','t','','','a:0:{}','6','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','-20','modules/system/system.admin.inc'),('admin/config/system/statistics','','','user_access','a:1:{i:0;s:21:"administer statistics";}','drupal_get_form','a:1:{i:0;s:24:"statistics_settings_form";}','','15','4','0','','admin/config/system/statistics','Statistics','t','','','a:0:{}','6','Control details about what and how your site logs access statistics.','','-15','modules/statistics/statistics.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/user-interface','User interface','t','','','a:0:{}','6','Tools that enhance the user interface.','right','-15','modules/system/system.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:"administer shortcuts";}','shortcut_set_admin','a:0:{}','','15','4','0','','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}','6','Add and modify shortcut sets.','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:"shortcut_set_customize";i:1;i:4;}','','30','5','0','','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title','a:1:{i:0;i:4;}','','a:0:{}','6','','','0','modules/shortcut/shortcut.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:"shortcut_link_add";i:1;i:4;}','','61','6','1','admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}','388','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','','61','6','0','','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}','0','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:"shortcut_set_delete_form";i:1;i:4;}','','61','6','0','','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}','6','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:"shortcut_set_edit_form";i:1;i:4;}','','61','6','1','admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}','132','','','10','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:"shortcut_set_load";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:"shortcut_set_customize";i:1;i:4;}','','61','6','1','admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}','140','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:"administer shortcuts";}','drupal_get_form','a:1:{i:0;s:21:"shortcut_set_add_form";}','','31','5','1','admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}','388','','','0','modules/shortcut/shortcut.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:"menu_link_load";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:"shortcut_link_edit";i:1;i:5;}','','62','6','0','','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}','6','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:"menu_link_load";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:"shortcut_link_delete";i:1;i:5;}','','125','7','0','','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}','6','','','0','modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','7','3','0','','admin/config/workflow','Workflow','t','','','a:0:{}','6','Content workflow, editorial workflow tools.','right','5','modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:"access content overview";}','drupal_get_form','a:1:{i:0;s:18:"node_admin_content";}','','3','2','0','','admin/content','Content','t','','','a:0:{}','6','Administer content and comments.','','-10','modules/node/node.admin.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:"administer comments";}','comment_admin','a:0:{}','','7','3','1','admin/content','admin/content','Comments','t','','','a:0:{}','134','List and edit site comments and the comment approval queue.','','0','modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:"administer comments";}','comment_admin','a:1:{i:0;s:8:"approval";}','','15','4','1','admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}','132','','','0','modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:"administer comments";}','comment_admin','a:0:{}','','15','4','1','admin/content/comment','admin/content','Published comments','t','','','a:0:{}','140','','','-10','modules/comment/comment.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node','','','user_access','a:1:{i:0;s:23:"access content overview";}','drupal_get_form','a:1:{i:0;s:18:"node_admin_content";}','','7','3','1','admin/content','admin/content','Content','t','','','a:0:{}','140','','','-10','modules/node/node.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:"access dashboard";}','dashboard_admin','a:0:{}','','3','2','0','','admin/dashboard','Dashboard','t','','','a:0:{}','6','View and customize your dashboard.','','-15',''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:"administer blocks";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','','28','5','0','','admin/dashboard/block-content/%/%','','t','','','a:0:{}','0','','','0',''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:"administer blocks";}','dashboard_admin_blocks','a:0:{}','','7','3','0','','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}','4','Configure which blocks can be shown on the dashboard.','','0',''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:"access dashboard";}','dashboard_admin','a:1:{i:0;b:1;}','','7','3','0','','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}','4','Customize your dashboard.','','0',''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:"administer blocks";}','dashboard_show_disabled','a:0:{}','','7','3','0','','admin/dashboard/drawer','','t','','','a:0:{}','0','','','0',''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:"administer blocks";}','dashboard_update','a:0:{}','','7','3','0','','admin/dashboard/update','','t','','','a:0:{}','0','','','0',''),('admin/help','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_main','a:0:{}','','3','2','0','','admin/help','Help','t','','','a:0:{}','6','Reference for usage, configuration, and modules.','','9','modules/help/help.admin.inc'),('admin/help/backup_migrate','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/backup_migrate','backup_migrate','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/block','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/block','block','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/blog','blog','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/color','color','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/comment','comment','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/contact','contact','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/contextual','contextual','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/dashboard','dashboard','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/dblog','dblog','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/field','field','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/field_ui','field_ui','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/file','file','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/filter','filter','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/globalredirect','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/globalredirect','globalredirect','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/help','help','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/image','image','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/list','list','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/menu','menu','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/node','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/node','node','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/number','number','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/options','options','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/overlay','overlay','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/path','path','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/php','php','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/poll','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/poll','poll','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/rdf','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/rdf','rdf','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/search','search','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/shortcut','shortcut','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/skinr','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/skinr','skinr','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/skinr_ui','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/skinr_ui','skinr_ui','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/statistics','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/statistics','statistics','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/system','system','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/taxonomy','taxonomy','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/text','text','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/toolbar','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/toolbar','toolbar','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/update','update','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/user','','','user_access','a:1:{i:0;s:27:"access administration pages";}','help_page','a:1:{i:0;i:2;}','','7','3','0','','admin/help/user','user','t','','','a:0:{}','4','','','0','modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_index','a:0:{}','','3','2','1','admin','admin','Index','t','','','a:0:{}','132','','','-18','modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:"administer modules";}','drupal_get_form','a:1:{i:0;s:14:"system_modules";}','','3','2','0','','admin/modules','Modules','t','','','a:0:{}','6','Extend site functionality.','','-2','modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:"update_manager_install_form";i:1;s:6:"module";}','','7','3','1','admin/modules','admin/modules','Install new module','t','','','a:0:{}','388','','','25','modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:"administer modules";}','drupal_get_form','a:1:{i:0;s:14:"system_modules";}','','7','3','1','admin/modules','admin/modules','List','t','','','a:0:{}','140','','','0','modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:"administer modules";}','drupal_get_form','a:1:{i:0;s:14:"system_modules";}','','15','4','0','','admin/modules/list/confirm','List','t','','','a:0:{}','4','','','0','modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:"administer modules";}','drupal_get_form','a:1:{i:0;s:24:"system_modules_uninstall";}','','7','3','1','admin/modules','admin/modules','Uninstall','t','','','a:0:{}','132','','','20','modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:"administer modules";}','drupal_get_form','a:1:{i:0;s:24:"system_modules_uninstall";}','','15','4','0','','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}','4','','','0','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:"update_manager_update_form";i:1;s:6:"module";}','','7','3','1','admin/modules','admin/modules','Update','t','','','a:0:{}','132','','','10','modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:"administer users";}','user_admin','a:1:{i:0;s:4:"list";}','','3','2','0','','admin/people','People','t','','','a:0:{}','6','Manage user accounts, roles, and permissions.','left','-4','modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:"administer users";}','user_admin','a:1:{i:0;s:6:"create";}','','7','3','1','admin/people','admin/people','Add user','t','','','a:0:{}','388','','','0','modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:"administer users";}','user_admin','a:1:{i:0;s:4:"list";}','','7','3','1','admin/people','admin/people','List','t','','','a:0:{}','140','Find and manage people interacting with your site.','','-10','modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:"administer permissions";}','drupal_get_form','a:1:{i:0;s:22:"user_admin_permissions";}','','7','3','1','admin/people','admin/people','Permissions','t','','','a:0:{}','132','Determine access to features by selecting permissions for roles.','','0','modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:"administer permissions";}','drupal_get_form','a:1:{i:0;s:22:"user_admin_permissions";}','','15','4','1','admin/people/permissions','admin/people','Permissions','t','','','a:0:{}','140','Determine access to features by selecting permissions for roles.','','-8','modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:"administer permissions";}','drupal_get_form','a:1:{i:0;s:16:"user_admin_roles";}','','15','4','1','admin/people/permissions','admin/people','Roles','t','','','a:0:{}','132','List, edit, or add user roles.','','-5','modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:"user_role_load";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:"user_admin_role_delete_confirm";i:1;i:5;}','','62','6','0','','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}','6','','','0','modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:"user_role_load";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:"user_admin_role";i:1;i:5;}','','62','6','0','','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}','6','','','0','modules/user/user.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:"access site reports";}','system_admin_menu_block_page','a:0:{}','','3','2','0','','admin/reports','Reports','t','','','a:0:{}','6','View reports, updates, and errors.','left','5','modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:"access site reports";}','dblog_top','a:1:{i:0;s:13:"access denied";}','','7','3','0','','admin/reports/access-denied','Top ''access denied'' errors','t','','','a:0:{}','6','View ''access denied'' errors (403s).','','0','modules/dblog/dblog.admin.inc'),('admin/reports/access/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_access_log','a:1:{i:0;i:3;}','','14','4','0','','admin/reports/access/%','Details','t','','','a:0:{}','6','View access log.','','0','modules/statistics/statistics.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:"access site reports";}','dblog_overview','a:0:{}','','7','3','0','','admin/reports/dblog','Recent log messages','t','','','a:0:{}','6','View events that have recently been logged.','','-1','modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:"access site reports";}','dblog_event','a:1:{i:0;i:3;}','','14','4','0','','admin/reports/event/%','Details','t','','','a:0:{}','6','','','0','modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/fields','','','user_access','a:1:{i:0;s:24:"administer content types";}','field_ui_fields_list','a:0:{}','','7','3','0','','admin/reports/fields','Field list','t','','','a:0:{}','6','Overview of fields on all entity types.','','0','modules/field_ui/field_ui.admin.inc'),('admin/reports/hits','','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_recent_hits','a:0:{}','','7','3','0','','admin/reports/hits','Recent hits','t','','','a:0:{}','6','View pages that have recently been visited.','','0','modules/statistics/statistics.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:"access site reports";}','dblog_top','a:1:{i:0;s:14:"page not found";}','','7','3','0','','admin/reports/page-not-found','Top ''page not found'' errors','t','','','a:0:{}','6','View ''page not found'' errors (404s).','','0','modules/dblog/dblog.admin.inc'),('admin/reports/pages','','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_top_pages','a:0:{}','','7','3','0','','admin/reports/pages','Top pages','t','','','a:0:{}','6','View pages that have been hit frequently.','','1','modules/statistics/statistics.admin.inc'),('admin/reports/referrers','','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_top_referrers','a:0:{}','','7','3','0','','admin/reports/referrers','Top referrers','t','','','a:0:{}','6','View top referrers.','','0','modules/statistics/statistics.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:"access site reports";}','dblog_top','a:1:{i:0;s:6:"search";}','','7','3','0','','admin/reports/search','Top search phrases','t','','','a:0:{}','6','View most popular search phrases.','','0','modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','system_status','a:0:{}','','7','3','0','','admin/reports/status','Status report','t','','','a:0:{}','6','Get a status report about your site''s operation and any detected problems.','','-60','modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','system_php','a:0:{}','','15','4','0','','admin/reports/status/php','PHP','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:"access administration pages";}','drupal_get_form','a:1:{i:0;s:30:"node_configure_rebuild_confirm";}','','15','4','0','','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}','0','','','0','modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','system_run_cron','a:0:{}','','15','4','0','','admin/reports/status/run-cron','Run cron','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','update_status','a:0:{}','','7','3','0','','admin/reports/updates','Available updates','t','','','a:0:{}','6','Get a status report about available updates for your installed modules and themes.','','-50','modules/update/update.report.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','update_manual_status','a:0:{}','','15','4','0','','admin/reports/updates/check','Manual update check','t','','','a:0:{}','0','','','0','modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:"update_manager_install_form";i:1;s:6:"report";}','','15','4','1','admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}','388','','','25','modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','update_status','a:0:{}','','15','4','1','admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}','140','','','0','modules/update/update.report.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:"administer site configuration";}','drupal_get_form','a:1:{i:0;s:15:"update_settings";}','','15','4','1','admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}','132','','','50','modules/update/update.settings.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:"update_manager_update_form";i:1;s:6:"report";}','','15','4','1','admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}','132','','','10','modules/update/update.manager.inc'),('admin/reports/views-fields','','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_field_list','a:0:{}','','7','3','0','','admin/reports/views-fields','Fields used in views','t','','','a:0:{}','6','Overview of fields used in all views.','','0','sites/all/modules/views/includes/admin.inc'),('admin/reports/visitors','','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_top_visitors','a:0:{}','','7','3','0','','admin/reports/visitors','Top visitors','t','','','a:0:{}','6','View visitors that hit many pages.','','2','modules/statistics/statistics.admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','3','2','0','','admin/structure','Structure','t','','','a:0:{}','6','Administer blocks, content types, menus, etc.','right','-8','modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:"administer blocks";}','block_admin_display','a:1:{i:0;s:8:"touchpro";}','','7','3','0','','admin/structure/block','Blocks','t','','','a:0:{}','6','Configure what block content appears in your site''s sidebars and other regions.','','0','modules/block/block.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','15','4','1','admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/demo/arctica','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:45:"sites/all/themes/arctica/arctica/arctica.info";s:4:"name";s:7:"arctica";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:15:{s:4:"name";s:12:"Arctica Core";s:11:"description";s:297:"This theme does not need to be enabled. For details about this theme see the <a href="http://drupal.org/project/arctica">project page</a> and the <a href="http://www.sooperthemes.com/arctica">mini site</a>. Sponsored by <a href="http://www.sooperthemes.com">SooperThemes</a> premium drupal themes.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:47:"sites/all/themes/arctica/arctica/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:7:"arctica";}','','31','5','0','','admin/structure/block/demo/arctica','Arctica Core','t','','_block_custom_theme','a:1:{i:0;s:7:"arctica";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/arctica_starterkit','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:67:"sites/all/themes/arctica/arctica_starterkit/arctica_starterkit.info";s:4:"name";s:18:"arctica_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:18:"Arctica starterkit";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:58:"sites/all/themes/arctica/arctica_starterkit/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_demo','a:1:{i:0;s:18:"arctica_starterkit";}','','31','5','0','','admin/structure/block/demo/arctica_starterkit','Arctica starterkit','t','','_block_custom_theme','a:1:{i:0;s:18:"arctica_starterkit";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/arctica_starterkit_bigtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:85:"sites/all/themes/arctica/arctica_starterkit_bigtheme/arctica_starterkit_bigtheme.info";s:4:"name";s:27:"arctica_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:34:"Arctica starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:67:"sites/all/themes/arctica/arctica_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_demo','a:1:{i:0;s:27:"arctica_starterkit_bigtheme";}','','31','5','0','','admin/structure/block/demo/arctica_starterkit_bigtheme','Arctica starterkit for big themes.','t','','_block_custom_theme','a:1:{i:0;s:27:"arctica_starterkit_bigtheme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/arti','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"sites/all/themes/arti/arti.info";s:4:"name";s:4:"arti";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:4:"Arti";s:11:"description";s:77:"Minimal theme that leverages Arctica base theme for most of its functionality";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:7:"version";s:3:"1.0";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:10:"base theme";s:7:"arctica";s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:331:"\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:36:"sites/all/themes/arti/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_demo','a:1:{i:0;s:4:"arti";}','','31','5','0','','admin/structure/block/demo/arti','Arti','t','','_block_custom_theme','a:1:{i:0;s:4:"arti";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/arti_minisite','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:49:"sites/all/themes/arti_minisite/arti_minisite.info";s:4:"name";s:13:"arti_minisite";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:4:"arti";s:4:"name";s:17:"Arctica mini site";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:71:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"1";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"0";s:32:"toggle_comment_user_verification";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"0";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:4:"none";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"95%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:640px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:445px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:1252:"\r\n<meta name="MobileOptimized" content="width">\r\n<meta name                                  ="HandheldFriendly" content="true">\r\n<meta name                                  ="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv                            ="cleartype" content="on">\r\n<meta http-equiv                            ="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name                                  ="viewport" content="width=device-width, initial-scale=1">\r\n\r\n<!-- hide address bar in mobile browsers -->\r\n<script>if(window.addEventListener){window.addEventListener("load",function(){setTimeout(function(){window.scrollTo(0,0.9)},0)});}</script>\r\n\r\n<!-- bugfix for safari mobile with orientation switching: -->\r\n<script>\r\nvar viewportmeta                            =document.querySelector&&document.querySelector(''meta[name="viewport"]''),ua=navigator.userAgent,gestureStart=function(){viewportmeta.content="width=device-width, minimum-scale=0.25, maximum-scale=1.6"},scaleFix=function(){if(viewportmeta&&/iPhone|iPad/.test(ua)&&!/Opera Mini/.test(ua)){viewportmeta.content="width=device-width, minimum-scale=1.0, maximum-scale=1.0";document.addEventListener("gesturestart",gestureStart,false)}};scaleFix()\r\n</script>\r\n";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/arti_minisite/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:4:"arti";}}','block_admin_demo','a:1:{i:0;s:13:"arti_minisite";}','','31','5','0','','admin/structure/block/demo/arti_minisite','Arctica mini site','t','','_block_custom_theme','a:1:{i:0;s:13:"arti_minisite";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:20:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:6:"bartik";}','','31','5','0','','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:"bartik";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/block_test_theme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:51:"themes/tests/block_test_theme/block_test_theme.info";s:4:"name";s:16:"block_test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:16:"Block test theme";s:11:"description";s:34:"Theme for testing the block system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"regions";a:10:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:4:{i:0;s:13:"sidebar_first";i:1;s:14:"sidebar_second";i:2;s:8:"page_top";i:3;s:11:"page_bottom";}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:44:"themes/tests/block_test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:16:"block_test_theme";}','','31','5','0','','admin/structure/block/demo/block_test_theme','Block test theme','t','','_block_custom_theme','a:1:{i:0;s:16:"block_test_theme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/deviant','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:37:"sites/all/themes/deviant/deviant.info";s:4:"name";s:7:"deviant";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:7:"Deviant";s:11:"description";s:35:"@todo write description for Deviant";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:15:"power_statement";s:15:"power statement";s:9:"preblocks";s:9:"preblocks";s:10:"action_bar";s:10:"action-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:156:"nav.breadcrumb,.button,.button-big,.read-more,.masthead .primary-menu li a,.masthead #search-block-form .form-text,.masthead #search-block-form .form-submit";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"940px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"940px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:5:"940px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:5:"940px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"20px";s:18:"gutter_horizontal4";s:4:"20px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:5:"940px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"20px";s:18:"gutter_horizontal5";s:4:"20px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"10";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"200";s:22:"sooperfish_easing_show";s:6:"linear";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"200";s:22:"sooperfish_easing_hide";s:6:"linear";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:2:"50";s:18:"gradient_color_top";s:0:"";s:21:"gradient_color_bottom";s:0:"";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"50";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:10:"scrollDown";s:11:"cycle_speed";s:4:"1300";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:4:"4000";s:12:"cycle_easing";s:13:"easeOutTurbo4";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"1";s:15:"cycle_showPager";s:1:"0";s:16:"cycle_pagerEvent";s:9:"mouseover";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"0Lato:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:400";s:27:"headings_font_face_selector";s:51:"h1, h2, .region-power-statement h3,.region-featured";s:13:"nav_font_face";s:9:"0Lato:300";s:22:"nav_font_face_selector";s:83:".secondary-menu li a,.primary-menu li a, h3, h4, h5, h6, .button, .button-big,input";s:18:"sitename_font_face";s:9:"0Lato:300";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}s:5:"theme";s:7:"deviant";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:13:"Red (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#ff9900";s:4:"link";s:7:"#ff9900";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#cbff00";s:4:"link";s:7:"#cbff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#32ff00";s:4:"link";s:7:"#32ff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#00ff66";s:4:"link";s:7:"#00ff66";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#00feff";s:4:"link";s:7:"#00feff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#0065ff";s:4:"link";s:7:"#0065ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#3200ff";s:4:"link";s:7:"#3200ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#cb00ff";s:4:"link";s:7:"#cb00ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#ff0098";s:4:"link";s:7:"#ff0098";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:39:"sites/all/themes/deviant/screenshot.png";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_demo','a:1:{i:0;s:7:"deviant";}','','31','5','0','','admin/structure/block/demo/deviant','Deviant','t','','_block_custom_theme','a:1:{i:0;s:7:"deviant";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:7:"garland";}','','31','5','0','','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:"garland";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/hellofolio','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:43:"sites/all/themes/hellofolio/hellofolio.info";s:4:"name";s:10:"hellofolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:10:"HelloFolio";s:11:"description";s:38:"@todo write description for HelloFolio";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:11:"side_slider";s:11:"Side slider";s:9:"preblocks";s:9:"preblocks";s:9:"quote_bar";s:9:"quote-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"30px";s:18:"gutter_horizontal1";s:4:"30px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"30px";s:18:"gutter_horizontal2";s:4:"30px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"95%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"1";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:51:"/sites/all/themes/hellofolio//backgrounds/grid1.png";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:4:"fade";s:11:"cycle_speed";s:4:"2000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:5:"swing";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"1";s:14:"body_font_face";s:10:"0Cabin:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:10:"0Cabin:500";s:27:"headings_font_face_selector";s:2:"h1";s:13:"nav_font_face";s:10:"0Cabin:500";s:22:"nav_font_face_selector";s:45:".primary-menu, label, input, select, textarea";s:18:"sitename_font_face";s:9:"0Lobster:";s:27:"sitename_font_face_selector";s:53:".site-name, .arctica-font4, .hellofolio-ribbon header";s:6:"scheme";s:7:"default";s:7:"palette";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}s:5:"theme";s:10:"hellofolio";s:4:"info";a:7:{s:6:"fields";a:6:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:11:"background1";s:16:"Background color";s:11:"background3";s:29:"Top / Bottom Background color";s:11:"background2";s:21:"Mast Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:16:"Yellow (Default)";s:6:"colors";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:5:{s:4:"base";s:7:"#9bea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:5:{s:4:"base";s:7:"#24ea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:5:{s:4:"base";s:7:"#23ea9a";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:5:{s:4:"base";s:7:"#23c2ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:5:{s:4:"base";s:7:"#234bea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:5:{s:4:"base";s:7:"#7223ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:5:{s:4:"base";s:7:"#e923ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:5:{s:4:"base";s:7:"#ea2373";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:9:"sceheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:5:{s:4:"base";s:7:"#ea4b23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:42:"sites/all/themes/hellofolio/screenshot.png";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_demo','a:1:{i:0;s:10:"hellofolio";}','','31','5','0','','admin/structure/block/demo/hellofolio','HelloFolio','t','','_block_custom_theme','a:1:{i:0;s:10:"hellofolio";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:8:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:5:"seven";}','','31','5','0','','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:"seven";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:5:"stark";}','','31','5','0','','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:"stark";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/test_theme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:39:"themes/tests/test_theme/test_theme.info";s:4:"name";s:10:"test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:10:"Test theme";s:11:"description";s:34:"Theme for testing the theme system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:38:"themes/tests/test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:10:"test_theme";}','','31','5','0','','admin/structure/block/demo/test_theme','Test theme','t','','_block_custom_theme','a:1:{i:0;s:10:"test_theme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/touchpro','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":14:{s:8:"filename";s:39:"sites/all/themes/touchpro/touchpro.info";s:4:"name";s:8:"touchpro";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:8:"TouchPro";s:11:"description";s:49:"Free premium Drupal theme by www.sooperthemes.com";s:10:"base theme";s:6:"tundra";s:7:"version";s:9:"7.x-beta1";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:276:"\n.logo-container,\n#page .block-search .form-actions,\n.post-icon,\n.content-column .node header .post-icon,\n.region-featured .block .grid-inner header .post-icon,\n#page h2.block-title,\n#page h1.node-title,\nh1.page-title,\n.comment h3,\n.masthead ul li a,\n.masthead,\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"1";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:40:"sites/all/themes/touchpro/screenshot.png";s:3:"php";s:5:"5.2.4";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";s:11:"base_themes";a:2:{s:7:"arctica";s:12:"Arctica Core";s:6:"tundra";s:6:"Tundra";}}}','block_admin_demo','a:1:{i:0;s:8:"touchpro";}','','31','5','0','','admin/structure/block/demo/touchpro','TouchPro','t','','_block_custom_theme','a:1:{i:0;s:8:"touchpro";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/tundra','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:42:"sites/all/themes/tundra/tundra/tundra.info";s:4:"name";s:6:"tundra";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:6:"Tundra";s:11:"description";s:216:"A Starter Theme with Grid Layout System, jQuery Features, Custom Typography, Right-to-Left support, Color Module Integration and Skinr Integration. Sponsored by <a href="http://www.sooperthemes.com">sooperthemes</a>.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:10:"base theme";s:7:"arctica";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/tundra/tundra/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_demo','a:1:{i:0;s:6:"tundra";}','','31','5','0','','admin/structure/block/demo/tundra','Tundra','t','','_block_custom_theme','a:1:{i:0;s:6:"tundra";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/tundra_starterkit','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:76:"sites/all/themes/tundra/tundra_starterkit_colormodule/tundra_starterkit.info";s:4:"name";s:17:"tundra_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:47:"Tundra starterkit with color module integration";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:68:"sites/all/themes/tundra/tundra_starterkit_colormodule/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_demo','a:1:{i:0;s:17:"tundra_starterkit";}','','31','5','0','','admin/structure/block/demo/tundra_starterkit','Tundra starterkit with color module integration','t','','_block_custom_theme','a:1:{i:0;s:17:"tundra_starterkit";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/tundra_starterkit_bigtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:82:"sites/all/themes/tundra/tundra_starterkit_bigtheme/tundra_starterkit_bigtheme.info";s:4:"name";s:26:"tundra_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:33:"Tundra starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:65:"sites/all/themes/tundra/tundra_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_demo','a:1:{i:0;s:26:"tundra_starterkit_bigtheme";}','','31','5','0','','admin/structure/block/demo/tundra_starterkit_bigtheme','Tundra starterkit for big themes.','t','','_block_custom_theme','a:1:{i:0;s:26:"tundra_starterkit_bigtheme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/update_test_basetheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:61:"themes/tests/update_test_basetheme/update_test_basetheme.info";s:4:"name";s:21:"update_test_basetheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:22:"Update test base theme";s:11:"description";s:63:"Test theme which acts as a base theme for other test subthemes.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:49:"themes/tests/update_test_basetheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_demo','a:1:{i:0;s:21:"update_test_basetheme";}','','31','5','0','','admin/structure/block/demo/update_test_basetheme','Update test base theme','t','','_block_custom_theme','a:1:{i:0;s:21:"update_test_basetheme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/demo/update_test_subtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:59:"themes/tests/update_test_subtheme/update_test_subtheme.info";s:4:"name";s:20:"update_test_subtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:20:"Update test subtheme";s:11:"description";s:62:"Test theme which uses update_test_basetheme as the base theme.";s:4:"core";s:3:"7.x";s:10:"base theme";s:21:"update_test_basetheme";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:48:"themes/tests/update_test_subtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:21:"update_test_basetheme";}}','block_admin_demo','a:1:{i:0;s:20:"update_test_subtheme";}','','31','5','0','','admin/structure/block/demo/update_test_subtheme','Update test subtheme','t','','_block_custom_theme','a:1:{i:0;s:20:"update_test_subtheme";}','0','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arctica','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:45:"sites/all/themes/arctica/arctica/arctica.info";s:4:"name";s:7:"arctica";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:15:{s:4:"name";s:12:"Arctica Core";s:11:"description";s:297:"This theme does not need to be enabled. For details about this theme see the <a href="http://drupal.org/project/arctica">project page</a> and the <a href="http://www.sooperthemes.com/arctica">mini site</a>. Sponsored by <a href="http://www.sooperthemes.com">SooperThemes</a> premium drupal themes.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:47:"sites/all/themes/arctica/arctica/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:7:"arctica";}','','31','5','1','admin/structure/block','admin/structure/block','Arctica Core','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arctica/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/arctica','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/arctica_starterkit','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:67:"sites/all/themes/arctica/arctica_starterkit/arctica_starterkit.info";s:4:"name";s:18:"arctica_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:18:"Arctica starterkit";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:58:"sites/all/themes/arctica/arctica_starterkit/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_display','a:1:{i:0;s:18:"arctica_starterkit";}','','31','5','1','admin/structure/block','admin/structure/block','Arctica starterkit','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arctica_starterkit/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/arctica_starterkit','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/arctica_starterkit_bigtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:85:"sites/all/themes/arctica/arctica_starterkit_bigtheme/arctica_starterkit_bigtheme.info";s:4:"name";s:27:"arctica_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:34:"Arctica starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:67:"sites/all/themes/arctica/arctica_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_display','a:1:{i:0;s:27:"arctica_starterkit_bigtheme";}','','31','5','1','admin/structure/block','admin/structure/block','Arctica starterkit for big themes.','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arctica_starterkit_bigtheme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/arctica_starterkit_bigtheme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/arti','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"sites/all/themes/arti/arti.info";s:4:"name";s:4:"arti";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:4:"Arti";s:11:"description";s:77:"Minimal theme that leverages Arctica base theme for most of its functionality";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:7:"version";s:3:"1.0";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:10:"base theme";s:7:"arctica";s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:331:"\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:36:"sites/all/themes/arti/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_display','a:1:{i:0;s:4:"arti";}','','31','5','1','admin/structure/block','admin/structure/block','Arti','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arti/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/arti','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/arti_minisite','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:49:"sites/all/themes/arti_minisite/arti_minisite.info";s:4:"name";s:13:"arti_minisite";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:4:"arti";s:4:"name";s:17:"Arctica mini site";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:71:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"1";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"0";s:32:"toggle_comment_user_verification";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"0";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:4:"none";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"95%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:640px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:445px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:1252:"\r\n<meta name="MobileOptimized" content="width">\r\n<meta name                                  ="HandheldFriendly" content="true">\r\n<meta name                                  ="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv                            ="cleartype" content="on">\r\n<meta http-equiv                            ="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name                                  ="viewport" content="width=device-width, initial-scale=1">\r\n\r\n<!-- hide address bar in mobile browsers -->\r\n<script>if(window.addEventListener){window.addEventListener("load",function(){setTimeout(function(){window.scrollTo(0,0.9)},0)});}</script>\r\n\r\n<!-- bugfix for safari mobile with orientation switching: -->\r\n<script>\r\nvar viewportmeta                            =document.querySelector&&document.querySelector(''meta[name="viewport"]''),ua=navigator.userAgent,gestureStart=function(){viewportmeta.content="width=device-width, minimum-scale=0.25, maximum-scale=1.6"},scaleFix=function(){if(viewportmeta&&/iPhone|iPad/.test(ua)&&!/Opera Mini/.test(ua)){viewportmeta.content="width=device-width, minimum-scale=1.0, maximum-scale=1.0";document.addEventListener("gesturestart",gestureStart,false)}};scaleFix()\r\n</script>\r\n";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/arti_minisite/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:4:"arti";}}','block_admin_display','a:1:{i:0;s:13:"arti_minisite";}','','31','5','1','admin/structure/block','admin/structure/block','Arctica mini site','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/arti_minisite/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/arti_minisite','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:20:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:6:"bartik";}','','31','5','1','admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/block_test_theme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:51:"themes/tests/block_test_theme/block_test_theme.info";s:4:"name";s:16:"block_test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:16:"Block test theme";s:11:"description";s:34:"Theme for testing the block system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"regions";a:10:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:4:{i:0;s:13:"sidebar_first";i:1;s:14:"sidebar_second";i:2;s:8:"page_top";i:3;s:11:"page_bottom";}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:44:"themes/tests/block_test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:16:"block_test_theme";}','','31','5','1','admin/structure/block','admin/structure/block','Block test theme','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/block_test_theme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/block_test_theme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/deviant','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:37:"sites/all/themes/deviant/deviant.info";s:4:"name";s:7:"deviant";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:7:"Deviant";s:11:"description";s:35:"@todo write description for Deviant";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:15:"power_statement";s:15:"power statement";s:9:"preblocks";s:9:"preblocks";s:10:"action_bar";s:10:"action-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:156:"nav.breadcrumb,.button,.button-big,.read-more,.masthead .primary-menu li a,.masthead #search-block-form .form-text,.masthead #search-block-form .form-submit";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"940px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"940px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:5:"940px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:5:"940px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"20px";s:18:"gutter_horizontal4";s:4:"20px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:5:"940px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"20px";s:18:"gutter_horizontal5";s:4:"20px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"10";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"200";s:22:"sooperfish_easing_show";s:6:"linear";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"200";s:22:"sooperfish_easing_hide";s:6:"linear";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:2:"50";s:18:"gradient_color_top";s:0:"";s:21:"gradient_color_bottom";s:0:"";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"50";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:10:"scrollDown";s:11:"cycle_speed";s:4:"1300";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:4:"4000";s:12:"cycle_easing";s:13:"easeOutTurbo4";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"1";s:15:"cycle_showPager";s:1:"0";s:16:"cycle_pagerEvent";s:9:"mouseover";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"0Lato:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:400";s:27:"headings_font_face_selector";s:51:"h1, h2, .region-power-statement h3,.region-featured";s:13:"nav_font_face";s:9:"0Lato:300";s:22:"nav_font_face_selector";s:83:".secondary-menu li a,.primary-menu li a, h3, h4, h5, h6, .button, .button-big,input";s:18:"sitename_font_face";s:9:"0Lato:300";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}s:5:"theme";s:7:"deviant";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:13:"Red (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#ff9900";s:4:"link";s:7:"#ff9900";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#cbff00";s:4:"link";s:7:"#cbff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#32ff00";s:4:"link";s:7:"#32ff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#00ff66";s:4:"link";s:7:"#00ff66";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#00feff";s:4:"link";s:7:"#00feff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#0065ff";s:4:"link";s:7:"#0065ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#3200ff";s:4:"link";s:7:"#3200ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#cb00ff";s:4:"link";s:7:"#cb00ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#ff0098";s:4:"link";s:7:"#ff0098";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:39:"sites/all/themes/deviant/screenshot.png";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_display','a:1:{i:0;s:7:"deviant";}','','31','5','1','admin/structure/block','admin/structure/block','Deviant','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/deviant/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/deviant','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:7:"garland";}','','31','5','1','admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/hellofolio','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:43:"sites/all/themes/hellofolio/hellofolio.info";s:4:"name";s:10:"hellofolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:10:"HelloFolio";s:11:"description";s:38:"@todo write description for HelloFolio";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:11:"side_slider";s:11:"Side slider";s:9:"preblocks";s:9:"preblocks";s:9:"quote_bar";s:9:"quote-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"30px";s:18:"gutter_horizontal1";s:4:"30px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"30px";s:18:"gutter_horizontal2";s:4:"30px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"95%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"1";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:51:"/sites/all/themes/hellofolio//backgrounds/grid1.png";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:4:"fade";s:11:"cycle_speed";s:4:"2000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:5:"swing";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"1";s:14:"body_font_face";s:10:"0Cabin:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:10:"0Cabin:500";s:27:"headings_font_face_selector";s:2:"h1";s:13:"nav_font_face";s:10:"0Cabin:500";s:22:"nav_font_face_selector";s:45:".primary-menu, label, input, select, textarea";s:18:"sitename_font_face";s:9:"0Lobster:";s:27:"sitename_font_face_selector";s:53:".site-name, .arctica-font4, .hellofolio-ribbon header";s:6:"scheme";s:7:"default";s:7:"palette";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}s:5:"theme";s:10:"hellofolio";s:4:"info";a:7:{s:6:"fields";a:6:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:11:"background1";s:16:"Background color";s:11:"background3";s:29:"Top / Bottom Background color";s:11:"background2";s:21:"Mast Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:16:"Yellow (Default)";s:6:"colors";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:5:{s:4:"base";s:7:"#9bea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:5:{s:4:"base";s:7:"#24ea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:5:{s:4:"base";s:7:"#23ea9a";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:5:{s:4:"base";s:7:"#23c2ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:5:{s:4:"base";s:7:"#234bea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:5:{s:4:"base";s:7:"#7223ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:5:{s:4:"base";s:7:"#e923ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:5:{s:4:"base";s:7:"#ea2373";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:9:"sceheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:5:{s:4:"base";s:7:"#ea4b23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:42:"sites/all/themes/hellofolio/screenshot.png";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_display','a:1:{i:0;s:10:"hellofolio";}','','31','5','1','admin/structure/block','admin/structure/block','HelloFolio','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/hellofolio/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/hellofolio','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:8:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:5:"seven";}','','31','5','1','admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:5:"stark";}','','31','5','1','admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/test_theme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:39:"themes/tests/test_theme/test_theme.info";s:4:"name";s:10:"test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:10:"Test theme";s:11:"description";s:34:"Theme for testing the theme system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:38:"themes/tests/test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:10:"test_theme";}','','31','5','1','admin/structure/block','admin/structure/block','Test theme','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/test_theme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/test_theme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/touchpro','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":14:{s:8:"filename";s:39:"sites/all/themes/touchpro/touchpro.info";s:4:"name";s:8:"touchpro";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:8:"TouchPro";s:11:"description";s:49:"Free premium Drupal theme by www.sooperthemes.com";s:10:"base theme";s:6:"tundra";s:7:"version";s:9:"7.x-beta1";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:276:"\n.logo-container,\n#page .block-search .form-actions,\n.post-icon,\n.content-column .node header .post-icon,\n.region-featured .block .grid-inner header .post-icon,\n#page h2.block-title,\n#page h1.node-title,\nh1.page-title,\n.comment h3,\n.masthead ul li a,\n.masthead,\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"1";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:40:"sites/all/themes/touchpro/screenshot.png";s:3:"php";s:5:"5.2.4";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";s:11:"base_themes";a:2:{s:7:"arctica";s:12:"Arctica Core";s:6:"tundra";s:6:"Tundra";}}}','block_admin_display','a:1:{i:0;s:8:"touchpro";}','','31','5','1','admin/structure/block','admin/structure/block','TouchPro','t','','','a:0:{}','140','','','-10','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/tundra','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:42:"sites/all/themes/tundra/tundra/tundra.info";s:4:"name";s:6:"tundra";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:6:"Tundra";s:11:"description";s:216:"A Starter Theme with Grid Layout System, jQuery Features, Custom Typography, Right-to-Left support, Color Module Integration and Skinr Integration. Sponsored by <a href="http://www.sooperthemes.com">sooperthemes</a>.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:10:"base theme";s:7:"arctica";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/tundra/tundra/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','block_admin_display','a:1:{i:0;s:6:"tundra";}','','31','5','1','admin/structure/block','admin/structure/block','Tundra','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/tundra/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/tundra','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/tundra_starterkit','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:76:"sites/all/themes/tundra/tundra_starterkit_colormodule/tundra_starterkit.info";s:4:"name";s:17:"tundra_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:47:"Tundra starterkit with color module integration";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:68:"sites/all/themes/tundra/tundra_starterkit_colormodule/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_display','a:1:{i:0;s:17:"tundra_starterkit";}','','31','5','1','admin/structure/block','admin/structure/block','Tundra starterkit with color module integration','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/tundra_starterkit/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/tundra_starterkit','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/tundra_starterkit_bigtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:82:"sites/all/themes/tundra/tundra_starterkit_bigtheme/tundra_starterkit_bigtheme.info";s:4:"name";s:26:"tundra_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:33:"Tundra starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:65:"sites/all/themes/tundra/tundra_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','block_admin_display','a:1:{i:0;s:26:"tundra_starterkit_bigtheme";}','','31','5','1','admin/structure/block','admin/structure/block','Tundra starterkit for big themes.','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/tundra_starterkit_bigtheme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/tundra_starterkit_bigtheme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/update_test_basetheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:61:"themes/tests/update_test_basetheme/update_test_basetheme.info";s:4:"name";s:21:"update_test_basetheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:22:"Update test base theme";s:11:"description";s:63:"Test theme which acts as a base theme for other test subthemes.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:49:"themes/tests/update_test_basetheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','block_admin_display','a:1:{i:0;s:21:"update_test_basetheme";}','','31','5','1','admin/structure/block','admin/structure/block','Update test base theme','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/update_test_basetheme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/update_test_basetheme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/list/update_test_subtheme','','','_block_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:59:"themes/tests/update_test_subtheme/update_test_subtheme.info";s:4:"name";s:20:"update_test_subtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:20:"Update test subtheme";s:11:"description";s:62:"Test theme which uses update_test_basetheme as the base theme.";s:4:"core";s:3:"7.x";s:10:"base theme";s:21:"update_test_basetheme";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:48:"themes/tests/update_test_subtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:21:"update_test_basetheme";}}','block_admin_display','a:1:{i:0;s:20:"update_test_subtheme";}','','31','5','1','admin/structure/block','admin/structure/block','Update test subtheme','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/block/list/update_test_subtheme/add','','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:1:{i:0;s:20:"block_add_block_form";}','','63','6','1','admin/structure/block/list/update_test_subtheme','admin/structure/block','Add block','t','','','a:0:{}','388','','','0','modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:3:{i:0;s:21:"block_admin_configure";i:1;i:4;i:2;i:5;}','','60','6','0','','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}','6','','','0','modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:3:{i:0;s:21:"block_admin_configure";i:1;i:4;i:2;i:5;}','','121','7','2','admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}','140','','','0','modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:"administer blocks";}','drupal_get_form','a:3:{i:0;s:25:"block_custom_block_delete";i:1;i:4;i:2;i:5;}','','121','7','0','admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}','132','','','0','modules/block/block.admin.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:"administer contact forms";}','contact_category_list','a:0:{}','','7','3','0','','admin/structure/contact','Contact form','t','','','a:0:{}','6','Create a system contact form and set up categories for the form to use.','','0','modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:"administer contact forms";}','drupal_get_form','a:1:{i:0;s:26:"contact_category_edit_form";}','','15','4','1','admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}','388','','','1','modules/contact/contact.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/contact/delete/%','a:1:{i:4;s:12:"contact_load";}','','user_access','a:1:{i:0;s:24:"administer contact forms";}','drupal_get_form','a:2:{i:0;s:28:"contact_category_delete_form";i:1;i:4;}','','30','5','0','','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}','6','','','0','modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:"contact_load";}','','user_access','a:1:{i:0;s:24:"administer contact forms";}','drupal_get_form','a:2:{i:0;s:26:"contact_category_edit_form";i:1;i:4;}','','30','5','0','','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}','6','','','0','modules/contact/contact.admin.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:"administer menu";}','menu_overview_page','a:0:{}','','7','3','0','','admin/structure/menu','Menus','t','','','a:0:{}','6','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:2:{i:0;s:14:"menu_edit_menu";i:1;s:3:"add";}','','15','4','1','admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}','388','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:"menu_link_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','menu_item_delete_page','a:1:{i:0;i:4;}','','61','6','0','','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}','6','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:"menu_link_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:4:{i:0;s:14:"menu_edit_item";i:1;s:4:"edit";i:2;i:4;i:3;N;}','','61','6','0','','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}','6','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:"menu_link_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:2:{i:0;s:23:"menu_reset_item_confirm";i:1;i:4;}','','61','6','0','','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}','6','','','0','modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:"administer menu";}','menu_overview_page','a:0:{}','','15','4','1','admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}','140','','','-10','modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:"menu_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:2:{i:0;s:18:"menu_overview_form";i:1;i:4;}','','30','5','0','','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}','6','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:"menu_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:4:{i:0;s:14:"menu_edit_item";i:1;s:3:"add";i:2;N;i:3;i:4;}','','61','6','1','admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}','388','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:"menu_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','menu_delete_menu_page','a:1:{i:0;i:4;}','','61','6','0','','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}','6','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:"menu_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:3:{i:0;s:14:"menu_edit_menu";i:1;s:4:"edit";i:2;i:4;}','','61','6','3','admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}','132','','','0','modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:"menu_load";}','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:2:{i:0;s:18:"menu_overview_form";i:1;i:4;}','','61','6','3','admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}','140','','','-10','modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;b:1;}','menu_parent_options_js','a:0:{}','','15','4','0','','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}','0','','','0','');
INSERT INTO `menu_router` VALUES ('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:"administer menu";}','drupal_get_form','a:1:{i:0;s:14:"menu_configure";}','','15','4','1','admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}','132','','','5','modules/menu/menu.admin.inc'),('admin/structure/skinr','','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:1:{i:0;s:13:"skinr_ui_list";}','','7','3','0','','admin/structure/skinr','Skinr','t','','','a:0:{}','6','Manage your skin configurations and rules, import and export skin configurations.','','0','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/skinr/edit/%/%/%','a:3:{i:4;s:13:"skinr_js_load";i:5;N;i:6;N;}','','user_access','a:1:{i:0;s:18:"edit skin settings";}','skinr_ui_edit','a:3:{i:0;i:4;i:1;i:5;i:2;i:6;}','','120','7','3','','admin/structure/skinr/edit/%/%/%','Edit skin','skinr_ui_edit_title','a:2:{i:0;i:5;i:1;i:6;}','','a:0:{}','0','','','0',''),('admin/structure/skinr/edit/%/%/%/configure','a:3:{i:4;s:13:"skinr_js_load";i:5;N;i:6;N;}','','user_access','a:1:{i:0;s:18:"edit skin settings";}','skinr_ui_edit','a:3:{i:0;i:4;i:1;i:5;i:2;i:6;}','','241','8','2','admin/structure/skinr/edit/%/%/%','admin/structure/skinr/edit/%/%/%','Edit skin','skinr_ui_edit_contextual_title','a:2:{i:0;i:5;i:1;i:6;}','','a:0:{}','140','','','0',''),('admin/structure/skinr/export','','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:1:{i:0;s:20:"skinr_ui_export_form";}','','15','4','1','admin/structure/skinr','admin/structure/skinr','Export','t','','','a:0:{}','132','Export skin configurations.','','3','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/skinr/import','','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:1:{i:0;s:20:"skinr_ui_import_form";}','','15','4','1','admin/structure/skinr','admin/structure/skinr','Import','t','','','a:0:{}','132','Import skin configurations.','','2','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/skinr/library','','','user_access','a:1:{i:0;s:16:"administer skinr";}','skinr_ui_admin_library','a:1:{i:0;s:8:"touchpro";}','','15','4','1','admin/structure/skinr','admin/structure/skinr','Library','t','','','a:0:{}','132','Manage what skins are available when configuring the way your site looks.','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/arctica','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:45:"sites/all/themes/arctica/arctica/arctica.info";s:4:"name";s:7:"arctica";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:15:{s:4:"name";s:12:"Arctica Core";s:11:"description";s:297:"This theme does not need to be enabled. For details about this theme see the <a href="http://drupal.org/project/arctica">project page</a> and the <a href="http://www.sooperthemes.com/arctica">mini site</a>. Sponsored by <a href="http://www.sooperthemes.com">SooperThemes</a> premium drupal themes.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:47:"sites/all/themes/arctica/arctica/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:7:"arctica";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Arctica Core','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/arctica_starterkit','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:67:"sites/all/themes/arctica/arctica_starterkit/arctica_starterkit.info";s:4:"name";s:18:"arctica_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:18:"Arctica starterkit";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:58:"sites/all/themes/arctica/arctica_starterkit/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','skinr_ui_admin_library','a:1:{i:0;s:18:"arctica_starterkit";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Arctica starterkit','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/arctica_starterkit_bigtheme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:85:"sites/all/themes/arctica/arctica_starterkit_bigtheme/arctica_starterkit_bigtheme.info";s:4:"name";s:27:"arctica_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:34:"Arctica starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:67:"sites/all/themes/arctica/arctica_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','skinr_ui_admin_library','a:1:{i:0;s:27:"arctica_starterkit_bigtheme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Arctica starterkit for big themes.','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/arti','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"sites/all/themes/arti/arti.info";s:4:"name";s:4:"arti";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:4:"Arti";s:11:"description";s:77:"Minimal theme that leverages Arctica base theme for most of its functionality";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:7:"version";s:3:"1.0";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:10:"base theme";s:7:"arctica";s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:331:"\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:36:"sites/all/themes/arti/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','skinr_ui_admin_library','a:1:{i:0;s:4:"arti";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Arti','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/arti_minisite','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:49:"sites/all/themes/arti_minisite/arti_minisite.info";s:4:"name";s:13:"arti_minisite";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:4:"arti";s:4:"name";s:17:"Arctica mini site";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:71:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"1";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"0";s:32:"toggle_comment_user_verification";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"0";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:4:"none";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"95%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:640px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:445px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:1252:"\r\n<meta name="MobileOptimized" content="width">\r\n<meta name                                  ="HandheldFriendly" content="true">\r\n<meta name                                  ="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv                            ="cleartype" content="on">\r\n<meta http-equiv                            ="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name                                  ="viewport" content="width=device-width, initial-scale=1">\r\n\r\n<!-- hide address bar in mobile browsers -->\r\n<script>if(window.addEventListener){window.addEventListener("load",function(){setTimeout(function(){window.scrollTo(0,0.9)},0)});}</script>\r\n\r\n<!-- bugfix for safari mobile with orientation switching: -->\r\n<script>\r\nvar viewportmeta                            =document.querySelector&&document.querySelector(''meta[name="viewport"]''),ua=navigator.userAgent,gestureStart=function(){viewportmeta.content="width=device-width, minimum-scale=0.25, maximum-scale=1.6"},scaleFix=function(){if(viewportmeta&&/iPhone|iPad/.test(ua)&&!/Opera Mini/.test(ua)){viewportmeta.content="width=device-width, minimum-scale=1.0, maximum-scale=1.0";document.addEventListener("gesturestart",gestureStart,false)}};scaleFix()\r\n</script>\r\n";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/arti_minisite/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:4:"arti";}}','skinr_ui_admin_library','a:1:{i:0;s:13:"arti_minisite";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Arctica mini site','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/bartik','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:20:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:6:"bartik";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Bartik','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/block_test_theme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:51:"themes/tests/block_test_theme/block_test_theme.info";s:4:"name";s:16:"block_test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:16:"Block test theme";s:11:"description";s:34:"Theme for testing the block system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"regions";a:10:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:4:{i:0;s:13:"sidebar_first";i:1;s:14:"sidebar_second";i:2;s:8:"page_top";i:3;s:11:"page_bottom";}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:44:"themes/tests/block_test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:16:"block_test_theme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Block test theme','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/deviant','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:37:"sites/all/themes/deviant/deviant.info";s:4:"name";s:7:"deviant";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:7:"Deviant";s:11:"description";s:35:"@todo write description for Deviant";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:15:"power_statement";s:15:"power statement";s:9:"preblocks";s:9:"preblocks";s:10:"action_bar";s:10:"action-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:156:"nav.breadcrumb,.button,.button-big,.read-more,.masthead .primary-menu li a,.masthead #search-block-form .form-text,.masthead #search-block-form .form-submit";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"940px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"940px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:5:"940px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:5:"940px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"20px";s:18:"gutter_horizontal4";s:4:"20px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:5:"940px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"20px";s:18:"gutter_horizontal5";s:4:"20px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"10";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"200";s:22:"sooperfish_easing_show";s:6:"linear";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"200";s:22:"sooperfish_easing_hide";s:6:"linear";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:2:"50";s:18:"gradient_color_top";s:0:"";s:21:"gradient_color_bottom";s:0:"";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"50";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:10:"scrollDown";s:11:"cycle_speed";s:4:"1300";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:4:"4000";s:12:"cycle_easing";s:13:"easeOutTurbo4";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"1";s:15:"cycle_showPager";s:1:"0";s:16:"cycle_pagerEvent";s:9:"mouseover";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"0Lato:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:400";s:27:"headings_font_face_selector";s:51:"h1, h2, .region-power-statement h3,.region-featured";s:13:"nav_font_face";s:9:"0Lato:300";s:22:"nav_font_face_selector";s:83:".secondary-menu li a,.primary-menu li a, h3, h4, h5, h6, .button, .button-big,input";s:18:"sitename_font_face";s:9:"0Lato:300";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}s:5:"theme";s:7:"deviant";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:13:"Red (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#ff9900";s:4:"link";s:7:"#ff9900";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#cbff00";s:4:"link";s:7:"#cbff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#32ff00";s:4:"link";s:7:"#32ff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#00ff66";s:4:"link";s:7:"#00ff66";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#00feff";s:4:"link";s:7:"#00feff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#0065ff";s:4:"link";s:7:"#0065ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#3200ff";s:4:"link";s:7:"#3200ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#cb00ff";s:4:"link";s:7:"#cb00ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#ff0098";s:4:"link";s:7:"#ff0098";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:39:"sites/all/themes/deviant/screenshot.png";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','skinr_ui_admin_library','a:1:{i:0;s:7:"deviant";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Deviant','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/garland','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:7:"garland";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Garland','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/hellofolio','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:43:"sites/all/themes/hellofolio/hellofolio.info";s:4:"name";s:10:"hellofolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:10:"HelloFolio";s:11:"description";s:38:"@todo write description for HelloFolio";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:11:"side_slider";s:11:"Side slider";s:9:"preblocks";s:9:"preblocks";s:9:"quote_bar";s:9:"quote-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"30px";s:18:"gutter_horizontal1";s:4:"30px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"30px";s:18:"gutter_horizontal2";s:4:"30px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"95%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"1";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:51:"/sites/all/themes/hellofolio//backgrounds/grid1.png";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:4:"fade";s:11:"cycle_speed";s:4:"2000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:5:"swing";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"1";s:14:"body_font_face";s:10:"0Cabin:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:10:"0Cabin:500";s:27:"headings_font_face_selector";s:2:"h1";s:13:"nav_font_face";s:10:"0Cabin:500";s:22:"nav_font_face_selector";s:45:".primary-menu, label, input, select, textarea";s:18:"sitename_font_face";s:9:"0Lobster:";s:27:"sitename_font_face_selector";s:53:".site-name, .arctica-font4, .hellofolio-ribbon header";s:6:"scheme";s:7:"default";s:7:"palette";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}s:5:"theme";s:10:"hellofolio";s:4:"info";a:7:{s:6:"fields";a:6:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:11:"background1";s:16:"Background color";s:11:"background3";s:29:"Top / Bottom Background color";s:11:"background2";s:21:"Mast Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:16:"Yellow (Default)";s:6:"colors";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:5:{s:4:"base";s:7:"#9bea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:5:{s:4:"base";s:7:"#24ea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:5:{s:4:"base";s:7:"#23ea9a";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:5:{s:4:"base";s:7:"#23c2ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:5:{s:4:"base";s:7:"#234bea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:5:{s:4:"base";s:7:"#7223ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:5:{s:4:"base";s:7:"#e923ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:5:{s:4:"base";s:7:"#ea2373";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:9:"sceheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:5:{s:4:"base";s:7:"#ea4b23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:42:"sites/all/themes/hellofolio/screenshot.png";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','skinr_ui_admin_library','a:1:{i:0;s:10:"hellofolio";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','HelloFolio','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/seven','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:8:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:5:"seven";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Seven','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/stark','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:5:"stark";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Stark','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/test_theme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:39:"themes/tests/test_theme/test_theme.info";s:4:"name";s:10:"test_theme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:10:"Test theme";s:11:"description";s:34:"Theme for testing the theme system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:38:"themes/tests/test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:10:"test_theme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Test theme','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/touchpro','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":14:{s:8:"filename";s:39:"sites/all/themes/touchpro/touchpro.info";s:4:"name";s:8:"touchpro";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:8:"TouchPro";s:11:"description";s:49:"Free premium Drupal theme by www.sooperthemes.com";s:10:"base theme";s:6:"tundra";s:7:"version";s:9:"7.x-beta1";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:276:"\n.logo-container,\n#page .block-search .form-actions,\n.post-icon,\n.content-column .node header .post-icon,\n.region-featured .block .grid-inner header .post-icon,\n#page h2.block-title,\n#page h1.node-title,\nh1.page-title,\n.comment h3,\n.masthead ul li a,\n.masthead,\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"1";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:40:"sites/all/themes/touchpro/screenshot.png";s:3:"php";s:5:"5.2.4";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";s:11:"base_themes";a:2:{s:7:"arctica";s:12:"Arctica Core";s:6:"tundra";s:6:"Tundra";}}}','skinr_ui_admin_library','a:1:{i:0;s:8:"touchpro";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','TouchPro','t','','','a:0:{}','140','','','-10','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/tundra','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:42:"sites/all/themes/tundra/tundra/tundra.info";s:4:"name";s:6:"tundra";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:4:"name";s:6:"Tundra";s:11:"description";s:216:"A Starter Theme with Grid Layout System, jQuery Features, Custom Typography, Right-to-Left support, Color Module Integration and Skinr Integration. Sponsored by <a href="http://www.sooperthemes.com">sooperthemes</a>.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:10:"base theme";s:7:"arctica";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/tundra/tundra/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"arctica";}}','skinr_ui_admin_library','a:1:{i:0;s:6:"tundra";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Tundra','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/tundra_starterkit','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:76:"sites/all/themes/tundra/tundra_starterkit_colormodule/tundra_starterkit.info";s:4:"name";s:17:"tundra_starterkit";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:47:"Tundra starterkit with color module integration";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:68:"sites/all/themes/tundra/tundra_starterkit_colormodule/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','skinr_ui_admin_library','a:1:{i:0;s:17:"tundra_starterkit";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Tundra starterkit with color module integration','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/tundra_starterkit_bigtheme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:82:"sites/all/themes/tundra/tundra_starterkit_bigtheme/tundra_starterkit_bigtheme.info";s:4:"name";s:26:"tundra_starterkit_bigtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:33:"Tundra starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:65:"sites/all/themes/tundra/tundra_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:6:"tundra";}}','skinr_ui_admin_library','a:1:{i:0;s:26:"tundra_starterkit_bigtheme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Tundra starterkit for big themes.','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/update_test_basetheme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":10:{s:8:"filename";s:61:"themes/tests/update_test_basetheme/update_test_basetheme.info";s:4:"name";s:21:"update_test_basetheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:22:"Update test base theme";s:11:"description";s:63:"Test theme which acts as a base theme for other test subthemes.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:49:"themes/tests/update_test_basetheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";}}','skinr_ui_admin_library','a:1:{i:0;s:21:"update_test_basetheme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Update test base theme','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/library/list/update_test_subtheme','','','_skinr_ui_themes_access','a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:59:"themes/tests/update_test_subtheme/update_test_subtheme.info";s:4:"name";s:20:"update_test_subtheme";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:20:"Update test subtheme";s:11:"description";s:62:"Test theme which uses update_test_basetheme as the base theme.";s:4:"core";s:3:"7.x";s:10:"base theme";s:21:"update_test_basetheme";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:48:"themes/tests/update_test_subtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:21:"update_test_basetheme";}}','skinr_ui_admin_library','a:1:{i:0;s:20:"update_test_subtheme";}','','63','6','1','admin/structure/skinr/library','admin/structure/skinr','Update test subtheme','t','','','a:0:{}','132','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/list','','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:1:{i:0;s:13:"skinr_ui_list";}','','15','4','1','admin/structure/skinr','admin/structure/skinr','List','t','','','a:0:{}','140','Manage skinr configurations.','','-10','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/skinr/rules','','','user_access','a:1:{i:0;s:16:"administer skinr";}','skinr_rules','a:0:{}','','15','4','1','admin/structure/skinr','admin/structure/skinr','Rules','t','','','a:0:{}','132','Configure region and page level Skinr rules.','','1','sites/all/modules/skinr/skinr_ui.rules.inc'),('admin/structure/skinr/rules/%/delete','a:1:{i:4;s:15:"skinr_rule_load";}','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:2:{i:0;s:25:"skinr_rule_delete_confirm";i:1;i:4;}','','61','6','0','','admin/structure/skinr/rules/%/delete','Delete rule','t','','','a:0:{}','0','','','0','sites/all/modules/skinr/skinr_ui.rules.inc'),('admin/structure/skinr/rules/%/edit','a:1:{i:4;s:15:"skinr_rule_load";}','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:2:{i:0;s:15:"skinr_rule_edit";i:1;i:4;}','','61','6','0','','admin/structure/skinr/rules/%/edit','Edit rule','t','','','a:0:{}','0','','','0','sites/all/modules/skinr/skinr_ui.rules.inc'),('admin/structure/skinr/rules/add','','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:1:{i:0;s:14:"skinr_rule_add";}','','31','5','1','admin/structure/skinr/rules','admin/structure/skinr','Create a new rule','t','','','a:0:{}','388','','','0','sites/all/modules/skinr/skinr_ui.rules.inc'),('admin/structure/skinr/skin/%/delete','a:1:{i:4;s:15:"skinr_skin_load";}','','user_access','a:1:{i:0;s:16:"administer skinr";}','drupal_get_form','a:2:{i:0;s:23:"skinr_ui_delete_confirm";i:1;i:4;}','','61','6','0','','admin/structure/skinr/skin/%/delete','Delete skin','t','','','a:0:{}','0','','','0','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/skinr/skin/%/disable','a:1:{i:4;s:15:"skinr_skin_load";}','','user_access','a:1:{i:0;s:16:"administer skinr";}','skinr_ui_skin_status_set','a:2:{i:0;i:4;i:1;b:0;}','','61','6','0','','admin/structure/skinr/skin/%/disable','Disable skin','t','','','a:0:{}','0','','','0','sites/all/modules/skinr/skinr_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/skinr/skin/%/enable','a:1:{i:4;s:15:"skinr_skin_load";}','','user_access','a:1:{i:0;s:16:"administer skinr";}','skinr_ui_skin_status_set','a:2:{i:0;i:4;i:1;b:1;}','','61','6','0','','admin/structure/skinr/skin/%/enable','Enable skin','t','','','a:0:{}','0','','','0','sites/all/modules/skinr/skinr_ui.admin.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}','','7','3','0','','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}','6','Manage tagging, categorization, and classification of your content.','','0','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}','','14','4','0','','admin/structure/taxonomy/%','','taxonomy_admin_vocabulary_title_callback','a:1:{i:0;i:3;}','','a:0:{}','6','','','0','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:3:{i:0;s:18:"taxonomy_form_term";i:1;a:0:{}i:2;i:3;}','','29','5','1','admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}','388','','','0','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:7:"default";}','','29','5','1','admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}','132','','','2','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:7:"default";i:3;s:11:"user_access";i:4;s:19:"administer taxonomy";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:7:"default";}','','59','6','1','admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}','140','','','-10','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:4:"full";i:3;s:11:"user_access";i:4;s:19:"administer taxonomy";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:4:"full";}','','59','6','1','admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:24:"taxonomy_form_vocabulary";i:1;i:3;}','','29','5','1','admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}','132','','','-10','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;}','','29','5','1','admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}','132','','','1','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}','','58','6','0','','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}','6','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:5;}','','117','7','1','admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}','132','','','10','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}','','117','7','1','admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}','140','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:5;}','','117','7','1','admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:5;}','','117','7','1','admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}','','29','5','1','admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}','140','','','-20','modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:1:{i:0;s:24:"taxonomy_form_vocabulary";}','','15','4','1','admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}','388','','','0','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:"administer taxonomy";}','drupal_get_form','a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}','','15','4','1','admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}','140','','','-10','modules/taxonomy/taxonomy.admin.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:"administer content types";}','node_overview_types','a:0:{}','','7','3','0','','admin/structure/types','Content types','t','','','a:0:{}','6','Manage content types, including default status, front page promotion, comment settings, etc.','','0','modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:1:{i:0;s:14:"node_type_form";}','','15','4','1','admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}','388','','','0','modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:"administer content types";}','node_overview_types','a:0:{}','','15','4','1','admin/structure/types','admin/structure/types','List','t','','','a:0:{}','140','','','-10','modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:"node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:14:"node_type_form";i:1;i:4;}','','30','5','0','','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}','6','','','0','modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:"comment_node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:7:"default";}','','123','7','1','admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}','132','','','4','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:"comment_node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:7:"comment";i:1;i:4;i:2;s:7:"default";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:7:"default";}','','247','8','1','admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}','140','','','-10','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:"comment_node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:7:"comment";i:1;i:4;i:2;s:4:"full";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:4:"full";}','','247','8','1','admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:"comment_node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:7:"comment";i:2;i:4;}','','123','7','1','admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}','132','','','3','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}','','246','8','0','','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}','6','','','0','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:7;}','','493','9','1','admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}','132','','','10','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}','','493','9','1','admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}','140','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:7;}','','493','9','1','admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:7;}','','493','9','1','admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:"node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:24:"node_type_delete_confirm";i:1;i:4;}','','61','6','0','','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}','6','','','0','modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:"node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:7:"default";}','','61','6','1','admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}','132','','','2','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:7:"default";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:7:"default";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}','140','','','-10','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:4:"full";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:4:"full";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:3:"rss";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:3:"rss";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}','132','','','2','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:12:"search_index";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:12:"search_index";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}','132','','','3','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:13:"search_result";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:13:"search_result";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result','t','','','a:0:{}','132','','','4','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:"node_type_load";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:"node";i:1;i:4;i:2;s:6:"teaser";i:3;s:11:"user_access";i:4;s:24:"administer content types";}','drupal_get_form','a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:6:"teaser";}','','123','7','1','admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}','132','','','1','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:"node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:14:"node_type_form";i:1;i:4;}','','61','6','1','admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}','140','','','0','modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:"node_type_load";}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:4:"node";i:2;i:4;}','','61','6','1','admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}','132','','','1','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}','','122','7','0','','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}','6','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}','','245','8','1','admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}','132','','','10','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}','','245','8','1','admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}','140','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}','','245','8','1','admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}','','user_access','a:1:{i:0;s:24:"administer content types";}','drupal_get_form','a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}','','245','8','1','admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}','132','','','0','modules/field_ui/field_ui.admin.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}','','7','3','0','','admin/structure/views','Views','t','','','a:0:{}','6','Manage customized lists of content.','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_add_page','a:0:{}','','15','4','1','admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}','388','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_add_template_page','a:0:{}','','15','4','1','admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}','388','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:"views_ui_cache_load";}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver','60','6','0','','admin/structure/views/ajax/%/%','','t','','','a:0:{}','0','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:"views_ui_cache_load";i:6;N;}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver','124','7','0','','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}','6','','','0','sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:"administer views";}','drupal_get_form','a:1:{i:0;s:20:"views_ui_import_page";}','','15','4','1','admin/structure/views','admin/structure/views','Import','t','','','a:0:{}','388','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}','','15','4','1','admin/structure/views','admin/structure/views','List','t','','','a:0:{}','140','','','-10','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:"views_ui_cache_load";}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','','60','6','0','','admin/structure/views/nojs/%/%','','t','','','a:0:{}','0','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:"views_ui_cache_load";i:6;N;}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','','124','7','0','','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}','6','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:"administer views";}','drupal_get_form','a:1:{i:0;s:29:"views_ui_admin_settings_basic";}','','15','4','1','admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}','132','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:"administer views";}','drupal_get_form','a:1:{i:0;s:32:"views_ui_admin_settings_advanced";}','','31','5','1','admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}','132','','','1','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:"administer views";}','drupal_get_form','a:1:{i:0;s:29:"views_ui_admin_settings_basic";}','','31','5','1','admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}','140','','','0','sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:12:"add_template";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:12:"add_template";i:2;i:4;}','','61','6','0','','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}','0','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:"views_ui_cache_load";}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_edit_page','a:1:{i:0;i:4;}','','30','5','0','','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}','6','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:"views_ui_cache_load";}','','user_access','a:1:{i:0;s:16:"administer views";}','drupal_get_form','a:2:{i:0;s:27:"views_ui_break_lock_confirm";i:1;i:4;}','','61','6','0','','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}','4','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:5:"clone";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:5:"clone";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}','4','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}','4','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:7:"disable";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:7:"disable";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}','0','','','0','sites/all/modules/ctools/includes/export-ui.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/views/view/%/edit','a:1:{i:4;s:19:"views_ui_cache_load";}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_edit_page','a:1:{i:0;i:4;}','','61','6','3','admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}','140','','','-10','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_ajax_get_form','a:3:{i:0;s:18:"views_ui_edit_form";i:1;i:4;i:2;i:6;}','ajax_deliver','245','8','0','','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:6:"enable";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:6:"enable";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}','0','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:6:"export";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:6:"export";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/export','Export','t','','','a:0:{}','4','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','','122','7','3','','admin/structure/views/view/%/preview/%','','t','','','a:0:{}','4','','','0','sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver','245','8','0','','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:"views_ui";i:1;s:6:"revert";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}','','61','6','0','','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}','4','','','0','sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:"access administration pages";}','system_admin_menu_block_page','a:0:{}','','3','2','1','admin','admin','Tasks','t','','','a:0:{}','140','','','-20','modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:"update_manager_update_ready_form";}','','7','3','0','','admin/update/ready','Ready to update','t','','','a:0:{}','0','','','0','modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:"administer views";}','views_ui_autocomplete_tag','a:0:{}','','31','5','0','','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}','0','','','0','sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:"access content";}','views_ajax_autocomplete_taxonomy','a:0:{}','','31','5','0','','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:14:"access content";}','views_ajax_autocomplete_user','a:0:{}','','31','5','0','','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/views/includes/ajax.inc'),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','','1','1','0','','batch','','t','','_system_batch_theme','a:0:{}','0','','','0','modules/system/system.admin.inc'),('blog','','','user_access','a:1:{i:0;s:14:"access content";}','blog_page_last','a:0:{}','','1','1','0','','blog','Blogs','t','','','a:0:{}','20','','','0','modules/blog/blog.pages.inc');
INSERT INTO `menu_router` VALUES ('blog/%','a:1:{i:1;s:22:"user_uid_optional_load";}','a:1:{i:1;s:24:"user_uid_optional_to_arg";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','','2','2','0','','blog/%','My blog','t','','','a:0:{}','6','','','0','modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:"user_load";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','','5','3','0','','blog/%/feed','Blogs','t','','','a:0:{}','0','','','0','modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:"access content";}','blog_feed_last','a:0:{}','','3','2','0','','blog/feed','Blogs','t','','','a:0:{}','0','','','0','modules/blog/blog.pages.inc'),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:"access comments";}','comment_permalink','a:1:{i:0;i:1;}','','2','2','0','','comment/%','Comment permalink','t','','','a:0:{}','6','','','0',''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:"administer comments";}','comment_approve','a:1:{i:0;i:1;}','','5','3','0','','comment/%/approve','Approve','t','','','a:0:{}','6','','','1','modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:"administer comments";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','','5','3','1','comment/%','comment/%','Delete','t','','','a:0:{}','132','','','2','modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:"comment_load";}','','comment_access','a:2:{i:0;s:4:"edit";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','','5','3','1','comment/%','comment/%','Edit','t','','','a:0:{}','132','','','0',''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:"access comments";}','comment_permalink','a:1:{i:0;i:1;}','','5','3','1','comment/%','comment/%','View comment','t','','','a:0:{}','140','','','-10',''),('comment/reply/%','a:1:{i:2;s:9:"node_load";}','','node_access','a:2:{i:0;s:4:"view";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','','6','3','0','','comment/reply/%','Add new comment','t','','','a:0:{}','6','','','0','modules/comment/comment.pages.inc');
INSERT INTO `menu_router` VALUES ('contact','','','user_access','a:1:{i:0;s:29:"access site-wide contact form";}','drupal_get_form','a:1:{i:0;s:17:"contact_site_form";}','','1','1','0','','contact','Contact','t','','','a:0:{}','20','','','0','modules/contact/contact.pages.inc'),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:"access content";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','','6','3','0','','ctools/autocomplete/%','','t','','','a:0:{}','0','','','0','sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_access_ajax_add','a:0:{}','','31','5','0','','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_access_ajax_edit','a:0:{}','','31','5','0','','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_access_ajax_delete','a:0:{}','','31','5','0','','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_context_ajax_item_add','a:0:{}','','15','4','0','','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_context_ajax_item_edit','a:0:{}','','15','4','0','','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:"access content";}','ctools_context_ajax_item_delete','a:0:{}','','15','4','0','','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}','0','','','0','sites/all/modules/ctools/includes/context-admin.inc');
INSERT INTO `menu_router` VALUES ('file/ajax','','','user_access','a:1:{i:0;s:14:"access content";}','file_ajax_upload','a:0:{}','ajax_deliver','3','2','0','','file/ajax','','t','','ajax_base_page_theme','a:0:{}','0','','','0',''),('file/progress','','','user_access','a:1:{i:0;s:14:"access content";}','file_ajax_progress','a:0:{}','','3','2','0','','file/progress','','t','','ajax_base_page_theme','a:0:{}','0','','','0',''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','','3','2','0','','filter/tips','Compose tips','t','','','a:0:{}','20','','','0','modules/filter/filter.pages.inc'),('node','','','user_access','a:1:{i:0;s:14:"access content";}','node_page_default','a:0:{}','','1','1','0','','node','','t','','','a:0:{}','0','','','0',''),('node/%','a:1:{i:1;s:9:"node_load";}','','node_access','a:2:{i:0;s:4:"view";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','','2','2','0','','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}','6','','','0',''),('node/%/delete','a:1:{i:1;s:9:"node_load";}','','node_access','a:2:{i:0;s:6:"delete";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:"node_delete_confirm";i:1;i:1;}','','5','3','2','node/%','node/%','Delete','t','','','a:0:{}','132','','','1','modules/node/node.pages.inc'),('node/%/edit','a:1:{i:1;s:9:"node_load";}','','node_access','a:2:{i:0;s:6:"update";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','','5','3','3','node/%','node/%','Edit','t','','','a:0:{}','132','','','0','modules/node/node.pages.inc'),('node/%/results','a:1:{i:1;s:9:"node_load";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:14:"access content";i:2;b:1;}','poll_results','a:1:{i:0;i:1;}','','5','3','1','node/%','node/%','Results','t','','','a:0:{}','132','','','3','modules/poll/poll.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:"node_load";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','','5','3','1','node/%','node/%','Revisions','t','','','a:0:{}','132','','','2','modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:"delete";}','drupal_get_form','a:2:{i:0;s:28:"node_revision_delete_confirm";i:1;i:1;}','','21','5','0','','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}','6','','','0','modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:"update";}','drupal_get_form','a:2:{i:0;s:28:"node_revision_revert_confirm";i:1;i:1;}','','21','5','0','','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}','6','','','0','modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','','21','5','0','','node/%/revisions/%/view','Revisions','t','','','a:0:{}','6','','','0',''),('node/%/track','a:1:{i:1;s:9:"node_load";}','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_node_tracker','a:0:{}','','5','3','1','node/%','node/%','Track','t','','','a:0:{}','132','','','2','modules/statistics/statistics.pages.inc'),('node/%/view','a:1:{i:1;s:9:"node_load";}','','node_access','a:2:{i:0;s:4:"view";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','','5','3','1','node/%','node/%','View','t','','','a:0:{}','140','','','-10',''),('node/%/votes','a:1:{i:1;s:9:"node_load";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:17:"inspect all votes";i:2;b:0;}','poll_votes','a:1:{i:0;i:1;}','','5','3','1','node/%','node/%','Votes','t','','','a:0:{}','132','','','3','modules/poll/poll.pages.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','','3','2','0','','node/add','Add content','t','','','a:0:{}','6','','','0','modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:"create";i:1;s:7:"article";}','node_add','a:1:{i:0;s:7:"article";}','','7','3','0','','node/add/article','Article','check_plain','','','a:0:{}','6','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','0','modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:"create";i:1;s:4:"blog";}','node_add','a:1:{i:0;s:4:"blog";}','','7','3','0','','node/add/blog','Blog entry','check_plain','','','a:0:{}','6','Use for multi-user blogs. Every user gets a personal blog.','','0','modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/page','','','node_access','a:2:{i:0;s:6:"create";i:1;s:4:"page";}','node_add','a:1:{i:0;s:4:"page";}','','7','3','0','','node/add/page','Basic page','check_plain','','','a:0:{}','6','Use <em>basic pages</em> for your static content, such as an ''About us'' page.','','0','modules/node/node.pages.inc'),('node/add/poll','','','node_access','a:2:{i:0;s:6:"create";i:1;s:4:"poll";}','node_add','a:1:{i:0;s:4:"poll";}','','7','3','0','','node/add/poll','Poll','check_plain','','','a:0:{}','6','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','','0','modules/node/node.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:"access overlay";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','','2','2','0','','overlay-ajax/%','','t','','','a:0:{}','0','','','0',''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:"access overlay";}','overlay_user_dismiss_message','a:0:{}','','3','2','0','','overlay/dismiss-message','','t','','','a:0:{}','0','','','0',''),('poll','','','user_access','a:1:{i:0;s:14:"access content";}','poll_page','a:0:{}','','1','1','0','','poll','Polls','t','','','a:0:{}','20','','','0','modules/poll/poll.pages.inc'),('popular','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:7:"popular";i:1;s:4:"page";}','','1','1','0','','popular','Popular content','t','','','a:0:{}','6','','','0',''),('popular/all','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:7:"popular";i:1;s:4:"page";}','','3','2','1','popular','popular','Popular content','t','','','a:0:{}','140','','','-1',''),('popular/today','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:7:"popular";i:1;s:6:"page_1";}','','3','2','1','popular','popular','Today''s popular content','t','','','a:0:{}','132','','','0',''),('rss.xml','','','user_access','a:1:{i:0;s:14:"access content";}','node_feed','a:0:{}','','1','1','0','','rss.xml','RSS feed','t','','','a:0:{}','0','','','0','');
INSERT INTO `menu_router` VALUES ('search','','','search_is_active','a:0:{}','search_view','a:0:{}','','1','1','0','','search','Search','t','','','a:0:{}','20','','','0','modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:"node";}','search_view','a:2:{i:0;s:4:"node";i:1;s:0:"";}','','3','2','1','search','search','Content','t','','','a:0:{}','132','','','-10','modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:"menu_tail_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}','a:1:{i:2;s:16:"menu_tail_to_arg";}','_search_menu_access','a:1:{i:0;s:4:"node";}','search_view','a:2:{i:0;s:4:"node";i:1;i:2;}','','6','3','1','search/node','search/node/%','Content','t','','','a:0:{}','132','','','0','modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:"user";}','search_view','a:2:{i:0;s:4:"user";i:1;s:0:"";}','','3','2','1','search','search','Users','t','','','a:0:{}','132','','','0','modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:"menu_tail_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}','a:1:{i:2;s:16:"menu_tail_to_arg";}','_search_menu_access','a:1:{i:0;s:4:"user";}','search_view','a:2:{i:0;s:4:"user";i:1;i:2;}','','6','3','1','search/node','search/node/%','Users','t','','','a:0:{}','132','','','0','modules/search/search.pages.inc'),('sites/default/files/touchpro/styles/%','a:1:{i:5;s:16:"image_style_load";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:5;}','','62','6','0','','sites/default/files/touchpro/styles/%','Generate image style','t','','','a:0:{}','0','','','0',''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver','3','2','0','','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}','0','','','0','includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:"private";}','','3','2','0','','system/files','File download','t','','','a:0:{}','0','','','0',''),('system/files/styles/%','a:1:{i:3;s:16:"image_style_load";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','','14','4','0','','system/files/styles/%','Generate image style','t','','','a:0:{}','0','','','0','');
INSERT INTO `menu_router` VALUES ('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:"temporary";}','','3','2','0','','system/temporary','Temporary files','t','','','a:0:{}','0','','','0',''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','','3','2','0','','system/timezone','Time zone','t','','','a:0:{}','0','','','0','modules/system/system.admin.inc'),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:"access content";}','taxonomy_autocomplete','a:0:{}','','3','2','0','','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}','0','','','0','modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:"taxonomy_term_load";}','','user_access','a:1:{i:0;s:14:"access content";}','taxonomy_term_page','a:1:{i:0;i:2;}','','6','3','0','','taxonomy/term/%','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}','6','','','0','modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:"taxonomy_term_load";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:2:{i:0;s:18:"taxonomy_form_term";i:1;i:2;}','','13','4','1','taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}','132','','','10','modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:"taxonomy_term_load";}','','user_access','a:1:{i:0;s:14:"access content";}','taxonomy_term_feed','a:1:{i:0;i:2;}','','13','4','0','','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}','0','','','0','modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:"taxonomy_term_load";}','','user_access','a:1:{i:0;s:14:"access content";}','taxonomy_term_page','a:1:{i:0;i:2;}','','13','4','1','taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}','140','','','0','modules/taxonomy/taxonomy.pages.inc'),('toolbar/toggle','','','user_access','a:1:{i:0;s:14:"access toolbar";}','toolbar_toggle_page','a:0:{}','','3','2','0','','toolbar/toggle','Toggle drawer visibility','t','','','a:0:{}','0','','','0','');
INSERT INTO `menu_router` VALUES ('user','','','1','a:0:{}','user_page','a:0:{}','','1','1','0','','user','User account','user_menu_title','','','a:0:{}','6','','','-10','modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:"user_load";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','','2','2','0','','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}','6','','','0',''),('user/%/cancel','a:1:{i:1;s:9:"user_load";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:"user_cancel_confirm_form";i:1;i:1;}','','5','3','0','','user/%/cancel','Cancel account','t','','','a:0:{}','6','','','0','modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:"user_load";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','','44','6','0','','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}','6','','','0','modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:"user_load";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:"contact_personal_form";i:1;i:1;}','','5','3','1','user/%','user/%','Contact','t','','','a:0:{}','132','','','2','modules/contact/contact.pages.inc'),('user/%/edit','a:1:{i:1;s:9:"user_load";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:"user_profile_form";i:1;i:1;}','','5','3','1','user/%','user/%','Edit','t','','','a:0:{}','132','','','0','modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:"user_profile_form";i:1;i:1;}','','11','4','1','user/%/edit','user/%','Account','t','','','a:0:{}','140','','','0','modules/user/user.pages.inc'),('user/%/shortcuts','a:1:{i:1;s:9:"user_load";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:"shortcut_set_switch";i:1;i:1;}','','5','3','1','user/%','user/%','Shortcuts','t','','','a:0:{}','132','','','0','modules/shortcut/shortcut.admin.inc');
INSERT INTO `menu_router` VALUES ('user/%/track/navigation','a:1:{i:1;s:9:"user_load";}','','user_access','a:1:{i:0;s:17:"access statistics";}','statistics_user_tracker','a:0:{}','','11','4','1','user/%','user/%','Track page visits','t','','','a:0:{}','132','','','2','modules/statistics/statistics.pages.inc'),('user/%/view','a:1:{i:1;s:9:"user_load";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','','5','3','1','user/%','user/%','View','t','','','a:0:{}','140','','','-10',''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:"access user profiles";}','user_autocomplete','a:0:{}','','3','2','0','','user/autocomplete','User autocomplete','t','','','a:0:{}','0','','','0','modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','','3','2','1','user','user','Log in','t','','','a:0:{}','140','','','0','modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','','3','2','0','','user/logout','Log out','t','','','a:0:{}','6','','','10','modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:"user_pass";}','','3','2','1','user','user','Request new password','t','','','a:0:{}','132','','','0','modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:"user_register_form";}','','3','2','1','user','user','Create new account','t','','','a:0:{}','132','','','0',''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:"user_pass_reset";i:1;i:2;i:2;i:3;i:3;i:4;}','','24','5','0','','user/reset/%/%/%','Reset password','t','','','a:0:{}','0','','','0','modules/user/user.pages.inc'),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver','3','2','0','','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}','0','Ajax callback for view loading.','','0','sites/all/modules/views/includes/ajax.inc');
DROP TABLE IF EXISTS `node`;
CREATE TABLE `node` (   `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',   `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The current node_revision.vid version identifier.',   `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',   `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',   `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',   `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',   `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',   `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',   `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',   `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',   `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',   `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',   PRIMARY KEY (`nid`),   UNIQUE KEY `vid` (`vid`),   KEY `node_changed` (`changed`),   KEY `node_created` (`created`),   KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),   KEY `node_status_type` (`status`,`type`,`nid`),   KEY `node_title_type` (`title`,`type`(4)),   KEY `node_type` (`type`(4)),   KEY `uid` (`uid`),   KEY `tnid` (`tnid`),   KEY `translate` (`translate`) ) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.' AUTO_INCREMENT=30;
INSERT INTO `node` VALUES ('16','16','article','und','Integrating the SooperFish plugin with Drupal 7','1','1','1322569853','1323092472','2','1','0','0','0'),('17','17','article','und','Testing  and Making Drupal 8 Patches in Mac OS','1','1','1322569956','1323092472','2','1','0','0','0'),('20','20','article','und','5 Reasons to Switch to HTML5 Today','1','1','1322570089','1323092472','2','1','0','0','0'),('21','21','article','und','TouchPro is Optimized for Touch Screens','1','1','1322570103','1323092472','2','1','1','0','0'),('22','22','article','und','Ibidem Imputo Typicus','0','1','1320326485','1323092472','2','1','0','0','0'),('23','23','article','und','Exerci Importunus In','1','1','1321540840','1323092472','2','1','0','0','0'),('24','24','article','und','Diam Erat Utinam','1','1','1320171186','1323890202','2','1','0','0','0'),('25','25','article','und','Antehabeo Iustum Nunc Turpis','0','1','1321473131','1323092472','2','1','0','0','0'),('26','26','article','und','At Nobis Utinam','0','1','1321577213','1323092472','2','1','0','0','0'),('27','27','article','und','Damnum Feugiat Gilvus Olim','1','1','1321011575','1323092472','2','1','0','0','0'),('28','28','article','und','Occuro Tation Virtus','0','1','1320358157','1323094087','2','1','0','0','0'),('29','29','article','und','Obruo Rusticus Scisco','0','1','1321767356','1323890609','2','1','0','0','0');
DROP TABLE IF EXISTS `node_access`;
CREATE TABLE `node_access` (   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',   `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',   `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',   `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',   `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',   `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',   PRIMARY KEY (`nid`,`gid`,`realm`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
INSERT INTO `node_access` VALUES ('0','0','all','1','0','0');
DROP TABLE IF EXISTS `node_comment_statistics`;
CREATE TABLE `node_comment_statistics` (   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',   `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',   `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',   `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',   `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',   `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',   PRIMARY KEY (`nid`),   KEY `node_comment_timestamp` (`last_comment_timestamp`),   KEY `comment_count` (`comment_count`),   KEY `last_comment_uid` (`last_comment_uid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
INSERT INTO `node_comment_statistics` VALUES ('16','0','1322569853',null,'1','0'),('17','0','1322569956',null,'1','0'),('20','39','1323881642','','1','4'),('21','35','1323881257','','1','3'),('22','20','1323092116','','1','1'),('23','21','1323092116','devel generate','0','1'),('24','23','1323092116','devel generate','0','2'),('25','24','1323092116','','1','1'),('26','28','1323092116','devel generate','0','4'),('27','30','1323092116','','1','2'),('28','31','1323092116','','1','1'),('29','32','1323092116','','1','1');
DROP TABLE IF EXISTS `node_counter`;
CREATE TABLE `node_counter` (   `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid for these statistics.',   `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed.',   `daycount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed today.',   `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The most recent time the node has been viewed.',   PRIMARY KEY (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Access statistics for nodes.';
INSERT INTO `node_counter` VALUES ('16','5','0','1323091856'),('17','4','0','1323091830'),('20','15','1','1323941526'),('21','68','2','1323901456'),('22','173','0','1323092158'),('23','397','0','1323890508'),('24','494','0','1323890203'),('25','434','0','776664718'),('26','96','0','1323890174'),('27','441','0','1323179968'),('28','307','0','1323094087'),('29','474','0','1323890610');
DROP TABLE IF EXISTS `node_revision`;
CREATE TABLE `node_revision` (   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',   `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',   `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',   `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',   `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',   `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',   `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',   `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',   PRIMARY KEY (`vid`),   KEY `nid` (`nid`),   KEY `uid` (`uid`) ) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.' AUTO_INCREMENT=30;
INSERT INTO `node_revision` VALUES ('16','16','1','Integrating the SooperFish plugin with Drupal 7','','1323092472','1','2','1','0'),('17','17','1','Testing  and Making Drupal 8 Patches in Mac OS','','1323092472','1','2','1','0'),('20','20','1','5 Reasons to Switch to HTML5 Today','','1323092472','1','2','1','0'),('21','21','1','TouchPro is Optimized for Touch Screens','','1323092472','1','2','1','1'),('22','22','1','Ibidem Imputo Typicus','','1323092472','1','2','1','0'),('23','23','1','Exerci Importunus In','','1323092472','1','2','1','0'),('24','24','1','Diam Erat Utinam','','1323890202','1','2','1','0'),('25','25','1','Antehabeo Iustum Nunc Turpis','','1323092472','1','2','1','0'),('26','26','1','At Nobis Utinam','','1323092472','1','2','1','0'),('27','27','1','Damnum Feugiat Gilvus Olim','','1323092472','1','2','1','0'),('28','28','1','Occuro Tation Virtus','','1323094087','1','2','1','0'),('29','29','1','Obruo Rusticus Scisco','','1323890609','1','2','1','0');
DROP TABLE IF EXISTS `node_type`;
CREATE TABLE `node_type` (   `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',   `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',   `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',   `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',   `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',   `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',   `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',   `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',   `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',   `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',   `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',   `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',   PRIMARY KEY (`type`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','1','Title','1','1','0','0','article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','','1','Title','0','0','1','0','blog'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an ''About us'' page.','','1','Title','1','1','0','0','page'),('poll','Poll','poll','poll','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','','1','Question','0','0','1','0','poll');
DROP TABLE IF EXISTS `poll`;
CREATE TABLE `poll` (   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The poll’s node.nid.',   `runtime` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds past node.created during which the poll is open.',   `active` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not the poll is open.',   PRIMARY KEY (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores poll-specific information for poll nodes.';
DROP TABLE IF EXISTS `poll_choice`;
CREATE TABLE `poll_choice` (   `chid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for a poll choice.',   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this choice belongs to.',   `chtext` varchar(128) NOT NULL DEFAULT '' COMMENT 'The text for this choice.',   `chvotes` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of votes this choice has received by all users.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The sort order of this choice among all choices for the same node.',   PRIMARY KEY (`chid`),   KEY `nid` (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all choices for all polls.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `poll_vote`;
CREATE TABLE `poll_vote` (   `chid` int(10) unsigned NOT NULL COMMENT 'The users’s vote for this poll.',   `nid` int(10) unsigned NOT NULL COMMENT 'The poll node this vote is for.',   `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid this vote is from unless the voter was anonymous.',   `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address this vote is from unless the voter was logged in.',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp of the vote creation.',   PRIMARY KEY (`nid`,`uid`,`hostname`),   KEY `chid` (`chid`),   KEY `hostname` (`hostname`),   KEY `uid` (`uid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-users votes for each poll.';
DROP TABLE IF EXISTS `queue`;
CREATE TABLE `queue` (   `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',   `data` longblob COMMENT 'The arbitrary data for the item.',   `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',   PRIMARY KEY (`item_id`),   KEY `name_created` (`name`,`created`),   KEY `expire` (`expire`) ) ENGINE=InnoDB AUTO_INCREMENT=155 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.' AUTO_INCREMENT=155;
INSERT INTO `queue` VALUES ('144','update_fetch_tasks','a:8:{s:4:"name";s:5:"skinr";s:4:"info";a:6:{s:4:"name";s:5:"Skinr";s:7:"package";s:5:"Skinr";s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:16:"_info_file_ctime";i:1323807681;}s:9:"datestamp";s:10:"1319243680";s:8:"includes";a:2:{s:5:"skinr";s:5:"Skinr";s:8:"skinr_ui";s:8:"Skinr UI";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323942566'),('145','update_fetch_tasks','a:8:{s:4:"name";s:12:"twitter_pull";s:4:"info";a:6:{s:4:"name";s:12:"Twitter Pull";s:7:"package";s:5:"Other";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:12:"twitter_pull";s:9:"datestamp";s:10:"1294720892";s:16:"_info_file_ctime";i:1322587682;}s:9:"datestamp";s:10:"1294720892";s:8:"includes";a:1:{s:12:"twitter_pull";s:12:"Twitter Pull";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323942566'),('146','update_fetch_tasks','a:8:{s:4:"name";s:5:"views";s:4:"info";a:6:{s:4:"name";s:5:"Views";s:7:"package";s:5:"Views";s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1321467945";s:16:"_info_file_ctime";i:1323783707;}s:9:"datestamp";s:10:"1321467945";s:8:"includes";a:2:{s:5:"views";s:5:"Views";s:8:"views_ui";s:8:"Views UI";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323942566'),('147','update_fetch_tasks','a:8:{s:4:"name";s:14:"backup_migrate";s:4:"info";a:6:{s:4:"name";s:18:"Backup and Migrate";s:7:"version";s:7:"7.x-2.2";s:7:"project";s:14:"backup_migrate";s:9:"datestamp";s:10:"1310528214";s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1322245195;}s:9:"datestamp";s:10:"1310528214";s:8:"includes";a:1:{s:14:"backup_migrate";s:18:"Backup and Migrate";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127'),('148','update_fetch_tasks','a:8:{s:4:"name";s:6:"drupal";s:4:"info";a:6:{s:4:"name";s:5:"Block";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:16:"_info_file_ctime";i:1323942553;}s:9:"datestamp";s:10:"1323125439";s:8:"includes";a:36:{s:5:"block";s:5:"Block";s:4:"blog";s:4:"Blog";s:5:"color";s:5:"Color";s:7:"comment";s:7:"Comment";s:7:"contact";s:7:"Contact";s:10:"contextual";s:16:"Contextual links";s:9:"dashboard";s:9:"Dashboard";s:5:"dblog";s:16:"Database logging";s:5:"field";s:5:"Field";s:17:"field_sql_storage";s:17:"Field SQL storage";s:8:"field_ui";s:8:"Field UI";s:4:"file";s:4:"File";s:6:"filter";s:6:"Filter";s:4:"help";s:4:"Help";s:5:"image";s:5:"Image";s:4:"list";s:4:"List";s:4:"menu";s:4:"Menu";s:4:"node";s:4:"Node";s:6:"number";s:6:"Number";s:7:"options";s:7:"Options";s:7:"overlay";s:7:"Overlay";s:4:"path";s:4:"Path";s:3:"php";s:10:"PHP filter";s:4:"poll";s:4:"Poll";s:3:"rdf";s:3:"RDF";s:6:"search";s:6:"Search";s:8:"shortcut";s:8:"Shortcut";s:10:"statistics";s:10:"Statistics";s:6:"system";s:6:"System";s:8:"taxonomy";s:8:"Taxonomy";s:4:"text";s:4:"Text";s:7:"toolbar";s:7:"Toolbar";s:6:"update";s:14:"Update manager";s:4:"user";s:4:"User";s:6:"bartik";s:6:"Bartik";s:5:"seven";s:5:"Seven";}s:12:"project_type";s:4:"core";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127');
INSERT INTO `queue` VALUES ('149','update_fetch_tasks','a:8:{s:4:"name";s:10:"colortheme";s:4:"info";a:6:{s:4:"name";s:11:"Color Theme";s:7:"version";s:7:"7.x-1.0";s:7:"project";s:10:"colortheme";s:9:"datestamp";s:10:"1294296951";s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1321014549;}s:9:"datestamp";s:10:"1294296951";s:8:"includes";a:1:{s:10:"colortheme";s:11:"Color Theme";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127'),('150','update_fetch_tasks','a:8:{s:4:"name";s:6:"ctools";s:4:"info";a:6:{s:4:"name";s:11:"Chaos tools";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:16:"_info_file_ctime";i:1321013976;}s:9:"datestamp";s:10:"1311894415";s:8:"includes";a:1:{s:6:"ctools";s:11:"Chaos tools";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127'),('151','update_fetch_tasks','a:8:{s:4:"name";s:14:"globalredirect";s:4:"info";a:6:{s:4:"name";s:15:"Global Redirect";s:7:"version";s:7:"7.x-1.3";s:7:"project";s:14:"globalredirect";s:9:"datestamp";s:10:"1294242955";s:7:"package";s:5:"Other";s:16:"_info_file_ctime";i:1321300187;}s:9:"datestamp";s:10:"1294242955";s:8:"includes";a:1:{s:14:"globalredirect";s:15:"Global Redirect";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127'),('152','update_fetch_tasks','a:8:{s:4:"name";s:5:"skinr";s:4:"info";a:6:{s:4:"name";s:5:"Skinr";s:7:"package";s:5:"Skinr";s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:16:"_info_file_ctime";i:1323807681;}s:9:"datestamp";s:10:"1319243680";s:8:"includes";a:2:{s:5:"skinr";s:5:"Skinr";s:8:"skinr_ui";s:8:"Skinr UI";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127'),('153','update_fetch_tasks','a:8:{s:4:"name";s:12:"twitter_pull";s:4:"info";a:6:{s:4:"name";s:12:"Twitter Pull";s:7:"package";s:5:"Other";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:12:"twitter_pull";s:9:"datestamp";s:10:"1294720892";s:16:"_info_file_ctime";i:1322587682;}s:9:"datestamp";s:10:"1294720892";s:8:"includes";a:1:{s:12:"twitter_pull";s:12:"Twitter Pull";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127');
INSERT INTO `queue` VALUES ('154','update_fetch_tasks','a:8:{s:4:"name";s:5:"views";s:4:"info";a:6:{s:4:"name";s:5:"Views";s:7:"package";s:5:"Views";s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1321467945";s:16:"_info_file_ctime";i:1323783707;}s:9:"datestamp";s:10:"1321467945";s:8:"includes";a:2:{s:5:"views";s:5:"Views";s:8:"views_ui";s:8:"Views UI";}s:12:"project_type";s:6:"module";s:14:"project_status";b:1;s:10:"sub_themes";a:0:{}s:11:"base_themes";a:0:{}}','0','1323946127');
DROP TABLE IF EXISTS `rdf_mapping`;
CREATE TABLE `rdf_mapping` (   `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',   `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',   `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',   PRIMARY KEY (`type`,`bundle`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:"field_image";a:2:{s:10:"predicates";a:2:{i:0;s:8:"og:image";i:1;s:12:"rdfs:seeAlso";}s:4:"type";s:3:"rel";}s:10:"field_tags";a:2:{s:10:"predicates";a:1:{i:0;s:10:"dc:subject";}s:4:"type";s:3:"rel";}s:7:"rdftype";a:2:{i:0;s:9:"sioc:Item";i:1;s:13:"foaf:Document";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),('node','blog','a:9:{s:7:"rdftype";a:2:{i:0;s:9:"sioc:Post";i:1;s:14:"sioct:BlogPost";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}');
INSERT INTO `rdf_mapping` VALUES ('node','page','a:9:{s:7:"rdftype";a:1:{i:0;s:13:"foaf:Document";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),('node','poll','a:9:{s:7:"rdftype";a:2:{i:0;s:9:"sioc:Post";i:1;s:10:"sioct:Poll";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}');
DROP TABLE IF EXISTS `registry`;
CREATE TABLE `registry` (   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',   `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',   `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',   `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',   PRIMARY KEY (`name`,`type`),   KEY `hook` (`type`,`weight`,`module`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system','0'),('AdminMetaTagTestCase','class','modules/system/system.test','system','0'),('ArchiverInterface','interface','includes/archiver.inc','','0'),('ArchiverTar','class','modules/system/system.archiver.inc','system','0'),('ArchiverZip','class','modules/system/system.archiver.inc','system','0'),('Archive_Tar','class','modules/system/system.tar.inc','system','0'),('backup_migrate_destination','class','sites/all/modules/backup_migrate/includes/destinations.inc','backup_migrate','0'),('backup_migrate_destination_remote','class','sites/all/modules/backup_migrate/includes/destinations.inc','backup_migrate','0'),('backup_migrate_profile','class','sites/all/modules/backup_migrate/includes/profiles.inc','backup_migrate','0'),('backup_migrate_schedule','class','sites/all/modules/backup_migrate/includes/schedules.inc','backup_migrate','0'),('BatchMemoryQueue','class','includes/batch.queue.inc','','0'),('BatchQueue','class','includes/batch.queue.inc','','0'),('BlockAdminThemeTestCase','class','modules/block/block.test','block','-5'),('BlockCacheTestCase','class','modules/block/block.test','block','-5'),('BlockHiddenRegionTestCase','class','modules/block/block.test','block','-5'),('BlockHTMLIdTestCase','class','modules/block/block.test','block','-5'),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block','-5'),('BlockTestCase','class','modules/block/block.test','block','-5'),('BlogTestCase','class','modules/blog/blog.test','blog','0'),('ColorTestCase','class','modules/color/color.test','color','0'),('CommentActionsTestCase','class','modules/comment/comment.test','comment','0'),('CommentAnonymous','class','modules/comment/comment.test','comment','0'),('CommentApprovalTest','class','modules/comment/comment.test','comment','0'),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment','0'),('CommentContentRebuild','class','modules/comment/comment.test','comment','0'),('CommentController','class','modules/comment/comment.module','comment','0'),('CommentFieldsTest','class','modules/comment/comment.test','comment','0');
INSERT INTO `registry` VALUES ('CommentHelperCase','class','modules/comment/comment.test','comment','0'),('CommentInterfaceTest','class','modules/comment/comment.test','comment','0'),('CommentNodeAccessTest','class','modules/comment/comment.test','comment','0'),('CommentPagerTest','class','modules/comment/comment.test','comment','0'),('CommentPreviewTest','class','modules/comment/comment.test','comment','0'),('CommentRSSUnitTest','class','modules/comment/comment.test','comment','0'),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment','0'),('ContactPersonalTestCase','class','modules/contact/contact.test','contact','0'),('ContactSitewideTestCase','class','modules/contact/contact.test','contact','0'),('CronRunTestCase','class','modules/system/system.test','system','0'),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools','0'),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools','0'),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools','0'),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools','0'),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools','0'),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools','0'),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools','0'),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard','0'),('Database','class','includes/database/database.inc','','0'),('DatabaseCondition','class','includes/database/query.inc','','0'),('DatabaseConnection','class','includes/database/database.inc','','0'),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','','0'),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','','0'),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','','0'),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','','0');
INSERT INTO `registry` VALUES ('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','','0'),('DatabaseLog','class','includes/database/log.inc','','0'),('DatabaseSchema','class','includes/database/schema.inc','','0'),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','','0'),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','','0'),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','','0'),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','','0'),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','','0'),('DatabaseStatementBase','class','includes/database/database.inc','','0'),('DatabaseStatementEmpty','class','includes/database/database.inc','','0'),('DatabaseStatementInterface','interface','includes/database/database.inc','','0'),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','','0'),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','','0'),('DatabaseTaskException','class','includes/install.inc','','0'),('DatabaseTasks','class','includes/install.inc','','0'),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','','0'),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','','0'),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','','0'),('DatabaseTransaction','class','includes/database/database.inc','','0'),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','','0'),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','','0'),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','','0'),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','','0'),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','','0'),('DateTimeFunctionalTest','class','modules/system/system.test','system','0'),('DBLogTestCase','class','modules/dblog/dblog.test','dblog','0'),('DefaultMailSystem','class','modules/system/system.mail.inc','system','0');
INSERT INTO `registry` VALUES ('DeleteQuery','class','includes/database/query.inc','','0'),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','','0'),('DrupalCacheArray','class','includes/bootstrap.inc','','0'),('DrupalCacheInterface','interface','includes/cache.inc','','0'),('DrupalDatabaseCache','class','includes/cache.inc','','0'),('DrupalDefaultEntityController','class','includes/entity.inc','','0'),('DrupalEntityControllerInterface','interface','includes/entity.inc','','0'),('DrupalFakeCache','class','includes/cache-install.inc','','0'),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','','0'),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','','0'),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','','0'),('DrupalQueue','class','modules/system/system.queue.inc','system','0'),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system','0'),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system','0'),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','','0'),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','','0'),('DrupalUpdateException','class','includes/update.inc','','0'),('DrupalUpdaterInterface','interface','includes/updater.inc','','0'),('EnableDisableTestCase','class','modules/system/system.test','system','0'),('EntityFieldQuery','class','includes/entity.inc','','0'),('EntityFieldQueryException','class','includes/entity.inc','','0'),('EntityMalformedException','class','includes/entity.inc','','0'),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field','0'),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field','0'),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field','0'),('FieldAttachTestCase','class','modules/field/tests/field.test','field','0'),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field','0'),('FieldCrudTestCase','class','modules/field/tests/field.test','field','0'),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field','0');
INSERT INTO `registry` VALUES ('FieldException','class','modules/field/field.module','field','0'),('FieldFormTestCase','class','modules/field/tests/field.test','field','0'),('FieldInfoTestCase','class','modules/field/tests/field.test','field','0'),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field','0'),('FieldsOverlapException','class','includes/database/database.inc','','0'),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage','0'),('FieldTestCase','class','modules/field/tests/field.test','field','0'),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field','0'),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui','0'),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui','0'),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui','0'),('FieldUpdateForbiddenException','class','modules/field/field.module','field','0'),('FieldValidationException','class','modules/field/field.attach.inc','field','0'),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file','0'),('FileFieldPathTestCase','class','modules/file/tests/file.test','file','0'),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file','0'),('FileFieldTestCase','class','modules/file/tests/file.test','file','0'),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file','0'),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file','0'),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file','0'),('FilePrivateTestCase','class','modules/file/tests/file.test','file','0'),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file','0'),('FileTransfer','class','includes/filetransfer/filetransfer.inc','','0'),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','','0'),('FileTransferException','class','includes/filetransfer/filetransfer.inc','','0'),('FileTransferFTP','class','includes/filetransfer/ftp.inc','','0');
INSERT INTO `registry` VALUES ('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','','0'),('FileTransferLocal','class','includes/filetransfer/local.inc','','0'),('FileTransferSSH','class','includes/filetransfer/ssh.inc','','0'),('FilterAdminTestCase','class','modules/filter/filter.test','filter','0'),('FilterCRUDTestCase','class','modules/filter/filter.test','filter','0'),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter','0'),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter','0'),('FilterHooksTestCase','class','modules/filter/filter.test','filter','0'),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter','0'),('FilterSecurityTestCase','class','modules/filter/filter.test','filter','0'),('FilterUnitTestCase','class','modules/filter/filter.test','filter','0'),('FloodFunctionalTest','class','modules/system/system.test','system','0'),('FrontPageTestCase','class','modules/system/system.test','system','0'),('GlobalRedirectTestCase','class','sites/all/modules/globalredirect/globalredirect.test','globalredirect','0'),('GlobalRedirectTestCaseConfigAlpha','class','sites/all/modules/globalredirect/globalredirect.test','globalredirect','0'),('GlobalRedirectTestCaseDefault','class','sites/all/modules/globalredirect/globalredirect.test','globalredirect','0'),('HelpTestCase','class','modules/help/help.test','help','0'),('HookRequirementsTestCase','class','modules/system/system.test','system','0'),('ImageAdminStylesUnitTest','class','modules/image/image.test','image','0'),('ImageDimensionsUnitTest','class','modules/image/image.test','image','0'),('ImageEffectsUnitTest','class','modules/image/image.test','image','0'),('ImageFieldDisplayTestCase','class','modules/image/image.test','image','0'),('ImageFieldTestCase','class','modules/image/image.test','image','0'),('ImageFieldValidateTestCase','class','modules/image/image.test','image','0'),('ImageStylesPathAndUrlUnitTest','class','modules/image/image.test','image','0'),('InfoFileParserTestCase','class','modules/system/system.test','system','0'),('InsertQuery','class','includes/database/query.inc','','0');
INSERT INTO `registry` VALUES ('InsertQuery_mysql','class','includes/database/mysql/query.inc','','0'),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','','0'),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','','0'),('InvalidMergeQueryException','class','includes/database/database.inc','','0'),('IPAddressBlockingTestCase','class','modules/system/system.test','system','0'),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list','0'),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list','0'),('MailSystemInterface','interface','includes/mail.inc','','0'),('MemoryQueue','class','modules/system/system.queue.inc','system','0'),('MenuNodeTestCase','class','modules/menu/menu.test','menu','0'),('MenuTestCase','class','modules/menu/menu.test','menu','0'),('MergeQuery','class','includes/database/query.inc','','0'),('ModuleDependencyTestCase','class','modules/system/system.test','system','0'),('ModuleRequiredTestCase','class','modules/system/system.test','system','0'),('ModuleTestCase','class','modules/system/system.test','system','0'),('ModuleUpdater','class','modules/system/system.updater.inc','system','0'),('ModuleVersionTestCase','class','modules/system/system.test','system','0'),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node','0'),('NewDefaultThemeBlocks','class','modules/block/block.test','block','-5'),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node','0'),('NodeAccessRebuildTestCase','class','modules/node/node.test','node','0'),('NodeAccessRecordsUnitTest','class','modules/node/node.test','node','0'),('NodeAccessUnitTest','class','modules/node/node.test','node','0'),('NodeAdminTestCase','class','modules/node/node.test','node','0'),('NodeBlockFunctionalTest','class','modules/node/node.test','node','0'),('NodeBlockTestCase','class','modules/node/node.test','node','0'),('NodeBuildContent','class','modules/node/node.test','node','0'),('NodeController','class','modules/node/node.module','node','0'),('NodeCreationTestCase','class','modules/node/node.test','node','0');
INSERT INTO `registry` VALUES ('NodeEntityFieldQueryAlter','class','modules/node/node.test','node','0'),('NodeFeedTestCase','class','modules/node/node.test','node','0'),('NodeLoadHooksTestCase','class','modules/node/node.test','node','0'),('NodeLoadMultipleUnitTest','class','modules/node/node.test','node','0'),('NodePostSettingsTestCase','class','modules/node/node.test','node','0'),('NodeQueryAlter','class','modules/node/node.test','node','0'),('NodeRevisionsTestCase','class','modules/node/node.test','node','0'),('NodeRSSContentTestCase','class','modules/node/node.test','node','0'),('NodeSaveTestCase','class','modules/node/node.test','node','0'),('NodeTitleTestCase','class','modules/node/node.test','node','0'),('NodeTitleXSSTestCase','class','modules/node/node.test','node','0'),('NodeTokenReplaceTestCase','class','modules/node/node.test','node','0'),('NodeTypePersistenceTestCase','class','modules/node/node.test','node','0'),('NodeTypeTestCase','class','modules/node/node.test','node','0'),('NoFieldsException','class','includes/database/database.inc','','0'),('NoHelpTestCase','class','modules/help/help.test','help','0'),('NonDefaultBlockAdmin','class','modules/block/block.test','block','-5'),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number','0'),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options','0'),('PageEditTestCase','class','modules/node/node.test','node','0'),('PageNotFoundTestCase','class','modules/system/system.test','system','0'),('PagePreviewTestCase','class','modules/node/node.test','node','0'),('PagerDefault','class','includes/pager.inc','','0'),('PageTitleFiltering','class','modules/system/system.test','system','0'),('PageViewTestCase','class','modules/node/node.test','node','0'),('PathLanguageTestCase','class','modules/path/path.test','path','0'),('PathLanguageUITestCase','class','modules/path/path.test','path','0'),('PathMonolingualTestCase','class','modules/path/path.test','path','0'),('PathTaxonomyTermTestCase','class','modules/path/path.test','path','0'),('PathTestCase','class','modules/path/path.test','path','0');
INSERT INTO `registry` VALUES ('PHPAccessTestCase','class','modules/php/php.test','php','0'),('PHPFilterTestCase','class','modules/php/php.test','php','0'),('PHPTestCase','class','modules/php/php.test','php','0'),('PollBlockTestCase','class','modules/poll/poll.test','poll','0'),('PollCreateTestCase','class','modules/poll/poll.test','poll','0'),('PollDeleteChoiceTestCase','class','modules/poll/poll.test','poll','0'),('PollExpirationTestCase','class','modules/poll/poll.test','poll','0'),('PollJSAddChoice','class','modules/poll/poll.test','poll','0'),('PollTestCase','class','modules/poll/poll.test','poll','0'),('PollTokenReplaceTestCase','class','modules/poll/poll.test','poll','0'),('PollVoteCheckHostname','class','modules/poll/poll.test','poll','0'),('PollVoteTestCase','class','modules/poll/poll.test','poll','0'),('Query','class','includes/database/query.inc','','0'),('QueryAlterableInterface','interface','includes/database/query.inc','','0'),('QueryConditionInterface','interface','includes/database/query.inc','','0'),('QueryExtendableInterface','interface','includes/database/select.inc','','0'),('QueryPlaceholderInterface','interface','includes/database/query.inc','','0'),('QueueTestCase','class','modules/system/system.test','system','0'),('RdfCommentAttributesTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfCrudTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfGetRdfNamespacesTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfMappingDefinitionTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfMappingHookTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfRdfaMarkupTestCase','class','modules/rdf/rdf.test','rdf','0'),('RdfTrackerAttributesTestCase','class','modules/rdf/rdf.test','rdf','0'),('RetrieveFileTestCase','class','modules/system/system.test','system','0'),('SchemaCache','class','includes/bootstrap.inc','','0'),('SearchAdvancedSearchForm','class','modules/search/search.test','search','0'),('SearchBlockTestCase','class','modules/search/search.test','search','0'),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search','0');
INSERT INTO `registry` VALUES ('SearchCommentTestCase','class','modules/search/search.test','search','0'),('SearchConfigSettingsForm','class','modules/search/search.test','search','0'),('SearchEmbedForm','class','modules/search/search.test','search','0'),('SearchExactTestCase','class','modules/search/search.test','search','0'),('SearchExcerptTestCase','class','modules/search/search.test','search','0'),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search','0'),('SearchKeywordsConditions','class','modules/search/search.test','search','0'),('SearchLanguageTestCase','class','modules/search/search.test','search','0'),('SearchMatchTestCase','class','modules/search/search.test','search','0'),('SearchNodeAccessTest','class','modules/search/search.test','search','0'),('SearchNumberMatchingTestCase','class','modules/search/search.test','search','0'),('SearchNumbersTestCase','class','modules/search/search.test','search','0'),('SearchPageOverride','class','modules/search/search.test','search','0'),('SearchPageText','class','modules/search/search.test','search','0'),('SearchQuery','class','modules/search/search.extender.inc','search','0'),('SearchRankingTestCase','class','modules/search/search.test','search','0'),('SearchSimplifyTestCase','class','modules/search/search.test','search','0'),('SearchTokenizerTestCase','class','modules/search/search.test','search','0'),('SelectQuery','class','includes/database/select.inc','','0'),('SelectQueryExtender','class','includes/database/select.inc','','0'),('SelectQueryInterface','interface','includes/database/select.inc','','0'),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','','0'),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','','0'),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut','0'),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut','0'),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut','0'),('ShutdownFunctionsTest','class','modules/system/system.test','system','0'),('SiteMaintenanceTestCase','class','modules/system/system.test','system','0');
INSERT INTO `registry` VALUES ('SkinrApiTestCase','class','sites/all/modules/skinr/tests/skinr.test','skinr','0'),('SkinrDisplayTestCase','class','sites/all/modules/skinr/tests/skinr.test','skinr','0'),('SkinrInstallationTestCase','class','sites/all/modules/skinr/tests/skinr.test','skinr','0'),('SkinrRulesApiTestCase','class','sites/all/modules/skinr/tests/skinr.test','skinr','0'),('SkinrUIAdminTestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrUIBasicTestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrUIPluginTestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrUIPluginViewsTestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrUIRulesTestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrUITestCase','class','sites/all/modules/skinr/tests/skinr_ui.test','skinr_ui','0'),('SkinrWebTestCase','class','sites/all/modules/skinr/tests/skinr.test','skinr','0'),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','','0'),('StatisticsAdminTestCase','class','modules/statistics/statistics.test','statistics','0'),('StatisticsBlockVisitorsTestCase','class','modules/statistics/statistics.test','statistics','0'),('StatisticsLoggingTestCase','class','modules/statistics/statistics.test','statistics','0'),('StatisticsReportsTestCase','class','modules/statistics/statistics.test','statistics','0'),('StatisticsTestCase','class','modules/statistics/statistics.test','statistics','0'),('StatisticsTokenReplaceTestCase','class','modules/statistics/statistics.test','statistics','0'),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','','0'),('SummaryLengthTestCase','class','modules/node/node.test','node','0'),('SystemAdminTestCase','class','modules/system/system.test','system','0'),('SystemAuthorizeCase','class','modules/system/system.test','system','0'),('SystemBlockTestCase','class','modules/system/system.test','system','0'),('SystemIndexPhpTest','class','modules/system/system.test','system','0');
INSERT INTO `registry` VALUES ('SystemInfoAlterTestCase','class','modules/system/system.test','system','0'),('SystemMainContentFallback','class','modules/system/system.test','system','0'),('SystemQueue','class','modules/system/system.queue.inc','system','0'),('SystemThemeFunctionalTest','class','modules/system/system.test','system','0'),('TableSort','class','includes/tablesort.inc','','0'),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyLoadMultipleUnitTest','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy','0'),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyTermUnitTest','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy','0'),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyVocabularyUnitTest','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy','0'),('TestingMailSystem','class','modules/system/system.mail.inc','system','0'),('TextFieldTestCase','class','modules/field/modules/text/text.test','text','0'),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text','0'),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text','0'),('ThemeRegistry','class','includes/theme.inc','','0'),('ThemeUpdater','class','modules/system/system.updater.inc','system','0'),('TokenReplaceTestCase','class','modules/system/system.test','system','0'),('TruncateQuery','class','includes/database/query.inc','','0'),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','','0');
INSERT INTO `registry` VALUES ('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','','0'),('twitter_puller','class','sites/all/modules/twitter_pull/twitter_pull.class.inc','twitter_pull','0'),('UpdateCoreTestCase','class','modules/update/update.test','update','0'),('UpdateQuery','class','includes/database/query.inc','','0'),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','','0'),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','','0'),('Updater','class','includes/updater.inc','','0'),('UpdaterException','class','includes/updater.inc','','0'),('UpdaterFileTransferException','class','includes/updater.inc','','0'),('UpdateScriptFunctionalTest','class','modules/system/system.test','system','0'),('UpdateTestContribCase','class','modules/update/update.test','update','0'),('UpdateTestHelper','class','modules/update/update.test','update','0'),('UpdateTestUploadCase','class','modules/update/update.test','update','0'),('UserAccountLinksUnitTests','class','modules/user/user.test','user','0'),('UserAdminTestCase','class','modules/user/user.test','user','0'),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user','0'),('UserAutocompleteTestCase','class','modules/user/user.test','user','0'),('UserBlocksUnitTests','class','modules/user/user.test','user','0'),('UserCancelTestCase','class','modules/user/user.test','user','0'),('UserController','class','modules/user/user.module','user','0'),('UserCreateTestCase','class','modules/user/user.test','user','0'),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user','0'),('UserEditTestCase','class','modules/user/user.test','user','0'),('UserLoginTestCase','class','modules/user/user.test','user','0'),('UserPermissionsTestCase','class','modules/user/user.test','user','0'),('UserPictureTestCase','class','modules/user/user.test','user','0'),('UserRegistrationTestCase','class','modules/user/user.test','user','0'),('UserRoleAdminTestCase','class','modules/user/user.test','user','0'),('UserRolesAssignmentTestCase','class','modules/user/user.test','user','0'),('UserSaveTestCase','class','modules/user/user.test','user','0');
INSERT INTO `registry` VALUES ('UserSignatureTestCase','class','modules/user/user.test','user','0'),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user','0'),('UserTokenReplaceTestCase','class','modules/user/user.test','user','0'),('UserUserSearchTestCase','class','modules/user/user.test','user','0'),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user','0'),('UserValidationTestCase','class','modules/user/user.test','user','0'),('view','class','sites/all/modules/views/includes/view.inc','views','10'),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views','10'),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views','10'),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views','10'),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views','10'),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views','10'),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views','10'),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views','10'),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views','10'),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views','0'),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views','10'),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views','10'),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views','10'),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views','10'),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views','0');
INSERT INTO `registry` VALUES ('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views','10'),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views','0'),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views','10'),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views','10'),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views','10'),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views','10'),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views','0'),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views','10'),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views','10'),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views','10'),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views','10'),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views','10'),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views','10'),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views','0'),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views','10'),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views','10'),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views','10'),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views','10');
INSERT INTO `registry` VALUES ('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views','10'),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views','10'),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views','10'),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views','10'),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views','10'),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views','10'),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui','0'),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui','0'),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui','0'),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views','10'),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui','0'),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui','0'),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui','0'),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui','0'),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10');
INSERT INTO `registry` VALUES ('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views','10'),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views','10'),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views','10'),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views','10'),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views','10'),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views','10'),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui','0'),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui','0'),('views_db_object','class','sites/all/modules/views/includes/view.inc','views','10'),('views_display','class','sites/all/modules/views/includes/view.inc','views','10'),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views','10'),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views','10'),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views','10'),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views','10'),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views','10'),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views','0'),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views','0'),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views','0'),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views','0'),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views','10'),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views','10'),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views','0'),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views','0'),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views','10'),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views','0'),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views','0'),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views','0'),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10'),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10'),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10');
INSERT INTO `registry` VALUES ('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10'),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10'),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views','10'),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views','0'),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views','0'),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views','10'),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views','0'),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views','0'),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views','0'),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views','0'),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views','0'),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views','10'),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views','10'),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views','10'),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views','10'),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views','0'),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views','0'),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views','0'),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views','0'),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views','10'),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views','10'),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views','10'),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views','0'),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views','0'),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views','0'),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views','10'),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views','10'),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views','10'),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views','10'),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views','10'),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views','10'),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views','10'),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views','0'),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views','0'),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views','0'),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views','0'),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views','0'),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views','10'),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views','10'),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views','10'),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views','10'),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views','0'),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views','0'),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views','10'),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views','0'),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views','0'),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views','0'),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views','0'),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views','0'),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views','0'),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views','0'),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views','0'),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views','0'),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views','0'),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views','0'),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views','0'),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views','0'),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views','0'),('views_handler_field_node_language','class','sites/all/modules/views/modules/translation/views_handler_field_node_language.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views','10'),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views','10'),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views','10'),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views','0'),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views','0'),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views','0'),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views','0'),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views','10'),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views','0'),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views','0'),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views','0'),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views','0'),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views','10'),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views','0'),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views','0'),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views','0'),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views','0'),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views','0'),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views','10'),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views','0'),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views','0'),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views','0'),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views','0'),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views','0'),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views','0'),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views','0'),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views','10'),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views','10'),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views','10'),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views','10');
INSERT INTO `registry` VALUES ('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views','10'),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views','10'),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views','0'),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views','0'),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views','10'),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views','0'),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views','0'),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views','10'),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views','10'),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views','0'),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views','0'),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views','0'),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views','10'),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views','0'),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views','10'),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views','0'),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views','0'),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views','0'),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views','0'),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views','0'),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views','0'),('views_handler_filter_node_language','class','sites/all/modules/views/modules/translation/views_handler_filter_node_language.inc','views','0'),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views','0'),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views','10'),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views','10'),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views','0'),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views','0'),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views','0'),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views','0'),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views','10');
INSERT INTO `registry` VALUES ('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views','0'),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views','0'),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views','10'),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views','0'),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views','0'),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views','0'),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views','10'),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views','0'),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views','0'),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views','0'),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views','10'),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views','10'),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views','0'),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views','10'),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views','0');
INSERT INTO `registry` VALUES ('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views','0'),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views','0'),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views','0'),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views','0'),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views','0'),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views','10'),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views','0'),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views','0'),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views','0'),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views','0'),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views','10'),('views_join','class','sites/all/modules/views/includes/handlers.inc','views','10'),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views','10'),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views','10'),('views_object','class','sites/all/modules/views/includes/base.inc','views','10'),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views','10'),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views','0'),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views','0');
INSERT INTO `registry` VALUES ('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views','0'),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views','0'),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views','10'),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views','0'),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views','0'),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views','0'),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views','0'),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views','0'),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views','10'),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views','10'),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views','0'),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views','0'),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views','0'),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views','10'),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views','10'),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views','10');
INSERT INTO `registry` VALUES ('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views','10'),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views','0'),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views','0'),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views','10'),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views','0'),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views','10'),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views','0'),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views','0'),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views','0'),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views','10'),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views','10'),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views','0'),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views','0'),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views','0'),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views','0'),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views','0'),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views','0'),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views','0');
INSERT INTO `registry` VALUES ('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views','10'),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views','0'),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views','10'),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views','0'),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views','10'),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views','10'),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views','0'),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views','10'),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views','10'),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views','10'),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views','10'),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views','10'),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views','0'),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views','0'),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views','10'),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views','0'),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views','10'),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views','10');
INSERT INTO `registry` VALUES ('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views','0'),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views','10'),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views','10'),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views','10'),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views','0'),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views','10'),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views','0'),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views','0'),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui','0');
DROP TABLE IF EXISTS `registry_file`;
CREATE TABLE `registry_file` (   `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',   `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',   PRIMARY KEY (`filename`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
INSERT INTO `registry_file` VALUES ('includes/actions.inc','32c6b5b4f77f8b0959d525ab7bdf5f5fb4a043130be0f57a59f512ce20da2e66'),('includes/ajax.inc','25dd7014cc775440d8795857ec9cdaaa695ae5455d40a2610747f4e414524515'),('includes/archiver.inc','097a78f5794237e8242b540649d824b930008027362c1359773e22c2b21cd6e5'),('includes/authorize.inc','bd85cb5d7bec2906e85be1b7187410680190b568e433fdcff944f74b7e1c616d'),('includes/batch.inc','f32d52b88dc6bd0b3117fef0057d6084fbe132afb0fbf638daaa42bce7a2a3c5'),('includes/batch.queue.inc','34face1f61857ec26e414712c647b06acbd5ec4437a71abf090e83cbdf691794'),('includes/bootstrap.inc','735f796a192f4a929ff4ce55c32b66acd1667d4ddca24c333616080d1a427b0c'),('includes/cache-install.inc','2d223093cf3740d190746d1c348607694a8475c0da91ffd2386454995a17995e'),('includes/cache.inc','5239bd1707257d0abdd5396d6febd34bea08dd6ceb318265f3c9b7b21b38f23f'),('includes/common.inc','20ab27f1b63f2425e1a132dbeedd771542f82b7c9d3f8d176cd90d6202eadf32'),('includes/database/database.inc','e36a93708f1c3ecc02b2bc5293041115cb95cada6f8f2801d2f9f61b15672ada'),('includes/database/log.inc','4ecbdf9022d8c612310b41af575f10b0d4c041c0fbc41c6dc7e1f2ab6eacce6b'),('includes/database/mysql/database.inc','3e0527cc677cc86a94c39819a21172b7adf7a1be1c4b5446ce2d0af905b089be'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','e2a5457ec40a8f88f6a822bdc77f74865e4c02206fc733c2945c8897f46093de'),('includes/database/mysql/schema.inc','f71af9dda287f0f37e7bd0077b801a6d3f38c951a9c2c6ea3b71dff1b69077d3'),('includes/database/pgsql/database.inc','c2bf3fa2d03583f3a6c6df76dc5ee204f7d44d5c2ee451af500583d4775877e0'),('includes/database/pgsql/install.inc','585b80c5bbd6f134bff60d06397f15154657a577d4da8d1b181858905f09dea5'),('includes/database/pgsql/query.inc','cb4c84f8f1ffc73098ed71137248dcd078a505a7530e60d979d74b3a3cdaa658'),('includes/database/pgsql/schema.inc','1442123ab5040a55797126cfa1cf9103f7a9df22b3c23b5055c9c27e4f12d262'),('includes/database/pgsql/select.inc','ce06c4353d4322e519e1c90ca863e6666edc370fb3c12568fedf466334b2e2be');
INSERT INTO `registry_file` VALUES ('includes/database/prefetch.inc','d32c8be47de08641f48327260d0df0dfa97543a2cd8902979bbe1586e273fee4'),('includes/database/query.inc','bdf9ae493410276e066043cd6bce6484a034833d11915b432c6221173f622e3e'),('includes/database/schema.inc','1996c5e11a984348f29baa6f19e9a995280828bdbbaa3e8c5d747dd28e93d7a2'),('includes/database/select.inc','f623cc9572f87b76716389d7188884f78a0aa110006e48374151c1aef31b29f0'),('includes/database/sqlite/database.inc','69d5ffd4159141b4622c47c63c7fe9554632a89bd261d13bfc46a82883bce571'),('includes/database/sqlite/install.inc','381f3db8c59837d961978ba3097bb6443534ed1659fd713aa563963fa0c42cc5'),('includes/database/sqlite/query.inc','61e0459c0c9252ca465b86c475d88e09ea34c8cdb28220eb37a7d44357f5474f'),('includes/database/sqlite/schema.inc','238414785aa96dd27f10f48c961783f4d1091392beee8d0e7ca8ae774e917da2'),('includes/database/sqlite/select.inc','4ecb9d21d2f07237f7603e925519886dde0b8da82f96999b865ff0803438744e'),('includes/date.inc','32124baa81a1411631de23ade5615be0d81bc7c7169ea60d22f9badd333cf284'),('includes/entity.inc','ab7a4a5e133eb649370de9611f5224224985f167af4a407ecefc96b3600a491b'),('includes/errors.inc','24ed25ceed01f34ceaa01f3afa0ef17ba720dd55cda252ae2cd73efb8f7155bd'),('includes/file.inc','f3a5ad82c4377221394b6b3a6c0c643f41e440b3957952ede67d016fcb1cf894'),('includes/file.mimetypes.inc','f88c967550576694b7a1ce2afd0f2f1bbc1a91d21cc2c20f86c44d39ff353867'),('includes/filetransfer/filetransfer.inc','ee9393beddc7190f7a161f5563953d1b58e355026fcc2392443a9e6b4c600531'),('includes/filetransfer/ftp.inc','589ebf4b8bd4a2973aa56a156ac1fa83b6c73e703391361fb573167670e0d832'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','002e24a24cac133d12728bd3843868ce378681237d7fad420761af84e6efe5ad'),('includes/form.inc','00c3b42bd706aa743db220b4c42bbf882b4b56ce7380a50e7e9a92f4e1ec4360'),('includes/graph.inc','577a50594521edecd7139fcecd6af3a941e456ea0e0577e38ee14b785422aabb'),('includes/image.inc','64ed11148b4a8e3ff817a886c4f0d19e832fb4cf6a69cf37916f953fb683e665');
INSERT INTO `registry_file` VALUES ('includes/install.core.inc','a56ff7412d5fb68221a9f3bdd9f710d9f331f2d2c4bbb62ed98cb3c79c6882d5'),('includes/install.inc','23455f095ebd75c49ef8bf2a18145f77b6633670a5eb9eab860d907b0ba25f35'),('includes/iso.inc','f53653843c75e12aa0b05e7197c5aebdf794e2517b9902fc07994fb7cb8f3ed6'),('includes/language.inc','5e0595c6def071694fa500b4636d15d482dafddb612a977201b5406b813be7a6'),('includes/locale.inc','3d618652cd3242ebb4f8510e1157e2028d024b8406200924ed16ac9513de1eb0'),('includes/lock.inc','daa62e95528f6b986b85680b600a896452bf2ce6f38921242857dcc5a3460a1b'),('includes/mail.inc','673b413f445966854954699ceccd0deae860c1359e2334c3bbe93e31a52dd9b0'),('includes/menu.inc','46ecf8177be4a1a10f04809337c8c53b6f877e1ca017bb1b068ce97ef0f84845'),('includes/module.inc','6b8f2bfbd513654c1f519b945582c90920e4c2e3e18eaae7927db9e4459169af'),('includes/pager.inc','8ce2a8ff9c13b9a776712ec06ba0a06cfb87c27cb05f1b2947f514fdaf12fcee'),('includes/password.inc','c3fc2fef03822dfe9981bab502a37893f8865ff529ad34cf9be9a17e86add510'),('includes/path.inc','895ddce7bcdcebf37cee1def1c5bac784f216a4a37719e28b448136249f8ece6'),('includes/registry.inc','ce22f7715c8037095e6b7dfb86594d3f5ca0908e0614862cc60334852ce3b971'),('includes/session.inc','07133a668c9103559099b5e6cd7f0178204c494770c384bb307e33f80b1f4c92'),('includes/stream_wrappers.inc','d431b838f481737cbe9d38f76b1f456364057fec0806e75ecde3afbdb8230363'),('includes/tablesort.inc','3f3cb2820920f7edc0c3d046ffba4fc4e3b73a699a2492780371141cf501aa50'),('includes/theme.inc','94b40ba102f307bf8b57ccb7958506984eb8ccc66237366f39efbefbf758d450'),('includes/theme.maintenance.inc','d110314b4d943c3e965fcefe452f6873b53cd6a8844154467dfcbb2b6142dc82'),('includes/token.inc','015328d6573ceece0a0712fcbad890719cff8d65a37839ece36bc64e97d63466'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','5409227091e55cef4c1b0bb9c159720aecaa07e7bf2683fe7c242691aa1036cc'),('includes/update.inc','08381ef8e7538fb7cc533c8dd073731626f231e30f875c37b856496a2a7bc019'),('includes/updater.inc','1715fbda750de86ecde8abd71d61886423367d3c9a17c31138638361b1c27e51');
INSERT INTO `registry_file` VALUES ('includes/utility.inc','cfcc27d1d7537c9caf55cc06ef4a526b0526c29c2b5d955476322b36fee9ff19'),('includes/xmlrpc.inc','1176a9e5b5990f8219b48c49bb858a2a980f95428aa519acea19282109e27e83'),('includes/xmlrpcs.inc','2df450cf2153959a4581d8e61867c587f61fcdea5dd2653e36c6a6028fc1b395'),('modules/block/block.test','8c36797dff5c5a9b2e1cbb93a75d963a52834ad4621e2d171eba0389695527ee'),('modules/blog/blog.test','12dc3105782db5fb0df00ff4872561dd049f242eeeb65c979cf349aa75aa1a51'),('modules/color/color.test','5cc2a668dba0b8905ca360a7bfa04e9e501b61b7a8ac88b51ecca688dda1a21e'),('modules/comment/comment.module','e54cc8dec6b9dbe72d12a72cbbae2e83d57ea0c2f1bf11a6fb9db03e5f317e98'),('modules/comment/comment.test','add9876d400bf87bd6e486e491163de692be3693c5b20db4f753e4781bb70f56'),('modules/contact/contact.test','97b0c18c26fbb3ad1d2411b7c7091e44ebcd13fdf1c009ad3b6462b9be2bfb99'),('modules/dashboard/dashboard.test','0472cfe50d7f5f90ba6e55003bbb6a79d8cf4791f3d39740e2f1f3df65743d79'),('modules/dblog/dblog.test','8538535f68ac410003a9d0776915b4ca42e61f9fec848b4d65a79dc28a43d49c'),('modules/field/field.attach.inc','65b6f010e3f9d1868098d771963113307b63fd6e6454c01f0086cd4c0de71414'),('modules/field/field.module','34e127da0b251870bff7e240e299f18244792c3ba91161c61ad29fab72891340'),('modules/field/modules/field_sql_storage/field_sql_storage.test','8ede9843d771e307dfd3d7e7562976b07e0e0a9310a5cf409413581f199c897f'),('modules/field/modules/list/tests/list.test','5b2c194e6a62a82d7b162ee91a66c8175c4a40c842ba75f5f023a764e41507fc'),('modules/field/modules/number/number.test','2d8cf4f485ce54400b510b21f4414a04f0495bcad41185333ad6177975b00c65'),('modules/field/modules/options/options.test','2f2e15ab5e6da04033933af77663df220db3da30d0546327ef757968d628e43a'),('modules/field/modules/text/text.test','9d74c6d039f55dd7d6447a59186da8d48bf20617bfe58424612798f649797586'),('modules/field/tests/field.test','1b8d334223ca9e8b5cf7ebfc0727baf5552e303ee01040986e82c852bda1741a'),('modules/field_ui/field_ui.test','400dffebba2b12090491b3f0593703c04a4be2adc0fae318e7818478a4518d93'),('modules/file/tests/file.test','1e7cfdb7056dd208940285cd17ec4092d48f10782635aa7b1a21143e47ca8d13');
INSERT INTO `registry_file` VALUES ('modules/filter/filter.test','d1c4f5c10917aa93b6cc1dab58a7f3a86fe4530d21d6c8e63a8fe58a7bd7487f'),('modules/help/help.test','ff6d9f5fc415451951c21a07b125ff749a7cefba879c27e14bb42eb621c58f9d'),('modules/image/image.test','b4db1f7386c24be1bf0603c967dd00e8554fe6fa5feab494048935fbea320eae'),('modules/menu/menu.test','f4ef442f79c60c2f6de41b7f7675cd23c0f5c4ab5b3b34e91782fb6db88aa771'),('modules/node/node.module','a6cf70fc934fae1583886072a09d3a6f552181d6b2044d3142f07ebe75ffe234'),('modules/node/node.test','08b48233c2ed842ac1a3de092ce25f6e8aada11e549729d8b512d3deedf5e60e'),('modules/path/path.test','bf6a774f0d9b92a48d752eaa270f430ea21ce35e0c09da423442939ac56f9473'),('modules/php/php.test','c279e2d0228bad85ee659a99078abfbc867503e4f772f5c1c0861f6715af4ff7'),('modules/poll/poll.test','4c4ce8d8ffeac86c574226640d2c89e483b6ff0a47f87d97f5e30278e2f2240d'),('modules/rdf/rdf.test','358e2ae2069a15c6ba828f3428ab979632ece7aa0ba33a6a5bdbc1d065961373'),('modules/search/search.extender.inc','a8c42b2cac7863835f7f632c7fbfd77b6fe936d465b3bbff73b1645a99c0c9d3'),('modules/search/search.test','336a8a4cd973d26d208dccb2a1163b1c427e35bb253ee459297a487b9939e033'),('modules/shortcut/shortcut.test','b506a253353066e1f995e7f0e3541dadb8ef3c3ff9cf795db96e26599a0b6b7a'),('modules/statistics/statistics.test','ec5789573a9a41885718d110221725bfa186852120a8db44092301c2a690610e'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','b7ee9ea80059788d8b53823a91db015dfa6c2a66589a6eca6f97b99340e12d6f'),('modules/system/system.queue.inc','4bfc1845db9c888f3df0937a9ff6d783de77880e6301431db9eb2268b9fe572d'),('modules/system/system.tar.inc','8a31d91f7b3cd7eac25b3fa46e1ed9a8527c39718ba76c3f8c0bbbeaa3aa4086'),('modules/system/system.test','9f648cb4147d7a12434b73c164471cbf5ca422abe5e35d13fde98e12aa194f24'),('modules/system/system.updater.inc','e2eeed65b833a6215f807b113f6fb4cc3cc487e93efcb1402ed87c536d2c9ea6'),('modules/taxonomy/taxonomy.module','6ccc2f9d7f9a6b85b7c470b5a862c5f14bc1031f89cb0df14c15f1b58d0e89f8');
INSERT INTO `registry_file` VALUES ('modules/taxonomy/taxonomy.test','bf998b97d53e036d6f5a0af8a26dc78b0afa1ae37d2f4aefd4aae087a9351f08'),('modules/update/update.test','eb1a707f8401359f8294aef978dd330b32dad932f50326022b1a749082ffd4e0'),('modules/user/user.module','9632f74f6111a7a4de7fe4575b0329ee57970ce2f6e1d7ed1aee035f9aa929b3'),('modules/user/user.test','9b6cc136d3a267ad039069ac040f9ec33481ef43fd1fb888929750a076302c7c'),('profiles/standard/standard.profile','7237f80e54061c9611c6dc4fcf6225951eedba0704694f4d801673693ba11a05'),('sites/all/modules/backup_migrate/backup_migrate.install','0b1200a2e52bc23577f220b33b6a3c0077473181af02a7e80b0cd7fa49153127'),('sites/all/modules/backup_migrate/backup_migrate.module','17d0bd1057a6bb01b683a84c13d35fd91a3f92e18d416b5d028ce82d2388017e'),('sites/all/modules/backup_migrate/includes/destinations.inc','91d464dc8cde11dbe4a781881007325eba8ceed029bfee8afb3b627c5a80a4b1'),('sites/all/modules/backup_migrate/includes/profiles.inc','7a1268ab91f7fcfb1079864a52ba09f2dc0cde64b1bac3a6d50b72e79e2fa76c'),('sites/all/modules/backup_migrate/includes/schedules.inc','c9069d29807bc611cd366dadf4eed1b0557aff40eea0277af2eb1cc801790ca8'),('sites/all/modules/ctools/includes/context.inc','1fea8bd479e653096ddc1674225911a8169b272d332d6a038dd7421c4cd5726e'),('sites/all/modules/ctools/includes/math-expr.inc','fa1ba6a7642e847acf3777ceb38f366b50d103d5b7dddcf8833b7470ea2008ea'),('sites/all/modules/ctools/includes/stylizer.inc','1632f3c68f92c79b1200a191680edcadaf34e5b48f3562fa494b2e983f255ec7'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','651bc6f8c7d533fcf76c463e1fbbec453b8e84b7eb6887e54ec50faa6709891a'),('sites/all/modules/globalredirect/globalredirect.admin.inc','ac7438bb52dd6348b0ad8faa167ae54a5d948d7ff9abb2e165f6a3f72c62a6c4'),('sites/all/modules/globalredirect/globalredirect.install','2d605b2613f9bfd2ee99066a73827dc54f318dfd26c4fec31a44d01a164699e7'),('sites/all/modules/globalredirect/globalredirect.module','77f536c963ac706c69a00a9a68b3bb71b0e4f2c68ef143389b3c318e21ee8156'),('sites/all/modules/globalredirect/globalredirect.test','466f4570403e48410ed36d5d4e7635a382738bd818680d8e093c513a1c72a985');
INSERT INTO `registry_file` VALUES ('sites/all/modules/skinr/tests/skinr.test','a93a1fd7a3058f19a49ddf23adf39871143b065c2951bb568c8c5b4b797129da'),('sites/all/modules/skinr/tests/skinr_ui.test','f89f0e0311767f08d998a4fb29edc538bae08f0fe65db803e20854dfa33473ab'),('sites/all/modules/twitter_pull/twitter_pull.class.inc','e9c26633fb2624d7f53b0a4e9ad9868f7aaa540940ec4c3a833cedb9381ca26f'),('sites/all/modules/twitter_pull/twitter_pull.install','fa4bddf99df60e0570c779bff87f52012dd2cc24371797ad27c5eaecd7042e86'),('sites/all/modules/twitter_pull/twitter_pull.module','b6d36a6865515641152a9c56c9671212c0e435248785d4008df99d24c92e9286'),('sites/all/modules/views/handlers/views_handler_area.inc','3f4c4bec39b4ec3fbb20ac964b1606941474afa198145c56affc8b3f152b0c5e'),('sites/all/modules/views/handlers/views_handler_area_text.inc','1feb49531b02fa3d5f3d28ec928394eac7b8c314049965e22383aa330808d0b7'),('sites/all/modules/views/handlers/views_handler_area_view.inc','19b4641836620bc30b35a4623aec4173150c02147a69ff9abb0c01c50d25b580'),('sites/all/modules/views/handlers/views_handler_argument.inc','a3bee66533d55bf1c40f5285005e8780b7204251f7b8e956ccbfdb2f883bbbe1'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','5823b8b88795618ecb48dd3e3831afc7f329af3169a535449fa8a9696e8c6431'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','1c6c0302525148d7124ee5c8afde9105f06255ff4d2a645b2dfca59336ea2939'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','209a2f536868de71a38cad1339448085ede8018cf76c0e2dd7bc201416cfe57d'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','abe661b795db33fc60cafc394fc17b88fd4a0d8326a29255acbdb75a3bf3fd43'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','12fd4f1217317b575aa83ab6dc083227f281eb951f61830422d51977fa8c7fb2'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','1cf5e12d635a863277417d2032b38f6edfb2859205530515a20d2dde506abd84'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','052b0adbb7aafd922c3c0ba7cd8f920a3cd3e7733aeb11ccd0e7a39ed5ee6ec0');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/handlers/views_handler_field.inc','bc2623c313ed0f6bc12d3950df9e275ca2bc64779d91ff780f614d2efba3e68b'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','e07efa7f315154c6055b29a21d06833510479ab2357d0a397384697141715ff0'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','afc00588dda6fba63c1160742207cf91136528bcbbb941f996c89d5574322fb0'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','d59fa9ec5c8f6756698d68c2cffe82ba519bcb3855cb7fe09282da6db1c68ed2'),('sites/all/modules/views/handlers/views_handler_field_date.inc','5ccbdbfd86799558973219c8c4763284934ed2449f3d00f6353a0b69abcac81f'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','9e539b3d3ff11d38d7df0235bd8a95303d8321ee75a3eb00146fdd7b44d087e6'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','3088014e96bf72c591550f4a66719372a92e006b2f370c098c8eaada5b83e51e'),('sites/all/modules/views/handlers/views_handler_field_math.inc','397489b21da0489f79762417f0177cdb025b2deb4760b122c151c53edfe5fd72'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','18f7d50d24d6f1125d8ac43fcd6c190a2c6f5ee2d1a78ec5afb29d8c514a59ac'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','c1fc7a5cf85aa679ae1408c91103b89660f29bcd6ff5caf64ae03acd91a227ee'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','63d315e6c94da48102c217f8701c08c0a1af13dcac1f8364a864c0a61213c322'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','7ed2d4a5aad1492ceed5a008c23564698bfffef5f7b55371fa413554d457fa17'),('sites/all/modules/views/handlers/views_handler_field_url.inc','62cf62165b8b4647981decd5e552eedb021eba3639e298c5f2405eece53780df'),('sites/all/modules/views/handlers/views_handler_filter.inc','62e9b69647ff5de4227b19f2d4faef4c84e340a8d409f33fd137a5aabd2ee2d4'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f1ab5182403da96e3246f05e47dca03607b3516a7a5b2cc15f8ae220efd32eb0'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','e7d3f1ae18ba7baeedbe8af176716cd4a91f55a9a6616f6e37651ca322e30408');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/handlers/views_handler_filter_date.inc','5044c6927f23dcef6267029ef2a9294c978234901e3b4847a0bea8c1d92b5b16'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','c7b4dd304c262bbd101401ef2053c9715b035284a38b5b8fbd34bdfc349e701c'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','ce3b9b77a413b46125f559d7028bc13aa80a210beebf0e3928cfc0653b89e6c9'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','5c4a81e3c77279ec5f2c9c757ec6d681438009354ec0c057848ed1692c5e81be'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','899fbcc54e161a25fe7539b483064ffbaef4159caacad34dc10e7ebd7397e5a1'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','77d957be965b7097886e48a867dce5c889fce08e641302cbd19a23feaeb6c127'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','018d1044039a02dd00aba891d0002ebe4e3b66f06a046532ba428ce216847dc5'),('sites/all/modules/views/handlers/views_handler_relationship.inc','328217819a3adca638367221509973bccb4d1d22bfd7e544f49d09e3e80332be'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','38aaee9a1e840bf4b49e36fe1b2d9a13a0852baa7433ccfdd9a35cf14d4a8285'),('sites/all/modules/views/handlers/views_handler_sort.inc','6d938fc57939a631643a3d37c218bad532286a6a3790462a502dbba23b0c6a6d'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','45e7e1a10e8bd3200ad5a8e3acb44c69886988f90f3ac03acf15651505f29ba5'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','c34c12d40e26cfd3c70f8d938924a1f3ea8985f88f9f94620257c649af0d0bae'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','6c99b64431cbf92e51488d977060c6a37825019621ce7251ef0a2ebd4faf7863'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','69e2f42b7f6b8d0df18725f05f5573059525b58aabfd58479ee4375c93439ad0'),('sites/all/modules/views/includes/base.inc','8cc243a2888b9bbe5ca97e0e613a3001ce050be12116354b45d42e88b51a3ffb');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/includes/handlers.inc','d80ee9cc54b5bc8b859b721633abb01da5b774246d0b4a754d785b0a86640c7b'),('sites/all/modules/views/includes/plugins.inc','a179f09286d2648d8b7709c5a7e061ab714919b57d227e52334ffec164ff943a'),('sites/all/modules/views/includes/view.inc','65f34ad908dfbacf3039acb7c4b58aa54515a9bfa15015b20df63b7fc8615daa'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','1aacebd29b47bff2e5ea2722c1f966173a5b2fdc1429b1c42b83bb374f4b1959'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','d3a8ea67da96be0230fdb8dd57d797b4335f224964e1d08734a8aebeaaac73cf'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','89950995a37d9229ae13b068065cbaace68ac1708bb352bd3d9f57a6d485f70a'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','423c081b087d72b9b93ea158be828e1877a578f3af8c6e16aabc011a238cd097'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','49e9aeb8c4f502da9f547559ca6022f8eab2f195e1fa8d2d0408ff51b9be3c72'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','03926b252278866b20bb513ae4996d9e9f8d0e37f69f50aede0bd8b3cceca467'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','8a4262a38a22d4113c98667dc88220579af3a95001145753e9fff96d33359ac5'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','2b3803d135f43fd0d8ffca491a392ab61c37c3e51913bfa26d93a6db8cf689ca'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','8721ed73af2f91220e3644ef172c61fdce98851fd705167ef10c0b453be9917c'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','e6a462f0afc0213930db35040f8ea359d0665a2f353b47cfb89e5d76fcb155d2'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','7b16bde01910610e73ec50539b8911f8d2a53a9962edb87e06d3c2959d0e5e82');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','d7f07b8599772955407d3affc80db7d472ff438e4e0e001e847f7e74cbb41df0'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','3b59ca9902bd16c617e4b816fa650eba46f1aa53daf7c11e7a9cf2ab15215cd5'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','fa7dd11f008c7c52cbc2714244e2ad42a32b1aa857e7c5ac32bfc06857a9d470'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','2d3182dcb4dd30015ee43e3ea07155f1beef22877698f57c01ed729a19e69636'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','4fc43f7fefcd04dae2dedcfe8233ca091b39fbc7bf8cec094b0f9d33673f9671'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','8859914f6b5dafaf17782df59384423e35fe5c54b5a38140e653b1578654873a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','8fea4ef9c6f10110e472b2992864b124804fc19470189049c6c841673ff9981a'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','471c70a0430bdc3fa6fcdef4e2dadddb1a832b74c180dd8b58b01301a4fce230'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','36ef55ac54498492ef8c60faf3e2188128b709afa26ac98c815145d67dea0f54'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','e2009ef520aae342ee00bda2afc5612d20ca9604ee6557777f2addb6887c4e4b'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','4e86bdf4ec77c33370c106b1f5759ce24152ea55c0209d32eb20ef93137779dc'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','99ab5e518ff0f9adb8d0630f709b4e07eb794dea1f9f96aaf2123cc0a78bcfcf'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','395ece5e78e3e08bc9d1bcb6ba6ce2bd6f6fdaf5ce1cb5d06f6e7efe68f639d4'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','160311208d0e2770ea998e54492b5a8962d39a364d8e0084dc5ca8ca9444c5b2');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','59a439f98ee57665918222d4ad48e5a733b1a3b13a8adda30a5c3132aa69ff1e'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','6bc31427734ecc09428862ff5dc0a45db8618ab9df0adfd030ab5fcca4b5dfb7'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','38dd4b66009a9a8a76bde0ef3313a30d631952ae82bf257e49f7e8132c7de6b2'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','cade376bfe8d343b4127a91ce9f9782a037e754f1f8952a56241dcfb0e869db3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','69b924358975987558952712e73f3bb147fa48c89e7c27c88151889efb0dca7e'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','5fb36176333a181f60c5d482ac0055de4bb0434c7642dc08a865ed330a8e73e8'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','de110a11c454f1d6ad00e28931122ed69243f3f7f6b09d0953dc64fafedfe5e8'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','ae1fb86fc152fcee03a6b0d64b54ceab5fe96d7a42657dab5cfc3395d02d786f'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','4f35e8a643f068c8dc6a33a480110bec60b6d2cb5750ad70b65389f6d503a9e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','03b7f7cc6242e2433609daeefebc4553f02e0db549a4d261133a90326bc71b5e'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','06110bb657c06e04ef0f6db9e6825e822efebd9306d11d69942a8093898d88fe'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','0f9417d6a726c7f27c704508607e193b4719642a380f00a3417fa3849a31153b'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','ca35ad29d5fb6c3b92392f7fc6f2ca827f1a849d23588f39973c4065d9db8d3a'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','4521a87d724a9cf8931fb4732aef8059f0e85bc3ae442625ad83f28170a22161');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','d6d149caf860a0f70c0fb47c826e311b75df385a89ad43969ed1a6a1ee06b6dc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','c962080849b1558557118c127c771885e31504c07fc11e8c7c214c26f4ec478f'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','e59e643c1a0ac097e6641d7a2dacddd13c7d1c53a00823e42a39b68aa07d104a'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','0b4502f1d1d3d30cf44160129afe197d2d7ca2dce6c128f98cac8d201997fe96'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','90aae0537601fa4a99f903f7aea14f5e8b770801222f58947a2a82b51d7c0881'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','7a5765b8014079f7d94e653697129f61bdf4cf1181a0ee7401b6e29e8f3daa91'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','35045cb9a6b881927a2c414672a8278b79abe4f780b7f88fc86c6cac037a3632'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','ecb5713427ac155db615f66778747f306887e3eb44e1f36955d039af76ca7307'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','2eb283cad11d49bef3a05cedf7606dc46aca5831a663235b26d1c6b77f059689'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','a3cdd9b72d353aa7dcc9433700f18933cb46c684a379d90ef7fa719a1f0414d4'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','1a5b52b7efba40cb3f3c01ad3a4ed5a5e0516a8e3dbe2e12329f73014773966f'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','b5d76a8d8a3145404fe105f470c588d6463c92b2fe4b1a2d3994f8ab6b1ec956'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','6d7dcef3974e002d562ebe43001edc89a135e5e6ca44f39d5ab87dc13841bc48'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','1ea9ee92c2e77a3dc9d127f2aae5f3ed273cfe1cc3a8a3c28a598f922bb1aa38');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','805843c74bcd5a244fdc1073d361c6215815bfa6cdffc1adf4e78ae69abcd15b'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','64e7b877035e9a0613403afabc80532ec97fc0ba8768718e5bb6d9eaa49696c5'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','56a1e7e0ee0e3d63c698f3ce3401f92c3dd8d9c4ab66f589b242d3cc8933c80b'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','63256668329758efb4e8422ae7ed4ffe0d9aae3235e27c9e05c62a72c02d1f34'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','d0520c5f67d0bc88662fcd7ddb7eedf4f646640b64912d724c4a737b622a7939'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','48a6a5f2185cb423ae330b45d37e99b14131255273b1183ca20fa9e825f6d162'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','31dbf46ce05f3ace22200965c7a3450acfd99e2034f602967b34add7a591aa7a'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','66d70e5917eafbfc12b461e71aff36838b8a8d0c5cb2ddc53d1971647d0eb06c'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','5425bb3232145e3153ce6b2d03c280f4e1a7690b9c141c6e46665a550185cc6c'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','c6fd84e00632cb97d19af3eebaa89f059b3829c7e4b68e233a4390e30dc1e8bd'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','9ea3c228480c523972a8f99de4b364549ed50c769e36771a1a0fc51e9d4f35c4'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','dcf3a8fc4b9cdd627bc37b36a8d406051fb3dd60d75a53c968f38ef539f4ff07'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','09b01355d223e574a9e72f9dcf0613d7517210e75457f38f6cd7b66da141a3c0'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','9197e4c9891c8fd9f0e9d071a790c355ed144c731f6928f22790fa719eca0b0b');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','539bc134b23885032bced8295b915a9b5fe80eff3f6953bf16f6a586c7e97f7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','0dc6e603d6f4e63434b640d37ce77cb1fa3b83ec5888db590c7e3a9471a00e49'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','8876d969432c79178272c918d103c8afa6dd893be877c527c5ae796d0bd058b2'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','176b0621b21c817e57f57b73560b850605cb97c709835a78babc2ef16ff57e76'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','f6bcf9092809b086920d1b247d68998c5b879c8735d49492c366b7677a360e5c'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','f79d259de78d80f1f1c88675c9489d342c6928c1e756d934a71e80730b792f36'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','80752dad60936f66411ec91932eb5b38cbb25816eb64c67a43213bfa5aa3de8f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','977496fbbd2407619449ea8fb752d4d5911b00494e8ea5b037ad8d4dcbeb57ec'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','b1dd0991b33b4046fafbaa13de90473dbc58658c671b1b861a60c4a7e200a76e'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','8b389f6e66dcf18e1a0c6455ba2375450c45cb7a58c4bf7004823fb670906e43'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','ef809c0df5c68c1e4b62135250fcec463d1efc6ef96abfbe366b892cb7320ecf'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','b13e6aa02f96fa076be491e8707b9230f45ba1d21ec368efbe7567baf40ccd41'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','b920722da846a28bcacd1b02c18c0b1207f085f621a76c8ce4a582a6865f97a5'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','42291f898a13db965ef1826421dcf8bc2419f90a97d2ae7fb4248b4296aaa224'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','e3712305363c67675d74b5c8918991521ad52b456942fe4be11bdeb964a51bdb');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','13c1b6acb6b7f4f97058fc98c9b9bc5464e49da5aa2451edf074f6118e7fd8b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','6b8102905053558df0d322c6e60c7c3d9015cc2868eee19fe84a360c13aee2cb'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','cad663e68f98dc76dac4f0e8f940bf3b2a4b780dd002284bb1eb84627fbd7050'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','6eb07619b086adb64568b476a88e7b4ccea01c00dc02e442c658a65a149470cf'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','5057783cf799ea9a68d3ec9f59febdbc5f2445a9c357cafc981135221dd1c938'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','0822c355cb72bbea49647221c3445c4ad94a3cbdb0032ba3e154ea35e5dcb9cd'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','42dbc9f7cf5059e63f89904685283a87f785bbeb2fff68409ff5689bfef81e88'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','e59c69eeeadd249262110b8a71006f62f4536a961e8d4653a2a4ae95a9da37e5'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','0624dc5d746e0034ff9092f1ea78cbeae386f3f8dfc1d3276a123ae4a407690b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','374c3453172dc408089f25e710587f06415818e10f8ad348abf7ebd3791d7ae2'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','eca7e5bf43ece95eccf4a98f94df717bca823a9d352d65a1b9ffa9b164145590'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','dcd7c36de0d81881f7e8aa9886bbff4afcccb5913ec4f9552b7923946c29a08d'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','a0a4d36d5b96436bf4f352c19e1904c21d93e7e73f7fcb210a4fcb721999f1de'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','e1a44c35894eca740d9d2417e5726d47981a4a9ba339bf979e473e274ea40804');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','5e22032fb25b7b998c45e76ef1693d5e505fc5ed11b02660bf3ea90dd13df95b'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','8426f7eb256541bc681dd32f33471a84f6bcfea9421c8d40779af3df59b7fb5d'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','e536f5cf3e8253fc6846aae9e67a275818b46f180196f309b96bef53838f2058'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','e5e616ce0b6def2c2fca0955d8b8b1efcd8fe841360d54b8a001ec4065e6c89b'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','d8ad5232738a07faefb621c76d29e4f9fdb0677d88bcc9e0e216f8cd7d2da81c'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','3ae2e2c44e6b7c20ed8f78977f35aed1d1e02716d358aded9b89352046c26adc'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','30302a265ed613bcb9bc176bf9a2a2fceee42cafee32a463ead85e113a3dfc3c'),('sites/all/modules/views/modules/translation/views_handler_field_node_language.inc','a58a911399b290fef4d03a479564ca6c2030aa9b17deaa42e88c9e3cfba9b19e'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','1592437db1097e8ca4e635281f94c3ec82135177fec04689fc367ebb80afccb3'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','a231ce9a7ca5d2be9077e6bab54932cb3fe5f846d4be3704bf4528d2f81c00d2'),('sites/all/modules/views/modules/translation/views_handler_filter_node_language.inc','e50234c45b19939b6a27e4b26af311e3432dc03af34c7533ec5162f417c6e343'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','bf6c26af68b90aaf570dc9afc4d1529a1b06d62a1698cfde462c26773c44fc99'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','43cd657d70569a6b50767ce43b1724d9b14c77398e28332cb428475667b8c770'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','c243ce1908284624de962467619f88524d4114aa89a5e683acea840ab23622a0');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','2ed8b76ce24943d3c2956e7b0fe75d4a59a1fd8cbe827017b2edc7078d678038'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','83ee11e81043063d30fdf58a0a23e242dc82a850181312d3eb04b63bfade9f7e'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','f831ea9287dd9af84c767583f54c6114fad84e49e80274185e96b79e9b56f5d3'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','1f86bfb1ea8d6b0d31f26889eb742fe3e55a330abd4a6c71a17adc77dcce38c7'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','92803c99680d487f842363d7fd12cd1cd68242e6e3f41f18c7eb7af9f7765e4c'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','1e665c6650657007f5034bd664b4ec03428e642f4a15b7cb25369dca9f81a450'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','671f35185c6c0c92ac3cb4988a69e5ff3b08bb1d528fdce0973b5d618b3b7ba1'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','faa8b27c032356cc2530da2161617f5e9b3350ac1e349d1eac43d422b4c5f8e2'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','0f9b90470e130d06e9017420452ab1cb9eab4c6802922fb5901dc3dee2b8bd98'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ddc3bd798754265123de93e429cbeffb0cdd1f4c02fc1a89cf25b28875711ec5'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0cbdc07f84e7dedcd4fe9d71f4d2ca540a6413c00bc5f752c68fed620bd75915'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','bffd808887037231bb603c73f36509e11fa697cba1e9e22980225a6dd775da62'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','3966473243ed505543826d24fa3b57f47d882d92bed6c9c542ae56bae618d551'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','8be961f3d41b78b36d1635c1a2f9cbc943ee197cc094d86944166e85a17dd4a5'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','293d472e6ce3ed39870b98cff4e54df2f7f7928afe14bb562e093b816ea2d82a');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','440f8b0382e4758787f0dd03f7ae31a476cfa22c5b20ac855739dd94127bbef6'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','3d69bb43b8d479d71629c067478ca8deae0d976a8cc88ac49c9c1d4e148b3906'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','70ec45216b3c8835be3781e5f9fd681d8f77072ce3c915ae5ab7aca9c56c6fcd'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','228b698b681bde74e565dd2c66bf4a2feafe3dde5b4b228d6e327d6eb3b57591'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','e3bf975bd338edacaa1a72bbc7d9808398b08929d0356e2544c3cf4a76044aa6'),('sites/all/modules/views/plugins/views_plugin_access.inc','eb853525c8483b57ce5ed868660359f2ddfcbbf734f20e930620825bda8a16b2'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','76fcb2ee85d8e14ef889082b099a75dd84bb63559162e646353772c7bd954a38'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','b8265fa6a1ab0f0009967fe0135b65797b9cdef4650bed142da084cd74d5b250'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8ed1d17b9335c8e62aac1277f2c662343b7bd814c9319850809ea8a50699bd55'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','e8b05c66c55d7ec8291f6d7006c084d97308ce88d05145ce0be494dfd0b15b6e'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','15db7e871ac6100ef2ffadd2ae6a77c5e3519d81a40337e6c40a14bd6f0610c0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','4b42bde479b40e30529787f69c837e1a8229fe7c10ec7b2dc605940ecfbc2349'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','2800720a4f63b0fe4ecef35a5c2e2b4e658fb459fcf7cf8a2f40b25820bdf24e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','28da01cdd103a931f7f49a594fee5c8547939124524d992b4bd1f48b9eb18672'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','6f94e0b10a51d1095378b783c05ab2f48eba8fe9762e17f20f4584b12d5e2777');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','229d7ed590911d135539b1cdd40f496a22de5c79a0f240f425769ae8d0bff10c'),('sites/all/modules/views/plugins/views_plugin_cache.inc','f5a11029c34dd91f6ed6b89d85c84041617895b655e565f57fe1513577ba9df2'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','0a175ca3f6597a075d5e7a13a2a6d1a7bf87726995687d19d03126f135b77364'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','a38c0408c34f33b9fe901765333f76baecf552d4acfc17da2046045888e23580'),('sites/all/modules/views/plugins/views_plugin_display.inc','92c758046091cc4d9eac0bddf16601df754f500654f442214ae9a9d6bd7fbabf'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','da6d1d8c40b14b898896c5d917f009d6666736ea438e1b6137138f0d5ca96068'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','8d1f6dc3d1cecb47c429bdfdc8eb9595837e960538ecc77b6bb6332bf668c215'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','9f9bb9bf35ed16dc43f9525352afae572b0af98f1c47c4e6079ebdf7f18b3647'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','c845a434d63b2ec5ca6803806bd816df78952bbeee32073ca675193b38c08127'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','c4d647abfcfa3fa91e5ff90ac3e733c0985139ee7faa5e44cb8cf03082f90c6d'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','f4dfa32a545b045846ce850087683264af6846034a15aa6ed0ddbf6856254b06'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','3d271077117f944a3c37dc1e0a9a381f5c9ba215f89149a43caccf30d3596daf'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','0cd6f0c4703fcf075b98e50a5b17f6bd2ad9b83d703416a767c3b47477f77501'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','a679accb9162d548704f68d253249dbfbdbedabcb8bbbacf731fe92aad814db1'),('sites/all/modules/views/plugins/views_plugin_localization.inc','6572281357069fed780332921263258a178090d8464c90c34f14e17a569e3436'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','806f8f2ffbd34b3aace046221a966a68961bbd61b42890887889c36536088e8c'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','0879d251174cc8bbf65664e94ead18ac995d7f1d913e994c4e35a675dda22553'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','627733f65b1d08d20ae03a531c99daacda97df37af9792cf6f3357d9379546ec'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','19e88bdd8bb52a7e3c737da52d83c3ccc6570c3a5708d2e48ed50ddac7a769cb'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','1c8430debaa379549af63da3482b121d1837d8046ceafd07da85ca809f0a6901'),('sites/all/modules/views/plugins/views_plugin_query.inc','b9e68436f09e5fa585d6534fa34d465144cd6d535469c3e79ba2858ef3215df6'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','0850b2531c31054ddadf775dfdda17f87cf0f9bad39f0d259d8661f40da39aca'),('sites/all/modules/views/plugins/views_plugin_row.inc','30720ae0ea46fccc681d2e73d22774420e52b35ffcc96083be363c5d00048a8e'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','bb8643f668d6c8a21afc17b5db80b8638ccc9c4fc99dd92383e905cc9dd80506'),('sites/all/modules/views/plugins/views_plugin_style.inc','f18b868328aed6d803c0a7f5533c1abd49a8693399650f8e5ec328ec474255a2'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','37d4711f237efb201e96e74fe1f1f9d3a32a8adb65fa789bb09b81b8f439b039'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','a49a71b815535c38a9ccb34fdb1dbe312a8d4ea500050c903df42e2fac8875c8'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','e04c7a038e6210a864cc6d6b29e0643bea226106604f037435480b8b5cb2e40d'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','fd783e67e086bce78ce2dfac73517b6e59b47f9bf2606a02dac0938c99e51af8'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','5c54e07b5d2c9d97c788dafe4be146359856987f79a21c28af697891772afde0');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/plugins/views_plugin_style_summary.inc','340cb32d0b042416942fb58f791c5e9c30468ba51a1787f0a924dab795b07ed6'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','351769024d45b73fa579ca55bfcc1910e2de94d2644c6856c303351f2d26dca3'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','22a700fff04a6baa595427f5a2997d6e5d8d301f1dc1d62a2d6978383ee77345'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','1a68acb50a2e5ab378296bfb72887b5d78163a21febf8f56e9c864364f0702d1'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','e605d65f1ae5b8763ecb12d5854bca342756f34e2705eb5d03075770fc2b7b68'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','e6b9dda4730e1dc3598a57bd40f365cb18ac7fa31204582c5a00e59f8d2d50d5'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','b0c72a676dff32fa25b2f7a22df3a0d2dee84a7d004dc44be0265fe9e809c3bc'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','398d35874dd2d48b491c87319716d276f647c40e7d87c318086776b8f5643d69'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','6406a99a4c04a651433b46a282aae9bf97fd72f3deaf99fab40fdde3984e5cb9'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','92b641b8d13d883993150f8d74b43fcb382a520f26c2ef83c1b2c8a86c23e5b1'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','6419a9e125aefbef0bd13879b4e57ee158f4e0b7d1f05832879054cdbb03833d'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','83a5528be29cac578cae139e6afb741b5de555a0e42332716555effe61ddd548'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','dda6e0dbd56f7226558b0785509cd1be7328a80097c1d7b74dcf096f9a62a68f'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','bf4703cfa569fd0db729c3825f70d8cc5d084d055a9bc311859eef524ea1baf2');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','b12e2b0cc9b7a14424920912c5908ea0aae9fc5be1ae5e892880225d01624292'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','966bedaf37d862d85d52b334f70e4d68c79fa14120c2044ea7510e091619abeb'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','bec20808b9c22057de453341809fe01d6b6fffde27c32a803e2d1f345ddfcc02'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','a13349d6429b35a01e105b25186b7f55469e4b813c5ed8be4a79c58e5dc3a67c'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','a14e4f07ee03e49082d111832c21b86cba83c7abfb7de1859e461e90330bdc40'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','a28ede0e98211f2204e3a2ca2c6bfd253c67bd04e22d8474b5b058843fa97340'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','0916b7b53ebef9e16a9a45e22123a4a2b1ad8fdd06c0d670db5e2396df86c5c7'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','922f7dba511ff4e9d2a24bb4d445265b86a1560b76d097e8d6e0a41cc59a6b29'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','df777917cb8568938ced57578936d92bf4c9e00734868676b94b13bf251c963a'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','a5c510b72d4559878183081622ce268dcf71f42c70a5480a51a214afc6c0ebca'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','05006487eb97c7214aab1e1e8f4d58a8661f678bcd3b691ce9a84c7955bf76fd'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','0d5252ce92c4a51182644b5d229e3d6b639526466298a8fcec02a045078530e4'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','65c67e9c0de483511280742a2bb73ba61fd447a8d8e52bb071d84910760ca672'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','65fe9851bd740c71c6cac412b191f1d66f46ada6033c612bb0e8bedf488ee215'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f79dbd877823ac5bda4060ef1b308303c59d4a6b5b58447db7d4c2ad142f0f5d');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','329b80cf184f3f3da5ecb5e2e19976b3e26bfa5c681cf8ae4a000d9f3441f5dc'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','65f455f2a770efde4e91e01885a1b50fc783499b68477ab7214c5dd868fac6c4'),('sites/all/modules/views/tests/styles/views_plugin_style.test','59153a73ba67a7c467366c1573d6fd0dd54fd84097225a245b0eda2e30e728e0'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','522296bcfaa74f77787b9b99dcd453a008f029a85c512ce93fa5ab1b183e6d7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','5eb1c807f6e4f13eade4539d98783a5e25b5ac8ae8291d3c1e4fdb9bb3cb3ba5'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','ff47f8b84032b4c342bdc8a40d884e0585cfd67055d701fc0ff20edbb65235ac'),('sites/all/modules/views/tests/user/views_user.test','fa64ecba7481a3727819f8ad44b06afdb8f1e0936d1837fa5bcd9b7deb8daaf2'),('sites/all/modules/views/tests/user/views_user_argument_default.test','2a1c7f4bc3c8a3cbdfd7ea2eab1811345cd5053bafe5793f7ace71b28839640f'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','e8bd33feb0e7276f1d8b94f51b68425982ca0ce3791b651e6a1fcaead68d133a'),('sites/all/modules/views/tests/views_access.test','1324b42772e38b5cdc079837b33abc25a27ccc9fe26a2bee68c150f035bf8ad1'),('sites/all/modules/views/tests/views_analyze.test','501464be8a5a3800f07d4f03b9244f7174c7a550b10db268a27646701eaea6e7'),('sites/all/modules/views/tests/views_argument_default.test','05372c66b95ce941c2ae2cf763646602ad8075c9f239e43dc7095faf2181f507'),('sites/all/modules/views/tests/views_argument_validator.test','fb35d39bfea4fc83b14bcaf33b6ed388e618ffa638fbe0c5ea363a40971fdf78'),('sites/all/modules/views/tests/views_basic.test','8237d5e8a554dcbb35ac54db739bf2088bce077e63e9c774a2b7501665bd529a'),('sites/all/modules/views/tests/views_cache.test','346d4d271a3dbad813d6f2358507d07295d6610001593548322236da2eb38229'),('sites/all/modules/views/tests/views_exposed_form.test','77e5472b5428594835cc1aa8dd4fc2985a793a3d08b951f2f49e41b9945c7174');
INSERT INTO `registry_file` VALUES ('sites/all/modules/views/tests/views_glossary.test','184432181da26bfbc17c50c1bdfc7c34f5b5a00f4001550895ad826382cf8cd3'),('sites/all/modules/views/tests/views_groupby.test','92b12a1932a6b9b0cf59a35e33338152914bdc1ed2b6cf1b777961888d769e11'),('sites/all/modules/views/tests/views_handlers.test','5c323e7ceb02198b703692421fb7c8f57882bd670fe168771c3816abb8cd3d13'),('sites/all/modules/views/tests/views_module.test','9a5f87b099900842fc541ba9d3de654feeaa3f51ea2a8a86af3492ab6e5b6c4d'),('sites/all/modules/views/tests/views_pager.test','01ece05fe2a42217ef3df10cf1d4e405ba05bbb22ece18c48a0af07e4a2fefff'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','2443243936d5b2e560d5e49b371a6511c01a53eb82e6e04ac2032feec0033633'),('sites/all/modules/views/tests/views_query.test','ce0a53f4e1cb6334c0b6406415ca2c8b6a1081a21cddea53c7824ff524c11875'),('sites/all/modules/views/tests/views_test.views_default.inc','3d422c248412b6beafdb7bdfbf7fba2c24bf3c7d3989d1f1fe302d43a4f49b8d'),('sites/all/modules/views/tests/views_translatable.test','4105db9b29147e1148e5ad33151dd6b4a27606625c49fbfcc9823c5403e89404'),('sites/all/modules/views/tests/views_ui.test','3cdef87658001914c5cf1fc44001ea8f449c50ed26f8d671e67f5a6e0eb371bb'),('sites/all/modules/views/tests/views_upgrade.test','86a8d2c96ce440f6850f4423b2ee8df0f3a03e0a1ffc8265282a6bfaca2df984'),('sites/all/modules/views/tests/views_view.test','34f5f0b515353db81ec44839fae85db792955185a33c906fa7918591485d9d15'),('sites/all/modules/views/views_ui.module','111cef03bed51ad0356a5437de2ae2fa05778e2c6945ca6aac07a28be993751f');
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (   `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',   `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',   PRIMARY KEY (`rid`),   UNIQUE KEY `name` (`name`),   KEY `name_weight` (`name`,`weight`) ) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.' AUTO_INCREMENT=4;
INSERT INTO `role` VALUES ('3','administrator','2'),('1','anonymous user','0'),('2','authenticated user','1');
DROP TABLE IF EXISTS `role_permission`;
CREATE TABLE `role_permission` (   `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',   `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',   `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',   PRIMARY KEY (`rid`,`permission`),   KEY `permission` (`permission`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
INSERT INTO `role_permission` VALUES ('1','access comments','comment'),('1','access content','node'),('1','access site-wide contact form','contact'),('1','search content','search'),('1','use advanced search','search'),('1','use text format filtered_html','filter'),('2','access comments','comment'),('2','access content','node'),('2','post comments','comment'),('2','skip comment approval','comment'),('2','use text format filtered_html','filter'),('3','access administration pages','system'),('3','access all views','views'),('3','access backup and migrate','backup_migrate'),('3','access backup files','backup_migrate'),('3','access comments','comment'),('3','access content','node'),('3','access content overview','node'),('3','access contextual links','contextual'),('3','access dashboard','dashboard'),('3','access devel information','devel'),('3','access overlay','overlay'),('3','access site in maintenance mode','system'),('3','access site reports','system'),('3','access site-wide contact form','contact'),('3','access statistics','statistics'),('3','access toolbar','toolbar'),('3','access user contact forms','contact'),('3','access user profiles','user'),('3','administer actions','system');
INSERT INTO `role_permission` VALUES ('3','administer backup and migrate','backup_migrate'),('3','administer blocks','block'),('3','administer comments','comment'),('3','administer contact forms','contact'),('3','administer content types','node'),('3','administer filters','filter'),('3','administer image styles','image'),('3','administer menu','menu'),('3','administer modules','system'),('3','administer nodes','node'),('3','administer permissions','user'),('3','administer search','search'),('3','administer shortcuts','shortcut'),('3','administer site configuration','system'),('3','administer skinr','skinr_ui'),('3','administer software updates','system'),('3','administer statistics','statistics'),('3','administer taxonomy','taxonomy'),('3','administer themes','system'),('3','administer url aliases','path'),('3','administer users','user'),('3','administer views','views'),('3','block IP addresses','system'),('3','bypass node access','node'),('3','cancel account','user'),('3','cancel own vote','poll'),('3','change own username','user'),('3','create article content','node'),('3','create page content','node'),('3','create url aliases','path');
INSERT INTO `role_permission` VALUES ('3','customize shortcut links','shortcut'),('3','delete any article content','node'),('3','delete any page content','node'),('3','delete backup files','backup_migrate'),('3','delete own article content','node'),('3','delete own page content','node'),('3','delete revisions','node'),('3','delete terms in 1','taxonomy'),('3','edit advanced skin settings','skinr_ui'),('3','edit any article content','node'),('3','edit any page content','node'),('3','edit own article content','node'),('3','edit own comments','comment'),('3','edit own page content','node'),('3','edit skin settings','skinr_ui'),('3','edit terms in 1','taxonomy'),('3','execute php code','devel'),('3','inspect all votes','poll'),('3','perform backup','backup_migrate'),('3','post comments','comment'),('3','restore from backup','backup_migrate'),('3','revert revisions','node'),('3','search content','search'),('3','select account cancellation method','user'),('3','skip comment approval','comment'),('3','switch shortcut sets','shortcut'),('3','switch users','devel'),('3','use advanced search','search'),('3','use PHP for settings','php'),('3','use text format filtered_html','filter');
INSERT INTO `role_permission` VALUES ('3','use text format full_html','filter'),('3','view own unpublished content','node'),('3','view post access counter','statistics'),('3','view revisions','node'),('3','view the administration theme','system'),('3','vote on polls','poll');
DROP TABLE IF EXISTS `search_dataset`;
CREATE TABLE `search_dataset` (   `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',   `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',   `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',   `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',   PRIMARY KEY (`sid`,`type`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
DROP TABLE IF EXISTS `search_index`;
CREATE TABLE `search_index` (   `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',   `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',   `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',   `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',   PRIMARY KEY (`word`,`sid`,`type`),   KEY `sid_type` (`sid`,`type`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
DROP TABLE IF EXISTS `search_node_links`;
CREATE TABLE `search_node_links` (   `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',   `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',   `caption` longtext COMMENT 'The text used to link to the node.nid.',   PRIMARY KEY (`sid`,`type`,`nid`),   KEY `nid` (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
DROP TABLE IF EXISTS `search_total`;
CREATE TABLE `search_total` (   `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',   `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',   PRIMARY KEY (`word`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
DROP TABLE IF EXISTS `semaphore`;
CREATE TABLE `semaphore` (   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',   `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',   `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',   PRIMARY KEY (`name`),   KEY `value` (`value`),   KEY `expire` (`expire`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
DROP TABLE IF EXISTS `sequences`;
CREATE TABLE `sequences` (   `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',   PRIMARY KEY (`value`) ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.' AUTO_INCREMENT=3;
INSERT INTO `sequences` VALUES ('2');
DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (   `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',   `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',   `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',   `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',   `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',   `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',   PRIMARY KEY (`sid`,`ssid`),   KEY `timestamp` (`timestamp`),   KEY `uid` (`uid`),   KEY `ssid` (`ssid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
DROP TABLE IF EXISTS `shortcut_set`;
CREATE TABLE `shortcut_set` (   `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',   `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',   PRIMARY KEY (`set_name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
DROP TABLE IF EXISTS `shortcut_set_users`;
CREATE TABLE `shortcut_set_users` (   `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',   `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',   PRIMARY KEY (`uid`),   KEY `set_name` (`set_name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
DROP TABLE IF EXISTS `skinr_rules`;
CREATE TABLE `skinr_rules` (   `rid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique skinr rule ID.',   `title` varchar(128) NOT NULL DEFAULT '' COMMENT 'The administrative title for this rule.',   `rule_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The content type of this rule.',   `node_types` text COMMENT 'A serialized array of node types for this record.',   `roles` text COMMENT 'A serialized array of roles for this record.',   `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show rules on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',   `pages` text NOT NULL COMMENT 'Contains either a list of paths on which to include/exclude the rule or PHP code, depending on `visibility` setting.',   PRIMARY KEY (`rid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores skinr rule data.' AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `skinr_skins`;
CREATE TABLE `skinr_skins` (   `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a skin configuration.',   `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme this configuration applies to.',   `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module this configuration applies to.',   `element` varchar(128) NOT NULL DEFAULT '' COMMENT 'The element this configutation applies to.',   `skin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The skin that has been applied.',   `options` longtext NOT NULL COMMENT 'A serialized array containing the skin options that have been applied.',   `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',   PRIMARY KEY (`sid`),   UNIQUE KEY `theme_module_element_skin` (`theme`,`module`,`element`,`skin`),   KEY `theme` (`theme`),   KEY `module` (`theme`,`module`),   KEY `element` (`theme`,`module`,`element`),   KEY `skin` (`skin`) ) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='Stores skinr data.' AUTO_INCREMENT=9;
INSERT INTO `skinr_skins` VALUES ('1','touchpro','block','block__2','style_skins','a:1:{i:0;s:8:"no-style";}','1'),('2','touchpro','block','block__3','style_skins','a:1:{i:0;s:8:"no-style";}','1'),('4','touchpro','block','block__5','grid_width4','a:1:{i:0;s:16:"media-4-grid-1-2";}','1'),('5','touchpro','block','block__6','grid_width4','a:1:{i:0;s:16:"media-4-grid-1-2";}','1'),('6','touchpro','block','block__7','grid_width4','a:1:{i:0;s:16:"media-4-grid-1-2";}','1'),('8','touchpro','block','block__4','style_skins','a:1:{i:0;s:8:"no-style";}','1');
DROP TABLE IF EXISTS `system`;
CREATE TABLE `system` (   `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',   `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',   `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',   `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',   `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',   `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',   `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',   PRIMARY KEY (`filename`),   KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),   KEY `type_name` (`type`,`name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','','0','0','-1','0','a:13:{s:4:"name";s:10:"Aggregator";s:11:"description";s:57:"Aggregates syndicated content (RSS, RDF, and Atom feeds).";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:15:"aggregator.test";}s:9:"configure";s:41:"admin/config/services/aggregator/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:14:"aggregator.css";s:33:"modules/aggregator/aggregator.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','','0','0','-1','0','a:12:{s:4:"name";s:23:"Aggregator module tests";s:11:"description";s:46:"Support module for aggregator related testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/block/block.module','block','module','','1','0','7008','-5','a:12:{s:4:"name";s:5:"Block";s:11:"description";s:140:"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"block.test";}s:9:"configure";s:21:"admin/structure/block";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/block/tests/block_test.module','block_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Block test";s:11:"description";s:21:"Provides test blocks.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/blog/blog.module','blog','module','','1','0','0','0','a:11:{s:4:"name";s:4:"Blog";s:11:"description";s:25:"Enables multi-user blogs.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"blog.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/book/book.module','book','module','','0','0','-1','0','a:13:{s:4:"name";s:4:"Book";s:11:"description";s:66:"Allows users to create and organize related content in an outline.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"book.test";}s:9:"configure";s:27:"admin/content/book/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"book.css";s:21:"modules/book/book.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/color/color.module','color','module','','1','0','7001','0','a:11:{s:4:"name";s:5:"Color";s:11:"description";s:70:"Allows administrators to change the color scheme of compatible themes.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"color.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/comment/comment.module','comment','module','','1','0','7009','0','a:13:{s:4:"name";s:7:"Comment";s:11:"description";s:57:"Allows users to comment on and discuss published content.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"text";}s:5:"files";a:2:{i:0;s:14:"comment.module";i:1;s:12:"comment.test";}s:9:"configure";s:21:"admin/content/comment";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:11:"comment.css";s:27:"modules/comment/comment.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/contact/contact.module','contact','module','','1','0','7003','0','a:12:{s:4:"name";s:7:"Contact";s:11:"description";s:61:"Enables the use of both personal and site-wide contact forms.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"contact.test";}s:9:"configure";s:23:"admin/structure/contact";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/contextual/contextual.module','contextual','module','','1','0','0','0','a:11:{s:4:"name";s:16:"Contextual links";s:11:"description";s:75:"Provides contextual links to perform actions related to elements on a page.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','','1','0','0','0','a:12:{s:4:"name";s:9:"Dashboard";s:11:"description";s:136:"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.";s:4:"core";s:3:"7.x";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:5:"files";a:1:{i:0;s:14:"dashboard.test";}s:12:"dependencies";a:1:{i:0;s:5:"block";}s:9:"configure";s:25:"admin/dashboard/customize";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/dblog/dblog.module','dblog','module','','1','1','7001','0','a:11:{s:4:"name";s:16:"Database logging";s:11:"description";s:47:"Logs and records system events to the database.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"dblog.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/field/field.module','field','module','','1','0','7001','0','a:13:{s:4:"name";s:5:"Field";s:11:"description";s:57:"Field API to add fields to entities like nodes and users.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:12:"field.module";i:1;s:16:"field.attach.inc";i:2;s:16:"tests/field.test";}s:12:"dependencies";a:1:{i:0;s:17:"field_sql_storage";}s:8:"required";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"theme/field.css";s:29:"modules/field/theme/field.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','','1','0','7002','0','a:12:{s:4:"name";s:17:"Field SQL storage";s:11:"description";s:37:"Stores field data in an SQL database.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:22:"field_sql_storage.test";}s:8:"required";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/field/modules/list/list.module','list','module','','1','0','7002','0','a:11:{s:4:"name";s:4:"List";s:11:"description";s:69:"Defines list field types. Use with Options to create selection lists.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:5:"field";i:1;s:7:"options";}s:5:"files";a:1:{i:0;s:15:"tests/list.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','','0','0','-1','0','a:12:{s:4:"name";s:9:"List test";s:11:"description";s:41:"Support module for the List module tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/field/modules/number/number.module','number','module','','1','0','0','0','a:11:{s:4:"name";s:6:"Number";s:11:"description";s:28:"Defines numeric field types.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:11:"number.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/field/modules/options/options.module','options','module','','1','0','0','0','a:11:{s:4:"name";s:7:"Options";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:12:"options.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/field/modules/text/text.module','text','module','','1','0','7000','0','a:13:{s:4:"name";s:4:"Text";s:11:"description";s:32:"Defines simple text field types.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:9:"text.test";}s:8:"required";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:11:"explanation";s:73:"Field type(s) in use - see <a href="/admin/reports/fields">Field list</a>";}'),('modules/field/tests/field_test.module','field_test','module','','0','0','-1','0','a:12:{s:4:"name";s:14:"Field API Test";s:11:"description";s:39:"Support module for the Field API tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:5:"files";a:1:{i:0;s:21:"field_test.entity.inc";}s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','','1','0','0','0','a:11:{s:4:"name";s:8:"Field UI";s:11:"description";s:33:"User interface for the Field API.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:13:"field_ui.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/file/file.module','file','module','','1','0','0','0','a:11:{s:4:"name";s:4:"File";s:11:"description";s:26:"Defines a file field type.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:15:"tests/file.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','','0','0','-1','0','a:12:{s:4:"name";s:9:"File test";s:11:"description";s:53:"Provides hooks for testing File module functionality.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/filter/filter.module','filter','module','','1','0','7010','0','a:13:{s:4:"name";s:6:"Filter";s:11:"description";s:43:"Filters content in preparation for display.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"filter.test";}s:8:"required";b:1;s:9:"configure";s:28:"admin/config/content/formats";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/forum/forum.module','forum','module','','0','0','-1','0','a:13:{s:4:"name";s:5:"Forum";s:11:"description";s:27:"Provides discussion forums.";s:12:"dependencies";a:2:{i:0;s:8:"taxonomy";i:1;s:7:"comment";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"forum.test";}s:9:"configure";s:21:"admin/structure/forum";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"forum.css";s:23:"modules/forum/forum.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/help/help.module','help','module','','1','0','0','0','a:11:{s:4:"name";s:4:"Help";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"help.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/image/image.module','image','module','','1','0','7002','0','a:14:{s:4:"name";s:5:"Image";s:11:"description";s:34:"Provides image manipulation tools.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"file";}s:5:"files";a:1:{i:0;s:10:"image.test";}s:9:"configure";s:31:"admin/config/media/image-styles";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:73:"Field type(s) in use - see <a href="/admin/reports/fields">Field list</a>";}');
INSERT INTO `system` VALUES ('modules/image/tests/image_module_test.module','image_module_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Image test";s:11:"description";s:69:"Provides hook implementations for testing Image module functionality.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:24:"image_module_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/locale/locale.module','locale','module','','0','0','-1','0','a:12:{s:4:"name";s:6:"Locale";s:11:"description";s:119:"Adds language handling functionality and enables the translation of the user interface to languages other than English.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"locale.test";}s:9:"configure";s:30:"admin/config/regional/language";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Locale Test";s:11:"description";s:42:"Support module for the locale layer tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/menu/menu.module','menu','module','','1','0','7002','0','a:12:{s:4:"name";s:4:"Menu";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"menu.test";}s:9:"configure";s:20:"admin/structure/menu";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/node/node.module','node','module','','1','0','7012','0','a:14:{s:4:"name";s:4:"Node";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:11:"node.module";i:1;s:9:"node.test";}s:8:"required";b:1;s:9:"configure";s:21:"admin/structure/types";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"node.css";s:21:"modules/node/node.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/node/tests/node_access_test.module','node_access_test','module','','0','0','-1','0','a:12:{s:4:"name";s:24:"Node module access tests";s:11:"description";s:43:"Support module for node permission testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/node/tests/node_test.module','node_test','module','','0','0','-1','0','a:12:{s:4:"name";s:17:"Node module tests";s:11:"description";s:40:"Support module for node related testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','','0','0','-1','0','a:12:{s:4:"name";s:27:"Node module exception tests";s:11:"description";s:50:"Support module for node related exception testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/openid/openid.module','openid','module','','0','0','-1','0','a:11:{s:4:"name";s:6:"OpenID";s:11:"description";s:48:"Allows users to log into your site using OpenID.";s:7:"version";s:4:"7.10";s:7:"package";s:4:"Core";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"openid.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','','0','0','-1','0','a:12:{s:4:"name";s:21:"OpenID dummy provider";s:11:"description";s:33:"OpenID provider used for testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"openid";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/overlay/overlay.module','overlay','module','','1','1','0','0','a:11:{s:4:"name";s:7:"Overlay";s:11:"description";s:59:"Displays the Drupal administration interface in an overlay.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/path/path.module','path','module','','1','0','0','0','a:12:{s:4:"name";s:4:"Path";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"path.test";}s:9:"configure";s:24:"admin/config/search/path";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/php/php.module','php','module','','1','0','0','0','a:11:{s:4:"name";s:10:"PHP filter";s:11:"description";s:50:"Allows embedded PHP code/snippets to be evaluated.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:8:"php.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/poll/poll.module','poll','module','','1','0','7004','0','a:12:{s:4:"name";s:4:"Poll";s:11:"description";s:95:"Allows your site to capture votes on different topics in the form of multiple choice questions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"poll.test";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"poll.css";s:21:"modules/poll/poll.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/profile/profile.module','profile','module','','0','0','-1','0','a:13:{s:4:"name";s:7:"Profile";s:11:"description";s:36:"Supports configurable user profiles.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"profile.test";}s:9:"configure";s:27:"admin/config/people/profile";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/rdf/rdf.module','rdf','module','','1','0','0','0','a:11:{s:4:"name";s:3:"RDF";s:11:"description";s:148:"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:8:"rdf.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','','0','0','-1','0','a:12:{s:4:"name";s:16:"RDF module tests";s:11:"description";s:38:"Support module for RDF module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/search/search.module','search','module','','1','0','7000','0','a:13:{s:4:"name";s:6:"Search";s:11:"description";s:36:"Enables site-wide keyword searching.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:19:"search.extender.inc";i:1;s:11:"search.test";}s:9:"configure";s:28:"admin/config/search/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"search.css";s:25:"modules/search/search.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','','0','0','-1','0','a:12:{s:4:"name";s:20:"Search embedded form";s:11:"description";s:59:"Support module for search module testing of embedded forms.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','','0','0','-1','0','a:12:{s:4:"name";s:16:"Test search type";s:11:"description";s:41:"Support module for search module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/shortcut/shortcut.module','shortcut','module','','1','0','0','0','a:12:{s:4:"name";s:8:"Shortcut";s:11:"description";s:60:"Allows users to manage customizable lists of shortcut links.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:13:"shortcut.test";}s:9:"configure";s:36:"admin/config/user-interface/shortcut";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','','0','0','-1','0','a:12:{s:4:"name";s:7:"Testing";s:11:"description";s:53:"Provides a framework for unit and functional testing.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:42:{i:0;s:15:"simpletest.test";i:1;s:24:"drupal_web_test_case.php";i:2;s:18:"tests/actions.test";i:3;s:15:"tests/ajax.test";i:4;s:16:"tests/batch.test";i:5;s:20:"tests/bootstrap.test";i:6;s:16:"tests/cache.test";i:7;s:17:"tests/common.test";i:8;s:24:"tests/database_test.test";i:9;s:32:"tests/entity_crud_hook_test.test";i:10;s:23:"tests/entity_query.test";i:11;s:16:"tests/error.test";i:12;s:15:"tests/file.test";i:13;s:23:"tests/filetransfer.test";i:14;s:15:"tests/form.test";i:15;s:16:"tests/graph.test";i:16;s:16:"tests/image.test";i:17;s:15:"tests/lock.test";i:18;s:15:"tests/mail.test";i:19;s:15:"tests/menu.test";i:20;s:17:"tests/module.test";i:21;s:19:"tests/password.test";i:22;s:15:"tests/path.test";i:23;s:19:"tests/registry.test";i:24;s:17:"tests/schema.test";i:25;s:18:"tests/session.test";i:26;s:20:"tests/tablesort.test";i:27;s:16:"tests/theme.test";i:28;s:18:"tests/unicode.test";i:29;s:17:"tests/update.test";i:30;s:17:"tests/xmlrpc.test";i:31;s:26:"tests/upgrade/upgrade.test";i:32;s:34:"tests/upgrade/upgrade.comment.test";i:33;s:33:"tests/upgrade/upgrade.filter.test";i:34;s:32:"tests/upgrade/upgrade.forum.test";i:35;s:33:"tests/upgrade/upgrade.locale.test";i:36;s:31:"tests/upgrade/upgrade.menu.test";i:37;s:31:"tests/upgrade/upgrade.node.test";i:38;s:35:"tests/upgrade/upgrade.taxonomy.test";i:39;s:39:"tests/upgrade/upgrade.translatable.test";i:40;s:33:"tests/upgrade/upgrade.upload.test";i:41;s:31:"tests/upgrade/upgrade.user.test";}s:9:"configure";s:41:"admin/config/development/testing/settings";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','','0','0','-1','0','a:12:{s:4:"name";s:17:"Actions loop test";s:11:"description";s:39:"Support module for action loop testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','','0','0','-1','0','a:12:{s:4:"name";s:26:"AJAX form test mock module";s:11:"description";s:25:"Test for AJAX form calls.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','','0','0','-1','0','a:12:{s:4:"name";s:9:"AJAX Test";s:11:"description";s:40:"Support module for AJAX framework tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','','0','0','-1','0','a:12:{s:4:"name";s:14:"Batch API test";s:11:"description";s:35:"Support module for Batch API tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','','0','0','-1','0','a:13:{s:4:"name";s:11:"Common Test";s:11:"description";s:32:"Support module for Common tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:15:"common_test.css";s:40:"modules/simpletest/tests/common_test.css";}s:5:"print";a:1:{s:21:"common_test.print.css";s:46:"modules/simpletest/tests/common_test.print.css";}}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','','0','0','-1','0','a:12:{s:4:"name";s:23:"Common Test Cron Helper";s:11:"description";s:56:"Helper module for CronRunTestCase::testCronExceptions().";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','','0','0','-1','0','a:12:{s:4:"name";s:13:"Database Test";s:11:"description";s:40:"Support module for Database layer tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','','0','0','-1','0','a:12:{s:4:"name";s:37:"Drupal system listing compatible test";s:11:"description";s:62:"Support module for testing the drupal_system_listing function.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','','0','0','-1','0','a:12:{s:4:"name";s:39:"Drupal system listing incompatible test";s:11:"description";s:62:"Support module for testing the drupal_system_listing function.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','','0','0','-1','0','a:12:{s:4:"name";s:17:"Entity cache test";s:11:"description";s:40:"Support module for testing entity cache.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:28:"entity_cache_test_dependency";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','','0','0','-1','0','a:12:{s:4:"name";s:28:"Entity cache test dependency";s:11:"description";s:51:"Support dependency module for testing entity cache.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','','0','0','-1','0','a:12:{s:4:"name";s:22:"Entity CRUD Hooks Test";s:11:"description";s:35:"Support module for CRUD hook tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Error test";s:11:"description";s:47:"Support module for error and exception testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','','0','0','-1','0','a:12:{s:4:"name";s:9:"File test";s:11:"description";s:39:"Support module for file handling tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:16:"file_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/filter_test.module','filter_test','module','','0','0','-1','0','a:12:{s:4:"name";s:18:"Filter test module";s:11:"description";s:33:"Tests filter hooks and functions.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','','0','0','-1','0','a:12:{s:4:"name";s:12:"FormAPI Test";s:11:"description";s:34:"Support module for Form API tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Image test";s:11:"description";s:39:"Support module for image toolkit tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','','0','0','-1','0','a:12:{s:4:"name";s:15:"Hook menu tests";s:11:"description";s:37:"Support module for menu hook testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Module test";s:11:"description";s:41:"Support module for module system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','','0','0','-1','0','a:12:{s:4:"name";s:19:"Requirements 1 Test";s:11:"description";s:80:"Tests that a module is not installed when it fails hook_requirements(''install'').";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','','0','0','-1','0','a:12:{s:4:"name";s:19:"Requirements 2 Test";s:11:"description";s:98:"Tests that a module is not installed when the one it depends on fails hook_requirements(''install).";s:12:"dependencies";a:2:{i:0;s:18:"requirements1_test";i:1;s:7:"comment";}s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','','0','0','-1','0','a:12:{s:4:"name";s:12:"Session test";s:11:"description";s:40:"Support module for session data testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','','0','0','-1','0','a:12:{s:4:"name";s:22:"System dependency test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:19:"_missing_dependency";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','','0','0','-1','0','a:12:{s:4:"name";s:50:"System incompatible core version dependencies test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:37:"system_incompatible_core_version_test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','','0','0','-1','0','a:12:{s:4:"name";s:37:"System incompatible core version test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"5.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','','0','0','-1','0','a:12:{s:4:"name";s:52:"System incompatible module version dependencies test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:46:"system_incompatible_module_version_test (>2.0)";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','','0','0','-1','0','a:12:{s:4:"name";s:39:"System incompatible module version test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/system_test.module','system_test','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"System test";s:11:"description";s:34:"Support module for system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:18:"system_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','','0','0','-1','0','a:12:{s:4:"name";s:20:"Taxonomy test module";s:11:"description";s:45:""Tests functions and hooks not used in core".";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Theme test";s:11:"description";s:40:"Support module for theme system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','','0','0','-1','0','a:12:{s:4:"name";s:18:"Update script test";s:11:"description";s:41:"Support module for update script testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/simpletest/tests/update_test_2.module','update_test_2','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','','0','0','-1','0','a:12:{s:4:"name";s:15:"Url_alter tests";s:11:"description";s:45:"A support modules for url_alter hook testing.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','','0','0','-1','0','a:12:{s:4:"name";s:12:"XML-RPC Test";s:11:"description";s:75:"Support module for XML-RPC tests according to the validator1 specification.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/statistics/statistics.module','statistics','module','','1','1','7000','0','a:12:{s:4:"name";s:10:"Statistics";s:11:"description";s:37:"Logs access statistics for your site.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:15:"statistics.test";}s:9:"configure";s:30:"admin/config/system/statistics";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/syslog/syslog.module','syslog','module','','0','0','-1','0','a:11:{s:4:"name";s:6:"Syslog";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"syslog.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/system/system.module','system','module','','1','0','7071','0','a:13:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:6:{i:0;s:19:"system.archiver.inc";i:1;s:15:"system.mail.inc";i:2;s:16:"system.queue.inc";i:3;s:14:"system.tar.inc";i:4;s:18:"system.updater.inc";i:5;s:11:"system.test";}s:8:"required";b:1;s:9:"configure";s:19:"admin/config/system";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','','1','0','7010','0','a:14:{s:4:"name";s:8:"Taxonomy";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:7:"options";}s:5:"files";a:2:{i:0;s:15:"taxonomy.module";i:1;s:13:"taxonomy.test";}s:9:"configure";s:24:"admin/structure/taxonomy";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:73:"Field type(s) in use - see <a href="/admin/reports/fields">Field list</a>";}'),('modules/toolbar/toolbar.module','toolbar','module','','1','0','0','0','a:11:{s:4:"name";s:7:"Toolbar";s:11:"description";s:99:"Provides a toolbar that shows the top-level administration menu items and links from other modules.";s:4:"core";s:3:"7.x";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/tracker/tracker.module','tracker','module','','0','0','-1','0','a:11:{s:4:"name";s:7:"Tracker";s:11:"description";s:45:"Enables tracking of recent content for users.";s:12:"dependencies";a:1:{i:0;s:7:"comment";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"tracker.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','','0','0','-1','0','a:12:{s:4:"name";s:24:"Content Translation Test";s:11:"description";s:49:"Support module for the content translation tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/translation/translation.module','translation','module','','0','0','-1','0','a:11:{s:4:"name";s:19:"Content translation";s:11:"description";s:57:"Allows content to be translated into different languages.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:16:"translation.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','','0','0','-1','0','a:12:{s:4:"name";s:12:"Trigger Test";s:11:"description";s:33:"Support module for Trigger tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/trigger/trigger.module','trigger','module','','0','0','-1','0','a:12:{s:4:"name";s:7:"Trigger";s:11:"description";s:90:"Enables actions to be fired on certain system events, such as when new content is created.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"trigger.test";}s:9:"configure";s:23:"admin/structure/trigger";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/update/tests/aaa_update_test.module','aaa_update_test','module','','0','0','-1','0','a:12:{s:4:"name";s:15:"AAA Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','','0','0','-1','0','a:12:{s:4:"name";s:15:"BBB Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','','0','0','-1','0','a:12:{s:4:"name";s:15:"CCC Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/update/tests/update_test.module','update_test','module','','0','0','-1','0','a:12:{s:4:"name";s:11:"Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/update/update.module','update','module','','1','0','7001','0','a:12:{s:4:"name";s:14:"Update manager";s:11:"description";s:104:"Checks for available updates, and can securely install or update modules and themes via a web interface.";s:7:"version";s:4:"7.10";s:7:"package";s:4:"Core";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"update.test";}s:9:"configure";s:30:"admin/reports/updates/settings";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('modules/user/tests/user_form_test.module','user_form_test','module','','0','0','-1','0','a:12:{s:4:"name";s:22:"User module form tests";s:11:"description";s:37:"Support module for user form testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('modules/user/user.module','user','module','','1','0','7017','0','a:14:{s:4:"name";s:4:"User";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:11:"user.module";i:1;s:9:"user.test";}s:8:"required";b:1;s:9:"configure";s:19:"admin/config/people";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"user.css";s:21:"modules/user/user.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('profiles/standard/standard.profile','standard','module','','1','0','0','1000','a:14:{s:4:"name";s:8:"Standard";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:12:"dependencies";a:21:{i:0;s:5:"block";i:1;s:5:"color";i:2;s:7:"comment";i:3;s:10:"contextual";i:4;s:9:"dashboard";i:5;s:4:"help";i:6;s:5:"image";i:7;s:4:"list";i:8;s:4:"menu";i:9;s:6:"number";i:10;s:7:"options";i:11;s:4:"path";i:12;s:8:"taxonomy";i:13;s:5:"dblog";i:14;s:6:"search";i:15;s:8:"shortcut";i:16;s:7:"toolbar";i:17;s:7:"overlay";i:18;s:8:"field_ui";i:19;s:4:"file";i:20;s:3:"rdf";}s:5:"files";a:1:{i:0;s:16:"standard.profile";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:6:"hidden";b:1;s:8:"required";b:1;s:17:"distribution_name";s:6:"Drupal";}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','','0','0','-1','0','a:12:{s:4:"name";s:32:"Administration Development tools";s:11:"description";s:76:"Administration and debugging functionality for developers and site builders.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:7:"scripts";a:1:{s:14:"admin_devel.js";s:55:"sites/all/modules/admin_menu/admin_devel/admin_devel.js";}s:5:"files";a:1:{i:0;s:18:"admin_devel.module";}s:7:"version";s:11:"7.x-3.0-rc1";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1294378870";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','','0','0','-1','100','a:12:{s:4:"name";s:19:"Administration menu";s:11:"description";s:123:"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).";s:7:"package";s:14:"Administration";s:9:"configure";s:38:"admin/config/administration/admin_menu";s:7:"version";s:11:"7.x-3.0-rc1";s:4:"core";s:3:"7.x";s:7:"project";s:10:"admin_menu";s:5:"files";a:1:{i:0;s:21:"tests/admin_menu.test";}s:9:"datestamp";s:10:"1294378870";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','','0','0','-1','0','a:11:{s:4:"name";s:33:"Administration menu Toolbar style";s:11:"description";s:17:"A better Toolbar.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:10:"admin_menu";}s:5:"files";a:2:{i:0;s:25:"admin_menu_toolbar.module";i:1;s:26:"admin_menu_toolbar.install";}s:7:"version";s:11:"7.x-3.0-rc1";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1294378870";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/admin_menu/admin_views/admin_views.module','admin_views','module','','0','0','-1','0','a:11:{s:4:"name";s:20:"Administration views";s:11:"description";s:75:"Replaces all system object management pages in Drupal core with real views.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:5:"views";i:1;s:21:"views_bulk_operations";}s:5:"files";a:2:{i:0;s:18:"admin_views.module";i:1;s:39:"plugins/views_plugin_display_system.inc";}s:7:"version";s:11:"7.x-3.0-rc1";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1294378870";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/backup_migrate/backup_migrate.module','backup_migrate','module','','1','0','7200','0','a:11:{s:4:"name";s:18:"Backup and Migrate";s:11:"description";s:75:"Backup or migrate the Drupal Database quickly and without unnecessary data.";s:4:"core";s:3:"7.x";s:5:"files";a:5:{i:0;s:21:"backup_migrate.module";i:1;s:22:"backup_migrate.install";i:2;s:25:"includes/destinations.inc";i:3;s:21:"includes/profiles.inc";i:4;s:22:"includes/schedules.inc";}s:7:"version";s:7:"7.x-2.2";s:7:"project";s:14:"backup_migrate";s:9:"datestamp";s:10:"1310528214";s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/colortheme/colortheme.module','colortheme','module','','1','0','0','0','a:11:{s:4:"name";s:11:"Color Theme";s:11:"description";s:118:"A small module that changes the current theme on the theme settings page to the theme whose settings are being viewed.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"color";}s:7:"version";s:7:"7.x-1.0";s:7:"project";s:10:"colortheme";s:9:"datestamp";s:10:"1294296951";s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/contact_form_blocks/contact_form_blocks.module','contact_form_blocks','module','','0','0','-1','0','a:11:{s:4:"name";s:19:"Contact Form Blocks";s:11:"description";s:62:"Makes your site-wide contact forms available as Drupal Blocks.";s:4:"core";s:3:"7.x";s:7:"version";s:11:"7.x-1.x-dev";s:12:"dependencies";a:1:{i:0;s:7:"contact";}s:7:"project";s:19:"contact_form_blocks";s:9:"datestamp";s:10:"1319889854";s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','','0','0','-1','0','a:11:{s:4:"name";s:11:"Bulk Export";s:11:"description";s:67:"Performs bulk exporting of data objects known about by Chaos tools.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','','1','0','6007','0','a:11:{s:4:"name";s:11:"Chaos tools";s:11:"description";s:46:"A library of helpful tools by Merlin of Chaos.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:5:"files";a:3:{i:0;s:20:"includes/context.inc";i:1;s:22:"includes/math-expr.inc";i:2;s:21:"includes/stylizer.inc";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','','0','0','-1','0','a:11:{s:4:"name";s:15:"Custom rulesets";s:11:"description";s:81:"Create custom, exportable, reusable access rulesets for applications like Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','','0','0','-1','0','a:11:{s:4:"name";s:33:"Chaos Tools (CTools) AJAX Example";s:11:"description";s:41:"Shows how to use the power of Chaos AJAX.";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:4:"core";s:3:"7.x";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','','0','0','-1','0','a:11:{s:4:"name";s:20:"Custom content panes";s:11:"description";s:79:"Create custom, exportable, reusable content panes for applications like Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','','0','0','-1','0','a:11:{s:4:"name";s:35:"Chaos Tools (CTools) Plugin Example";s:11:"description";s:75:"Shows how an external module can provide ctools plugins (for Panels, etc.).";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:4:{i:0;s:6:"ctools";i:1;s:6:"panels";i:2;s:12:"page_manager";i:3;s:13:"advanced_help";}s:4:"core";s:3:"7.x";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','','0','0','-1','0','a:11:{s:4:"name";s:12:"Page manager";s:11:"description";s:54:"Provides a UI and API to manage pages within the site.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','','0','0','-1','0','a:11:{s:4:"name";s:8:"Stylizer";s:11:"description";s:53:"Create custom styles for applications such as Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:5:"color";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','','0','0','-1','0','a:12:{s:4:"name";s:24:"Chaos tools plugins test";s:11:"description";s:42:"Provides hooks for testing ctools plugins.";s:7:"package";s:16:"Chaos tool suite";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:2:{i:0;s:19:"ctools.plugins.test";i:1;s:17:"object_cache.test";}s:6:"hidden";b:1;s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','','0','0','-1','0','a:11:{s:4:"name";s:19:"Views content panes";s:11:"description";s:104:"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:5:"views";}s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:61:"plugins/views/views_content_plugin_display_ctools_context.inc";i:1;s:57:"plugins/views/views_content_plugin_display_panel_pane.inc";i:2;s:59:"plugins/views/views_content_plugin_style_ctools_context.inc";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1311894415";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/demo/demo.module','demo','module','','0','0','-1','0','a:12:{s:4:"name";s:18:"Demonstration site";s:11:"description";s:74:"Create snapshots and reset the site for demonstration or testing purposes.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:9:"configure";s:20:"admin/structure/demo";s:5:"files";a:3:{i:0;s:11:"demo.module";i:1;s:14:"demo.admin.inc";i:2;s:23:"database_mysql_dump.inc";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:4:"demo";s:9:"datestamp";s:10:"1298619104";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/demo/demo_reset.module','demo_reset','module','','0','0','-1','0','a:11:{s:4:"name";s:24:"Demonstration site reset";s:11:"description";s:176:"Allows to reset the site on cron runs and to <strong>reset the site WITHOUT CONFIRMATION.</strong> Only supposed to be used on public demonstration sites. Use at your own risk.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"demo";}s:5:"files";a:1:{i:0;s:17:"demo_reset.module";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:4:"demo";s:9:"datestamp";s:10:"1298619104";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/devel/devel.module','devel','module','','0','0','7003','88','a:13:{s:4:"name";s:5:"Devel";s:11:"description";s:52:"Various blocks, pages, and functions for developers.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:9:"configure";s:30:"admin/config/development/devel";s:4:"tags";a:1:{i:0;s:9:"developer";}s:5:"files";a:2:{i:0;s:10:"devel.test";i:1;s:14:"devel.mail.inc";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1323649043";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/devel/devel_generate/devel_generate.module','devel_generate','module','','0','0','0','0','a:13:{s:4:"name";s:14:"Devel generate";s:11:"description";s:48:"Generate dummy users, nodes, and taxonomy terms.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"devel";}s:4:"tags";a:1:{i:0;s:9:"developer";}s:9:"configure";s:33:"admin/config/development/generate";s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1323649043";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/devel/devel_node_access.module','devel_node_access','module','','0','0','-1','0','a:13:{s:4:"name";s:17:"Devel node access";s:11:"description";s:68:"Developer blocks and page illustrating relevant node_access records.";s:7:"package";s:11:"Development";s:12:"dependencies";a:1:{i:0;s:4:"menu";}s:4:"core";s:3:"7.x";s:9:"configure";s:30:"admin/config/development/devel";s:4:"tags";a:1:{i:0;s:9:"developer";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1323649043";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/empty_page/empty_page.module','empty_page','module','','0','0','-1','0','a:11:{s:4:"name";s:10:"Empty Page";s:11:"description";s:122:"A simple empty page solution. Assists in creating empty menu callbacks, mostly used for pages that only consist of blocks.";s:4:"core";s:3:"7.x";s:7:"package";s:5:"Other";s:5:"files";a:3:{i:0;s:20:"empty_page.admin.inc";i:1;s:18:"empty_page.install";i:2;s:17:"empty_page.module";}s:7:"version";s:7:"7.x-1.0";s:7:"project";s:10:"empty_page";s:9:"datestamp";s:10:"1294276868";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/globalredirect/globalredirect.module','globalredirect','module','','1','0','6101','0','a:11:{s:4:"name";s:15:"Global Redirect";s:11:"description";s:129:"Searches for an alias of the current URL and 301 redirects if found. Stops duplicate content arising when path module is enabled.";s:4:"core";s:3:"7.x";s:5:"files";a:4:{i:0;s:21:"globalredirect.module";i:1;s:22:"globalredirect.install";i:2;s:24:"globalredirect.admin.inc";i:3;s:19:"globalredirect.test";}s:7:"version";s:7:"7.x-1.3";s:7:"project";s:14:"globalredirect";s:9:"datestamp";s:10:"1294242955";s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/omega_tools/omega_tools.module','omega_tools','module','','0','0','0','0','a:11:{s:4:"name";s:11:"Omega Tools";s:11:"description";s:100:"Provides additional functionality for the <a href="http://drupal.org/project/omega">Omega Theme</a>.";s:7:"package";s:11:"Theme Tools";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:4:{i:0;s:18:"omega_tools.module";i:1;s:30:"includes/omega_tools.admin.inc";i:2;s:30:"includes/omega_tools.drush.inc";i:3;s:31:"includes/omega_tools.wizard.inc";}s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:11:"omega_tools";s:9:"datestamp";s:10:"1313771820";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/skinr/skinr.module','skinr','module','','1','1','7003','0','a:11:{s:4:"name";s:5:"Skinr";s:11:"description";s:71:"Provides a way to define and/or skin bits of Drupal output from the UI.";s:7:"package";s:5:"Skinr";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:16:"tests/skinr.test";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/skinr/skinr_panels/skinr_panels.module','skinr_panels','module','','0','0','-1','0','a:11:{s:4:"name";s:12:"Skinr Panels";s:11:"description";s:39:"Provides Skinr integration with Panels.";s:7:"package";s:5:"Skinr";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"panels";}s:5:"files";a:1:{i:0;s:23:"tests/skinr_panels.test";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/modules/skinr/skinr_panels/tests/skinr_panels_test/skinr_panels_test.module','skinr_panels_test','module','','0','0','-1','0','a:12:{s:4:"name";s:20:"Skinr Panels Testing";s:11:"description";s:44:"A test module used for testing Skinr Panels.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:2:{i:0;s:12:"skinr_panels";i:1;s:8:"skinr_ui";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/skinr/skinr_ui.module','skinr_ui','module','','1','0','7000','-1','a:12:{s:4:"name";s:8:"Skinr UI";s:11:"description";s:83:"Administrative interface to skinr. Without this module, you cannot edit your skins.";s:7:"package";s:5:"Skinr";s:4:"core";s:3:"7.x";s:9:"configure";s:21:"admin/structure/skinr";s:12:"dependencies";a:1:{i:0;s:5:"skinr";}s:5:"files";a:1:{i:0;s:19:"tests/skinr_ui.test";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/skinr/tests/skinr_test/skinr_test.module','skinr_test','module','','0','0','-1','0','a:12:{s:4:"name";s:13:"Skinr Testing";s:11:"description";s:37:"A test module used for testing Skinr.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:5:"skinr";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/skinr/tests/skinr_test_incompatible/skinr_test_incompatible.module','skinr_test_incompatible','module','','0','0','-1','0','a:12:{s:4:"name";s:26:"Skinr Incompatible Testing";s:11:"description";s:70:"A test module used for testing incompatible Skinr API implementations.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:5:"skinr";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/skinr/tests/skinr_ui_test/skinr_ui_test.module','skinr_ui_test','module','','0','0','-1','0','a:12:{s:4:"name";s:16:"Skinr UI Testing";s:11:"description";s:40:"A test module used for testing Skinr UI.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:8:"skinr_ui";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:5:"skinr";s:9:"datestamp";s:10:"1319243680";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/twitter_pull/twitter_pull.module','twitter_pull','module','','1','0','0','0','a:11:{s:4:"name";s:12:"Twitter Pull";s:11:"description";s:51:"Pull Info from Twitter and Create Contextual Insets";s:7:"package";s:5:"Other";s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:19:"twitter_pull.module";i:1;s:20:"twitter_pull.install";i:2;s:22:"twitter_pull.class.inc";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:12:"twitter_pull";s:9:"datestamp";s:10:"1294720892";s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/views/tests/views_test.module','views_test','module','','0','0','-1','0','a:12:{s:4:"name";s:10:"Views Test";s:11:"description";s:22:"Test module for Views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:6:"hidden";b:1;s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1321467945";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),('sites/all/modules/views/views.module','views','module','','1','0','7001','10','a:12:{s:4:"name";s:5:"Views";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:13:"css/views.css";s:37:"sites/all/modules/views/css/views.css";}}s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:271:{i:0;s:31:"handlers/views_handler_area.inc";i:1;s:36:"handlers/views_handler_area_text.inc";i:2;s:36:"handlers/views_handler_area_view.inc";i:3;s:35:"handlers/views_handler_argument.inc";i:4;s:40:"handlers/views_handler_argument_date.inc";i:5;s:43:"handlers/views_handler_argument_formula.inc";i:6;s:47:"handlers/views_handler_argument_many_to_one.inc";i:7;s:40:"handlers/views_handler_argument_null.inc";i:8;s:43:"handlers/views_handler_argument_numeric.inc";i:9;s:42:"handlers/views_handler_argument_string.inc";i:10;s:52:"handlers/views_handler_argument_group_by_numeric.inc";i:11;s:32:"handlers/views_handler_field.inc";i:12;s:40:"handlers/views_handler_field_counter.inc";i:13;s:40:"handlers/views_handler_field_boolean.inc";i:14;s:39:"handlers/views_handler_field_custom.inc";i:15;s:37:"handlers/views_handler_field_date.inc";i:16;s:39:"handlers/views_handler_field_entity.inc";i:17;s:39:"handlers/views_handler_field_markup.inc";i:18;s:37:"handlers/views_handler_field_math.inc";i:19;s:40:"handlers/views_handler_field_numeric.inc";i:20;s:47:"handlers/views_handler_field_prerender_list.inc";i:21;s:46:"handlers/views_handler_field_time_interval.inc";i:22;s:43:"handlers/views_handler_field_serialized.inc";i:23;s:36:"handlers/views_handler_field_url.inc";i:24;s:33:"handlers/views_handler_filter.inc";i:25;s:50:"handlers/views_handler_filter_boolean_operator.inc";i:26;s:57:"handlers/views_handler_filter_boolean_operator_string.inc";i:27;s:38:"handlers/views_handler_filter_date.inc";i:28;s:42:"handlers/views_handler_filter_equality.inc";i:29;s:50:"handlers/views_handler_filter_group_by_numeric.inc";i:30;s:45:"handlers/views_handler_filter_in_operator.inc";i:31;s:45:"handlers/views_handler_filter_many_to_one.inc";i:32;s:41:"handlers/views_handler_filter_numeric.inc";i:33;s:40:"handlers/views_handler_filter_string.inc";i:34;s:39:"handlers/views_handler_relationship.inc";i:35;s:53:"handlers/views_handler_relationship_groupwise_max.inc";i:36;s:31:"handlers/views_handler_sort.inc";i:37;s:36:"handlers/views_handler_sort_date.inc";i:38;s:39:"handlers/views_handler_sort_formula.inc";i:39;s:48:"handlers/views_handler_sort_group_by_numeric.inc";i:40;s:46:"handlers/views_handler_sort_menu_hierarchy.inc";i:41;s:38:"handlers/views_handler_sort_random.inc";i:42;s:17:"includes/base.inc";i:43;s:21:"includes/handlers.inc";i:44;s:20:"includes/plugins.inc";i:45;s:17:"includes/view.inc";i:46;s:60:"modules/aggregator/views_handler_argument_aggregator_fid.inc";i:47;s:60:"modules/aggregator/views_handler_argument_aggregator_iid.inc";i:48;s:69:"modules/aggregator/views_handler_argument_aggregator_category_cid.inc";i:49;s:64:"modules/aggregator/views_handler_field_aggregator_title_link.inc";i:50;s:62:"modules/aggregator/views_handler_field_aggregator_category.inc";i:51;s:70:"modules/aggregator/views_handler_field_aggregator_item_description.inc";i:52;s:57:"modules/aggregator/views_handler_field_aggregator_xss.inc";i:53;s:67:"modules/aggregator/views_handler_filter_aggregator_category_cid.inc";i:54;s:54:"modules/aggregator/views_plugin_row_aggregator_rss.inc";i:55;s:59:"modules/comment/views_handler_argument_comment_user_uid.inc";i:56;s:47:"modules/comment/views_handler_field_comment.inc";i:57;s:53:"modules/comment/views_handler_field_comment_depth.inc";i:58;s:52:"modules/comment/views_handler_field_comment_link.inc";i:59;s:60:"modules/comment/views_handler_field_comment_link_approve.inc";i:60;s:59:"modules/comment/views_handler_field_comment_link_delete.inc";i:61;s:57:"modules/comment/views_handler_field_comment_link_edit.inc";i:62;s:58:"modules/comment/views_handler_field_comment_link_reply.inc";i:63;s:57:"modules/comment/views_handler_field_comment_node_link.inc";i:64;s:56:"modules/comment/views_handler_field_comment_username.inc";i:65;s:61:"modules/comment/views_handler_field_ncs_last_comment_name.inc";i:66;s:56:"modules/comment/views_handler_field_ncs_last_updated.inc";i:67;s:52:"modules/comment/views_handler_field_node_comment.inc";i:68;s:57:"modules/comment/views_handler_field_node_new_comments.inc";i:69;s:62:"modules/comment/views_handler_field_last_comment_timestamp.inc";i:70;s:57:"modules/comment/views_handler_filter_comment_user_uid.inc";i:71;s:57:"modules/comment/views_handler_filter_ncs_last_updated.inc";i:72;s:53:"modules/comment/views_handler_filter_node_comment.inc";i:73;s:53:"modules/comment/views_handler_sort_comment_thread.inc";i:74;s:60:"modules/comment/views_handler_sort_ncs_last_comment_name.inc";i:75;s:55:"modules/comment/views_handler_sort_ncs_last_updated.inc";i:76;s:48:"modules/comment/views_plugin_row_comment_rss.inc";i:77;s:49:"modules/comment/views_plugin_row_comment_view.inc";i:78;s:52:"modules/contact/views_handler_field_contact_link.inc";i:79;s:43:"modules/field/views_handler_field_field.inc";i:80;s:59:"modules/field/views_handler_relationship_entity_reverse.inc";i:81;s:49:"modules/field/views_handler_filter_field_list.inc";i:82;s:57:"modules/filter/views_handler_field_filter_format_name.inc";i:83;s:54:"modules/locale/views_handler_argument_locale_group.inc";i:84;s:57:"modules/locale/views_handler_argument_locale_language.inc";i:85;s:51:"modules/locale/views_handler_field_locale_group.inc";i:86;s:54:"modules/locale/views_handler_field_locale_language.inc";i:87;s:55:"modules/locale/views_handler_field_locale_link_edit.inc";i:88;s:52:"modules/locale/views_handler_filter_locale_group.inc";i:89;s:55:"modules/locale/views_handler_filter_locale_language.inc";i:90;s:54:"modules/locale/views_handler_filter_locale_version.inc";i:91;s:53:"modules/node/views_handler_argument_dates_various.inc";i:92;s:53:"modules/node/views_handler_argument_node_language.inc";i:93;s:48:"modules/node/views_handler_argument_node_nid.inc";i:94;s:49:"modules/node/views_handler_argument_node_type.inc";i:95;s:48:"modules/node/views_handler_argument_node_vid.inc";i:96;s:57:"modules/node/views_handler_argument_node_uid_revision.inc";i:97;s:59:"modules/node/views_handler_field_history_user_timestamp.inc";i:98;s:41:"modules/node/views_handler_field_node.inc";i:99;s:46:"modules/node/views_handler_field_node_link.inc";i:100;s:53:"modules/node/views_handler_field_node_link_delete.inc";i:101;s:51:"modules/node/views_handler_field_node_link_edit.inc";i:102;s:50:"modules/node/views_handler_field_node_revision.inc";i:103;s:62:"modules/node/views_handler_field_node_revision_link_delete.inc";i:104;s:62:"modules/node/views_handler_field_node_revision_link_revert.inc";i:105;s:46:"modules/node/views_handler_field_node_path.inc";i:106;s:46:"modules/node/views_handler_field_node_type.inc";i:107;s:60:"modules/node/views_handler_filter_history_user_timestamp.inc";i:108;s:49:"modules/node/views_handler_filter_node_access.inc";i:109;s:49:"modules/node/views_handler_filter_node_status.inc";i:110;s:47:"modules/node/views_handler_filter_node_type.inc";i:111;s:55:"modules/node/views_handler_filter_node_uid_revision.inc";i:112;s:51:"modules/node/views_plugin_argument_default_node.inc";i:113;s:52:"modules/node/views_plugin_argument_validate_node.inc";i:114;s:42:"modules/node/views_plugin_row_node_rss.inc";i:115;s:43:"modules/node/views_plugin_row_node_view.inc";i:116;s:52:"modules/profile/views_handler_field_profile_date.inc";i:117;s:52:"modules/profile/views_handler_field_profile_list.inc";i:118;s:58:"modules/profile/views_handler_filter_profile_selection.inc";i:119;s:48:"modules/search/views_handler_argument_search.inc";i:120;s:51:"modules/search/views_handler_field_search_score.inc";i:121;s:46:"modules/search/views_handler_filter_search.inc";i:122;s:50:"modules/search/views_handler_sort_search_score.inc";i:123;s:47:"modules/search/views_plugin_row_search_view.inc";i:124;s:57:"modules/statistics/views_handler_field_accesslog_path.inc";i:125;s:50:"modules/system/views_handler_argument_file_fid.inc";i:126;s:43:"modules/system/views_handler_field_file.inc";i:127;s:53:"modules/system/views_handler_field_file_extension.inc";i:128;s:52:"modules/system/views_handler_field_file_filemime.inc";i:129;s:47:"modules/system/views_handler_field_file_uri.inc";i:130;s:50:"modules/system/views_handler_field_file_status.inc";i:131;s:51:"modules/system/views_handler_filter_file_status.inc";i:132;s:52:"modules/taxonomy/views_handler_argument_taxonomy.inc";i:133;s:57:"modules/taxonomy/views_handler_argument_term_node_tid.inc";i:134;s:63:"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc";i:135;s:72:"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc";i:136;s:58:"modules/taxonomy/views_handler_argument_vocabulary_vid.inc";i:137;s:67:"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc";i:138;s:49:"modules/taxonomy/views_handler_field_taxonomy.inc";i:139;s:54:"modules/taxonomy/views_handler_field_term_node_tid.inc";i:140;s:55:"modules/taxonomy/views_handler_field_term_link_edit.inc";i:141;s:55:"modules/taxonomy/views_handler_filter_term_node_tid.inc";i:142;s:61:"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc";i:143;s:56:"modules/taxonomy/views_handler_filter_vocabulary_vid.inc";i:144;s:65:"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc";i:145;s:62:"modules/taxonomy/views_handler_relationship_node_term_data.inc";i:146;s:65:"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc";i:147;s:63:"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc";i:148;s:51:"modules/system/views_handler_filter_system_type.inc";i:149;s:56:"modules/translation/views_handler_argument_node_tnid.inc";i:150;s:57:"modules/translation/views_handler_field_node_language.inc";i:151;s:63:"modules/translation/views_handler_field_node_link_translate.inc";i:152;s:65:"modules/translation/views_handler_field_node_translation_link.inc";i:153;s:58:"modules/translation/views_handler_filter_node_language.inc";i:154;s:54:"modules/translation/views_handler_filter_node_tnid.inc";i:155;s:60:"modules/translation/views_handler_filter_node_tnid_child.inc";i:156;s:62:"modules/translation/views_handler_relationship_translation.inc";i:157;s:57:"modules/upload/views_handler_field_upload_description.inc";i:158;s:49:"modules/upload/views_handler_field_upload_fid.inc";i:159;s:50:"modules/upload/views_handler_filter_upload_fid.inc";i:160;s:48:"modules/user/views_handler_argument_user_uid.inc";i:161;s:55:"modules/user/views_handler_argument_users_roles_rid.inc";i:162;s:41:"modules/user/views_handler_field_user.inc";i:163;s:50:"modules/user/views_handler_field_user_language.inc";i:164;s:46:"modules/user/views_handler_field_user_link.inc";i:165;s:53:"modules/user/views_handler_field_user_link_cancel.inc";i:166;s:51:"modules/user/views_handler_field_user_link_edit.inc";i:167;s:46:"modules/user/views_handler_field_user_mail.inc";i:168;s:46:"modules/user/views_handler_field_user_name.inc";i:169;s:53:"modules/user/views_handler_field_user_permissions.inc";i:170;s:49:"modules/user/views_handler_field_user_picture.inc";i:171;s:47:"modules/user/views_handler_field_user_roles.inc";i:172;s:50:"modules/user/views_handler_filter_user_current.inc";i:173;s:47:"modules/user/views_handler_filter_user_name.inc";i:174;s:54:"modules/user/views_handler_filter_user_permissions.inc";i:175;s:48:"modules/user/views_handler_filter_user_roles.inc";i:176;s:59:"modules/user/views_plugin_argument_default_current_user.inc";i:177;s:51:"modules/user/views_plugin_argument_default_user.inc";i:178;s:52:"modules/user/views_plugin_argument_validate_user.inc";i:179;s:31:"plugins/views_plugin_access.inc";i:180;s:36:"plugins/views_plugin_access_none.inc";i:181;s:36:"plugins/views_plugin_access_perm.inc";i:182;s:36:"plugins/views_plugin_access_role.inc";i:183;s:41:"plugins/views_plugin_argument_default.inc";i:184;s:45:"plugins/views_plugin_argument_default_php.inc";i:185;s:47:"plugins/views_plugin_argument_default_fixed.inc";i:186;s:45:"plugins/views_plugin_argument_default_raw.inc";i:187;s:42:"plugins/views_plugin_argument_validate.inc";i:188;s:50:"plugins/views_plugin_argument_validate_numeric.inc";i:189;s:46:"plugins/views_plugin_argument_validate_php.inc";i:190;s:30:"plugins/views_plugin_cache.inc";i:191;s:35:"plugins/views_plugin_cache_none.inc";i:192;s:35:"plugins/views_plugin_cache_time.inc";i:193;s:32:"plugins/views_plugin_display.inc";i:194;s:43:"plugins/views_plugin_display_attachment.inc";i:195;s:38:"plugins/views_plugin_display_block.inc";i:196;s:40:"plugins/views_plugin_display_default.inc";i:197;s:41:"plugins/views_plugin_display_extender.inc";i:198;s:37:"plugins/views_plugin_display_feed.inc";i:199;s:43:"plugins/views_plugin_exposed_form_basic.inc";i:200;s:37:"plugins/views_plugin_exposed_form.inc";i:201;s:52:"plugins/views_plugin_exposed_form_input_required.inc";i:202;s:37:"plugins/views_plugin_display_page.inc";i:203;s:42:"plugins/views_plugin_localization_core.inc";i:204;s:37:"plugins/views_plugin_localization.inc";i:205;s:42:"plugins/views_plugin_localization_none.inc";i:206;s:30:"plugins/views_plugin_pager.inc";i:207;s:35:"plugins/views_plugin_pager_full.inc";i:208;s:35:"plugins/views_plugin_pager_mini.inc";i:209;s:35:"plugins/views_plugin_pager_none.inc";i:210;s:35:"plugins/views_plugin_pager_some.inc";i:211;s:30:"plugins/views_plugin_query.inc";i:212;s:38:"plugins/views_plugin_query_default.inc";i:213;s:28:"plugins/views_plugin_row.inc";i:214;s:35:"plugins/views_plugin_row_fields.inc";i:215;s:30:"plugins/views_plugin_style.inc";i:216;s:38:"plugins/views_plugin_style_default.inc";i:217;s:35:"plugins/views_plugin_style_grid.inc";i:218;s:35:"plugins/views_plugin_style_list.inc";i:219;s:40:"plugins/views_plugin_style_jump_menu.inc";i:220;s:34:"plugins/views_plugin_style_rss.inc";i:221;s:38:"plugins/views_plugin_style_summary.inc";i:222;s:48:"plugins/views_plugin_style_summary_jump_menu.inc";i:223;s:50:"plugins/views_plugin_style_summary_unformatted.inc";i:224;s:36:"plugins/views_plugin_style_table.inc";i:225;s:43:"tests/handlers/views_handler_area_text.test";i:226;s:47:"tests/handlers/views_handler_argument_null.test";i:227;s:47:"tests/handlers/views_handler_field_boolean.test";i:228;s:46:"tests/handlers/views_handler_field_custom.test";i:229;s:47:"tests/handlers/views_handler_field_counter.test";i:230;s:44:"tests/handlers/views_handler_field_date.test";i:231;s:49:"tests/handlers/views_handler_field_file_size.test";i:232;s:44:"tests/handlers/views_handler_field_math.test";i:233;s:43:"tests/handlers/views_handler_field_url.test";i:234;s:43:"tests/handlers/views_handler_field_xss.test";i:235;s:45:"tests/handlers/views_handler_filter_date.test";i:236;s:49:"tests/handlers/views_handler_filter_equality.test";i:237;s:52:"tests/handlers/views_handler_filter_in_operator.test";i:238;s:48:"tests/handlers/views_handler_filter_numeric.test";i:239;s:47:"tests/handlers/views_handler_filter_string.test";i:240;s:45:"tests/handlers/views_handler_sort_random.test";i:241;s:43:"tests/handlers/views_handler_sort_date.test";i:242;s:38:"tests/handlers/views_handler_sort.test";i:243;s:60:"tests/test_plugins/views_test_plugin_access_test_dynamic.inc";i:244;s:59:"tests/test_plugins/views_test_plugin_access_test_static.inc";i:245;s:46:"tests/styles/views_plugin_style_jump_menu.test";i:246;s:36:"tests/styles/views_plugin_style.test";i:247;s:23:"tests/views_access.test";i:248;s:24:"tests/views_analyze.test";i:249;s:22:"tests/views_basic.test";i:250;s:33:"tests/views_argument_default.test";i:251;s:35:"tests/views_argument_validator.test";i:252;s:29:"tests/views_exposed_form.test";i:253;s:25:"tests/views_glossary.test";i:254;s:24:"tests/views_groupby.test";i:255;s:25:"tests/views_handlers.test";i:256;s:23:"tests/views_module.test";i:257;s:22:"tests/views_pager.test";i:258;s:40:"tests/views_plugin_localization_test.inc";i:259;s:29:"tests/views_translatable.test";i:260;s:22:"tests/views_query.test";i:261;s:24:"tests/views_upgrade.test";i:262;s:34:"tests/views_test.views_default.inc";i:263;s:58:"tests/comment/views_handler_argument_comment_user_uid.test";i:264;s:56:"tests/comment/views_handler_filter_comment_user_uid.test";i:265;s:43:"tests/user/views_user_argument_default.test";i:266;s:44:"tests/user/views_user_argument_validate.test";i:267;s:26:"tests/user/views_user.test";i:268;s:22:"tests/views_cache.test";i:269;s:21:"tests/views_view.test";i:270;s:19:"tests/views_ui.test";}s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1321467945";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES ('sites/all/modules/views/views_ui.module','views_ui','module','','1','0','0','0','a:12:{s:4:"name";s:8:"Views UI";s:11:"description";s:93:"Administrative interface to views. Without this module, you cannot create or edit your views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:9:"configure";s:21:"admin/structure/views";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:5:"files";a:2:{i:0;s:15:"views_ui.module";i:1;s:57:"plugins/views_wizard/views_ui_base_views_wizard.class.php";}s:7:"version";s:11:"7.x-3.0-rc3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1321467945";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),('sites/all/themes/arctica/arctica/arctica.info','arctica','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:15:{s:4:"name";s:12:"Arctica Core";s:11:"description";s:297:"This theme does not need to be enabled. For details about this theme see the <a href="http://drupal.org/project/arctica">project page</a> and the <a href="http://www.sooperthemes.com/arctica">mini site</a>. Sponsored by <a href="http://www.sooperthemes.com">SooperThemes</a> premium drupal themes.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:31:"remove/twitter-pull-listing.css";s:64:"sites/all/themes/arctica/arctica/remove/twitter-pull-listing.css";}}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:47:"sites/all/themes/arctica/arctica/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/arctica/arctica_starterkit/arctica_starterkit.info','arctica_starterkit','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:18:"Arctica starterkit";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:53:"sites/all/themes/arctica/arctica_starterkit/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:58:"sites/all/themes/arctica/arctica_starterkit/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/arctica/arctica_starterkit_bigtheme/arctica_starterkit_bigtheme.info','arctica_starterkit_bigtheme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:10:"base theme";s:7:"arctica";s:4:"name";s:34:"Arctica starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:74:"sites/all/themes/arctica/arctica_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:67:"sites/all/themes/arctica/arctica_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/arti/arti.info','arti','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:4:"name";s:4:"Arti";s:11:"description";s:77:"Minimal theme that leverages Arctica base theme for most of its functionality";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:7:"version";s:3:"1.0";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:10:"base theme";s:7:"arctica";s:8:"settings";a:72:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:331:"\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:36:"sites/all/themes/arti/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/arti_minisite/arti_minisite.info','arti_minisite','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:10:"base theme";s:4:"arti";s:4:"name";s:17:"Arctica mini site";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:71:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"1";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"0";s:32:"toggle_comment_user_verification";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"0";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:4:"none";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"95%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:640px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:445px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:1252:"\r\n<meta name="MobileOptimized" content="width">\r\n<meta name                                  ="HandheldFriendly" content="true">\r\n<meta name                                  ="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv                            ="cleartype" content="on">\r\n<meta http-equiv                            ="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name                                  ="viewport" content="width=device-width, initial-scale=1">\r\n\r\n<!-- hide address bar in mobile browsers -->\r\n<script>if(window.addEventListener){window.addEventListener("load",function(){setTimeout(function(){window.scrollTo(0,0.9)},0)});}</script>\r\n\r\n<!-- bugfix for safari mobile with orientation switching: -->\r\n<script>\r\nvar viewportmeta                            =document.querySelector&&document.querySelector(''meta[name="viewport"]''),ua=navigator.userAgent,gestureStart=function(){viewportmeta.content="width=device-width, minimum-scale=0.25, maximum-scale=1.6"},scaleFix=function(){if(viewportmeta&&/iPhone|iPad/.test(ua)&&!/Opera Mini/.test(ua)){viewportmeta.content="width=device-width, minimum-scale=1.0, maximum-scale=1.0";document.addEventListener("gesturestart",gestureStart,false)}};scaleFix()\r\n</script>\r\n";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/arti_minisite/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/deviant/deviant.info','deviant','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:4:"name";s:7:"Deviant";s:11:"description";s:35:"@todo write description for Deviant";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:47:"sites/all/themes/deviant/color/color_module.css";}}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:15:"power_statement";s:15:"power statement";s:9:"preblocks";s:9:"preblocks";s:10:"action_bar";s:10:"action-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:156:"nav.breadcrumb,.button,.button-big,.read-more,.masthead .primary-menu li a,.masthead #search-block-form .form-text,.masthead #search-block-form .form-submit";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"940px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"20px";s:18:"gutter_horizontal1";s:4:"20px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"940px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"20px";s:18:"gutter_horizontal2";s:4:"20px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:5:"940px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:5:"940px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"20px";s:18:"gutter_horizontal4";s:4:"20px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:5:"940px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"20px";s:18:"gutter_horizontal5";s:4:"20px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"10";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"200";s:22:"sooperfish_easing_show";s:6:"linear";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"200";s:22:"sooperfish_easing_hide";s:6:"linear";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:2:"50";s:18:"gradient_color_top";s:0:"";s:21:"gradient_color_bottom";s:0:"";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"50";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:10:"scrollDown";s:11:"cycle_speed";s:4:"1300";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:4:"4000";s:12:"cycle_easing";s:13:"easeOutTurbo4";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"1";s:15:"cycle_showPager";s:1:"0";s:16:"cycle_pagerEvent";s:9:"mouseover";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"0Lato:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:400";s:27:"headings_font_face_selector";s:51:"h1, h2, .region-power-statement h3,.region-featured";s:13:"nav_font_face";s:9:"0Lato:300";s:22:"nav_font_face_selector";s:83:".secondary-menu li a,.primary-menu li a, h3, h4, h5, h6, .button, .button-big,input";s:18:"sitename_font_face";s:9:"0Lato:300";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}s:5:"theme";s:7:"deviant";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:13:"Red (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#FF0000";s:4:"link";s:7:"#FF0000";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#ff9900";s:4:"link";s:7:"#ff9900";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#cbff00";s:4:"link";s:7:"#cbff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#32ff00";s:4:"link";s:7:"#32ff00";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#00ff66";s:4:"link";s:7:"#00ff66";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#00feff";s:4:"link";s:7:"#00feff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#0065ff";s:4:"link";s:7:"#0065ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#3200ff";s:4:"link";s:7:"#3200ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#cb00ff";s:4:"link";s:7:"#cb00ff";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#ff0098";s:4:"link";s:7:"#ff0098";s:4:"text";s:7:"#444444";s:10:"background";s:7:"#ffffff";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:39:"sites/all/themes/deviant/screenshot.png";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/hellofolio/hellofolio.info','hellofolio','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:4:"name";s:10:"HelloFolio";s:11:"description";s:38:"@todo write description for HelloFolio";s:6:"engine";s:11:"phptemplate";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:10:"base theme";s:6:"tundra";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:50:"sites/all/themes/hellofolio/color/color_module.css";}}s:7:"scripts";a:2:{s:38:"scripts/jquery.hellofolio.overlabel.js";s:66:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.overlabel.js";s:37:"scripts/jquery.hellofolio.lavalamp.js";s:65:"sites/all/themes/hellofolio/scripts/jquery.hellofolio.lavalamp.js";}s:7:"regions";a:16:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:11:"side_slider";s:11:"Side slider";s:9:"preblocks";s:9:"preblocks";s:9:"quote_bar";s:9:"quote-bar";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:3:"90%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"30px";s:18:"gutter_horizontal1";s:4:"30px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"30px";s:18:"gutter_horizontal2";s:4:"30px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:6:"33.333";s:21:"sidebar_second_width3";s:6:"33.333";s:16:"gutter_vertical3";s:4:"20px";s:18:"gutter_horizontal3";s:4:"20px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"95%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:3:"5px";s:18:"gutter_horizontal5";s:3:"5px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"1";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:51:"/sites/all/themes/hellofolio//backgrounds/grid1.png";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:4:"fade";s:11:"cycle_speed";s:4:"2000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:5:"swing";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"1";s:14:"body_font_face";s:10:"0Cabin:400";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:10:"0Cabin:500";s:27:"headings_font_face_selector";s:2:"h1";s:13:"nav_font_face";s:10:"0Cabin:500";s:22:"nav_font_face_selector";s:45:".primary-menu, label, input, select, textarea";s:18:"sitename_font_face";s:9:"0Lobster:";s:27:"sitename_font_face_selector";s:53:".site-name, .arctica-font4, .hellofolio-ribbon header";s:6:"scheme";s:7:"default";s:7:"palette";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}s:5:"theme";s:10:"hellofolio";s:4:"info";a:7:{s:6:"fields";a:6:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:11:"background1";s:16:"Background color";s:11:"background3";s:29:"Top / Bottom Background color";s:11:"background2";s:21:"Mast Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:16:"Yellow (Default)";s:6:"colors";a:5:{s:4:"base";s:7:"#eac224";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:5:{s:4:"base";s:7:"#9bea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:5:{s:4:"base";s:7:"#24ea23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:5:{s:4:"base";s:7:"#23ea9a";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:5:{s:4:"base";s:7:"#23c2ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:5:{s:4:"base";s:7:"#234bea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:5:{s:4:"base";s:7:"#7223ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:5:{s:4:"base";s:7:"#e923ea";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:8:"sceheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:5:{s:4:"base";s:7:"#ea2373";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}s:9:"sceheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:5:{s:4:"base";s:7:"#ea4b23";s:4:"text";s:7:"#d6d6d6";s:11:"background1";s:7:"#262626";s:11:"background2";s:7:"#1c1c1c";s:11:"background3";s:7:"#0f0f0f";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:42:"sites/all/themes/hellofolio/screenshot.png";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/touchpro/touchpro.info','touchpro','theme','themes/engines/phptemplate/phptemplate.engine','1','0','-1','0','a:17:{s:4:"name";s:8:"TouchPro";s:11:"description";s:49:"Free premium Drupal theme by www.sooperthemes.com";s:10:"base theme";s:6:"tundra";s:7:"version";s:9:"7.x-beta1";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:22:"color/color_module.css";s:48:"sites/all/themes/touchpro/color/color_module.css";}}s:7:"scripts";a:1:{s:27:"scripts/jquery.overlabel.js";s:53:"sites/all/themes/touchpro/scripts/jquery.overlabel.js";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:119:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"1";s:17:"process_selectors";s:276:"\n.logo-container,\n#page .block-search .form-actions,\n.post-icon,\n.content-column .node header .post-icon,\n.region-featured .block .grid-inner header .post-icon,\n#page h2.block-title,\n#page h1.node-title,\nh1.page-title,\n.comment h3,\n.masthead ul li a,\n.masthead,\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"0";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"0";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:325:"\n<meta name="MobileOptimized" content="width">\n<meta name="HandheldFriendly" content="true">\n<meta name="apple-mobile-web-app-capable" content="yes">\n<meta http-equiv="cleartype" content="on">\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"1";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:7:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}i:10;a:1:{s:5:"title";s:6:"Custom";}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:40:"sites/all/themes/touchpro/screenshot.png";s:3:"php";s:5:"5.2.4";s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/tundra/tundra/tundra.info','tundra','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:4:"name";s:6:"Tundra";s:11:"description";s:216:"A Starter Theme with Grid Layout System, jQuery Features, Custom Typography, Right-to-Left support, Color Module Integration and Skinr Integration. Sponsored by <a href="http://www.sooperthemes.com">sooperthemes</a>.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:10:"base theme";s:7:"arctica";s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:45:"sites/all/themes/tundra/tundra/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/tundra/tundra_starterkit_bigtheme/tundra_starterkit_bigtheme.info','tundra_starterkit_bigtheme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:33:"Tundra starterkit for big themes.";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"styling/css/style.css";s:72:"sites/all/themes/tundra/tundra_starterkit_bigtheme/styling/css/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:65:"sites/all/themes/tundra/tundra_starterkit_bigtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('sites/all/themes/tundra/tundra_starterkit_colormodule/tundra_starterkit.info','tundra_starterkit','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:16:{s:10:"base theme";s:6:"tundra";s:4:"name";s:47:"Tundra starterkit with color module integration";s:11:"description";s:55:"Edit the .info file to put in your theme''s information.";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:63:"sites/all/themes/tundra/tundra_starterkit_colormodule/style.css";}}s:7:"regions";a:14:{s:6:"header";s:6:"header";s:8:"featured";s:8:"featured";s:9:"preblocks";s:9:"preblocks";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:11:"content_top";s:11:"content-top";s:4:"help";s:4:"Help";s:7:"content";s:7:"Content";s:14:"content_bottom";s:14:"content-bottom";s:10:"postblocks";s:10:"postblocks";s:6:"footer";s:6:"footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:4:"name";i:2;s:6:"slogan";i:3;s:17:"node_user_picture";i:4;s:20:"comment_user_picture";i:5;s:6:"search";i:6;s:7:"favicon";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:5:"skinr";a:2:{s:3:"api";s:1:"2";s:9:"directory";s:5:"skins";}s:8:"settings";a:113:{s:24:"flexible_images_polyfill";s:1:"1";s:13:"html_polyfill";s:1:"1";s:19:"responsive_polyfill";s:1:"1";s:20:"responsive_polyfill2";s:1:"0";s:16:"futurecss_enable";s:1:"0";s:17:"process_selectors";s:0:"";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";s:1:"0";}s:23:"remove_attribution_link";s:1:"0";s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"1";s:13:"toggle_slogan";s:1:"1";s:24:"toggle_node_user_picture";s:1:"1";s:27:"toggle_comment_user_picture";s:1:"1";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:12:"default_logo";s:1:"1";s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";s:1:"1";s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";s:1:"1";s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:5:"960px";s:20:"sidebar_first_width1";s:2:"20";s:21:"sidebar_second_width1";s:2:"20";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:4:"100%";s:17:"layout_max_width2";s:5:"960px";s:20:"sidebar_first_width2";s:2:"20";s:21:"sidebar_second_width2";s:2:"20";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"1";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:4:"100%";s:17:"layout_max_width3";s:4:"none";s:20:"sidebar_first_width3";s:2:"20";s:21:"sidebar_second_width3";s:2:"20";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:4:"100%";s:17:"layout_max_width4";s:4:"none";s:20:"sidebar_first_width4";s:2:"20";s:21:"sidebar_second_width4";s:2:"20";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:4:"100%";s:17:"layout_max_width5";s:4:"none";s:20:"sidebar_first_width5";s:2:"20";s:21:"sidebar_second_width5";s:2:"20";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:333:"\r\n<meta name="MobileOptimized" content ="width"><meta name="HandheldFriendly" content ="true"><meta name="apple-mobile-web-app-capable" content ="yes"><meta http-equiv="cleartype" content ="on"><meta http-equiv="X-UA-Compatible" content ="IE =edge, chrome =1"><meta name="viewport" content ="width =device-width, initial-scale =1">\r\n";s:16:"hide_address_bar";s:1:"1";s:9:"ori_scale";s:1:"1";s:10:"aavb_print";s:1:"1";s:10:"aavb_forms";s:1:"1";s:15:"aavb_navigation";s:1:"1";s:13:"aavb_messages";s:1:"1";s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";s:1:"0";s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"500";s:22:"sooperfish_easing_show";s:5:"swing";s:26:"sooperfish_properties_show";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:21:"sooperfish_speed_hide";s:3:"500";s:22:"sooperfish_easing_hide";s:5:"swing";s:26:"sooperfish_properties_hide";a:3:{s:7:"opacity";s:1:"0";s:5:"width";s:1:"0";s:6:"height";s:1:"0";}s:15:"gradient_enable";s:1:"0";s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#000000";s:15:"bg_image_enable";s:1:"0";s:13:"image_opacity";s:2:"57";s:9:"bg_behave";s:4:"tile";s:16:"background_image";s:90:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/texture_fabric_2.jpg";s:19:"slideshowkit_enable";s:1:"1";s:12:"cycle_invoke";s:8:"ul.slide";s:8:"cycle_fx";s:10:"scrollHorz";s:11:"cycle_speed";s:3:"800";s:13:"cycle_timeout";s:4:"4000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:6:"linear";s:16:"cycle_pagerEvent";s:9:"mouseover";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"helvetica";s:27:"headings_font_face_selector";s:54:"h1,h2,h3,h4,h5,h6, legend, .slogan, .views-field-title";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:13:".primary-menu";s:18:"sitename_font_face";s:9:"helvetica";s:27:"sitename_font_face_selector";s:5:".site";s:28:"arctica_settings__active_tab";s:11:"edit-layout";}s:10:"screenshot";s:68:"sites/all/themes/tundra/tundra_starterkit_colormodule/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine','1','0','-1','0','a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:20:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine','1','0','-1','0','a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:8:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.10";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}'),('themes/tests/block_test_theme/block_test_theme.info','block_test_theme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:17:{s:4:"name";s:16:"Block test theme";s:11:"description";s:34:"Theme for testing the block system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"regions";a:10:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:14:"regions_hidden";a:4:{i:0;s:13:"sidebar_first";i:1;s:14:"sidebar_second";i:2;s:8:"page_top";i:3;s:11:"page_bottom";}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:44:"themes/tests/block_test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('themes/tests/test_theme/test_theme.info','test_theme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:17:{s:4:"name";s:10:"Test theme";s:11:"description";s:34:"Theme for testing the theme system";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"system.base.css";s:39:"themes/tests/test_theme/system.base.css";}}s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:38:"themes/tests/test_theme/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}'),('themes/tests/update_test_basetheme/update_test_basetheme.info','update_test_basetheme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:17:{s:4:"name";s:22:"Update test base theme";s:11:"description";s:63:"Test theme which acts as a base theme for other test subthemes.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:49:"themes/tests/update_test_basetheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
INSERT INTO `system` VALUES ('themes/tests/update_test_subtheme/update_test_subtheme.info','update_test_subtheme','theme','themes/engines/phptemplate/phptemplate.engine','0','0','-1','0','a:18:{s:4:"name";s:20:"Update test subtheme";s:11:"description";s:62:"Test theme which uses update_test_basetheme as the base theme.";s:4:"core";s:3:"7.x";s:10:"base theme";s:21:"update_test_basetheme";s:6:"hidden";b:1;s:7:"version";s:4:"7.10";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1323125439";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:12:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:14:"dashboard_main";s:16:"Dashboard (main)";s:17:"dashboard_sidebar";s:19:"Dashboard (sidebar)";s:18:"dashboard_inactive";s:20:"Dashboard (inactive)";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:48:"themes/tests/update_test_subtheme/screenshot.png";s:3:"php";s:5:"5.2.4";s:11:"stylesheets";a:0:{}s:7:"scripts";a:0:{}s:15:"overlay_regions";a:5:{i:0;s:14:"dashboard_main";i:1;s:17:"dashboard_sidebar";i:2;s:18:"dashboard_inactive";i:3;s:7:"content";i:4;s:4:"help";}s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:8:"page_top";}}');
DROP TABLE IF EXISTS `taxonomy_index`;
CREATE TABLE `taxonomy_index` (   `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',   `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',   `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',   `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',   KEY `term_node` (`tid`,`sticky`,`created`),   KEY `nid` (`nid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
INSERT INTO `taxonomy_index` VALUES ('22','3','0','1320326485'),('27','14','0','1321011575'),('26','14','0','1321577213'),('26','14','0','1321577213'),('25','14','0','1321473131'),('25','3','0','1321473131'),('25','14','0','1321473131'),('25','14','0','1321473131'),('23','3','0','1321540840'),('23','16','0','1321540840'),('23','14','0','1321540840'),('16','19','0','1322569853'),('16','1','0','1322569853'),('17','15','0','1322569956'),('17','16','0','1322569956'),('17','17','0','1322569956'),('17','18','0','1322569956'),('20','3','0','1322570089'),('20','13','0','1322570089'),('20','14','0','1322570089'),('21','5','1','1322570103'),('21','2','1','1322570103'),('28','14','0','1320358157'),('28','19','0','1320358157'),('28','3','0','1320358157'),('24','3','0','1320171186'),('24','19','0','1320171186'),('24','14','0','1320171186'),('29','14','0','1321767356');
DROP TABLE IF EXISTS `taxonomy_term_data`;
CREATE TABLE `taxonomy_term_data` (   `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',   `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',   `description` longtext COMMENT 'A description of the term.',   `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',   PRIMARY KEY (`tid`),   KEY `taxonomy_tree` (`vid`,`weight`,`name`),   KEY `vid_name` (`vid`,`name`),   KEY `name` (`name`) ) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='Stores term information.' AUTO_INCREMENT=20;
INSERT INTO `taxonomy_term_data` VALUES ('1','2','Tutorials','','filtered_html','0'),('2','2','Freebies','','filtered_html','0'),('3','2','Articles','','filtered_html','0'),('4','2','Tools','','filtered_html','0'),('5','2','Downloads','','filtered_html','0'),('6','2','Reviews','','filtered_html','0'),('7','2','Hi','','filtered_html','0'),('13','2','HTML5',null,null,'0'),('14','2','CSS3',null,null,'0'),('15','2','Macintosh',null,null,'0'),('16','2','ios',null,null,'0'),('17','2','Drupal 8',null,null,'0'),('18','2','MAMP',null,null,'0'),('19','2','Drupal',null,null,'0');
DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
CREATE TABLE `taxonomy_term_hierarchy` (   `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',   `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',   PRIMARY KEY (`tid`,`parent`),   KEY `parent` (`parent`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
INSERT INTO `taxonomy_term_hierarchy` VALUES ('1','0'),('2','0'),('3','0'),('4','0'),('5','0'),('6','0'),('7','0'),('13','0'),('14','0'),('15','0'),('16','0'),('17','0'),('18','0'),('19','0');
DROP TABLE IF EXISTS `taxonomy_vocabulary`;
CREATE TABLE `taxonomy_vocabulary` (   `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',   `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',   `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',   `description` longtext COMMENT 'Description of the vocabulary.',   `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',   `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',   `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',   PRIMARY KEY (`vid`),   UNIQUE KEY `machine_name` (`machine_name`),   KEY `list` (`weight`,`name`) ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.' AUTO_INCREMENT=3;
INSERT INTO `taxonomy_vocabulary` VALUES ('1','Tags','tags','Use tags to group articles on similar topics into categories.','0','taxonomy','0'),('2','Category','category','','0','taxonomy','0');
DROP TABLE IF EXISTS `url_alias`;
CREATE TABLE `url_alias` (   `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',   `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',   `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',   `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',   PRIMARY KEY (`pid`),   KEY `alias_language_pid` (`alias`,`language`,`pid`),   KEY `source_language_pid` (`source`,`language`,`pid`) ) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...' AUTO_INCREMENT=9;
INSERT INTO `url_alias` VALUES ('1','node/22','node-22-article','und'),('2','node/23','node-23-article','und'),('3','node/24','node-24-article','und'),('4','node/25','node-25-article','und'),('5','node/26','node-26-article','und'),('6','node/27','node-27-article','und'),('7','node/28','node-28-article','und'),('8','node/29','node-29-article','und');
DROP TABLE IF EXISTS `users_roles`;
CREATE TABLE `users_roles` (   `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',   `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',   PRIMARY KEY (`uid`,`rid`),   KEY `rid` (`rid`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
INSERT INTO `users_roles` VALUES ('1','3');
DROP TABLE IF EXISTS `variable`;
CREATE TABLE `variable` (   `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',   `value` longblob NOT NULL COMMENT 'The value of the variable.',   PRIMARY KEY (`name`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
INSERT INTO `variable` VALUES ('additional_settings__active_tab_blog_post','s:15:"edit-submission";'),('admin_theme','s:5:"seven";'),('anonymous','s:9:"Anonymous";'),('backup_migrate_destination_id','s:8:"download";'),('backup_migrate_profile_id','s:7:"default";'),('backup_migrate_source_id','s:2:"db";'),('block_cache','i:1;'),('cache','i:1;'),('cache_lifetime','s:1:"0";'),('clean_url','s:1:"1";'),('comment_page','i:0;'),('cron_key','s:43:"1DAH0eOpIbGkcQSRPZJrrYsTziQUecOhQHcxF9iRits";'),('cron_last','i:1323940714;'),('css_js_query_string','s:6:"lw8rd7";'),('ctools_last_cron','i:1323901287;'),('date_default_timezone','s:12:"Europe/Paris";'),('default_nodes_main','s:1:"4";'),('dev_query','i:0;'),('drupal_css_cache_files','a:5:{s:64:"825496154dcbc7257ca64fa316052e316ee55c13a327084aa8bb219a552e5b3a";s:64:"public://css/css_CKoWqiBj9gVXhPuDSnNphuEB0b0J2To76x0pX0EGqn4.css";s:64:"237fdec2bf7be475896b27c5498cd90cdbb3c5aefb63fb873752fdcdf00d266a";s:64:"public://css/css__1JaqR_XZ83eTOh4rbhcrcPSB2jaEIjMEsYhXqvqCB8.css";s:64:"e209c8017a0bb4b6285c5c0895d0c5a052fd461f1d294b6399af5105dbe4b0d7";s:64:"public://css/css_Gcy8bGAdSAwOlY2uVYJoem9rz1zzbikMpk-5rpRl1dU.css";s:64:"6ea9dda4a7645087589859ac7f6061b7907d7ac20671767bcb4ee0bd34868e5d";s:64:"public://css/css_k5KNAbyC3gxhxZSA9Z4OAKPeuq6QLkSoICLsSh-K6uU.css";s:64:"3a2f327905f3dae3c77e88b1249d3177d3efa1373d9fbade8d80f8b33f8b5317";s:64:"public://css/css_dzxv0AN_X_rzFX2k-19LSQrTwFN9yhxwNWSl5rFbJGs.css";}'),('drupal_http_request_fails','b:0;'),('drupal_js_cache_files','a:6:{s:64:"1b462addd35f1ca5372768244565381204b27215aef0ebafa30963a4fd5fb9f7";s:61:"public://js/js_8_YX9lYSyCcsPZtcj5SaCKQ9yoKUUIAGT80xT3N14Kg.js";s:64:"2d93d3a687d5af8ecd62404c72725f3b907c79d8afb5cf671d228cd879a38849";s:61:"public://js/js_6-l39xMpA-S4KMFBL0dOKvrfjvYeIFxK7g_QuFcEi7I.js";s:64:"be3bdea69a2f49627760307bd892d9d093f8f5768d2855c24bade6263cee41e9";s:61:"public://js/js_lW_zR0Ke3Z2_cwMCDlBnvVf7LHuJBFnEaTqV32QwOdM.js";s:64:"e4cd9149dd6aa5fc4ccc363dffb593e36f4354dce069e2dd4ed1f1bba52c1ba1";s:61:"public://js/js_fHY2kLU16GJF0cDrDYBr_vRngg2tapT7QLz9X7a3Nj4.js";s:64:"41602203cff89c6eb1f31fe04ee67a900ac338dbd0e85cb04c36518347c5ce7e";s:61:"public://js/js_6-l39xMpA-S4KMFBL0dOKvrfjvYeIFxK7g_QuFcEi7I.js";s:64:"53498ccd03101cb3ee27b567c00bf5fa45618df4270a4d73721cd66104bd888b";s:61:"public://js/js_kXDUBQG-LFzkkzGupNWI8Wt1cwIsQfmFcN9MdPDp4ys.js";}');
INSERT INTO `variable` VALUES ('drupal_private_key','s:43:"T0NQwhYlYhWeng-T96UJqxWZTxjSb4OEvOqj8FEfroU";'),('email__active_tab','s:24:"edit-email-admin-created";'),('field_bundle_settings','a:1:{s:4:"node";a:2:{s:4:"blog";a:2:{s:10:"view_modes";a:5:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:2:"-5";}}s:7:"display";a:0:{}}}s:7:"article";a:2:{s:10:"view_modes";a:0:{}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}}}'),('file_default_scheme','s:6:"public";'),('file_private_path','s:0:"";'),('file_public_path','s:28:"sites/default/files/touchpro";'),('file_temporary_path','s:4:"/tmp";'),('filter_fallback_format','s:10:"plain_text";'),('image_jpeg_quality','s:3:"100";'),('image_toolkit','s:2:"gd";'),('install_profile','s:8:"standard";'),('install_task','s:4:"done";'),('install_time','i:1321380576;'),('menu_expanded','a:1:{i:0;s:9:"main-menu";}'),('menu_masks','a:38:{i:0;i:501;i:1;i:493;i:2;i:250;i:3;i:247;i:4;i:246;i:5;i:245;i:6;i:241;i:7;i:127;i:8;i:125;i:9;i:124;i:10;i:123;i:11;i:122;i:12;i:121;i:13;i:120;i:14;i:117;i:15;i:63;i:16;i:62;i:17;i:61;i:18;i:60;i:19;i:59;i:20;i:58;i:21;i:44;i:22;i:31;i:23;i:30;i:24;i:29;i:25;i:28;i:26;i:24;i:27;i:21;i:28;i:15;i:29;i:14;i:30;i:13;i:31;i:11;i:32;i:7;i:33;i:6;i:34;i:5;i:35;i:3;i:36;i:2;i:37;i:1;}'),('menu_options_blog_post','a:1:{i:0;s:9:"main-menu";}'),('menu_parent_blog_post','s:11:"main-menu:0";'),('node_admin_theme','s:1:"1";'),('node_cron_last','s:10:"1323890609";'),('node_options_blog_post','a:2:{i:0;s:6:"status";i:1;s:7:"promote";}'),('node_options_page','a:1:{i:0;s:6:"status";}'),('node_submitted_blog_post','i:1;'),('node_submitted_page','b:0;'),('page_cache_maximum_age','s:1:"0";'),('page_compression','i:1;'),('path_alias_whitelist','a:1:{s:4:"node";b:1;}'),('preprocess_css','i:1;'),('preprocess_js','i:1;'),('save_continue_blog_post','s:19:"Save and add fields";');
INSERT INTO `variable` VALUES ('site_403','s:0:"";'),('site_404','s:0:"";'),('site_default_country','s:0:"";'),('site_frontpage','s:4:"node";'),('site_mail','s:21:"info@sooperthemes.com";'),('site_name','s:8:"TouchPro";'),('site_offline','i:0;'),('site_slogan','s:0:"";'),('statistics_count_content_views','i:1;'),('statistics_day_timestamp','i:1323901287;'),('statistics_enable_access_log','i:0;'),('statistics_flush_accesslog_timer','s:6:"259200";'),('theme_default','s:8:"touchpro";'),('theme_touchpro_settings','a:119:{s:24:"flexible_images_polyfill";i:1;s:13:"html_polyfill";i:1;s:19:"responsive_polyfill";i:1;s:20:"responsive_polyfill2";i:0;s:16:"futurecss_enable";i:1;s:17:"process_selectors";s:286:".logo-container,\r\n#page .block-search .form-actions,\r\n.post-icon,\r\n.content-column .node header .post-icon,\r\n.region-featured .block .grid-inner header .post-icon,\r\n#page h2.block-title,\r\n#page h1.node-title,\r\nh1.page-title,\r\n.comment h3,\r\n.masthead ul li a,\r\n.masthead,\r\n.region-footer";s:13:"css_overrides";a:11:{s:16:"system_menus_css";s:16:"system_menus_css";s:19:"system_messages_css";s:19:"system_messages_css";s:16:"system_theme_css";s:16:"system_theme_css";s:11:"comment_css";s:11:"comment_css";s:8:"user_css";s:8:"user_css";s:10:"search_css";s:10:"search_css";s:12:"taxonomy_css";s:12:"taxonomy_css";s:8:"poll_css";s:8:"poll_css";s:8:"book_css";s:8:"book_css";s:8:"node_css";s:8:"node_css";s:15:"system_base_css";i:0;}s:23:"remove_attribution_link";i:0;s:11:"toggle_logo";i:0;s:11:"toggle_name";i:1;s:13:"toggle_slogan";i:1;s:24:"toggle_node_user_picture";i:1;s:27:"toggle_comment_user_picture";i:1;s:32:"toggle_comment_user_verification";i:1;s:14:"toggle_favicon";i:1;s:16:"toggle_main_menu";i:1;s:21:"toggle_secondary_menu";i:0;s:12:"default_logo";i:1;s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";i:1;s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:17:"responsive_enable";i:1;s:12:"layout_type1";s:1:"1";s:13:"layout_query1";s:13:"@media screen";s:13:"layout_width1";s:4:"100%";s:17:"layout_max_width1";s:6:"1140px";s:20:"sidebar_first_width1";s:6:"33.333";s:21:"sidebar_second_width1";s:6:"33.333";s:16:"gutter_vertical1";s:4:"10px";s:18:"gutter_horizontal1";s:4:"10px";s:12:"layout_type2";s:1:"1";s:13:"layout_query2";s:36:"@media screen and (max-width:1024px)";s:13:"layout_width2";s:3:"90%";s:17:"layout_max_width2";s:6:"1140px";s:20:"sidebar_first_width2";s:6:"33.333";s:21:"sidebar_second_width2";s:6:"33.333";s:16:"gutter_vertical2";s:4:"10px";s:18:"gutter_horizontal2";s:4:"10px";s:12:"layout_type3";s:1:"4";s:13:"layout_query3";s:35:"@media screen and (max-width:768px)";s:13:"layout_width3";s:3:"90%";s:17:"layout_max_width3";s:6:"1140px";s:20:"sidebar_first_width3";s:2:"50";s:21:"sidebar_second_width3";s:2:"50";s:16:"gutter_vertical3";s:4:"10px";s:18:"gutter_horizontal3";s:4:"10px";s:12:"layout_type4";s:1:"4";s:13:"layout_query4";s:35:"@media screen and (max-width:480px)";s:13:"layout_width4";s:3:"90%";s:17:"layout_max_width4";s:6:"1140px";s:20:"sidebar_first_width4";s:6:"33.333";s:21:"sidebar_second_width4";s:6:"33.333";s:16:"gutter_vertical4";s:4:"10px";s:18:"gutter_horizontal4";s:4:"10px";s:12:"layout_type5";s:1:"4";s:13:"layout_query5";s:35:"@media screen and (max-width:320px)";s:13:"layout_width5";s:3:"90%";s:17:"layout_max_width5";s:6:"1140px";s:20:"sidebar_first_width5";s:6:"33.333";s:21:"sidebar_second_width5";s:6:"33.333";s:16:"gutter_vertical5";s:4:"10px";s:18:"gutter_horizontal5";s:4:"10px";s:13:"media_queries";s:1:"5";s:4:"meta";s:329:"<meta name="MobileOptimized" content="width">\r\n<meta name="HandheldFriendly" content="true">\r\n<meta name="apple-mobile-web-app-capable" content="yes">\r\n<meta http-equiv="cleartype" content="on">\r\n<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">\r\n<meta name="viewport" content="width=device-width, initial-scale=1">";s:16:"hide_address_bar";i:1;s:9:"ori_scale";i:1;s:10:"aavb_print";i:1;s:10:"aavb_forms";i:1;s:15:"aavb_navigation";i:1;s:13:"aavb_messages";i:1;s:16:"sooperfish_width";s:3:"200";s:17:"sooperfish_enable";i:1;s:17:"sooperfish_invoke";s:23:".primary-menu > ul.menu";s:21:"sooperfish_dualcolumn";s:1:"5";s:23:"sooperfish_triplecolumn";s:2:"12";s:16:"sooperfish_delay";s:3:"500";s:21:"sooperfish_speed_show";s:3:"400";s:22:"sooperfish_easing_show";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_show";a:3:{s:6:"height";s:6:"height";s:7:"opacity";i:0;s:5:"width";i:0;}s:21:"sooperfish_speed_hide";s:3:"400";s:22:"sooperfish_easing_hide";s:13:"easeOutTurbo2";s:26:"sooperfish_properties_hide";a:3:{s:6:"height";s:6:"height";s:7:"opacity";i:0;s:5:"width";i:0;}s:15:"gradient_enable";i:0;s:16:"gradient_opacity";s:3:"100";s:18:"gradient_color_top";s:7:"#ffffff";s:21:"gradient_color_bottom";s:7:"#d1d1d1";s:15:"bg_image_enable";i:0;s:13:"image_opacity";s:3:"100";s:9:"bg_behave";s:5:"cover";s:16:"background_image";s:93:"/sites/all/themes/tundra/tundra//features/sooper-backgroundkit/images/fullscreen_bglabs_1.jpg";s:19:"slideshowkit_enable";i:1;s:12:"cycle_invoke";s:6:".slide";s:8:"cycle_fx";s:5:"growX";s:11:"cycle_speed";s:4:"1000";s:13:"cycle_timeout";s:4:"8000";s:11:"cycle_delay";s:1:"0";s:12:"cycle_easing";s:13:"easeOutBounce";s:12:"cycle_random";s:1:"0";s:16:"cycle_continuous";s:1:"0";s:11:"cycle_pause";s:1:"0";s:15:"cycle_showPager";s:1:"1";s:16:"cycle_pagerEvent";s:5:"click";s:23:"cycle_pauseOnPagerHover";s:1:"1";s:15:"cycle_img_pager";s:1:"0";s:14:"body_font_face";s:9:"helvetica";s:23:"body_font_face_selector";s:4:"body";s:18:"headings_font_face";s:9:"0Lato:700";s:27:"headings_font_face_selector";s:5:"h1,h2";s:13:"nav_font_face";s:9:"helvetica";s:22:"nav_font_face_selector";s:10:"#main-menu";s:18:"sitename_font_face";s:9:"0Lato:900";s:27:"sitename_font_face_selector";s:10:".site-name";s:6:"scheme";s:7:"default";s:7:"palette";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}s:5:"theme";s:8:"touchpro";s:4:"info";a:10:{s:6:"fields";a:4:{s:4:"base";s:10:"Base color";s:4:"link";s:10:"Link color";s:4:"text";s:10:"Text color";s:10:"background";s:16:"Background color";}s:7:"schemes";a:11:{s:7:"default";a:2:{s:5:"title";s:14:"Blue (Default)";s:6:"colors";a:4:{s:4:"base";s:7:"#004D7D";s:4:"link";s:7:"#004D7D";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme2";a:2:{s:5:"title";s:7:"Color 2";s:6:"colors";a:4:{s:4:"base";s:7:"#00017d";s:4:"link";s:7:"#00017d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme3";a:2:{s:5:"title";s:7:"Color 3";s:6:"colors";a:4:{s:4:"base";s:7:"#48007d";s:4:"link";s:7:"#48007d";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme4";a:2:{s:5:"title";s:7:"Color 4";s:6:"colors";a:4:{s:4:"base";s:7:"#7d0065";s:4:"link";s:7:"#7d0065";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme5";a:2:{s:5:"title";s:7:"Color 5";s:6:"colors";a:4:{s:4:"base";s:7:"#7d001a";s:4:"link";s:7:"#7d001a";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme6";a:2:{s:5:"title";s:7:"Color 6";s:6:"colors";a:4:{s:4:"base";s:7:"#7d3000";s:4:"link";s:7:"#7d3000";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme7";a:2:{s:5:"title";s:7:"Color 7";s:6:"colors";a:4:{s:4:"base";s:7:"#7d7b00";s:4:"link";s:7:"#7d7b00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme8";a:2:{s:5:"title";s:7:"Color 8";s:6:"colors";a:4:{s:4:"base";s:7:"#337d00";s:4:"link";s:7:"#337d00";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:7:"scheme9";a:2:{s:5:"title";s:7:"Color 9";s:6:"colors";a:4:{s:4:"base";s:7:"#007d17";s:4:"link";s:7:"#007d17";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:8:"scheme10";a:2:{s:5:"title";s:8:"Color 10";s:6:"colors";a:4:{s:4:"base";s:7:"#007d62";s:4:"link";s:7:"#007d62";s:4:"text";s:7:"#454545";s:10:"background";s:7:"#ebebeb";}}s:0:"";a:2:{s:5:"title";s:6:"Custom";s:6:"colors";a:0:{}}}s:4:"copy";a:1:{i:0;s:8:"logo.png";}s:3:"css";a:1:{i:0;s:22:"color/color_module.css";}s:4:"fill";a:0:{}s:9:"gradients";a:0:{}s:6:"slices";a:0:{}s:11:"preview_css";s:0:"";s:10:"base_image";s:8:"logo.png";s:12:"blend_target";s:7:"#ffffff";}s:28:"arctica_settings__active_tab";s:17:"color_scheme_form";}');
INSERT INTO `variable` VALUES ('update_last_check','i:1323942570;'),('update_notify_emails','a:1:{i:0;s:21:"info@sooperthemes.com";}'),('user_admin_role','s:1:"3";'),('user_cancel_method','s:17:"user_cancel_block";'),('user_email_verification','i:1;'),('user_mail_cancel_confirm_body','s:381:"[user:name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team";'),('user_mail_cancel_confirm_subject','s:59:"Account cancellation request for [user:name] at [site:name]";'),('user_mail_password_reset_body','s:407:"[user:name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\r\n\r\n--  [site:name] team";'),('user_mail_password_reset_subject','s:60:"Replacement login information for [user:name] at [site:name]";'),('user_mail_register_admin_created_body','s:476:"[user:name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";'),('user_mail_register_admin_created_subject','s:58:"An administrator created an account for you at [site:name]";'),('user_mail_register_no_approval_required_body','s:450:"[user:name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";');
INSERT INTO `variable` VALUES ('user_mail_register_no_approval_required_subject','s:46:"Account details for [user:name] at [site:name]";'),('user_mail_register_pending_approval_body','s:287:"[user:name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team";'),('user_mail_register_pending_approval_subject','s:71:"Account details for [user:name] at [site:name] (pending admin approval)";'),('user_mail_status_activated_body','s:461:"[user:name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";'),('user_mail_status_activated_notify','i:1;'),('user_mail_status_activated_subject','s:57:"Account details for [user:name] at [site:name] (approved)";'),('user_mail_status_blocked_body','s:85:"[user:name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team";'),('user_mail_status_blocked_notify','i:0;'),('user_mail_status_blocked_subject','s:56:"Account details for [user:name] at [site:name] (blocked)";'),('user_mail_status_canceled_body','s:86:"[user:name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team";'),('user_mail_status_canceled_notify','i:0;'),('user_mail_status_canceled_subject','s:57:"Account details for [user:name] at [site:name] (canceled)";'),('user_pictures','i:1;'),('user_picture_default','s:0:"";'),('user_picture_dimensions','s:9:"1024x1024";'),('user_picture_file_size','s:3:"800";'),('user_picture_guidelines','s:0:"";'),('user_picture_path','s:8:"pictures";');
INSERT INTO `variable` VALUES ('user_picture_style','s:9:"thumbnail";'),('user_register','s:1:"0";'),('user_signatures','i:0;'),('views_defaults','a:2:{s:7:"popular";b:0;s:13:"taxonomy_term";b:1;}');
DROP TABLE IF EXISTS `views_display`;
CREATE TABLE `views_display` (   `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',   `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',   `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',   `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',   `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',   `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',   PRIMARY KEY (`vid`,`id`),   KEY `vid` (`vid`,`position`) ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
INSERT INTO `views_display` VALUES ('1','block','Popular (block)','block','4','a:5:{s:8:"defaults";a:6:{s:14:"items_per_page";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:1:{s:6:"inline";a:2:{s:5:"title";s:5:"title";s:10:"totalcount";s:10:"totalcount";}}s:6:"fields";a:1:{s:5:"title";a:5:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:12:"link_to_node";i:1;}}}'),('1','block_1','Today (block)','block','5','a:8:{s:8:"defaults";a:9:{s:5:"title";b:0;s:14:"items_per_page";b:0;s:12:"link_display";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:5:"sorts";b:0;}s:5:"title";s:23:"Today''s popular content";s:12:"link_display";s:6:"page_1";s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:1:{s:6:"inline";a:2:{s:5:"title";s:5:"title";s:8:"daycount";s:8:"daycount";}}s:6:"fields";a:1:{s:5:"title";a:5:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:12:"link_to_node";i:1;}}s:5:"sorts";a:1:{s:8:"daycount";a:4:{s:2:"id";s:8:"daycount";s:5:"table";s:12:"node_counter";s:5:"field";s:8:"daycount";s:5:"order";s:4:"DESC";}}}'),('1','default','Master','default','1','a:15:{s:5:"title";s:15:"Popular content";s:8:"use_more";i:0;s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"5";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:5:"table";s:13:"style_options";a:5:{s:7:"columns";a:5:{s:4:"type";s:4:"type";s:5:"title";s:5:"title";s:4:"name";s:4:"name";s:9:"timestamp";s:5:"title";s:10:"totalcount";s:10:"totalcount";}s:7:"default";s:2:"-1";s:4:"info";a:5:{s:4:"type";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}s:5:"title";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}s:4:"name";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}s:9:"timestamp";a:1:{s:9:"separator";s:0:"";}s:10:"totalcount";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}}s:8:"override";i:0;s:5:"order";s:4:"desc";}s:6:"fields";a:4:{s:4:"type";a:3:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";}s:5:"title";a:3:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";}s:4:"name";a:5:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";s:12:"relationship";s:3:"uid";}s:9:"timestamp";a:6:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"history";s:5:"field";s:9:"timestamp";s:5:"label";s:0:"";s:12:"link_to_node";i:0;s:8:"comments";i:1;}}s:5:"sorts";a:1:{s:10:"totalcount";a:4:{s:2:"id";s:10:"totalcount";s:5:"table";s:12:"node_counter";s:5:"field";s:10:"totalcount";s:5:"order";s:4:"DESC";}}s:7:"filters";a:2:{s:6:"status";a:6:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";s:1:"1";s:5:"group";i:0;s:6:"expose";a:1:{s:8:"operator";b:0;}}s:10:"totalcount";a:7:{s:2:"id";s:10:"totalcount";s:5:"table";s:12:"node_counter";s:5:"field";s:10:"totalcount";s:8:"operator";s:1:">";s:5:"value";a:1:{s:5:"value";s:1:"0";}s:5:"group";i:0;s:6:"expose";a:1:{s:8:"operator";b:0;}}}s:13:"relationships";a:1:{s:3:"uid";a:3:{s:2:"id";s:3:"uid";s:5:"table";s:4:"node";s:5:"field";s:3:"uid";}}s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";}');
INSERT INTO `views_display` VALUES ('1','page','Popular (page)','page','2','a:3:{s:4:"path";s:11:"popular/all";s:4:"menu";a:3:{s:4:"type";s:11:"default tab";s:5:"title";s:15:"Popular content";s:6:"weight";s:2:"-1";}s:11:"tab_options";a:3:{s:4:"type";s:6:"normal";s:5:"title";s:15:"Popular content";s:6:"weight";s:0:"";}}'),('1','page_1','Today (page)','page','3','a:6:{s:8:"defaults";a:2:{s:6:"fields";b:0;s:5:"sorts";b:0;}s:6:"fields";a:5:{s:4:"type";a:3:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";}s:5:"title";a:3:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";}s:4:"name";a:4:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";}s:9:"timestamp";a:6:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"history";s:5:"field";s:9:"timestamp";s:5:"label";s:0:"";s:12:"link_to_node";i:0;s:8:"comments";i:1;}s:8:"daycount";a:3:{s:2:"id";s:8:"daycount";s:5:"table";s:12:"node_counter";s:5:"field";s:8:"daycount";}}s:5:"sorts";a:1:{s:8:"daycount";a:4:{s:2:"id";s:8:"daycount";s:5:"table";s:12:"node_counter";s:5:"field";s:8:"daycount";s:5:"order";s:4:"DESC";}}s:4:"path";s:13:"popular/today";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:23:"Today''s popular content";s:6:"weight";s:1:"0";}s:11:"tab_options";a:3:{s:4:"type";s:6:"normal";s:5:"title";s:15:"Popular content";s:6:"weight";s:1:"0";}}'),('2','block','Block','block','2','a:5:{s:12:"style_plugin";s:4:"list";s:8:"defaults";a:4:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:13:"style_options";a:5:{s:8:"grouping";s:0:"";s:9:"row_class";s:0:"";s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:4:{s:22:"default_field_elements";i:0;s:6:"inline";a:1:{s:4:"name";s:4:"name";}s:9:"separator";s:1:",";s:10:"hide_empty";i:1;}}'),('2','default','Master','default','1','a:13:{s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"query";a:1:{s:4:"type";s:11:"views_query";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:1:{s:4:"name";a:22:{s:2:"id";s:4:"name";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:22:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:16:"link_to_taxonomy";i:1;}}s:7:"filters";a:0:{}s:5:"sorts";a:0:{}s:5:"title";s:10:"Categories";s:13:"style_options";a:5:{s:8:"grouping";s:0:"";s:9:"row_class";s:0:"";s:4:"type";s:2:"ul";s:13:"wrapper_class";s:0:"";s:5:"class";s:0:"";}s:11:"row_options";a:4:{s:22:"default_field_elements";i:1;s:6:"inline";a:1:{s:4:"name";s:4:"name";}s:9:"separator";s:1:",";s:10:"hide_empty";i:0;}}');
DROP TABLE IF EXISTS `views_view`;
CREATE TABLE `views_view` (   `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',   `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',   `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',   `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',   `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',   `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',   `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',   PRIMARY KEY (`vid`),   UNIQUE KEY `name` (`name`) ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.' AUTO_INCREMENT=3;
INSERT INTO `views_view` VALUES ('1','popular','Shows the most-viewed nodes on the site. This requires the statistics to be enabled at administer >> reports >> access log settings.','default','node','Popular content','0'),('2','categories','','default','taxonomy_term_data','Categories','7');
DROP TABLE IF EXISTS `watchdog`;
CREATE TABLE `watchdog` (   `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',   `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',   `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example `user` or `page not found.`',   `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',   `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',   `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',   `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',   `location` text NOT NULL COMMENT 'URL of the origin of the event.',   `referer` text COMMENT 'URL of referring page.',   `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',   `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',   PRIMARY KEY (`wid`),   KEY `type` (`type`),   KEY `uid` (`uid`) ) ENGINE=InnoDB AUTO_INCREMENT=16270 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.' AUTO_INCREMENT=16270;

  
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
